<?php 
////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_add_readlwedding ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_add_readlwedding() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_add_readlwedding', 'weddlist_ajax_add_readlwedding' );
add_action( 'wp_ajax_weddlist_ajax_add_readlwedding', 'weddlist_ajax_add_readlwedding' );  

function weddlist_ajax_add_readlwedding()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   			=   array();
	$userID         			=   $current_user->ID;    
	$add_title        			=   wp_kses( $_POST['add_title'] ,$allowed_html) ;

	$add_content       			=   $_POST['add_content'];
	
	$weddingdate    			=   wp_kses( $_POST['weddingdate'] ,$allowed_html) ;
	$weddingplace    			=   wp_kses( $_POST['weddingplace'] ,$allowed_html) ;

	$realwedding_location		= 	$_POST['realwedding_location'];
	$realwedding_theme			= 	$_POST['realwedding_theme'];	
	$realwedding_season			= 	$_POST['realwedding_season'];
	$realwedding_color			= 	$_POST['realwedding_color'];

	//$add_content = '';

	check_ajax_referer( 'ajax-add-realwedding-nonce', 'security' );
	
    $new_status='publish';  


    if(isset($_POST['edit_id']) && !empty($_POST['edit_id']))
    {

    	$post_id=$_POST['edit_id'];    		

		$post = array(
	  	    'ID'            => $post_id,
			'post_title'	=> $add_title,
			'post_content'	=> $add_content,
			'post_status'	=> $new_status, 
			'post_type'     => 'realwedding',
			'post_author'   => $userID 
		);
		wp_update_post($post);  	
  	
    	$res_mess='<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Your Realwedding Edited Successfully.','weddlist').'</div>';	
    }
    else{
		$post = array(
			'post_title'	=> $add_title,
			'post_content'	=> $add_content,
			'post_status'	=> $new_status, 
			'post_type'     => 'realwedding' ,
			'post_author'   => $userID
		);
		$post_id =  wp_insert_post($post);  

	   	$res_mess='<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Your Realwedding Added Successfully.','weddlist').'</div>';	
    }
	
 	if($post_id)
	{	

		update_post_meta($post_id, 'wedding_date', $weddingdate);
		update_post_meta($post_id, 'wedding_place', $weddingplace);

		update_post_meta($post_id, 'realwedding_location', $realwedding_location);
		update_post_meta($post_id, 'realwedding_theme', $realwedding_theme);
		update_post_meta($post_id, 'realwedding_season', $realwedding_season);

		$location_ids = array_map( 'intval', array($realwedding_location) );
		$location_ids = array_unique( $location_ids );
		
		wp_set_object_terms( $post_id, $location_ids, 'realweddinglocation' );
		
		$theme_ids = array_map( 'intval', array($realwedding_theme) );
		$theme_ids = array_unique( $theme_ids );
		
		wp_set_object_terms( $post_id, $theme_ids, 'realweddingtheme' );	


		$season_ids = array_map( 'intval', array($realwedding_season) );
		$season_ids = array_unique( $season_ids );
		
		wp_set_object_terms( $post_id, $season_ids, 'realweddingseason' );	

		$color_ids = array_map( 'intval', $realwedding_color );
		$color_ids = array_unique( $color_ids );
		
		wp_set_object_terms( $post_id, $color_ids, 'realweddingcolor' );					

      
        $get_all_vendors_credits = array();

        foreach ( $_POST[ 'vendors_credits' ] as $key => $value) {
        
            $get_all_vendors_credits[]           =  array(
                'category_name'  => esc_attr( $value[ 'category_name' ] ),
                'business_name'  => esc_attr( $value[ 'business_name' ] ),
                'website_link' => esc_url( $value[ 'website_link' ] ),
            );
        }

		update_post_meta($post_id, 'vendors_credits', $get_all_vendors_credits);

		$attchs		=	explode(',',$_POST['attachid']);
		$last_id	=	'';			
		
		// check for deleted images
		$arguments = array(
					'numberposts'   => -1,
					'post_type'     => 'attachment',
					'post_parent'   => $post_id,
					'post_status'   => null,
					'orderby'       => 'menu_order',
					'order'         => 'ASC'
		);
		
		$post_attachments = get_posts($arguments);
			  
		$new_thumb=0;
		$curent_thumb=get_post_thumbnail_id($post_id);
		foreach ($post_attachments as $attachment){
			if ( !in_array ($attachment->ID,$attchs) ){
				wp_delete_post($attachment->ID);
				if( $curent_thumb == $attachment->ID ){
					$new_thumb=1;
				}
			}
		}	
			

	   if( isset( $_POST['attachid'] ) &&  isset($post_id) ){
	        $all_media = explode(',',$_POST['attachid']);
	        $order=1;
	        if(is_array($all_media)){
	            foreach($all_media as $value){
	                $order++;
	                $value=intval($value);
	                if($value!=0){
	                    wp_update_post( array(
	                        'ID'            =>  $value,
	                        'post_parent'   =>  $post_id,
	                        'menu_order'    =>  $order
	                ));

	                }

	            }
	        }
	    }		
			
		if( is_numeric($_POST['attachthumb']) && $_POST['attachthumb']!=''  ){
			set_post_thumbnail( $post_id, wp_kses($_POST['attachthumb'],$allowed_html )); 
		}else{
			set_post_thumbnail( $post_id, $last_id );                
		}
		
		echo $res_mess;

		$currentURL = '';
		$perma = '';
		$dashQuery = 'dashboard=';
		$currentURL = get_permalink();
		global $wp_rewrite;
		if ($wp_rewrite->permalink_structure == ''){
			$perma = "&";
		}else{
			$perma = "?";
		}			
		echo '<script> window.setTimeout(function () {	location.href = "'.esc_url($currentURL.$perma.$dashQuery.'realwedding').'";	}, 2500);</script>';	
	}
	 
	die();    	
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_add_listing ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_add_listing() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_add_listing', 'weddlist_ajax_add_listing' );
add_action( 'wp_ajax_weddlist_ajax_add_listing', 'weddlist_ajax_add_listing' );  

function weddlist_ajax_add_listing()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   			=   array();
	$userID         			=   $current_user->ID;    
	$add_title        			=   wp_kses( $_POST['add_title'] ,$allowed_html) ;
	$add_content      			=   wp_filter_nohtml_kses( $_POST['add_content']) ;
	$add_min_price    			=   wp_kses( $_POST['add_min_price'] ,$allowed_html) ;
	$add_max_price    			=   wp_kses( $_POST['add_max_price'] ,$allowed_html) ;
	$add_address    			=   wp_kses( $_POST['add_address'] ,$allowed_html) ;
	
	$add_video_url    			=   wp_kses( $_POST['add_video_url'] ,$allowed_html) ;

	$add_item_cat 				= 	$_POST['add_item_cat'];
	$item_location 				= 	$_POST['item_location'];	
	$featured_listing			= 	$_POST['featured_listing'];

	$item_website 				= 	$_POST['item_website'];
	$item_phone 				= 	$_POST['item_phone'];	
	$item_vendor_email			= 	$_POST['item_vendor_email'];

	$item_facebook 				= 	$_POST['item_facebook'];
	$item_twitter 				= 	$_POST['item_twitter'];	
	$item_instagram				= 	$_POST['item_instagram'];
	$item_linkedin				= 	$_POST['item_linkedin'];				

    $service_data 				= 	array();	
	$service_data['address']	= 	$_POST['add_address'];
	$service_data['latitude'] 	= 	$_POST['add_latitude'];
	$service_data['longitude']	= 	$_POST['add_longitude'];


	if($_POST['faq'])
	{
		$faqs['faq']=$_POST['faq'];
		$faqs['faqans']=$_POST['faqans'];		
	}
	else{
		$faqs[]=array();
	}

	check_ajax_referer( 'ajax-vendor-add-listing-nonce', 'security' );
	
	$new_item_status		= tg_option('new_item_status');

	if($new_item_status=='manually_approve')
	{
	    $new_status='pending';
	}
	else{
	    $new_status='publish';  
	}

	
	$post = array(
		'post_title'	=> $add_title,
		'post_content'	=> $add_content,
		'post_status'	=> $new_status, 
		'post_type'     => 'item' ,
		'post_author'   => $current_user->ID 
	);
	$post_id =  wp_insert_post($post);  
		
 	if($post_id)
	{	

		$featured_item_data['key']       = 'featured_item';
		$featured_item_data['value']     = 'on';
		$featured_item_data['compare']   = '=';
		$meta_query[]       = $featured_item_data;

		$args = array( 'post_type' => 'item','post_status'  => 'publish', 'posts_per_page' => -1,'orderby' => 'menu_order ID','order'   => 'ASC','author'=> $userID,    'meta_query' => $meta_query, );
		$featured_query = new WP_Query( $args );

		$total_user_added_featured_item=$featured_query->post_count;

		wp_reset_postdata();

		$user_featured_listing=get_user_meta( $userID, 'user_featured_listing', true ); 

		if(!empty($user_featured_listing) && $user_featured_listing!="-1")
		{
			if($total_user_added_featured_item<$user_featured_listing)
			{
				update_post_meta($post_id, 'featured_item', $featured_listing);
			}
			else{
				add_post_meta($post_id, 'featured_item', '1');
			}
		}
		else{
			add_post_meta($post_id, 'featured_item', '1');
		}
		update_post_meta($post_id, 'item_price', $add_min_price);
		update_post_meta($post_id, 'item_maxprice', $add_max_price);
		update_post_meta($post_id, 'item_address', $add_address);
		
		update_post_meta( $post_id, 'locators', $service_data );

		if(isset($service_data['address']))
		{
		update_post_meta( $post_id, 'map_address', $service_data['address'] );
		}
		if(isset($service_data['latitude']))
		{
		update_post_meta( $post_id, 'map_latitude', $service_data['latitude'] );
		}
		if(isset($service_data['longitude']))
		{
		update_post_meta( $post_id, 'map_longitude', $service_data['longitude'] );
		}

		update_post_meta($post_id, 'faqs', $faqs);

		update_post_meta($post_id, 'tab_item_video', $add_video_url);

		update_post_meta($post_id, 'item_website', $item_website);
		update_post_meta($post_id, 'item_phone', $item_phone);
		update_post_meta($post_id, 'item_vendor_email', $item_vendor_email);

		update_post_meta($post_id, 'item_facebook', $item_facebook);
		update_post_meta($post_id, 'item_twitter', $item_twitter);
		update_post_meta($post_id, 'item_instagram', $item_instagram);
		update_post_meta($post_id, 'item_linkedin', $item_linkedin);		

		$cat_ids = array_map( 'intval', array($add_item_cat) );
		$cat_ids = array_unique( $cat_ids );
		
		wp_set_object_terms( $post_id, $cat_ids, 'itemcategory' );
		
		$location_ids = array_map( 'intval', array($item_location) );
		$location_ids = array_unique( $location_ids );
		
		wp_set_object_terms( $post_id, $location_ids, 'location' );			
		
		$attchs		=	explode(',',$_POST['attachid']);
		$last_id	=	'';			
		
		// check for deleted images
		$arguments = array(
					'numberposts'   => -1,
					'post_type'     => 'attachment',
					'post_parent'   => $post_id,
					'post_status'   => null,
					'orderby'       => 'menu_order',
					'order'         => 'ASC'
		);
		
		$post_attachments = get_posts($arguments);
			  
		$new_thumb=0;
		$curent_thumb=get_post_thumbnail_id($post_id);
		foreach ($post_attachments as $attachment){
			if ( !in_array ($attachment->ID,$attchs) ){
				wp_delete_post($attachment->ID);
				if( $curent_thumb == $attachment->ID ){
					$new_thumb=1;
				}
			}
		}	
			

	   if( isset( $_POST['attachid'] ) &&  isset($post_id) ){
	        $all_media = explode(',',$_POST['attachid']);
	        $order=1;
	        if(is_array($all_media)){
	            foreach($all_media as $value){
	                $order++;
	                $value=intval($value);
	                if($value!=0){
	                    wp_update_post( array(
	                        'ID'            =>  $value,
	                        'post_parent'   =>  $post_id,
	                        'menu_order'    =>  $order
	                ));

	                }

	            }
	        }
	    }		
			
		if( is_numeric($_POST['attachthumb']) && $_POST['attachthumb']!=''  ){
			set_post_thumbnail( $post_id, wp_kses($_POST['attachthumb'],$allowed_html )); 
		}else{
			set_post_thumbnail( $post_id, $last_id );                
		}

		if($new_item_status=='manually_approve')
		{
			$new_item_status_admin_email=tg_option('new_item_status_admin_email');
			if($new_item_status_admin_email==1)
			{
			    weddlist_item_add_new_admin_approve_email($post_id);  
			}
		}
		
		if($new_item_status=='manually_approve')
		{
			echo '<div class="alert alert-info" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Your Listing Added Successfully.Please wait for admin approval.','weddlist').'</div>';		
		}
		else{
			echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Your Listing Added Successfully.','weddlist').'</div>';		
		}	

		$currentURL = '';
		$perma = '';
		$dashQuery = 'dashboard=';
		$currentURL = get_permalink();
		global $wp_rewrite;
		if ($wp_rewrite->permalink_structure == ''){
			$perma = "&";
		}else{
			$perma = "?";
		}			
		echo '<script> window.setTimeout(function () {	location.href = "'.esc_url($currentURL.$perma.$dashQuery.'managelisting').'";	}, 500);</script>';	
	}
	 
	die();    	
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_edit_listing ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run wp_ajax_nopriv_weddlist_ajax_edit_listing() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_listing', 'weddlist_ajax_edit_listing' );
add_action( 'wp_ajax_weddlist_ajax_edit_listing', 'weddlist_ajax_edit_listing' );  

function weddlist_ajax_edit_listing()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   			=   array();
	$userID         			=   $current_user->ID;    
	$add_title        			=   wp_kses( $_POST['add_title'] ,$allowed_html) ;
	$add_content      			=   $_POST['add_content'] ;

	$add_min_price    			=   wp_kses( $_POST['add_min_price'] ,$allowed_html) ;
	$add_max_price    			=   wp_kses( $_POST['add_max_price'] ,$allowed_html) ;
	$add_address    			=   wp_kses( $_POST['add_address'] ,$allowed_html) ;
	
	$add_video_url    			=   wp_kses( $_POST['add_video_url'] ,$allowed_html) ;

	$item_website 				= 	$_POST['item_website'];
	$item_phone 				= 	$_POST['item_phone'];	
	$item_vendor_email			= 	$_POST['item_vendor_email'];

	$item_facebook 				= 	$_POST['item_facebook'];
	$item_twitter 				= 	$_POST['item_twitter'];	
	$item_instagram				= 	$_POST['item_instagram'];
	$item_linkedin				= 	$_POST['item_linkedin'];	

	$featured_listing			= 	$_POST['featured_listing'];

	$add_item_cat 				= 	$_POST['add_item_cat'];
	$item_location 				= 	$_POST['item_location'];	
	$edit_id 					= 	$_POST['edit_id'];
				
    $service_data 				= 	array();
	$service_data['address'] 	= 	$_POST['add_address'];
	$service_data['latitude'] 	= 	$_POST['add_latitude'];
	$service_data['longitude']	= 	$_POST['add_longitude'];

	if($_POST['faq'])
	{
		$faqs['faq']=$_POST['faq'];
		$faqs['faqans']=$_POST['faqans'];		
	}
	else{
		$faqs[]=array();
	}

	check_ajax_referer( 'ajax-vendor-add-listing-nonce', 'security' );

	$new_item_status		= tg_option('new_item_status');

	if($new_item_status=='manually_approve')
	{
	    $new_status='pending';
	}
	else{
	    $new_status='publish';  
	}
	
	
	$post = array(
  	    'ID'            => $edit_id,
		'post_title'	=> $add_title,
		'post_content'	=> $add_content,
		'post_status'	=> $new_status, 
		'post_type'     => 'item' 
	);
	$post_id =  wp_update_post($post);  	

	$post_id = $edit_id ;


	$featured_item_data['key']       = 'featured_item';
	$featured_item_data['value']     = 'on';
	$featured_item_data['compare']   = '=';
	$meta_query[]       = $featured_item_data;

	$args = array( 'post_type' => 'item','post_status'  => 'publish', 'posts_per_page' => -1,'orderby' => 'menu_order ID','order'   => 'ASC','author'=> $userID,    'meta_query' => $meta_query, );
	$featured_query = new WP_Query( $args );

	$total_user_added_featured_item=$featured_query->post_count;

	wp_reset_postdata();

	$user_featured_listing=get_user_meta( $userID, 'user_featured_listing', true ); 

	if(!empty($user_featured_listing) && $user_featured_listing!="-1")
	{
		if($total_user_added_featured_item<=$user_featured_listing)
		{
			update_post_meta($post_id, 'featured_item', $featured_listing);
		}
	}

	update_post_meta($post_id, 'item_price', $add_min_price);
	update_post_meta($post_id, 'item_maxprice', $add_max_price);
	update_post_meta($post_id, 'item_address', $add_address);

	update_post_meta($post_id, 'locators', $service_data );

	if(isset($service_data['address']))
	{
	update_post_meta( $post_id, 'map_address', $service_data['address'] );
	}
	if(isset($service_data['latitude']))
	{
	update_post_meta( $post_id, 'map_latitude', $service_data['latitude'] );
	}
	if(isset($service_data['longitude']))
	{
	update_post_meta( $post_id, 'map_longitude', $service_data['longitude'] );
	}

	update_post_meta($post_id, 'faqs', $faqs);

	update_post_meta($post_id, 'tab_item_video', $add_video_url);

	update_post_meta($post_id, 'item_website', $item_website);
	update_post_meta($post_id, 'item_phone', $item_phone);
	update_post_meta($post_id, 'item_vendor_email', $item_vendor_email);

	update_post_meta($post_id, 'item_facebook', $item_facebook);
	update_post_meta($post_id, 'item_twitter', $item_twitter);
	update_post_meta($post_id, 'item_instagram', $item_instagram);
	update_post_meta($post_id, 'item_linkedin', $item_linkedin);		

	$cat_ids = array_map( 'intval', array($add_item_cat) );
	$cat_ids = array_unique( $cat_ids );

	wp_set_object_terms( $post_id, $cat_ids, 'itemcategory' );
	
	$location_ids = array_map( 'intval', array($item_location) );
	$location_ids = array_unique( $location_ids );

	wp_set_object_terms( $post_id, $location_ids, 'location' );				
	
	$attchs=explode(',',$_POST['attachid']);
	$last_id='';			

	// check for deleted images
	$arguments = array(
				'numberposts'   => -1,
				'post_type'     => 'attachment',
				'post_parent'   => $post_id,
				'post_status'   => null,
				'orderby'       => 'menu_order',
				'order'         => 'ASC'
	);
	$post_attachments = get_posts($arguments);
		  
	$new_thumb=0;
	$curent_thumb=get_post_thumbnail_id($post_id);
	foreach ($post_attachments as $attachment){
		if ( !in_array ($attachment->ID,$attchs) ){
			wp_delete_post($attachment->ID);
			if( $curent_thumb == $attachment->ID ){
				$new_thumb=1;
			}
		}
	}
		
	   if( isset( $_POST['attachid'] ) &&  isset($post_id) ){
	        $all_media = explode(',',$_POST['attachid']);
	        $order=1;
	        if(is_array($all_media)){
	            foreach($all_media as $value){
	                $order++;
	                $value=intval($value);
	                if($value!=0){
	                    wp_update_post( array(
	                        'ID'            =>  $value,
	                        'post_parent'   =>  $post_id,
	                        'menu_order'    =>  $order
	                ));

	                }

	            }
	        }
	    }	
		
		if( is_numeric($_POST['attachthumb']) && $_POST['attachthumb']!=''  ){
			set_post_thumbnail( $post_id, wp_kses($_POST['attachthumb'],$allowed_html )); 
		}else{
			set_post_thumbnail( $post_id, $last_id );                
		}			

		if($new_item_status=='manually_approve')
		{
			$new_item_status_admin_email=tg_option('new_item_status_admin_email');
			if($new_item_status_admin_email==1)
			{
			    weddlist_item_add_new_admin_approve_email($post_id);  
			}
		}
		
		if($new_item_status=='manually_approve')
		{
			echo '<div class="alert alert-info" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Your Listing Edited Successfully.Please wait for admin approval.','weddlist').'</div>';		
		}
		else{

			echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Your Listing Edited Successfully.','weddlist').'</div>';

	 	}

	die();    	
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_delete_listing ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run wp_ajax_nopriv_weddlist_ajax_delete_listing() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_listing', 'weddlist_ajax_delete_listing' );
add_action( 'wp_ajax_weddlist_ajax_delete_listing', 'weddlist_ajax_delete_listing' );  

function weddlist_ajax_delete_listing()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   =   array();
	$userID         =   $current_user->ID;    
	$delete_id      =   $_POST['delete_id'];

	//check_ajax_referer( 'ajax-vendor-add-listing-nonce', 'security' );

	$post_id =  wp_trash_post($delete_id);  	

	echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Listing Deleted.','weddlist').'</div>';				
	 
	die();    	
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_delete_realwedding ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_delete_realwedding() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_realwedding', 'weddlist_ajax_delete_realwedding' );
add_action( 'wp_ajax_weddlist_ajax_delete_realwedding', 'weddlist_ajax_delete_realwedding' );  

function weddlist_ajax_delete_realwedding()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   =   array();
	$userID         =   $current_user->ID;    
	$delete_id      =   $_POST['delete_id'];

	$post_id =  wp_trash_post($delete_id);  	

	echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Realwedding Deleted.','weddlist').'</div>';				
	 
	die();    	
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_add_review ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_add_review() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_add_review', 'weddlist_ajax_add_review' );
add_action( 'wp_ajax_weddlist_ajax_add_review', 'weddlist_ajax_add_review' );  

function weddlist_ajax_add_review()
{
	global $current_user,$weddlist;
	wp_get_current_user();
	$allowed_html   			=   array();
	$userID         			=   $current_user->ID;
	$couple_user_email   		=   $current_user->user_email;
	$couple_user_login   		=   $current_user->user_login;
	
	$review_title        		=   wp_kses( $_POST['review_title'] ,$allowed_html) ;
	$review_description      	=   wp_filter_nohtml_kses( $_POST['review_description']) ;

	$rating 					= 	$_POST['rating'];
	$item_id 					= 	$_POST['item_id'];

	check_ajax_referer( 'ajax-add-review-nonce', 'security' );

	if( isset($item_id)  && is_numeric($item_id) ){

		$price['key']       = 'item_id';
		$price['value']     = $item_id;
		$price['compare']   = '=';
		$meta_query[]       = $price;
	}	

	$args = array(
		'post_type'  => 'wl-reviews',
		'orderby'    => 'date',
		'order'      => 'ASC',
		'post_status'	=> 'publish',
		'post_author'   => $userID,
		'posts_per_page'=>1,
		'meta_query' => $meta_query,	
		);

	$post = new WP_Query( $args );
	
	$total_element=$post->found_posts;

	//if($total_element==0)
	//{
	    $new_status='publish';  
		
		$post = array(
			'post_title'	=> $review_title,
			'post_content'	=> $review_description,
			'post_status'	=> $new_status, 
			'post_type'     => 'wl-reviews' ,
			'post_author'   => $current_user->ID 
		);
		$post_id =  wp_insert_post($post);  
			
	 	if($post_id)
		{
			update_post_meta($post_id, 'rating', $rating);
			update_post_meta($post_id, 'item_id', $item_id);
			
			if(function_exists('weddlist_rating_add_on_listing'))
			{
				weddlist_rating_add_on_listing($post_id,$item_id);

				$vendorID 		= get_post_field( 'post_author', $item_id );
				$vendor_email	= get_the_author_meta( 'user_email', $vendorID );

				// Email Subject
				$subject = $weddlist['weddlist_subject_listing_review'];
				$website_url = site_url();
				$website_name = get_option('blogname');

				$formated_subject = weddlist_sprintf("$subject", array(
					'website_url' => "$website_url",
					'website_name' => "$website_name",
					'review_url' => "$review_url",
					'review_title' => "$review_title",
					'review_listing_name' => get_the_title($item_id),
				));
				
				$mail_content = $weddlist['weddlist_content_listing_review'];
				
				$formated_mail_content = weddlist_sprintf("$mail_content", array(
					'website_url' => "$website_url",
					'website_name' => "$website_name",
					'user_email' => "$couple_user_email",
					'user_name' => "$couple_user_login",
					'review_listing_name' => get_the_title($item_id),
					'review_rating' => "$rating",
					'review_title' => "$review_title",
					'review_description' => $_POST['review_description'],
					'review_url' => get_permalink($item_id)
				));

				$headers[] = 'Content-Type: text/html; charset=UTF-8';
				weddlist_header_email_append_filter();
				wp_mail($vendor_email,$formated_subject,$formated_mail_content,$headers);	

			}

			echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
				<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Review has been submitted successfully.','weddlist').'</div>';		
		}
	/*
	}else{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
				<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Sorry, You already added Review for this item!','weddlist').'</div>';		
	} 
	*/

	die();    	
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_edit_review ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_edit_review() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_review', 'weddlist_ajax_edit_review' );
add_action( 'wp_ajax_weddlist_ajax_edit_review', 'weddlist_ajax_edit_review' );  

function weddlist_ajax_edit_review()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   			=   array();
	$userID         			=   $current_user->ID;    
	$review_title  				=   wp_kses( $_POST['review_title'] ,$allowed_html) ;
	$review_description      	=   wp_filter_nohtml_kses( $_POST['review_description']) ;

	$rating 					= 	$_POST['rating'];
	$review_id 					= 	$_POST['review_id'];

    $new_status					=	'publish';  
	
	$post = array(
		'ID'			=> $review_id,
		'post_title'	=> $review_title,
		'post_type'     => 'wl-reviews',		
		'post_status'	=> $new_status, 		
		'post_content'	=> $review_description,
	);
	$post_id =  wp_update_post($post);  	

		
 	if($post_id)
	{
		update_post_meta($post_id, 'rating', $rating);
	
	}
	 
	die();    	
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_change_password ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_change_password() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_change_password', 'weddlist_ajax_change_password' );
add_action( 'wp_ajax_weddlist_ajax_change_password', 'weddlist_ajax_change_password' );  

function weddlist_ajax_change_password()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   =   array();
	$userID         =   $current_user->ID;    
	$old_pwd        =   wp_kses( $_POST['old_pwd'] ,$allowed_html) ;
	$new_pwd        =   wp_kses( $_POST['new_pwd'] ,$allowed_html) ;
	$confirm_pwd    =   wp_kses( $_POST['confirm_pwd'] ,$allowed_html) ;
	
	if($new_pwd=='' || $confirm_pwd=='' ){
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>'.esc_html__('The new password is blank','weddlist').'</div>';
		die();
	}
   
	if($new_pwd != $confirm_pwd){
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>'.esc_html__('New Password and confirm password do not match','weddlist').'</div>';
		die();
	}
	check_ajax_referer( 'ajax-vendor-change-pwd-nonce', 'security' );
	
	$user = get_user_by( 'id', $userID );
	if ( $user && wp_check_password( $old_pwd, $user->data->user_pass, $user->ID) ){
		 wp_set_password( $new_pwd, $user->ID );
		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>'.esc_html__('Password Updated.Please login again.','weddlist').'</div>';
	}else{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>'.esc_html__('Old Password is not correct','weddlist').'</div>';
	}
 
	die();    	
}



////////////////////////////////////////////////////////////////////////
////
////               weddlist_review_counter ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_review_counter() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_review_counter', 'weddlist_review_counter' );
add_action( 'wp_ajax_weddlist_review_counter', 'weddlist_review_counter' );  

function weddlist_review_counter()
{
	global $current_user;
	wp_get_current_user();
	$allowed_html   =   array();
	$userID         =   $current_user->ID;    

	$reviewID = $_POST['reviewID'];
	$currentScore = $_POST['currentVal'];
	$type = $_POST['type'];
	$oldScore = $currentScore;

	if(!empty($currentScore)){
		$currentScore++;
	}
	else{
		$currentScore = 1;
	}	
 
	$cookie_name = $type.$reviewID;
	$cookie_value = true;
	$reactionCookie = (isset($_COOKIE[$cookie_name])) ? $_COOKIE[$cookie_name] : array();
	$response ='';
	
	if(empty($reactionCookie)){
		setcookie($cookie_name , $cookie_value , time() + (3600 * 24 * 30));

		$key = 'review_'.$type;
		update_post_meta( $reviewID, $key, $currentScore); 				
		$response = json_encode(array('id'=>$reviewID , 'newscore'=>$currentScore, 'errors'=> 'no', 'cookieArray'=>$reactionCookie,'type'=>$type));		

	}
	else{
		$response = json_encode(array('id'=>$reviewID , 'newscore'=>$oldScore, 'errors'=> 'yes', 'cookieArray'=>$reactionCookie,'type'=>$type));		
	}
 	echo $response;
	die();    	
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_sendme ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_sendme() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_sendme', 'weddlist_ajax_sendme' );
add_action( 'wp_ajax_weddlist_ajax_sendme', 'weddlist_ajax_sendme' );  

function weddlist_ajax_sendme()
{
	global $current_user,$weddlist,$wpdb;
	wp_get_current_user();
	
	$allowed_html   =   array();

	$userID         	=   $current_user->ID;    
	$vendorid			= 	$_POST['vendorid'];	
	$client_name    	=   wp_kses( $_POST['name'] ,$allowed_html) ;
	$client_phone		=   wp_kses( $_POST['phone'] ,$allowed_html) ;
	$client_email    	=   wp_kses( $_POST['email'] ,$allowed_html) ;
	$client_wedding_date=   $_POST['date'];
	$client_message		=   wp_kses( $_POST['details'] ,$allowed_html);
	$listing_name 		=   get_the_title($_POST['post_id']) ;
	$client_contact		=	$_POST['sendme'];
	$listing_url		=	esc_url($_POST['item_url']);
	$vendor_email 		=	$_POST['user_email_id'];

	$post_id 			= 	$_POST['post_id'];	

	// Email Subject
	$subject = $weddlist['weddlist_subject_listing_vendor_enquiry'];
	$website_url = site_url();
	$website_name = get_option('blogname');

	$message_details =	'Name:'.$client_name.' Phone:'.$client_phone.' Wedding Date:'.$client_wedding_date.' Listing URL:'.$listing_url.' Message:'.$client_message;

	$formated_subject = weddlist_sprintf("$subject", array(
		'website_url' => "$website_url",
		'website_name' => "$website_name",
		'listing_name' => "$listing_name",
		'listing_url' => "$listing_url",
		'vendor_email' => "$vendor_email",
	));
	
	$mail_content = $weddlist['weddlist_content_listing_vendor_enquiry'];
	
	$formated_mail_content = weddlist_sprintf("$mail_content", array(
		'website_url' => "$website_url",
		'website_name' => "$website_name",
		'listing_name' => "$listing_name",
		'listing_url' => "$listing_url",
		'vendor_email' => "$vendor_email",
		'client_name' => "$client_name",
		'client_email' => "$client_email",
		'client_phone' => "$client_phone",
		'client_wedding_date' => "$client_wedding_date",
		'client_contact' => "$client_contact",
		'client_message' => "$client_message",
	));

	$table_weddlist_quotes = $wpdb->prefix . 'weddlist_quotes';

	$create_date = date('Y-m-d h:i:s');

	$wpdb->insert( 

	$table_weddlist_quotes, 

		array( 
			'quotes_coupleid' => $userID,
			'quotes_vendorid' => $vendorid,
			'quotes_itemid' => $post_id,
			'quotes_couple_name' => $client_name,
			'quotes_couple_email' => $client_email,
			'quotes_couple_phone' => $client_phone,
			'quotes_couple_weddingdate' => $client_wedding_date,
			'quotes_couple_contactvia' => $client_contact,
			'quotes_details' => $client_message,
			'quotes_datetime' => $create_date,
		), 
		array( 
			'%d',
			'%d',
			'%d',
			'%s',
			'%s',
			'%s',
			'%s',
			'%s',
			'%s',
			'%s',
		) 

	);

	$headers[] = 'Content-Type: text/html; charset=UTF-8';

	weddlist_header_email_append_filter();
	$mail = wp_mail($vendor_email,$formated_subject,$formated_mail_content,$headers);	

	if($mail)
	{
		$on_off_admin_copy = $weddlist['weddlist_listing_vendor_enquiry_admin_copy_enable'];
		if($on_off_admin_copy==1)
		{
			wp_mail(get_option('admin_email'), $formated_subject, $formated_mail_content, $headers);
		}



		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Your request has been successfully sent to vendor.','weddlist').'</div>';	

		$couple_inquiry=get_user_meta( $vendorid, 'couple_inquiry',true) ;
	
		if(!empty($couple_inquiry))
		{
			$final_couple_inquiry=$couple_inquiry+1;
			update_user_meta( $vendorid, 'couple_inquiry', $final_couple_inquiry) ;
		}
		else
		{
			update_user_meta( $vendorid, 'couple_inquiry', 1 ) ;
		}
	}
	else{
		echo '<div class="alert alert-warning" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Fail, Please try again.','weddlist').'</div>';			
	}	 
	die();    	
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_add_wishlist ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_add_wishlist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_add_wishlist', 'weddlist_ajax_add_wishlist' );
add_action( 'wp_ajax_weddlist_ajax_add_wishlist', 'weddlist_ajax_add_wishlist' );  

function weddlist_ajax_add_wishlist()
{
	global $current_user;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $user_wishlist=get_user_meta( $userid, 'user_wishlist',true) ;

	if(!empty($user_wishlist))
	{
		$user_wishlist_data=explode(",",$user_wishlist);
		if(!in_array($itemid,$user_wishlist_data))
		{
			array_push($user_wishlist_data,$itemid);
		}
	 	update_user_meta( $userid, 'user_wishlist', implode(",",$user_wishlist_data)) ;
	}
	else
	{
	 	update_user_meta( $userid, 'user_wishlist', $itemid ) ;
	}
	
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_remove_wishlist ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_remove_wishlist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_remove_wishlist', 'weddlist_ajax_remove_wishlist' );
add_action( 'wp_ajax_weddlist_ajax_remove_wishlist', 'weddlist_ajax_remove_wishlist' );  

function weddlist_ajax_remove_wishlist()
{
	global $current_user;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $user_wishlist=get_user_meta( $userid, 'user_wishlist',true) ;

	$user_wishlist_data=explode(",",$user_wishlist);
	if(in_array($itemid,$user_wishlist_data))
	{
		foreach ($user_wishlist_data as $key => $value){
			if ($value == $itemid) {
				unset($user_wishlist_data[$key]);
			}
		}		
	}
	update_user_meta( $userid, 'user_wishlist', implode(",",$user_wishlist_data)) ;
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_guestlist  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_guestlist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_guestlist', 'weddlist_ajax_guestlist' );
add_action( 'wp_ajax_weddlist_ajax_guestlist', 'weddlist_ajax_guestlist' );  

function weddlist_ajax_guestlist()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userID         =   $current_user->ID;
	check_ajax_referer( 'ajax-user-guestlist-nonce', 'security' );
	$allowed_html   =   array();

	$guestname  =  wp_kses( $_POST['guestname'] ,$allowed_html) ;
	$guestemail   =  wp_kses( $_POST['guestemail'] ,$allowed_html) ;
	$guestphone   =  wp_kses( $_POST['guestphone'] ,$allowed_html) ;

	$guestmembers  =  wp_kses( $_POST['guestmembers'] ,$allowed_html) ;
	$guestinvitestatus   =  wp_kses( $_POST['guestinvitestatus'] ,$allowed_html) ;
	$guestceremony   =  wp_kses( $_POST['guestceremony'] ,$allowed_html) ;
	$guestreception   =  wp_kses( $_POST['guestreception'] ,$allowed_html) ;


	$guestdetail =  $_POST['guestdetail'] ;
	
    $guestlist_table = $wpdb->prefix."guestlist";
	

	if(empty($guestname))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Guest Family Name.','weddlist').'</div>';			
		
	}
	else if(empty($guestemail))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Guest Email.','weddlist').'</div>';			
		
	}
	else if(!is_email($guestemail))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Correct Email.','weddlist').'</div>';					
	}
	else if(empty($guestphone))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Guest Phone.','weddlist').'</div>';			
		
	}
	else{

		$wpdb->insert( 
			$guestlist_table, 
			array( 
				'guest_user' => $userID,
				'guest_familyname' => $guestname, 
				'guest_email' => $guestemail,
				'guest_phone' => $guestphone, 

				'guest_member' => $guestmembers, 
				'guest_invited' => $guestinvitestatus,
				'guest_event_ceremony' => $guestceremony, 
				'guest_event_reception' => $guestreception, 
				'guest_details' => $guestdetail, 
			), 
			array( 
				'%d',
				'%s',	
				'%s', 
				'%s', 
				'%d',
				'%d',
				'%d',
				'%d',
				'%s', 

			) 
		);

		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Guest List Added Successfully.','weddlist').'</div>';	
	}	 

	die();
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_edit_guestlist  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_edit_guestlist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_guestlist', 'weddlist_ajax_edit_guestlist' );
add_action( 'wp_ajax_weddlist_ajax_edit_guestlist', 'weddlist_ajax_edit_guestlist' );  

function weddlist_ajax_edit_guestlist()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userID         =   $current_user->ID;
	check_ajax_referer( 'ajax-user-guestlist-nonce', 'security' );
	$allowed_html   =   array();

	$guestname  =  wp_kses( $_POST['guestname'] ,$allowed_html) ;
	$guestemail   =  wp_kses( $_POST['guestemail'] ,$allowed_html) ;
	$guestphone   =  wp_kses( $_POST['guestphone'] ,$allowed_html) ;

	$guestmembers  =  wp_kses( $_POST['guestmembers'] ,$allowed_html) ;
	$guestinvitestatus   =  wp_kses( $_POST['guestinvitestatus'] ,$allowed_html) ;
	$guestceremony   =  wp_kses( $_POST['guestceremony'] ,$allowed_html) ;
	$guestreception   =  wp_kses( $_POST['guestreception'] ,$allowed_html) ;

	$guestreception   =  wp_kses( $_POST['guestreception'] ,$allowed_html) ;

	$guestid   =  wp_kses( $_POST['guestid'] ,$allowed_html) ;

	$guestdetail =  $_POST['guestdetail'] ;
	
    $guestlist_table = $wpdb->prefix."guestlist";
	

	if(empty($guestname))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Guest Family Name.','weddlist').'</div>';			
		
	}
	else if(empty($guestemail))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Guest Email.','weddlist').'</div>';			
		
	}
	else if(!is_email($guestemail))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Correct Email.','weddlist').'</div>';					
	}
	else if(empty($guestphone))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Guest Phone.','weddlist').'</div>';			
		
	}
	else{

	$wpdb->update( 
			$guestlist_table, 
			array( 
				'guest_familyname' => $guestname, 
				'guest_email' => $guestemail,
				'guest_phone' => $guestphone, 

				'guest_member' => $guestmembers, 
				'guest_invited' => $guestinvitestatus,
				'guest_event_ceremony' => $guestceremony, 
				'guest_event_reception' => $guestreception, 
				'guest_details' => $guestdetail, 
			), 
			array( 
				'guest_id' => $guestid,
				'guest_user' => $userID,				 
			), 
			array( 
				'%s',	
				'%s', 
				'%s', 
				'%d',
				'%d',
				'%d',
				'%d',
				'%s', 
			),
			array( 
				'%d',
				'%d', 
			) 		 
		);

		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Guest List Edited Successfully.','weddlist').'</div>';	
	}	 

	die();
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_todolist  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_todolist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_todolist', 'weddlist_ajax_todolist' );
add_action( 'wp_ajax_weddlist_ajax_todolist', 'weddlist_ajax_todolist' );  

function weddlist_ajax_todolist()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userID         =   $current_user->ID;
	check_ajax_referer( 'ajax-user-todolist-nonce', 'security' );
	$allowed_html   =   array();

	$todotitle  =  wp_kses( $_POST['todotitle'] ,$allowed_html) ;
	$tododate   =  wp_kses( $_POST['tododate'] ,$allowed_html) ;
	$tododetail =  $_POST['tododetail'] ;
	
    $todolist_table = $wpdb->prefix."todolist";
	

	if(empty($todotitle))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Add Task Date.','weddlist').'</div>';			
		
	}
	else if(empty($tododate))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Select Task Date.','weddlist').'</div>';			
		
	}
	else if(empty($tododetail))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Task Description.','weddlist').'</div>';			
		
	}
	else{

		$wpdb->insert( 
			$todolist_table, 
			array( 
				'todo_user' => $userID,
				'todo_title' => $todotitle, 
				'todo_date' => $tododate,
				'todo_details' => $tododetail 
			), 
			array( 
				'%d',
				'%s',	
				'%s', 
				'%s' 
			) 
		);

		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('To Do List Added Successfully.','weddlist').'</div>';	
	}	 

	die();
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_edit_todolist  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_edit_todolist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_todolist', 'weddlist_ajax_edit_todolist' );
add_action( 'wp_ajax_weddlist_ajax_edit_todolist', 'weddlist_ajax_edit_todolist' );  

function weddlist_ajax_edit_todolist()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userID         =   $current_user->ID;

	$allowed_html   =   array();

	$todotitle  	=  wp_kses( $_POST['todotitle'] ,$allowed_html) ;
	$tododate   	=  wp_kses( $_POST['tododate'] ,$allowed_html) ;
	$tododetail 	=  $_POST['tododetail'];
	$todoid 		=  $_POST['todoid'];
	
    $todolist_table = $wpdb->prefix."todolist";	

	if(empty($todotitle))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Add Task Date.','weddlist').'</div>';					
	}
	else if(empty($tododate))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Select Task Date.','weddlist').'</div>';			
		
	}
	else if(empty($tododetail))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Task Description.','weddlist').'</div>';			
		
	}
	else{

	$wpdb->update( 
		$todolist_table, 
		array( 
			'todo_title' => $todotitle, 
			'todo_date' => $tododate,
			'todo_details' => $tododetail 
		), 
		array( 
			'todo_id' => $todoid,
			'todo_user' => $userID, 
		), 
		array( 
			'%s',	
			'%s', 
			'%s' 
		),
		array( 
			'%d',
			'%d', 
		) 		 
	);

		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('To Do List Edited Successfully.','weddlist').'</div>';	
	}	 

	die();
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_budget  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_budget() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_budget', 'weddlist_ajax_budget' );
add_action( 'wp_ajax_weddlist_ajax_budget', 'weddlist_ajax_budget' );  

function weddlist_ajax_budget()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userID         	=   $current_user->ID;
	check_ajax_referer( 'ajax-user-budget-nonce', 'security' );
	$allowed_html   	=   array();

	$date  				=	date('Y-m-d');
	$budget_category	=	$_POST['budget_category'] ;
	
    $budget_category_table = $wpdb->prefix."budget_category";

	if(empty($budget_category))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Please Enter Category.','weddlist').'</div>';			
		
	}
	else{

	$wpdb->insert( 
		$budget_category_table, 
		array( 
			'category_user_id' => $userID,
			'category_name' => $budget_category,
			'category_date' => $date,
		), 
		array( 
			'%d',
			'%s', 
			'%s' 
		) 
	);
		echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>
		</button>'.esc_html__('Category Added Successfully.','weddlist').'</div>';	
	}	 

	die();
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_insert_budget_list  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_insert_budget_list() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_insert_budget_list', 'weddlist_ajax_insert_budget_list' );
add_action( 'wp_ajax_weddlist_ajax_insert_budget_list', 'weddlist_ajax_insert_budget_list' );  

function weddlist_ajax_insert_budget_list()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userid         =   $current_user->ID;
	$allowed_html   =	array();

	$item_name  	=	wp_kses( $_POST['item_name'] ,$allowed_html) ;
	$item_estimate  =	$_POST['item_estimate'];
	$item_actual 	=	$_POST['item_actual'] ;
	$item_paid 		=	$_POST['item_paid'] ;
	$item_category 	=	$_POST['item_category'] ;
	
    $budget_list_table = $wpdb->prefix."budget_list";
	
	$wpdb->insert( 
		$budget_list_table, 
		array( 
			'budget_list_category_id' => $item_category,
			'budget_list_user_id' => $userid,
			'budget_list_name' => $item_name, 
			'budget_list_estimate_cost' => $item_estimate,
			'budget_list_actual_cost' => $item_actual,
			'budget_list_paid_cost' => $item_paid,
			'budget_list_date' => date('Y-m-d')
		), 
		array( 
			'%d',
			'%d',
			'%s',
			'%d',
			'%d',	
			'%d',
			'%s'  
		) 
	);

	if(function_exists('get_couple_budget_link'))
	{
		$get_couple_budget_link=get_couple_budget_link();
	}
	
	echo json_encode(array('budget_url'=>$get_couple_budget_link['url']));		

	die();
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_edit_budget  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_edit_budget() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_budget', 'weddlist_ajax_edit_budget' );
add_action( 'wp_ajax_weddlist_ajax_edit_budget', 'weddlist_ajax_edit_budget' );  

function weddlist_ajax_edit_budget()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userID         =   $current_user->ID;
	check_ajax_referer( 'ajax-user-budget-nonce', 'security' );
	$allowed_html   =   array();

	$budget_category =  $_POST['budget_category'];
	$category_id =  $_POST['category_id'];
	
    $budget_category_table = $wpdb->prefix."budget_category";
	
	$wpdb->update( 
		$budget_category_table, 
		array( 
			'category_name' => $budget_category, 
		), 
		array( 
			'category_id' => $category_id 
		), 
		array( 
			'%s' 
		),
		array( 
			'%s' 
		) 		 
	);

	echo json_encode(array('loggedin'=>false, 'message'=>esc_html__('Category Edited Successfully.','weddlist')));
	die();
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_delete_budget_list ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_delete_budget_list() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_budget_list', 'weddlist_ajax_delete_budget_list' );
add_action( 'wp_ajax_weddlist_ajax_delete_budget_list', 'weddlist_ajax_delete_budget_list' );  

function weddlist_ajax_delete_budget_list()
{
	global $current_user,$wpdb;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

	$budget_list_table = $wpdb->prefix."budget_list";

	$wpdb->delete( $budget_list_table, array( 'budget_list_id' => $itemid,'budget_list_user_id' => $userid ), array( '%s','%s' ) );	

	if(function_exists('get_couple_budget_link'))
	{
		$get_couple_budget_link=get_couple_budget_link();
	}
	
	echo json_encode(array('budget_url'=>$get_couple_budget_link['url']));	

	die();
}


////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_delete_budget ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_delete_budget() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_budget', 'weddlist_ajax_delete_budget' );
add_action( 'wp_ajax_weddlist_ajax_delete_budget', 'weddlist_ajax_delete_budget' );  

function weddlist_ajax_delete_budget()
{
	global $current_user,$wpdb;;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $budget_category_table = $wpdb->prefix."budget_category";
	$budget_list_table = $wpdb->prefix."budget_list";

	$wpdb->delete( $budget_category_table, array( 'category_id' => $itemid,'category_user_id' => $userid ), array( '%s','%s' ) );
	$wpdb->delete( $budget_list_table, array( 'budget_list_category_id' => $itemid,'budget_list_user_id' => $userid ), array( '%s','%s' ) );	

	if(function_exists('get_couple_budget_link'))
	{
		$get_couple_budget_link=get_couple_budget_link();
	}
	
	echo json_encode(array('budget_url'=>$get_couple_budget_link['url']));	
	die();
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_edit_budget_list  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_edit_budget_list() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_budget_list', 'weddlist_ajax_edit_budget_list' );
add_action( 'wp_ajax_weddlist_ajax_edit_budget_list', 'weddlist_ajax_edit_budget_list' );  

function weddlist_ajax_edit_budget_list()
{
	global $current_user,$wpdb;

	wp_get_current_user();
	$userid         =	$current_user->ID;
	$allowed_html   =   array();

	$item_name  	=	wp_kses( $_POST['item_name'] ,$allowed_html) ;
	$item_estimate  =	$_POST['item_estimate'];
	$item_actual 	=	$_POST['item_actual'] ;
	$item_paid 		=	$_POST['item_paid'] ;
	$itemid 		=	$_POST['itemid'] ;
	
    $budget_list_table = $wpdb->prefix."budget_list";

	$wpdb->update( 
		$budget_list_table, 
		array( 
			'budget_list_name' => $item_name, 
			'budget_list_estimate_cost' => $item_estimate,
			'budget_list_actual_cost' => $item_actual,
			'budget_list_paid_cost' => $item_paid,
		), 
		array( 'budget_list_id' => $itemid,'budget_list_user_id' => $userid ), 
		array( 
			'%s',
			'%s',
			'%s',
			'%s',	
		), 
		array( '%s','%s' ) 
	);
	

	echo json_encode(array('loggedin'=>false, 'message'=>esc_html__('Budget Item Edited Successfully.','weddlist')));
	die();
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_pricing_free_plan  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_pricing_free_plan() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_pricing_free_plan', 'weddlist_ajax_pricing_free_plan' );
add_action( 'wp_ajax_weddlist_ajax_pricing_free_plan', 'weddlist_ajax_pricing_free_plan' );  

function weddlist_ajax_pricing_free_plan()
{
	global $current_user,$wpdb;
	

	wp_get_current_user();
	$userID         =	$current_user->ID;
	$allowed_html   =   array();
	
	$email     		= 	get_the_author_meta( 'first_name' , $userID );

	$package_items 		= 	get_post_meta( $_POST['packageid'], 'package_items', true );
	$package_price 		= 	get_post_meta( $_POST['packageid'], 'package_price', true );
	$user_period 		= 	get_post_meta( $_POST['packageid'], 'package_period', true );	
	$amount 			= 	0;		
	$cur_date			= 	date('Y-m-d');
	$user_items 		= 	0;

	$dashboard_link 	= 	weddlist_get_vendor_user_dashboard_link();
	$redirect_url 		= 	$dashboard_link['url']; //redurect page

	update_user_meta( $userID, 'user_items', $package_items ) ;
	update_user_meta( $userID, 'user_member_status', 'Paid' ) ;
	update_user_meta( $userID, 'user_payment_date', $cur_date ) ;
	update_user_meta( $userID, 'user_payment_amount', $amount ) ;

	$packageid = $_POST['packageid'];

	update_user_meta( $userID, 'user_package_id', $packageid ) ;

	if (function_exists('weddlist_listing_update_user_package_details')) {
	    weddlist_listing_update_user_package_details($userID,$packageid);
	}	
	
	$user_payment_expired_date  	= 	'';

    $ItemName 			= 	get_the_title($packageid); //Item Name

	weddlist_package_expired_period($userID,$user_items,$package_items,$user_payment_expired_date,$user_period);

	$message['payer_email']		=	$email;
	$message['payer_plan']		=	$ItemName;
	$message['payer_listing']	=	$package_items;				
	$message['payer_amount']	=	$amount;
	$message['payer_status']	=	esc_html__('Free Plan','weddlist');	
				
	weddlist_payment_user_notification($userID,$message);
  
  	echo $redirect_url.'?freeplan=1'; //Point to process page	

	die();
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_item_claim_submit  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_item_claim_submit() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_item_claim_submit', 'weddlist_ajax_item_claim_submit' );
add_action( 'wp_ajax_weddlist_ajax_item_claim_submit', 'weddlist_ajax_item_claim_submit' );  

function weddlist_ajax_item_claim_submit()
{
	global $current_user,$wpdb,$weddlist;

	wp_get_current_user();
	$userID         =	$current_user->ID;
	
	$cur_date		= 	date('l,F d Y');
	
	$user_email     = 	$current_user->user_email;
	$user_name     	= 	$current_user->user_login;
	
	$allowed_html   =   array();

	$item_post_id 	= 	$_POST['post_id'];
	$fullname		= 	$_POST['fullname'];		
	$claim_phone	= 	$_POST['phone'];
	
	$message		= 	$_POST['message'];
			
	if(empty($fullname))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Please add full name','weddlist').'</div>';
	}
	else if(empty($_POST['phone']))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Please add phone no','weddlist').'</div>';
	}
	else if(empty($message))
	{
		echo '<div class="alert alert-danger" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Please add more details for claim','weddlist').'</div>';		
	}
	else{
	
	$new_status='publish';  
	
	$item_title=get_the_title($_POST['post_id']);
	
	$add_title = esc_html__('Claim for','weddlist').' '.$item_title;
	
	$claim_details_content= $_POST['message'] . ' : ' .$user_email.':'.$fullname.':'.$cur_date.':'.get_permalink($item_post_id);
		
	$post = array(
		'post_title'	=> $add_title,
		'post_content'	=> '',
		'post_status'	=> $new_status, 
		'post_type'     => 'claim' ,
		'post_author'   => $current_user->ID 
	);
	$post_id =  wp_insert_post($post);  
		
 	if($post_id)
	{
		update_post_meta($post_id, 'claimed_listing', $item_post_id);
		update_post_meta($post_id, 'claim_status', 'pending');
		update_post_meta($post_id, 'claim_by', $userID );
		
		update_post_meta($post_id, 'claim_author', $user_name );
		update_post_meta($post_id, 'claim_phone', $_POST['phone'] );
		
		update_post_meta($post_id, 'claim_details', $claim_details_content );
		
	}
	// Email Content Details fields name
	$listing_name = $item_title;
	$listing_url = get_permalink($item_post_id);
	$claim_by = $user_name;
	$claim_title = $item_title;
	$claim_email = $user_email;
	$claim_url = get_permalink($item_post_id);
	$claim_name = $fullname;
	$claim_phone = $claim_phone;
	$claim_details = $_POST['message'];
	$claim_status = esc_html__('Pending','weddlist');
	$claim_date = $cur_date;

	// Email Subject
	$subject = $weddlist['weddlist_subject_listing_claim_admin'];
	$website_url = site_url();
	$website_name = get_option('blogname');

	$formated_subject = weddlist_sprintf("$subject", array(
		'website_url' => "$website_url",
		'website_name' => "$website_name",
		'listing_name' => "$listing_name",
		'listing_url' => "$listing_url",
		'claim_by' => "$claim_by",
		'claim_title' => "$claim_title",
	));
	
	$mail_content = $weddlist['weddlist_content_listing_claim_admin'];
	
	$formated_mail_content = weddlist_sprintf("$mail_content", array(
		'website_url' => "$website_url",
		'website_name' => "$website_name",
		'listing_name' => "$listing_name",
		'listing_url' => "$listing_url",
		'claim_by' => "$claim_by",
		'claim_title' => "$claim_title",
		'claim_email' => "$claim_email",
		'claim_url' => "$claim_url",
		'claim_name' => "$claim_name",
		'claim_phone' => "$claim_phone",
		'claim_details' => "$claim_details",
		'claim_status' => "Pending",
		'claim_date' => "$claim_date",		
	));

	$headers[] = 'Content-Type: text/html; charset=UTF-8';

	// Email to administrator 	
	weddlist_header_email_append_filter();
	wp_mail(get_option('admin_email'),$formated_subject,$formated_mail_content,$headers);	
		

 	echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('You Successfully Claim for ','weddlist').$item_title.'</div>';	
	}

	die();
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_forgot_pass  function 
////
////////////////////////////////////////////////////////////////////////

add_action( 'wp_ajax_nopriv_weddlist_ajax_forgot_pass', 'weddlist_ajax_forgot_pass' );  
add_action( 'wp_ajax_weddlist_ajax_forgot_pass', 'weddlist_ajax_forgot_pass' );  

if( !function_exists('weddlist_ajax_forgot_pass') ){
	
	function weddlist_ajax_forgot_pass()
	{
	    global $wpdb,$weddlist;

        $allowed_html   =   array();

        $forgot_email   =   wp_kses( $_POST['forgot_email'],$allowed_html ) ;
       	$type = 1;
	   
        $post_id         = '';

        if ($forgot_email==''){      
            echo _e('Email field is empty.','weddlist');   
            exit();
        }
   
        //We shall SQL escape the input
        $user_input = trim($forgot_email);
 
        if ( strpos($user_input, '@') ) {
                $user_data = get_user_by( 'email', $user_input );
                if(empty($user_data) || isset( $user_data->caps['administrator'] ) ) {
                    echo __('Invalid E-mail address.','weddlist');
                    exit();
                }                            
        }
        else {
            $user_data = get_user_by( 'login', $user_input );
            if( empty($user_data) || isset( $user_data->caps['administrator'] ) ) {
               echo __('Invalid Username.','weddlist');
               exit();
            }
        }
        $user_login = $user_data->user_login;
		$user_email = $user_data->user_email;
 
        $key = $wpdb->get_var($wpdb->prepare("SELECT user_activation_key FROM $wpdb->users WHERE user_login = %s", $user_login));
        if(empty($key)) {
                //generate reset key
                $key = wp_generate_password(20, false);
                $wpdb->update($wpdb->users, array('user_activation_key' => $key), array('user_login' => $user_login));
        }
 
        //emailing password change request details to the user
        $user_request_password_url= weddlist_tg_validate_url($type) . 'action=reset_pwd&key='.$key.'&login='. rawurlencode($user_login);

		$subject = $weddlist['weddlist_subject_user_request_forgot_password'];
		$website_url = site_url();
		$website_name = get_option('blogname');

		$formated_subject = weddlist_sprintf("$subject", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
		));
		
		$mail_content = $weddlist['weddlist_content_user_request_forgot_password'];
		
		$formated_mail_content = weddlist_sprintf("$mail_content", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'user_login' => "$user_login",
			'request_password_url' => weddlist_tg_validate_url($type) . 'action=reset_pwd&key='.$key.'&login='. rawurlencode($user_login),
			'user_email' => "$user_email"
		));

		$headers[] = 'Content-Type: text/html; charset=UTF-8';
		weddlist_header_email_append_filter();
        if (!wp_mail($user_email, $formated_subject, $formated_mail_content,  $headers) ) {
                echo '<div class="alert alert-danger mb20">'.__('Email failed to send for some unknown reason.','weddlist').'</div>';
                exit();
        }
        else {
            echo '<div class="alert alert-success mb20">'.__('We have sent you email with Password reset instructions.','weddlist').'</div>';
        }
        die();               		
	}	
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_delete_guestlist ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_delete_guestlist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_guestlist', 'weddlist_ajax_delete_guestlist' );
add_action( 'wp_ajax_weddlist_ajax_delete_guestlist', 'weddlist_ajax_delete_guestlist' );  

function weddlist_ajax_delete_guestlist()
{
	global $current_user,$wpdb;;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $guestlist_table = $wpdb->prefix."guestlist";

	$wpdb->delete( $guestlist_table, array( 'guest_id' => $itemid,'guest_user' => $userid ), array( '%s','%s' ) );	

	die();
}


////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_delete_todolist ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_delete_todolist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_todolist', 'weddlist_ajax_delete_todolist' );
add_action( 'wp_ajax_weddlist_ajax_delete_todolist', 'weddlist_ajax_delete_todolist' );  

function weddlist_ajax_delete_todolist()
{
	global $current_user,$wpdb;;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $todolist_table = $wpdb->prefix."todolist";

	$wpdb->delete( $todolist_table, array( 'todo_id' => $itemid,'todo_user' => $userid ), array( '%s','%s' ) );	

	die();
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_unread_todolist ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_unread_todolist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_unread_todolist', 'weddlist_ajax_unread_todolist' );
add_action( 'wp_ajax_weddlist_ajax_unread_todolist', 'weddlist_ajax_unread_todolist' );  

function weddlist_ajax_unread_todolist()
{
	global $current_user,$wpdb;;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $todolist_table = $wpdb->prefix."todolist";

	$wpdb->update( 
		$todolist_table, 
		array( 
			'todo_read' => 0	// integer (number) 
		), 
		array( 'todo_id' => $itemid ), 
		array( 
			'%s'	
		), 
		array( '%s' ) 
	);

	die();
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_read_todolist ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_read_todolist() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_read_todolist', 'weddlist_ajax_read_todolist' );
add_action( 'wp_ajax_weddlist_ajax_read_todolist', 'weddlist_ajax_read_todolist' );  

function weddlist_ajax_read_todolist()
{
	global $current_user,$wpdb;;
	wp_get_current_user();
	$userid     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $todolist_table = $wpdb->prefix."todolist";

	$wpdb->update( 
		$todolist_table, 
		array( 
			'todo_read' => 1	// integer (number) 
		), 
		array( 'todo_id' => $itemid ), 
		array( 
			'%s'	// value1
		), 
		array( '%s' ) 
	);
	
	die();
}


////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_edit_todolist_popup ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_edit_todolist_popup() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_edit_todolist_popup', 'weddlist_ajax_edit_todolist_popup' );
add_action( 'wp_ajax_weddlist_ajax_edit_todolist_popup', 'weddlist_ajax_edit_todolist_popup' );  

function weddlist_ajax_edit_todolist_popup()
{
	global $current_user,$wpdb;;
	wp_get_current_user();
	$userID     = $current_user->ID;	
	$itemid 	= $_POST['itemid'];

    $todolist_table = $wpdb->prefix."todolist";


	$get_row = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID." and todo_id=".$itemid." "  );	

	echo json_encode(array('todotitle'=>esc_attr($get_row[0]->todo_title), 'tododate'=>esc_attr($get_row[0]->todo_date),'tododetail'=>wp_kses_post( $get_row[0]->todo_details ),'todoid'=>$itemid));


	die();
}

////////////////////////////////////////////////////////////////////////
////
////               weddlist_tg_validate_url  function 
////
////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_tg_validate_url') ):

function weddlist_tg_validate_url($type) {
       
    $page_url = esc_url(home_url());     
    $urlget = strpos($page_url, "?");
    if ($urlget === false) {
            $concate = "?";
    } else {
            $concate = "&";
    }
    return $page_url.$concate;
}

endif; // end   weddlist_tg_validate_url 



////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_vendor_profile  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_vendor_profile() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_vendor_profile', 'weddlist_ajax_vendor_profile' );
add_action( 'wp_ajax_weddlist_ajax_vendor_profile', 'weddlist_ajax_vendor_profile' );  

function weddlist_ajax_vendor_profile()
{
	global $current_user;
	wp_get_current_user();
	$userID         =   $current_user->ID;
	check_ajax_referer( 'ajax-user-profile-nonce', 'security' );
	$allowed_html   =   array();

	$businessname =  wp_kses( $_POST['businessname'] ,$allowed_html) ;	
	$firstname    =  wp_kses( $_POST['firstname'] ,$allowed_html) ;
	$lastname     =  wp_kses( $_POST['lastname'] ,$allowed_html) ;
	$website      =  wp_kses( $_POST['website'] ,$allowed_html) ;
	$phone  	  =  wp_kses( $_POST['phone'] ,$allowed_html) ;
	$address  	  =  wp_kses( $_POST['address'] ,$allowed_html) ;
	$description  =  $_POST['about'] ;

	$facebook     =  wp_kses( $_POST['facebook'] ,$allowed_html) ;
	$googleplus   =  wp_kses( $_POST['googleplus'] ,$allowed_html) ;
	$twitter      =  wp_kses( $_POST['twitter'] ,$allowed_html) ;
	$youtube      =  wp_kses( $_POST['youtube'] ,$allowed_html) ;
	$linkedin     =  wp_kses( $_POST['linkedin'] ,$allowed_html) ;
	$pinterest    =  wp_kses( $_POST['pinterest'] ,$allowed_html) ;		
	$instagram    =  wp_kses( $_POST['instagram'] ,$allowed_html) ;			
	
	$profile_image_url_small  = wp_kses($_POST['profile_image_url_small'],$allowed_html);
	$profile_image_url= wp_kses($_POST['profile_image_url'],$allowed_html);   
	

	update_user_meta( $userID, 'businessname', $businessname ) ;
	update_user_meta( $userID, 'first_name', $firstname ) ;
	update_user_meta( $userID, 'last_name',  $lastname) ;
	update_user_meta( $userID, 'website' , $website) ;
	update_user_meta( $userID, 'phone' , $phone) ;	
	update_user_meta( $userID, 'description' , $description) ;
	update_user_meta( $userID, 'address' , $address) ;	

	update_user_meta( $userID, 'facebook', $facebook ) ;
	update_user_meta( $userID, 'googleplus', $googleplus) ;
	update_user_meta( $userID, 'twitter' , $twitter) ;
	update_user_meta( $userID, 'youtube' , $youtube) ;
	update_user_meta( $userID, 'linkedin' , $linkedin) ;
	update_user_meta( $userID, 'pinterest' , $pinterest) ;	
	update_user_meta( $userID, 'instagram' , $instagram) ;		

	update_user_meta( $userID, 'custom_picture',$profile_image_url);
	update_user_meta( $userID, 'small_custom_picture',$profile_image_url_small);     

	echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Profile Updated Successfully','weddlist').'</div>';	
	
	die();
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_couple_profile  function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_couple_profile() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_couple_profile', 'weddlist_ajax_couple_profile' );
add_action( 'wp_ajax_weddlist_ajax_couple_profile', 'weddlist_ajax_couple_profile' );  

function weddlist_ajax_couple_profile()
{
	global $current_user;
	wp_get_current_user();
	$userID         =   $current_user->ID;
	check_ajax_referer( 'ajax-user-profile-nonce', 'security' );
	$allowed_html   =   array();
	
	$firstname    =  wp_kses( $_POST['firstname'] ,$allowed_html) ;
	$lastname     =  wp_kses( $_POST['lastname'] ,$allowed_html) ;

	$phone  	  =  wp_kses( $_POST['phone'] ,$allowed_html) ;
	$address  	  =  wp_kses( $_POST['address'] ,$allowed_html) ;

	$weddingdate  =  wp_kses( $_POST['weddingdate'] ,$allowed_html) ;	
	$weddingcity  =  wp_kses( $_POST['weddingcity'] ,$allowed_html) ;	
	$weddingstate =  wp_kses( $_POST['weddingstate'] ,$allowed_html) ;			

	$profile_image_url_small  = $_POST['profile_image_url_small'];
	$profile_image_url = $_POST['profile_image_url'];   

	$partner_firstname    =  wp_kses( $_POST['partner_firstname'] ,$allowed_html) ;
	$partner_lastname    =  wp_kses( $_POST['partner_lastname'] ,$allowed_html) ;

	$partner_image_url_small  = $_POST['partner_image_url_small'];
	$partner_image_url = $_POST['partner_image_url'];   	
	
	update_user_meta( $userID, 'first_name', $firstname ) ;
	update_user_meta( $userID, 'last_name',  $lastname) ;
	update_user_meta( $userID, 'website' , $website) ;
	update_user_meta( $userID, 'phone' , $phone) ;	
	update_user_meta( $userID, 'description' , $description) ;
	update_user_meta( $userID, 'address' , $address) ;	

	update_user_meta( $userID, 'partner_firstname', $partner_firstname ) ;
	update_user_meta( $userID, 'partner_lastname',  $partner_lastname) ;


	update_user_meta( $userID, 'user_weddingdate' , $weddingdate) ;	
	update_user_meta( $userID, 'user_weddingcity' , $weddingcity) ;	
	update_user_meta( $userID, 'user_weddingstate' , $weddingstate) ;	

	update_user_meta( $userID, 'custom_picture',$profile_image_url);
	update_user_meta( $userID, 'small_custom_picture',$profile_image_url_small);     

	update_user_meta( $userID, 'partner_custom_picture',$partner_image_url);
	update_user_meta( $userID, 'partner_small_custom_picture',$partner_image_url_small);     


	echo '<div class="alert alert-success" role="alert"><button aria-label="Close" data-dismiss="alert" class="close" type="button">
			<span aria-hidden="true">&times;</span>	</button>'.esc_html__('Profile Updated Successfully','weddlist').'</div>';	
	
	die();
}

////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_find_pins ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_find_pins() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_find_pins', 'weddlist_ajax_find_pins' );
add_action( 'wp_ajax_weddlist_ajax_find_pins', 'weddlist_ajax_find_pins' );  

function weddlist_ajax_find_pins()
{
	$result_arr 			= array();
	$capacity 				= array();
	$meta_query				= array();
	$category_type_array	= '';
	$location_type_array	= '';
	$price					= array();
	$min_price 				= '';
	$max_price				= '';
	$latitude				= '';
	$longitude				= '';
	$categories_term_id		= '';
	$html                   = '';
	$currency_code			= tg_option('currency_symbols');

	if (isset($_POST['category_type']) && $_POST['category_type'] != '') {
		$taxcity[]  = sanitize_title ( $_POST['category_type'] );
		$category_type_array = array(
			'taxonomy'  => 'itemcategory',
			'field'     => 'id',
			'terms'     => $taxcity
		);
	}

	if (isset($_POST['location_type']) && $_POST['location_type'] != '') {
		$location_type[] = sanitize_title ( $_POST['location_type'] );
		$location_type_array = array(
			'taxonomy'  => 'location',
			'field'     => 'id',
			'terms'     => $location_type
		);
	}	

	if (isset($_POST['price_range_filter']) && $_POST['price_range_filter'] == 'on') {

		if( isset($_POST['min_price'])){
			$min_price = intval($_POST['min_price']);
		}	

		if( isset($_POST['max_price'])  && is_numeric($_POST['max_price']) ){
			$max_price          = intval($_POST['max_price']);
			$price['key']       = 'item_price';
			$price['value']     = array($min_price, $max_price);
			$price['type']      = 'numeric';
			$price['compare']   = 'BETWEEN';
			$meta_query[]       = $price;
		}	
	}
	// Here you can change per page listing	
	$per_page	= 9;
	
	$paged		= $_POST['page_no'];

	$listingname		= $_POST['listingname'];

	$location_post_ids = array();

	$radius_latitude		= $_POST['radius_latitude'];
	$radius_longitude		= $_POST['radius_longitude'];
	$radius_distance		= $_POST['radius_distance'];



	if (isset($_POST['radius_range_filter']) && $_POST['radius_range_filter'] == 'on') {

		if(!empty($radius_latitude) && !empty($radius_longitude) )
		{
			$nearbyposts=weddlist_get_nearby_listing($radius_latitude,$radius_longitude,$radius_distance,'km');

			weddlist_array_sort_by_column($nearbyposts,'distance');
			$location_post_ids = array_unique(array_column($nearbyposts, 'post_id'));

			if(empty($location_post_ids)) {
				$location_post_ids = array(0);
			}

		}
	}

	if(!empty($listingname))
	{
	$args = array( 'post_type' => 'item', 
					'posts_per_page' => $per_page,
					'post_status'       => 'publish',
					's' => $listingname,
					'meta_key'          => 'featured_item',
					'orderby' => 'meta_value ID',
					'order'   => 'DESC',
					'post__in' => $location_post_ids,
					'paged' => $paged,
					'meta_query' => $meta_query,					
					'tax_query' => array(
						'relation' => 'AND',
						$category_type_array,
						$location_type_array,
					),						
					 );
	}
	else{
	$args = array( 'post_type' => 'item', 
					'posts_per_page' => $per_page,
					'post_status'       => 'publish',
					'meta_key'          => 'featured_item',
					'orderby' => 'meta_value ID',
					'order'   => 'DESC',
					'post__in' => $location_post_ids,					
					'paged' => $paged,
					'meta_query' => $meta_query,					
					'tax_query' => array(
						'relation' => 'AND',
						$category_type_array,
						$location_type_array,
					),						
					 );

	}




	$item = new WP_Query( $args );
	
	$total_element=$item->found_posts;

	$i=0;
	$k=1;
	
	$html.='<div class="row">';

	if($item->have_posts())
	{


	while ( $item->have_posts() ) : $item->the_post();
	
	$post_id			= get_the_ID();

	$locators 			= get_post_meta($post_id,'locators', true );
	$map_address 		= $locators['address'];
	$latitude 			= $locators['latitude'];
	$longitude 			= $locators['longitude'];	

	$item_address 		= get_post_meta( $post_id, 'item_address', true );
	$featured_img 		= wp_get_attachment_image_src( get_post_thumbnail_id($post_id),'weddlist_item_thumb',false );
	$item_price 		= get_post_meta($post_id, 'item_price', true );
	$item_maxprice 		= get_post_meta( $post_id, 'item_maxprice', true );

	$categories_term_id	= '';
	$itemcategory       = get_the_terms($post_id, 'itemcategory');	
	
	if ( $itemcategory && ! is_wp_error( $itemcategory ) ) : 
	    $categories_term_id	= array();
	    foreach ( $itemcategory as $item_category_each ) {
              $categories_term_id[] = $item_category_each->term_id;
        }
	 endif;   	
	
	$marker_icon 		= weddlist_default_marker($categories_term_id[0]);

	$result_arr[$i]["title"] 		= get_the_title();
	$result_arr[$i]["url"] 			= get_permalink($post_id);
	$result_arr[$i]["price"] 		= $item_price_marker;
	$result_arr[$i]["address"] 		= $item_address;
	$result_arr[$i]["featured_img"] = $featured_img[0];
	$result_arr[$i]["latitude"] 	= floatval($latitude);
	$result_arr[$i]["longitude"] 	= floatval($longitude);
	$result_arr[$i]["marker"] 		= $marker_icon;
	$result_arr[$i]["cat_name"] 	= $itemcategory[0]->name;
	$result_arr[$i]["cat_url"] 		= get_category_link($itemcategory[0]->term_id);
	

	$col_class="col-md-4 col-sm-6";
	$row_col=3;
	$item_style="default";

	$html.=weddlist_item_listing_display_by_id($post_id,$col_class,$item_style,$i);

	$i++;		
		
	if(($k%$row_col)==0  && $k<count($item->posts))
	{
		$html.='</div><div class="row">';
	}
	$k++;
	
	endwhile; 		
	}
	else{
		$html.='<div class="text-center"><h4>'.esc_html__('Sorry, No Listing Found').'</h4></div>';
	}	
	wp_reset_postdata();
	$html.='</div>';

	$html.= weddlist_listing_pagination($total_element,$per_page,$paged);			 

	if(empty($latitude) && empty($longitude))
	{
		if(function_exists('tg_option'))
		{
			$latitude=tg_option('center_latitude');	
			$longitude=tg_option('center_longitude');
		}
		else{
			$latitude='23';	
			$longitude='72';
		}
	}	
			 
	echo json_encode(array('json_map'=>json_encode($result_arr), 'html_result'=>$html,'center_latitude'=>floatval($latitude),'center_longitude'=>floatval($longitude)));
	die();	 	
}




////////////////////////////////////////////////////////////////////////
////
////                  weddlist_ajax_delete_user ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_delete_user() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_delete_user', 'weddlist_ajax_delete_user' );
add_action( 'wp_ajax_weddlist_ajax_delete_user', 'weddlist_ajax_delete_user' );  

function weddlist_ajax_delete_user()
{
	global $current_user;
	wp_get_current_user();
	$userid     = $current_user->ID;	

	wp_delete_user( $userid );

	die();	
}


////////////////////////////////////////////////////////////////////////
////
////               weddlist_ajax_paypal_payment ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_ajax_paypal_payment() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_ajax_paypal_payment', 'weddlist_ajax_paypal_payment' );
add_action( 'wp_ajax_weddlist_ajax_paypal_payment', 'weddlist_ajax_paypal_payment' );  
function weddlist_ajax_paypal_payment(){

	global $current_user;
	wp_get_current_user();
	$allowed_html   		= array();
	$userID         		= $current_user->ID;    

	check_ajax_referer( 'ajax-credit-card-payment-nonce', 'security' );

	$dashboard_link 		= weddlist_get_vendor_user_dashboard_link();
	$paypal_api_mode 		= tg_option('payment_paypal_api_mode');

	if(isset($paypal_api_mode) && !empty($paypal_api_mode))
	{
		if($paypal_api_mode=='live')
		{
			$PayPalMode 	= 'live'; // sandbox or live		
		}
		else{
			$PayPalMode 	= 'sandbox'; // sandbox or live
		}
	}
	else{
		$PayPalMode 		= 'live'; // sandbox or live		
	}

	$PayPalApiUsername 		= tg_option('payment_paypal_api_username'); //PayPal API Username
	$PayPalApiPassword 		= tg_option('payment_paypal_api_password'); //Paypal API password
	$PayPalApiSignature 	= tg_option('payment_paypal_api_signature'); //Paypal API Signature
	$PayPalCurrencyCode 	= tg_option('payment_paypal_api_currency_code'); //Paypal Currency Code
	$PayPalReturnURL 		= $dashboard_link['url']; //Point to process.php page
	$PayPalCancelURL 		= $dashboard_link['url']; //Cancel URL if user clicks cancel

	$_SESSION['package_id'] = $_POST['pay_package'];

	$package_items 			= get_post_meta( $_POST['pay_package'], 'package_items', true );
	$package_price 			= get_post_meta( $_POST['pay_package'], 'package_price', true );	

	 //Post Data received from product list page.

    $ItemName 				= get_the_title($_POST['pay_package']); //Item Name
    $ItemPrice				= $package_price; //Item Price
    $ItemQty 				= 1; // Item Quantity
    $ItemTotalPrice 		= ($ItemPrice * $ItemQty); //(Item Price x Quantity = Total) Get total amount of product; 
    $GrandTotal 			= $ItemTotalPrice; // $ItemTotalPrice 

    //Parameters for SetExpressCheckout, which will be sent to PayPal
    $padata = '&METHOD=SetExpressCheckout' .
            '&RETURNURL=' . urlencode($PayPalReturnURL) .
            '&CANCELURL=' . urlencode($PayPalCancelURL) .
            '&PAYMENTREQUEST_0_PAYMENTACTION=' . urlencode("SALE") .
            '&L_PAYMENTREQUEST_0_NAME0=' . urlencode($ItemName) .
            //'&L_PAYMENTREQUEST_0_NUMBER0='.urlencode($ItemNumber).
            //'&L_PAYMENTREQUEST_0_DESC0='.urlencode($ItemDesc).
            '&L_PAYMENTREQUEST_0_AMT0=' . urlencode($ItemPrice) .
            '&L_PAYMENTREQUEST_0_QTY0=' . urlencode($ItemQty) .

            '&NOSHIPPING=1' . //set 1 to hide buyer's shipping address, in-case products that does not require shipping

            '&PAYMENTREQUEST_0_ITEMAMT=' . urlencode($ItemTotalPrice) .
            '&PAYMENTREQUEST_0_AMT=' . urlencode($GrandTotal) .
            '&PAYMENTREQUEST_0_CURRENCYCODE=' . urlencode($PayPalCurrencyCode) .
            '&LOCALECODE=GB' . //PayPal pages to match the language on your website.
            '&LOGOIMG=' .tg_option( 'primary_logo', false, 'url' ). //site logo
            '&CARTBORDERCOLOR=FFFFFF' . //border color of cart
            '&ALLOWNOTE=1';

    //We need to execute the "SetExpressCheckOut" method to obtain paypal token
    $paypal = new Weddlist_Paypal();
    $httpParsedResponseAr = $paypal->weddlist_paypal_http_post('SetExpressCheckout', $padata, $PayPalApiUsername, $PayPalApiPassword, $PayPalApiSignature, $PayPalMode);


    //Respond according to message we receive from Paypal
    if ("SUCCESS" == strtoupper($httpParsedResponseAr["ACK"]) || "SUCCESSWITHWARNING" == strtoupper($httpParsedResponseAr["ACK"])) {

		$paypalmode = ($PayPalMode=='sandbox') ? '.sandbox' : '';
        //Redirect user to PayPal store with Token received.
        $paypalurl = 'https://www'.$paypalmode.'.paypal.com/cgi-bin/webscr?cmd=_express-checkout&token='.$httpParsedResponseAr["TOKEN"] ;
		echo '<script> window.setTimeout(function () {	location.href = "'.$paypalurl.'";	}, 500);</script><p>'.esc_html__('It will redirect to payapl....','weddlist').'</p>';			
		exit;
	} else {
        //Show error message
        echo '<div class="alert alert-danger"><strong>'.esc_html__('Error','weddlist').':</strong>' . urldecode($httpParsedResponseAr["L_LONGMESSAGE0"]) . '</div>';
		exit;
   }
}

////////////////////////////////////////////////////////////////////////////////
/// Payment notification
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_payment_user_notification') ):

function weddlist_payment_user_notification( $user_id,$body) {
		global $weddlist;

		$user = new WP_User( $user_id );
		$currency_code=tg_option('currency_symbols');

		$user_login 	=	stripslashes( $user->user_login );
		$user_email 	=	stripslashes( $user->user_email );
		
		$payer_email 	=	$body['payer_email'];
		$payer_plan 	=	$body['payer_plan'];
		$payer_listing 	=	$body['payer_listing'];
		$payer_amount 	=	$body['payer_amount'];
		$payer_status 	=	$body['payer_status'];				

		$user_name ='';
		$payment_email = $payer_email;
		$package_name = $payer_plan;
		$package_price =$currency_code.$payer_amount;
		$package_listing = $payer_listing;
		$payment_status = $payer_status;
		// Email Subject
		$subject = $weddlist['weddlist_subject_listing_package_payment'];
		$website_url = site_url();
		$website_name = get_option('blogname');

		$formated_subject = weddlist_sprintf("$subject", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
		));
		
		$mail_content = $weddlist['weddlist_content_listing_package_payment'];
		
		$formated_mail_content = weddlist_sprintf("$mail_content", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'user_name' => "$user_login",
			'user_email' => "$user_email",
			'payment_email' => "$payment_email",
			'package_name' => "$package_name",
			'package_price' => "$package_price",
			'package_listing' => "$package_listing",
			'payment_status' => "$payment_status",
			'admin_email' => get_option('admin_email'),

		));

		$headers[] = 'Content-Type: text/html; charset=UTF-8';
		weddlist_header_email_append_filter();
		wp_mail($user_email,$formated_subject,$formated_mail_content,$headers);	

		wp_mail(get_option('admin_email'),$formated_subject,$formated_mail_content,$headers);	
	}
        
endif; // end   weddlist_payment_user_notification


////////////////////////////////////////////////////////////////////////
////
////                  weddlist_set_payment ajax call function 
////
////////////////////////////////////////////////////////////////////////

// Enable the user with privileges to run weddlist_set_payment() in AJAX
add_action( 'wp_ajax_nopriv_weddlist_set_payment', 'weddlist_set_payment' );
add_action( 'wp_ajax_weddlist_set_payment', 'weddlist_set_payment' );  

function weddlist_set_payment()
{
	global $current_user,$wpdb;;

	$package_price 			= get_post_meta( $_POST['pay_package'], 'package_price', true );
	
	echo $package_price; 
	die();
}

// Disable top wp-admin section from login user
if (!current_user_can('manage_options')) {
	add_filter('show_admin_bar', '__return_false');
}


/* ============== Review Ratings Add In Item Listing ============ */
if (!function_exists('weddlist_rating_add_on_listing')) {

	function weddlist_rating_add_on_listing($review_id,$item_id,$action='add') {

		if($action=="add")
		{
			$reviews_ids	= get_post_meta( $item_id, 'reviews_ids', true );			
		
			if (!empty($reviews_ids)){
				$reviews_ids = $reviews_ids.','.$review_id;
			}
			else{
				$reviews_ids = $review_id;
			}
			$reviews = array();
			update_post_meta( $item_id, 'reviews_ids', $reviews_ids); 
			
		}
		else if($action=="delete")
		{
			$reviews_ids	= get_post_meta( $item_id, 'reviews_ids', true );			
	
			$reviews = array();
			if (strpos($reviews_ids, ',') !== false) {
				$reviews = explode(',', $reviews_ids);
			}
			else{
				$reviews[] = $reviews_ids;
			}
			foreach($reviews as $key=>$review){
				if($review==$review_id){
					unset($reviews[$key]);
				}
			}
			
			$reviews_ids = implode(",",$reviews);
			update_post_meta( $item_id, 'reviews_ids', $reviews_ids); 
	
		}
		
	}
}

if (!function_exists('weddlist_item_add_new_admin_approve_email')) {

	function weddlist_item_add_new_admin_approve_email($post_id)
	{
		global $weddlist;
		$item_title = get_the_title($post_id);

		// Email Subject
		$subject = $weddlist['weddlist_subject_admin_listing_approve'];
		$website_url = site_url();
		$website_name = get_option('blogname');

		$formated_subject = weddlist_sprintf("$subject", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'listing_name' => "$item_title",
		));
		
		$mail_content = $weddlist['weddlist_content_admin_listing_approve'];
		
		$formated_mail_content = weddlist_sprintf("$mail_content", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'listing_name' => "$item_title",
			'listing_admin_url' => admin_url('post.php?post='.$post_id.'&action=edit'),	
		));

		$headers[] = 'Content-Type: text/html; charset=UTF-8';
		weddlist_header_email_append_filter();
		wp_mail(get_option('admin_email'),$formated_subject,$formated_mail_content,$headers);
	}
}	

////////////////////////////////////////////////////////////////////////////////
///  weddlist_user_item_expired_email
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_user_item_expired_email') )
{
	function weddlist_user_item_expired_email($user_id,$mail_title)
	{
			global $weddlist;

			$user = new WP_User( $user_id );
			
			$user_login = stripslashes( $user->user_login );
			$user_email = stripslashes( $user->user_email );

			// Email Subject
			$subject = $weddlist['weddlist_subject_listing_expired'];
			$website_url = site_url();
			$website_name = get_option('blogname');

			$formated_subject = weddlist_sprintf("$subject", array(
				'website_url' => "$website_url",
				'website_name' => "$website_name",
			));
			
			$mail_content = $weddlist['weddlist_content_listing_expired'];
			
			$formated_mail_content = weddlist_sprintf("$mail_content", array(
				'website_url' => "$website_url",
				'website_name' => "$website_name",
				'user_login' => "$user_login",
				'user_email' => "$user_email"
			));

			$headers[] = 'Content-Type: text/html; charset=UTF-8';
			weddlist_header_email_append_filter();
			wp_mail($user_email,$formated_subject,$formated_mail_content,$headers);
	}
} // end



function weddlist_get_nearby_listing($lat, $lng, $distance, $radius_type){
    global $wpdb;
    if($radius_type=='km') {
    	$ratio = 6371;
    } else {
    	$ratio = 3959;
    }

  	$post_ids = 
			$wpdb->get_results(
				$wpdb->prepare( "
			SELECT DISTINCT
			 		map_latitude.post_id,
			 		map_latitude.meta_key,
			 		map_latitude.meta_value as listingLat,
			        map_longitude.meta_value as listingLong,
			        ( %d * acos( cos( radians( %f ) ) * cos( radians( map_latitude.meta_value ) ) * cos( radians( map_longitude.meta_value ) - radians( %f ) ) + sin( radians( %f ) ) * sin( radians( map_latitude.meta_value ) ) ) ) AS distance 
		       
			 	FROM 
			 		$wpdb->postmeta AS map_latitude
			 		LEFT JOIN $wpdb->postmeta as map_longitude ON map_latitude.post_id = map_longitude.post_id
					WHERE map_latitude.meta_key = 'map_latitude' AND map_longitude.meta_key = 'map_longitude'
			 		HAVING distance < %d

		 	", 
		 	$ratio, 
		 	$lat, 
		 	$lng, 
		 	$lat, 
		 	$distance)
		,ARRAY_A);

    return $post_ids;
 
}


function weddlist_array_sort_by_column(&$arr, $col, $dir = SORT_ASC) {
    $sort_col = array();
    foreach ($arr as $key=> $row) {
        $sort_col[$key] = $row[$col];
    }

    array_multisort($sort_col, $dir, $arr);
}