<?php 
/*
* List of custom post type for real wedding
*/

add_action('init', 'weddlist_code_real_wedding_register');

function weddlist_code_real_wedding_register() {
    register_post_type('realwedding', array(
        'label' => esc_html__('Real Wedding','weddlist'),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => true,
        'rewrite' => array('slug' => 'realwedding', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '400',        
        'menu_icon'   => 'dashicons-megaphone',
        'supports' => array('title', 'thumbnail',  'page-attributes','editor','custom-fields','comments','excerpt',),
        'labels' => array(
            'name' => esc_html__('Real Wedding','weddlist'),
            'singular_name' => esc_html__('Real Wedding','weddlist'),
            'menu_name' => esc_html__('Real Wedding','weddlist'),
            'add_new' => esc_html__('Add Real Wedding','weddlist'),
            'add_new_item' => esc_html__('Add New Real Wedding','weddlist'),
            'edit' => esc_html__('Edit Real Wedding','weddlist'),
            'edit_item' => esc_html__('Edit Real Wedding','weddlist'),
            'new_item' => esc_html__('New Real Wedding','weddlist'),
            'view' => esc_html__('View Real Wedding','weddlist'),
            'view_item' => esc_html__('View Real Wedding','weddlist'),
            'search_items' => esc_html__('Search Real Wedding','weddlist'),
            'not_found' => esc_html__('No Real Wedding Found','weddlist'),
            'not_found_in_trash' => esc_html__('No Real Wedding Found in Trash','weddlist'),
            'parent' => esc_html__('Parent Real Wedding','weddlist'),
        )
    ));
}

/*
* Location for RealWedding
*/

add_action( 'init', 'weddlist_code_realwedding_location');

function weddlist_code_realwedding_location() {
    register_taxonomy(
        'realweddinglocation',  //The name of the taxonomy. Name should be in slug form (must not contain capital letters or spaces).
        'realwedding',      //post type name
        array(
            'hierarchical'      => true,
            'label'             => esc_html__('RealWedding Location','weddlist'),  //Display name
            'query_var'         => true,
            'rewrite'           => array(
                    'slug'          => 'realweddinglocation', // This controls the base slug that will display before each term
                    'with_front'    => false // Don't display the category base before
                    )
            )
        );
}

/*
* Season for realwedding
*/

add_action( 'init', 'weddlist_code_realwedding_season');

function weddlist_code_realwedding_season() {
    register_taxonomy(
        'realweddingseason',  //The name of the taxonomy. Name should be in slug form (must not contain capital letters or spaces).
        'realwedding',      //post type name
        array(
            'hierarchical'      => true,
            'label'             => esc_html__('RealWedding Season','weddlist'),  //Display name
            'query_var'         => true,
            'rewrite'           => array(
                    'slug'          => 'realweddingseason', // This controls the base slug that will display before each term
                    'with_front'    => false // Don't display the category base before
                    )
            )
        );
}


/*
* Season for realwedding
*/

add_action( 'init', 'weddlist_code_realwedding_theme');

function weddlist_code_realwedding_theme() {
    register_taxonomy(
        'realweddingtheme',  //The name of the taxonomy. Name should be in slug form (must not contain capital letters or spaces).
        'realwedding',      //post type name
        array(
            'hierarchical'      => true,
            'label'             => esc_html__('RealWedding Theme','weddlist'),  //Display name
            'query_var'         => true,
            'rewrite'           => array(
                    'slug'          => 'realweddingtheme', // This controls the base slug that will display before each term
                    'with_front'    => false // Don't display the category base before
                    )
            )
        );
}


/*
* Color for realwedding
*/

add_action( 'init', 'weddlist_code_realwedding_color');

function weddlist_code_realwedding_color() {
    register_taxonomy(
        'realweddingcolor',  //The name of the taxonomy. Name should be in slug form (must not contain capital letters or spaces).
        'realwedding',      //post type name
        array(
            'hierarchical'      => true,
            'label'             => esc_html__('RealWedding Color','weddlist'),  //Display name
            'query_var'         => true,
            'rewrite'           => array(
                    'slug'          => 'realweddingcolor', // This controls the base slug that will display before each term
                    'with_front'    => false // Don't display the category base before
                    )
            )
        );
}

/*
* List of custom package type for weddlist
*/

add_action('init', 'weddlist_code_package_register');

function weddlist_code_package_register() {
    register_post_type('package', array(
        'label' => esc_html__('Package','weddlist'),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => true,
        'rewrite' => array('slug' => 'package', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-calendar-alt',
        'supports' => array('title','page-attributes',),
        'labels' => array(
            'name' => esc_html__('Package','weddlist'),
            'singular_name' => esc_html__('Package','weddlist'),
            'menu_name' => esc_html__('Package','weddlist'),
            'add_new' => esc_html__('Add Package','weddlist'),
            'add_new_item' => esc_html__('Add New Package','weddlist'),
            'edit' => esc_html__('Edit Package','weddlist'),
            'edit_item' => esc_html__('Edit Package','weddlist'),
            'new_item' => esc_html__('New Package','weddlist'),
            'view' => esc_html__('View Package','weddlist'),
            'view_item' => esc_html__('View Package','weddlist'),
            'search_items' => esc_html__('Search Package','weddlist'),
            'not_found' => esc_html__('No Package Found','weddlist'),
            'not_found_in_trash' => esc_html__('No Package Found in Trash','weddlist'),
            'parent' => esc_html__('Parent Package','weddlist'),
        )
    ));
}

/*
* List of custom Item type for weddlist
*/

add_action('init', 'weddlist_code_item_register');

function weddlist_code_item_register() {


    $args = array( 'post_type' => 'item','post_status'  => array( 'pending' ), 'posts_per_page' => -1,'orderby' => 'menu_order ID','order'   => 'ASC');
    $item = new WP_Query( $args );    
	
    $count = $item->found_posts;

    if($count==0)
    {
     $count=='';   
    }


    register_post_type('item', array(
        'label' => esc_html__('Listing','weddlist'),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => true,
        'rewrite' => array('slug' => 'item', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-list-view',
        'supports' => array('title', 'editor', 'excerpt', 'custom-fields', 'thumbnail','page-attributes','comments','revisions','author'),
        'labels' => array(
            'name' => esc_html__('Listing','weddlist'),
            'singular_name' => esc_html__('Listing','weddlist'),
            'menu_name' => esc_html__('Listing','weddlist'),
            'add_new' => esc_html__('Add Listing','weddlist'),
            'add_new_item' => esc_html__('Add New Listing','weddlist'),
            'edit' => esc_html__('Edit Listing','weddlist'),
            'edit_item' => esc_html__('Edit Listing','weddlist'),
            'new_item' => esc_html__('New Listing','weddlist'),
            'view' => esc_html__('View Listing','weddlist'),
            'view_item' => esc_html__('View Listing','weddlist'),
            'search_items' => esc_html__('Search Listing','weddlist'),
            'not_found' => esc_html__('No Listing Found','weddlist'),
            'not_found_in_trash' => esc_html__('No Listing Found in Trash','weddlist'),
            'parent' => esc_html__('Parent Listing','weddlist'),
            'all_items' => $count ? 'All Listing <span class="awaiting-mod">' . $count . '</span>' : 'All Listing',
        )
    ));
}

/*
* List of custom Review type for weddlist
*/

add_action('init', 'weddlist_code_review_register');

function weddlist_code_review_register() {
    register_post_type('wl-reviews', array(
        'label' => esc_html__('Reviews','weddlist'),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => true,
        'rewrite' => array('slug' => 'wl-reviews', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-testimonial',
        'supports' => array('title', 'editor',  'page-attributes','author'),
        'labels' => array(
            'name' => esc_html__('Reviews','weddlist'),
            'singular_name' => esc_html__('Reviews','weddlist'),
            'menu_name' => esc_html__('Reviews','weddlist'),
            'add_new' => esc_html__('Add Reviews','weddlist'),
            'add_new_item' => esc_html__('Add New Reviews','weddlist'),
            'edit' => esc_html__('Edit Reviews','weddlist'),
            'edit_item' => esc_html__('Edit Reviews','weddlist'),
            'new_item' => esc_html__('New Reviews','weddlist'),
            'view' => esc_html__('View Reviews','weddlist'),
            'view_item' => esc_html__('View Reviews','weddlist'),
            'search_items' => esc_html__('Search Reviews','weddlist'),
            'not_found' => esc_html__('No Reviews Found','weddlist'),
            'not_found_in_trash' => esc_html__('No Reviews Found in Trash','weddlist'),
            'parent' => esc_html__('Parent Reviews','weddlist'),
        )
    ));
}


/*
* List of custom post type for Claim
*/

add_action('init', 'weddlist_code_claim_register');

function weddlist_code_claim_register() {
    register_post_type('claim', array(
        'label' => esc_html__('Claim','weddlist'),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => true,
        'rewrite' => array('slug' => 'claim', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '400',        
        'menu_icon'   => 'dashicons-flag',
        'supports' => array('title','custom-fields'),
        'labels' => array(
            'name' => esc_html__('Claim','weddlist'),
            'singular_name' => esc_html__('Claim','weddlist'),
            'menu_name' => esc_html__('Claim','weddlist'),
            'add_new' => esc_html__('Add Claim','weddlist'),
            'add_new_item' => esc_html__('Add New Claim','weddlist'),
            'edit' => esc_html__('Edit Claim','weddlist'),
            'edit_item' => esc_html__('Edit Claim','weddlist'),
            'new_item' => esc_html__('New Claim','weddlist'),
            'view' => esc_html__('View Claim','weddlist'),
            'view_item' => esc_html__('View Claim','weddlist'),
            'search_items' => esc_html__('Search Claim','weddlist'),
            'not_found' => esc_html__('No Claim Found','weddlist'),
            'not_found_in_trash' => esc_html__('No Claim Found in Trash','weddlist'),
            'parent' => esc_html__('Parent Claim','weddlist'),
        )
    ));
}


/*
* Category for items
*/

add_action( 'init', 'weddlist_code_item_category');

function weddlist_code_item_category() {
	register_taxonomy(
		'itemcategory',  //The name of the taxonomy. Name should be in slug form (must not contain capital letters or spaces).
		'item',   	 //post type name
		array(
			'hierarchical' 		=> true,
			'label' 			=> esc_html__('Categories','weddlist'),  //Display name
			'query_var' 		=> true,
			'rewrite'			=> array(
					'slug' 			=> 'itemcategory', // This controls the base slug that will display before each term
					'with_front' 	=> false // Don't display the category base before
					)
			)
		);
}


/*
* locations for items
*/

add_action( 'init', 'weddlist_code_item_location');

function weddlist_code_item_location() {
	register_taxonomy(
		'location',  //The name of the taxonomy. Name should be in slug form (must not contain capital letters or spaces).
		'item',   	 //post type name
		array(
			'hierarchical' 		=> true,
			'label' 			=> esc_html__('Locations','weddlist'),  //Display name
			'query_var' 		=> true,
			'rewrite'			=> array(
					'slug' 			=> 'location', // This controls the base slug that will display before each term
					'with_front' 	=> false // Don't display the category base before
					)
			)
		);
}


/*
* locations for items
*/

add_action( 'init', 'weddlist_code_member_expired_post_status' );

if( !function_exists('weddlist_code_member_expired_post_status') ):
function weddlist_code_member_expired_post_status(){
	register_post_status( 'expired', array(
		'label'                     => esc_html__( 'expired', 'weddlist' ),
		'public'                    => true,
		'exclude_from_search'       => false,
        'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
		'label_count'               => _n_noop( 'Membership Expired <span class="count">(%s)</span>', 'Membership Expired <span class="count">(%s)</span>' ),
	) );
}
endif; // end   weddlist_code_member_expired_post_status 

// ONLY ITEM CUSTOM TYPE POSTS
add_filter('manage_item_posts_columns', 'wedddlist_code_columns_head_item', 10);
add_action('manage_item_posts_custom_column', 'wedddlist_code_columns_content_item', 10, 2);
 
// CREATE TWO FUNCTIONS TO HANDLE THE COLUMN
function wedddlist_code_columns_head_item($defaults) {
    $defaults['item_user'] = esc_html__('User','weddlist');
	$defaults['item_catetory'] = esc_html__('Category','weddlist');
	$defaults['item_location'] = esc_html__('Location','weddlist');
	$defaults['item_price'] = esc_html__('Price','weddlist');
    return $defaults;
}

function wedddlist_code_columns_content_item($column_name, $post_id) {
    if ($column_name == 'item_user') {
        // show content of 'item_user' column
		$post_tmp 			= get_post($post_id);
		$author_id 			= $post_tmp->post_author;
		echo get_the_author_meta('display_name', $author_id);
    }
    if ($column_name == 'item_location') {
		$location    	= get_the_terms( $post_id, 'location');	
		if(isset($location[0]->name) && !empty($location[0]->name))
		echo $location[0]->name;
    }	
    if ($column_name == 'item_catetory') {
		$itemcategory    	= get_the_terms( $post_id, 'itemcategory');	
		if(isset($itemcategory[0]->name) && !empty($itemcategory[0]->name))
		echo $itemcategory[0]->name;
    }	

    if ($column_name == 'item_price') {
		$item_price    	= get_post_meta($post_id, 'item_price', true) ;		
		$item_maxprice 	= get_post_meta($post_id, 'item_maxprice', true) ;		
	
		if(isset($item_maxprice) && !empty($item_maxprice))
		{
			echo $item_price." - ".$item_maxprice;
		}
		else{
			echo $item_price;
		}
    }	
}



function weddlist_modify_user_columns($column_headers) {
    $column_headers['usertype_field'] = esc_html__('User Type','weddlist');
    $column_headers['package_field'] = esc_html__('Package','weddlist');
    return $column_headers;
}
add_action('manage_users_columns', 'weddlist_modify_user_columns');

function custom_admin_css() {
    echo '<style>
    .column-usertype_field {width: 8%}
    .column-package_field {width: 9%}

    </style>';
}
add_action('admin_head', 'custom_admin_css');

function weddlist_user_posts_count_column_content($value, $column_name, $user_id) {
    if ( 'usertype_field' == $column_name ) {
        return ucfirst(get_user_meta( $user_id, 'user_type' , true ));
    }

    if ( 'package_field' == $column_name ) {
        return get_the_title(get_user_meta( $user_id, 'user_package_id' , true ));
    }

    return $value;
}
add_action('manage_users_custom_column', 'weddlist_user_posts_count_column_content', 10, 3);
?>