<?php
/**
 * Ajax Login And Register.
 *
 */
// Execute the action only if the user isn't logged in
add_action('init', 'weddlist_ajax_login_register_init');

if (!function_exists('weddlist_ajax_login_register_init')) {
	function weddlist_ajax_login_register_init(){
		global $weddlist;
		$dashURL = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
		if($dashURL){
			$dashURL = $dashURL;
		}
		else{
			$dashURL = home_url();
		}

		if(function_exists('weddlist_get_vendor_user_dashboard_link'))
		{
			$vendor_dashboard_link 	= 	weddlist_get_vendor_user_dashboard_link();
			$vendor_redirect_url 	= 	$vendor_dashboard_link['url']; //redurect page				
		}else{
			$vendor_redirect_url 	= 	home_url( '/' ); //redurect page				
		}

		if(function_exists('weddlist_get_couple_user_dashboard_link'))
		{
		$couple_dashboard_link 	= 	weddlist_get_couple_user_dashboard_link();
		$couple_redirect_url 	= 	$couple_dashboard_link['url']; //redurect page		

		}
		else{
		$couple_redirect_url 	= 	home_url( '/' ); //redurect page		
		}		

		// jquery validate
		wp_enqueue_script('validate-script', get_template_directory_uri() . '/assets/js/jquery.validate.js', array('jquery'),435456 ); 

		wp_register_script('ajax-login-script', get_template_directory_uri() . '/assets/js/login.js', array('jquery'),4356); 
		
		wp_enqueue_script('ajax-login-script');

		wp_localize_script( 'ajax-login-script', 'ajax_login_object', array( 
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			'redirecturl' => $dashURL ,
			'couple_redirect_url' => $couple_redirect_url ,
			'vendor_redirect_url' => $vendor_redirect_url ,
			'loadingmessage' => '<span class="alert alert-info">'.esc_html__('Please wait...','weddlist').'<i class="fa fa-spinner fa-spin"></i></span>',
		));

		// Enable the user with no privileges to run ajax_couple_login() in AJAX
		add_action( 'wp_ajax_nopriv_ajax_couple_login', 'ajax_couple_login' );
		
		
		add_action('wp_ajax_weddlist_ajax_couple_register',        'weddlist_ajax_couple_register');
		add_action('wp_ajax_nopriv_weddlist_ajax_couple_register', 'weddlist_ajax_couple_register');

		add_action('wp_ajax_weddlist_ajax_vendor_register',        'weddlist_ajax_vendor_register');
		add_action('wp_ajax_nopriv_weddlist_ajax_vendor_register', 'weddlist_ajax_vendor_register');

	}
}

if (!function_exists('ajax_couple_login')) {
	function ajax_couple_login(){

		// First check the nonce, if it fails the function will break
		check_ajax_referer( 'ajax-couple-login-nonce', 'security' );

		// Nonce is checked, get the POST data and sign user on
		$info = array();
		$info['user_login'] = $_POST['username'];
		$info['user_password'] = $_POST['password'];
		$info['remember'] = true;

		$user_signon = wp_signon( $info, false );
		if ( is_wp_error($user_signon) ){
			echo json_encode(array('loggedin'=>false, 'message'=>'<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Wrong username or password.','weddlist').' </span>'));
		} else {
			$user_id=$user_signon->ID;
			$user_type= get_user_meta( $user_id, 'user_type',true ) ;
			echo json_encode(array('loggedin'=>true, 'usertype'=> $user_type, 'message'=>'<span class="alert alert-success"><i class="fa fa-check" aria-hidden="true"></i> '.esc_html__('Login successful, redirecting...','weddlist').'</span>'));
		}

		die();
	}
}


if (!function_exists('weddlist_ajax_couple_register')) {
	function weddlist_ajax_couple_register(){
		global $wpdb, $weddlist;
		// First check the nonce, if it fails the function will break
		//check_ajax_referer( 'ajax-vendor-register-nonce', 'security' );
		
		
		$user_name = $wpdb->escape($_POST['username']);
		$user_email = $wpdb->escape($_POST['email']);
		$password = $_POST['password'];
		$weddingdate = $_POST['wedding_date'];
		
		$error = false;
		$note = '';
		$user_id = username_exists( $user_name );
		 
		if ( !$user_id && email_exists($user_email) == false && !empty($user_email) && !empty($user_name) && is_email($user_email)) {
			//$random_password = wp_generate_password( $length=12, $include_standard_special_chars=false );
			$random_password = $password;
			$user_id = wp_create_user( $user_name, $random_password, $user_email );
			
			update_user_meta( $user_id, 'user_type', 'couple' ) ;
			
			/* for user */

			update_user_meta( $user_id, 'weddingdate', $weddingdate) ;
			update_user_meta( $user_id, 'user_weddingdate', $weddingdate) ;

			weddlist_code_couple_add_default_todolist($user_id,$weddingdate);	

			weddlist_code_couple_add_default_budget($user_id);	

			weddlist_wp_new_user_notification( $user_name, 'couple'  ) ;	



		$info = array();
		$info['user_login'] = $user_name;
		$info['user_password'] = $password;
		$info['remember'] = true;

		$user_signon = wp_signon( $info, false );

			
		$note = '<span class="alert alert-success"><i class="fa fa-check" aria-hidden="true"></i> '.esc_html__('Successfully Registered','weddlist').'</span>';		
		}elseif(email_exists($user_email) == true){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('This Email already exists','weddlist').'</span>';
		}elseif(username_exists( $user_name ) == true){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('This Username already exists','weddlist').'</span>';
		}elseif(empty($user_email)){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Email field is empty','weddlist').'</span>';
		}elseif(!is_email($user_email)){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Please provide correct email.','weddlist').'</span>';
		}elseif(empty($user_name)){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Username field is empty.','weddlist').'</span>';
		}
														
		if ( $error == true ){
			$final = json_encode(array('register'=>false, 'message'=> $note ));
		} else {
			$final = json_encode(array('register'=>true, 'message'=>$note ));
		} 

		die($final);
		
	}
}	

if (!function_exists('weddlist_ajax_vendor_register')) {
	function weddlist_ajax_vendor_register(){
		global $wpdb, $weddlist;
		// First check the nonce, if it fails the function will break
		//check_ajax_referer( 'ajax-couple-register-nonce', 'security' );
		
		
		$user_name = $wpdb->escape($_POST['username']);
		$user_email = $wpdb->escape($_POST['email']);
		$password = $_POST['password'];

		$error = false;
		$note = '';
		$user_id = username_exists( $user_name );
		 
		if ( !$user_id && email_exists($user_email) == false && !empty($user_email) && !empty($user_name) && is_email($user_email)) {
			///$random_password = wp_generate_password( $length=12, $include_standard_special_chars=false );
			$random_password = $password;
			$user_id = wp_create_user( $user_name, $random_password, $user_email );
			
			update_user_meta( $user_id, 'user_type', 'vendor' ) ;

	
			
			weddlist_wp_new_user_notification( $user_name, 'vendor' ) ;				

		$info = array();
		$info['user_login'] = $user_name;
		$info['user_password'] = $password;
		$info['remember'] = true;

		$user_signon = wp_signon( $info, false );
			
		$note = '<span class="alert alert-success"><i class="fa fa-check" aria-hidden="true"></i> '.esc_html__('Successfully Registered','weddlist').'</span>';		
		}elseif(email_exists($user_email) == true){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('This Email already exists','weddlist').'</span>';
		}elseif(username_exists( $user_name ) == true){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('This Username already exists','weddlist').'</span>';
		}elseif(empty($user_email)){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Email field is empty','weddlist').'</span>';
		}elseif(!is_email($user_email)){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Please provide correct email.','weddlist').'</span>';
		}elseif(empty($user_name)){
			$error = true;
			$note = '<span class="alert alert-danger"><i class="fa fa-times" aria-hidden="true"></i>'.esc_html__('Username field is empty.','weddlist').'</span>';
		}
														
		if ( $error == true ){
			$final = json_encode(array('register'=>false, 'message'=> $note ));
		} else {
			$final = json_encode(array('register'=>true, 'message'=>$note ));
		} 

		die($final);
		
	}
}	


////////////////////////////////////////////////////////////////////////
////
////       weddlist_wp_new_user_notification  function  New user notification
////
////////////////////////////////////////////////////////////////////////


if( !function_exists('weddlist_wp_new_user_notification') ):

function weddlist_wp_new_user_notification( $user_id, $user_type ) {

		global $weddlist;

		$user = new WP_User( $user_id );
		
		$user_login = stripslashes( $user->user_login );
		$user_email = stripslashes( $user->user_email );

		// Email Subject
		$subject = $weddlist['weddlist_subject_new_user_register'];
		$website_url = site_url();
		$website_name = get_option('blogname');

		$formated_subject = weddlist_sprintf("$subject", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
		));
		
		$mail_content = $weddlist['weddlist_content_new_user_register'];
		
		$formated_mail_content = weddlist_sprintf("$mail_content", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'user_login' => "$user_login",
			'user_type' => "$user_type",
			'user_email' => "$user_email"
		));

		$headers[] = 'Content-Type: text/html; charset=UTF-8';
		weddlist_header_email_append_filter();
		wp_mail($user_email,$formated_subject,$formated_mail_content,$headers);			

		$admin_subject = $weddlist['weddlist_subject_admin_new_user_register'];

		$admin_formated_subject = weddlist_sprintf("$admin_subject", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
		));
		
		$admin_mail_content = $weddlist['weddlist_content_admin_new_user_register'];
		
		$admin_formated_mail_content = weddlist_sprintf("$admin_mail_content", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'user_login' => "$user_login",
			'user_type' => "$user_type",
			'user_email' => "$user_email"
		));

		$headers2[] = 'Content-Type: text/html; charset=UTF-8';
		weddlist_header_email_append_filter();
		wp_mail(get_option('admin_email'),$admin_formated_subject,$admin_formated_mail_content,$headers2);
	}
        
endif; // end   weddlist_wp_new_user_notification 



////////////////////////////////////////////////////////////////////////////////
/// Add new profile fields for user
////////////////////////////////////////////////////////////////////////////////

add_filter('user_contactmethods', 'weddlist_modify_contact_methods');     

if( !function_exists('weddlist_modify_contact_methods') ):

function weddlist_modify_contact_methods($profile_fields) {

	// Add new fields
	$profile_fields['facebook']                     = 'Facebook';
	$profile_fields['googleplus']                   = 'Google Plus';
	$profile_fields['youtube']                      = 'Youtube';
	$profile_fields['linkedin']                     = 'Linkedin';
	$profile_fields['twitter']                      = 'Twitter';
	$profile_fields['pinterest']                    = 'Pinterest';
	$profile_fields['instagram']                    = 'Instagram';

	$profile_fields['website']                      = 'Website';
	$profile_fields['phone']                      	= 'Phone';

	$profile_fields['address']                     	= 'Address';

	$profile_fields['businessname']             		= 'Businessname';


	$profile_fields['custom_picture']               = 'Picture Url';
	$profile_fields['small_custom_picture']         = 'Small Picture Url';

	$profile_fields['user_weddingdate']             = 'Couple Wedding Date';
	//$profile_fields['featured']                     = 'Featured';

	$profile_fields['user_type']             		= 'User Type';

	//$profile_fields['user_payment_amount']          = 'User Payment Amount';
	//$profile_fields['user_payment_expired_date']    = 'User Payment Expired Date';
	//$profile_fields['user_payment_date']   			= 'User Payment Date';
	//$profile_fields['user_member_status']           = 'User Member Status';
	//$profile_fields['user_items']                	  = 'User Items';

	//$profile_fields['user_package_id']             	= 'User Package ID';
		
	return $profile_fields;
}

endif; // end   weddlist_modify_contact_methods 


function weddlist_get_ip_address()
{
	if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        return $_SERVER['HTTP_CLIENT_IP'];
    } else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ips = explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']);
        return trim($ips[count($ips) - 1]);
    } else {
        return $_SERVER['REMOTE_ADDR'];
    }
}


function weddlist_all_list_of_vendor_user()
{
    global $post; // remove if not needed
    //global $post is available here, hence you can check for the post type here
    $users = get_users();

    echo '<select id="post_author_override" name="post_author_override">';

    foreach($users as $user)
    {
        echo '<option value="'.$user->ID.'"';

        if ($post->post_author == $user->ID)
        { 
        	echo 'selected="selected"'; 
        }

        echo'>';
        echo $user->user_login.'</option>';     
    }
    echo'</select>';
}

add_filter('wp_dropdown_users', 'weddlist_all_list_of_vendor_user');



function weddlist_save_claims_boxmeta($post_id)
{
	global $weddlist;
    $post_type = get_post_type($post_id);
		    
    if ("claim" != $post_type)
        return;
    

    if (!empty($_POST['claim_by']) && isset($_POST['claim_by'])) {

    	$message = '';

	    $new_author   = $_POST['claim_by'];
        $claim_status = $_POST['claim_status'];
        $claimed_post = $_POST['claimed_listing'];
		
        $listing_title    = get_the_title($claimed_post);
        $listing_url      = get_the_permalink($claimed_post);	

        $usermeta         = get_user_by('id', $new_author);
        $new_author_name  = $usermeta->user_login;
       	$user_email 	  = $usermeta->user_email;
	
        if (!empty($claim_status) && $claim_status == "approved") {	
		
		update_post_meta($claimed_post, 'claimed_section', 'claimed');

		// Email Content Details fields name
		$listing_name = $listing_title;
		$listing_url = get_permalink($claimed_post);
		$claim_by = $new_author_name;
		$claim_title = $listing_title;
		$claim_email = $user_email;
		$claim_url = get_permalink($claimed_post);
		$claim_status=ucfirst($claim_status);

		// Email Subject
		$subject = $weddlist['weddlist_subject_listing_claim_admin_approve'];
		$website_url = site_url();
		$website_name = get_option('blogname');

		$formated_subject = weddlist_sprintf("$subject", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'listing_name' => "$listing_name",
			'listing_url' => "$listing_url",
			'claim_by' => "$claim_by",
			'claim_title' => "$claim_title",
			'claim_status' => "$claim_status",
		));
		
		$mail_content = $weddlist['weddlist_content_listing_claim_admin_approve'];
		
		$formated_mail_content = weddlist_sprintf("$mail_content", array(
			'website_url' => "$website_url",
			'website_name' => "$website_name",
			'listing_name' => "$listing_name",
			'listing_url' => "$listing_url",
			'claim_by' => "$claim_by",
			'claim_title' => "$claim_title",
			'claim_email' => "$claim_email",
			'claim_url' => "$claim_url",
			'claim_status' => "$claim_status",
		));

		$headers[] = 'Content-Type: text/html; charset=UTF-8';

		weddlist_header_email_append_filter();
		wp_mail($user_email,$formated_subject,$formated_mail_content,$headers);

		$post_author_id = get_post_field( 'post_author', $claimed_post );
		
		$vendor_user = get_user_by('id', $post_author_id);
		$vendor_email=$vendor_user->user_email;
		weddlist_header_email_append_filter();
		wp_mail($vendor_email,$formated_subject,$formated_mail_content,$headers);
		}
	}
}

add_action('save_post', 'weddlist_save_claims_boxmeta');

function weddlist_code_couple_add_default_todolist($userID,$weddingdate)
{

global $wpdb;
$todolist_table = $wpdb->prefix."todolist";   
// Get options
$weddlist_theme_options = get_option( 'weddlist_theme_options' ); // unique id of the framework
$todolist_default=$weddlist_theme_options['todolist_default'];

$todolist_default_on=$weddlist_theme_options['todolist_default_on'];

$today_date=date('Y-m-d');

if($todolist_default_on==1)
{

  $todolist_default_arr = weddlist_group_assoc($todolist_default, 'todolist_default_time');


  foreach($todolist_default_arr as $items) {

    $final_day=0;
    $total=count($items);
    $date=round(27/$total);

    foreach($items as $item)
    {
        if($final_day>27)
        {
         $final_day=28;
        }
        else{
        $final_day=$final_day+$date;
        }

        $final_day=sprintf("%02d", $final_day);

        $todotitle=$item['todolist_main_title'];
        $tododetail=$item['todolist_default_details'];

        $month_year_date=date('Y-m', strtotime('-'.$item['todolist_default_time'],strtotime($weddingdate)));
        $task_date=$month_year_date.'-'.$final_day;


        if($task_date>date('Y-m-d'))
        {
          $wpdb->insert( 
            $todolist_table, 
            array( 
              'todo_user' => $userID,
              'todo_title' => $todotitle, 
              'todo_date' => $task_date,
              'todo_details' => $tododetail 
            ), 
            array( 
              '%d',
              '%s', 
              '%s', 
              '%s' 
            ) 
          );
        }
        else if($weddingdate>date('Y-m-d')){

          if($item['todolist_default_time']=='1month')
          {
          $month_year_date=date('Y-m', strtotime('+4 day',strtotime($weddingdate)));
          $task_date=$month_year_date.'-'.$final_day;

              $wpdb->insert( 
                    $todolist_table, 
                    array( 
                      'todo_user' => $userID,
                      'todo_title' => $todotitle, 
                      'todo_date' => $task_date,
                      'todo_details' => $tododetail 
                    ), 
                    array( 
                      '%d',
                      '%s', 
                      '%s', 
                      '%s' 
                    ) 
                  );

          }

        }
    }
  }

}

}

function weddlist_code_couple_add_default_budget($userID)
{

	// Get options
	$weddlist_theme_options = 	get_option( 'weddlist_theme_options' ); // unique id of the framework
	$budget_default 		=	$weddlist_theme_options['budget_default'];

	$budget_default_on		=	$weddlist_theme_options['budget_default_on'];

	global $wpdb;
    $budget_category_table 	= 	$wpdb->prefix."budget_category";
	$date  					=	date('Y-m-d');

	if($budget_default_on==1)
	{
		foreach($budget_default as $items) {

			$budget_category=$items['budget_category_name'];
			$wpdb->insert( 
				$budget_category_table, 
				array( 
					'category_user_id' => $userID,
					'category_name' => $budget_category,
					'category_date' => $date,
				), 
				array( 
					'%d',
					'%s', 
					'%s' 
				) 
			);	
		}	
	}
}
function weddlist_group_assoc($array, $key) {
    $return = array();
    foreach($array as $v) {
        $return[$v[$key]][] = $v;
    }
    return $return;
}

function nextend_social_couple_register_new_user( $user_id ) {

	$author_obj = get_user_by('id', $user_id);
    $user_name=$author_obj->user_login;

	update_user_meta( $user_id, 'user_type', 'couple' ) ;
	
	/* for user */

	weddlist_code_couple_add_default_budget($user_id);	
	$final_date = date("Y-m-d", strtotime("+8 month"));
	weddlist_code_couple_add_default_todolist($user_id,$final_date);	

	weddlist_wp_new_user_notification( $user_name, 'couple'  ) ;	
}
add_action('nsl_register_new_user', 'nextend_social_couple_register_new_user',10,1);
?>