<?php

/**
 * @link https://github.com/proteusthemes/one-click-demo-import
 */


function weddlist_code_ocdi_import_files()
{
    return array(
    array(
      'import_file_name'           => esc_html('Elementor Demo', 'weddlist'),
      'categories'                 => array( 'Elementor' ),
      'import_file_url'            => plugin_dir_url(__FILE__) . 'demo-importer-elementor/weddlist-demo.xml',
      'import_widget_file_url'     => plugin_dir_url(__FILE__) . 'demo-importer-elementor/weddlist-widget.wie',
      'import_redux'               => array(
        array(
          'file_url'    =>  plugin_dir_url(__FILE__) . 'demo-importer-elementor/weddlist-redux.json',
          'option_name' => 'weddlist',
        ),
      ),
      'import_preview_image_url'   => get_template_directory_uri() . '/screenshot.png',
    ),
    array(
      'import_file_name'           => esc_html('Elementor WooCommerce Demo', 'weddlist'),
      'categories'                 => array( 'Elementor', 'WooCommerce' ),
      'import_file_url'            => plugin_dir_url(__FILE__) . 'demo-importer-elementor-woocommerce/weddlist-demo.xml',
      'import_widget_file_url'     => plugin_dir_url(__FILE__) . 'demo-importer-elementor-woocommerce/weddlist-widget.wie',
      'import_redux'               => array(
        array(
          'file_url'    =>  plugin_dir_url(__FILE__) . 'demo-importer-elementor-woocommerce/weddlist-redux.json',
          'option_name' => 'weddlist',
        ),
      ),
      'import_preview_image_url'   => plugin_dir_url( __FILE__ ) . 'demo-importer-elementor-woocommerce/screenshot.png',
    ),    
 

////////////////////////////////////////////////////////////////////
    );
}
add_filter('pt-ocdi/import_files', 'weddlist_code_ocdi_import_files');


function weddlist_change_time_of_single_ajax_call() {
	return 10;
}
add_action( 'pt-ocdi/time_for_one_ajax_call', 'weddlist_change_time_of_single_ajax_call' );

function weddlist_code_ocdi_after_import_setup() {
	
	// Assign menus to their locations.
	$main_menu 	= get_term_by('name', 'Main-Menu', 'nav_menu');
	$top_menu 	= get_term_by('name', 'topbar-menu', 'nav_menu');
	
	set_theme_mod( 'nav_menu_locations' , array( 
		  'primary' 	=> $main_menu->term_id, 
		  'topbar' 		=> $top_menu->term_id 
		 ) 
	);		

	// Assign front page and posts page (blog page).
	$front_page_id 	= get_page_by_title( 'Home 1' );
	$blog_page_id  	= get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
	

	//Import Revolution Slider
  if ( class_exists( 'RevSlider' ) ) {

		$absolute_path = __FILE__;
		$path_to_file = explode( 'wp-content', $absolute_path );
		$path_to_wp = $path_to_file[0];
		
		require_once( $path_to_wp.'/wp-admin/includes/file.php');	
	
		$rev_files = array(
			WEDDLIST_CODE_PLUGIN_DIR.'core/demo-importer-elementor/home.zip'
		);
	
		$slider = new RevSlider();
	
		foreach( $rev_files as $rev_file ) { 
	
			// finally import rev slider data files
			$filepath = $rev_file;
			ob_start();
				$slider->importSliderFromPost(true, false, $filepath);
			ob_clean();
			ob_end_clean();
		}
	}
  

}
add_action( 'pt-ocdi/after_import', 'weddlist_code_ocdi_after_import_setup' );