<?php
add_action( 'wp_ajax_stripe_create_payment', 'weddlist_stripe_create_payment_callback' ); 
add_action( 'wp_ajax_nopriv_stripe_create_payment', 'weddlist_stripe_create_payment_callback' );


function weddlist_stripe_create_payment_callback() {

	global $current_user,$post;
	wp_get_current_user();
	$userID          = $current_user->ID;	

  	require_once( WEDDLIST_CODE_PLUGIN_DIR . "/core/stripe/includes/config.php" ); 

    $token  		= esc_attr( $_POST['stripeToken'] );
    $email  		= esc_attr( $_POST['stripeEmail'] );
    $amount 		= esc_attr( $_POST['amount'] );
	$packageid 		= esc_attr( $_POST['packageid'] );
    $description 	= esc_attr( $_POST['description'] );

	$customer = \Stripe\Customer::create(array(
	  'email' => $email,
	  'card'  => $token,
	));

	$package_items 		= 	get_post_meta( $_POST['packageid'], 'package_items', true );
	$package_price 		= 	get_post_meta( $_POST['packageid'], 'package_price', true );
	$user_period 		= 	get_post_meta( $_POST['packageid'], 'package_period', true );	
	
	$amount 			= 	floatval($package_price);
	$stripe_amount 		= 	number_format($package_price, 2, '.', '')*100;			

	$cur_date			= 	date('Y-m-d');
	$user_items 		= 	get_the_author_meta( 'user_items' , $userID );
	
	$stripe_currency = tg_option('stripe_currency');
	$currency = isset( $stripe_currency ) ? $stripe_currency : 'USD';
	$charge = \Stripe\Charge::create(array(
	  'customer' => $customer->id,
	  'amount'   => $stripe_amount,
	  'description' => $description,
	  'currency' => $currency
	));


	$dashboard_link 	= 	weddlist_get_vendor_user_dashboard_link();
	$redirect_url 		= 	$dashboard_link['url']; //redurect page

	update_user_meta( $userID, 'user_items', $package_items ) ;
	update_user_meta( $userID, 'user_member_status', 'Paid' ) ;
	update_user_meta( $userID, 'user_payment_date', $cur_date ) ;
	update_user_meta( $userID, 'user_payment_amount', $amount ) ;

	$user_payment_expired_date  	= 	get_the_author_meta( 'user_payment_expired_date' , $userID );				

	$packageid = $_POST['packageid'];

	update_user_meta( $userID, 'user_package_id', $packageid ) ;

	if (function_exists('weddlist_listing_update_user_package_details')) {
	    weddlist_listing_update_user_package_details($userID,$packageid);
	}	

	weddlist_package_expired_period($userID,$user_items,$package_items,$user_payment_expired_date,$user_period);

	$args = array(
		   'post_type' 		=> 'item',
		   'author'    		=> $userID,
		   'post_status'   	=> 'expired' 
	);
	$item = new WP_Query( $args );
	while ( $item->have_posts() ) { $item->the_post();
		$prop = array(
				'ID'            => $post->ID,
				'post_type'     => 'item',
				'author'    	=> $userID,
				'post_status'   => 'publish'
		);
	   
		wp_update_post($prop ); 
	}	

	$message['payer_email']		=	$email;
	$message['payer_plan']		=	$ItemName;
	$message['payer_listing']	=	$package_items;				
	$message['payer_amount']	=	$amount;
	$message['payer_status']	=	esc_html__('Stripe Successfully Payment','weddlist');	
				
	weddlist_payment_user_notification($userID,$message);
  
  	echo $redirect_url.'?stripe=1&tran='.$customer->id; //Point to process.php page
	die();
}
?>