<?php

// If this file is called directly, abort. 
if ( ! defined( 'ABSPATH' ) ) {
	exit();
}

if ( ! class_exists( 'Weddlist_Stripe_Payment_Scripts' ) ) :

class Weddlist_Stripe_Payment_Scripts {

	public function __construct() {
		add_action('wp_enqueue_scripts', array( $this, 'weddlist_load_stripe_scripts') );
	}

	function weddlist_load_stripe_scripts() {

		if (function_exists('tg_option')) {
			$publishable = tg_option('stripe_pubishable_key');
		} else {
			$publishable = '';
		}		

		$blog_title 	= get_bloginfo( 'name' );		
		$blog_tagline 	= get_bloginfo ( 'description' );
		
		if (function_exists('tg_option')) {
			$stripe_currency = tg_option('stripe_currency');
		} else {
			$stripe_currency = 'USD';
		}		

		$currency = isset( $stripe_currency ) ? $stripe_currency : 'USD';

		wp_register_script( 'stripe-processing', WEDDLIST_CODE_PLUGIN_URL . '/core/stripe/includes/js/stripe-processing.js', array('jquery'));

		wp_localize_script( 'stripe-processing', 'weddlist_stripe',
	        array( 
	            'ajaxurl' => admin_url( 'admin-ajax.php' ),        
	            'publishable_key' => $publishable,
	            'stripe_title' => $blog_title,
	         	'stripe_tagline' => $blog_tagline,
	      		'stripe_button_text' => 'Pay',
	      		'stripe_currency' => $currency	   
	        )
	    );
	}

}

endif;

new Weddlist_Stripe_Payment_Scripts();