<?php 
/**
 * Meta-box Options.
 */  
$meta_boxes = array(); 

$sidebar_choose = array(
    'none' => array (
        'label' => 'none',
        'value' => 'none',
        'image' => plugin_dir_url( __FILE__ ) .'images/no-sidebar.jpg',
    ),    
    'right' => array (
        'label' => 'right',
        'value' => 'right',
        'image' => plugin_dir_url( __FILE__ ) .'images/right-sidebar.jpg',
    ),
    'left' => array (
        'label' => 'left',
        'value' => 'left',
        'image' => plugin_dir_url( __FILE__ ) .'images/left-sidebar.jpg',
    ),
);

$meta_boxes[] = array(
    'id' => 'sidebar_setting',
    'title' => 'Page Sidebar Setting',
    'pages' => array('page'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name'    => esc_html__('Where to show the sidebar','weddlist'),
            'desc'    => '',
            'class'   => 'radio-img',            
            'id'      => 'show_sidebar',
            'type'    => 'radio-img',
            'default' => 'none',
            'options' => $sidebar_choose,
        ),
        array(
            'name'    => esc_html__('Select Sidebar','weddlist'),
            'id'      => 'sidebar_select',
            'type'    => 'factory_widget',
        ),
    )// field
);

$container_choose = array(
    'container' => array (
        'label' => 'container',
        'value' => 'container',
        'image' => plugin_dir_url( __FILE__ ) .'images/container.jpg',
    ),    
    'container-fluid' => array (
        'label' => 'container-fluid',
        'value' => 'container-fluid',
        'image' => plugin_dir_url( __FILE__ ) .'images/container-fluid.jpg',
    ),
    'custom' => array (
        'label' => 'custom',
        'value' => 'custom',
        'image' => plugin_dir_url( __FILE__ ) .'images/custom-div.jpg',
    ),
);

$meta_boxes[] = array(
    'id' => 'div_setting_img',
    'title' => 'Choose Page Layout',
    'pages' => array( 'page'),
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name'    => esc_html__('Choose a Layout on this page','weddlist'),
            'desc'    => '',
            'class'   => 'radio-img',          
            'id'      => 'show_div_structure',
            'type'    => 'radio-img',
            'default' => 'container',
            'std' => '',
            'options' => $container_choose,
        ),
        array(
            'name'    => esc_html__('Page Header/Menu Transparent','weddlist'),
            'desc'    => '<p>If you want to show Page Header Transparent Section Please Checkbox is Checked and updated page.</p>',
            'id'      => 'page_header_options',
            'type'    => 'checkbox',
            'std' => '',
        ), 		

    )// field
);


/**
 * Package meta box.
 */
$meta_boxes[] = array(
    'id' => 'meta-box-package',
    'title' => esc_html__('Package Details','weddlist'),
    'pages' => array('package'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => esc_html__('How many regular listings are included?','weddlist'),
            'desc' => 'Here add number to user can add items like 5,10,20',
            'id' =>  'package_items',
            'type' => 'text',
            'std' => ''
        ),
        array(
            'name' => esc_html__('How many Featured listings?','weddlist'),
            'desc' => 'Here add number to user can add items like 1,2,5(for 0 value add 00)',
            'id' =>  'package_featured_items',
            'type' => 'text',
            'std' => ''
        ),        
        array(
            'name' => esc_html__('Price','weddlist'),
            'desc' => 'Price as per currency code selection (For Free Plan use pirce as 00)',
            'id' =>  'package_price',
            'type' => 'text',
            'std' => ''
        ),
        array(
            'name' => esc_html__('Listing Upload Images','weddlist'),
            'desc' => 'How Many Images Upload on Listing (Like 2,5,20 Images)',
            'id' =>  'package_listing_upload_images',
            'type' => 'text',
            'std' => ''
        ),        
        array(
            'name' => esc_html__('Package Period','weddlist'),
            'desc' => 'When item expired',
            'id' =>  'package_period',
            'type' => 'select',
            'std' => '',
			'options'=>array (
						'0' => array (
							'label' => '1 Month',
							'value'	=> '1 Month'
						),
						'1' => array (
							'label' => '2 Month',
							'value'	=> '2 Month'
						),
						'2' => array (
							'label' => '3 Month',
							'value'	=> '3 Month'
						),
						'3' => array (
							'label' => '6 Month',
							'value'	=> '6 Month'
						),
						'4' => array (
							'label' => '9 Month',
							'value'	=> '9 Month'
						),
						'5' => array (
							'label' => '1 Year',
							'value'	=> '1 Year'
						),
						'6' => array (
							'label' => '1 Year, 6 Month',
							'value'	=> '1 Year, 6 Month'
						),
						'7' => array (
							'label' => '2 Year',
							'value'	=> '2 Year'
						),
						'8' => array (
							'label' => '3 Year',
							'value'	=> '3 Year'
						))			
        ),	
        array(
            'name' => esc_html__('Social Share','weddlist'),
            'desc' => '',
            'id' =>  'package_share',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))        
        ),  
        array(
            'name' => esc_html__('Phone','weddlist'),
            'desc' => '',
            'id' =>  'package_phone',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))        
        ),  
        array(
            'name' => esc_html__('Wedsite','weddlist'),
            'desc' => '',
            'id' =>  'package_website',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))         
        ),  
        array(
            'name' => esc_html__('Video','weddlist'),
            'desc' => '',
            'id' =>  'package_video',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))       
        ), 
        array(
            'name' => esc_html__('Show Vendor Profile','weddlist'),
            'desc' => '',
            'id' =>  'package_vendorprofile',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))          
        ),     
        array(
            'name' => esc_html__('Home Featured Vendor Profile','weddlist'),
            'desc' => '',
            'id' =>  'package_featured_vendorprofile',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))          
        ),                         
        array(
            'name' => esc_html__('Recommended Package ?','weddlist'),
            'desc' => '',
            'id' =>  'package_recommended',
            'type' => 'select',
            'std' => '',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))      
        ),  
        array(
            'name' => esc_html__('Is visible ?','weddlist'),
            'desc' => '',
            'id' =>  'package_status',
            'type' => 'select',
            'std' => '',
			'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        )) 		
        ),					
    )// field
);


/**
 * Package meta box.
 */
if(function_exists('weddlist_woocommerce_listing_package_function'))
{

    $meta_boxes[] = array(
    'id' => 'weddlist_product_meta',
    'title' => esc_html__('Package Details','weddlist'),
    'pages' => array('product'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(

        array(
            'name' => esc_html__('Package Type','weddlist'),
            'desc' => esc_html__('Select package type whether it is a paid package or free','weddlist'),
            'id' =>  'weddlist_product_package_type',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'Paid',
                            'value' => 'paid'
                        ),
                        '1' => array (
                            'label' => 'Free',
                            'value' => 'free'
                        ))  
        ),


        array(
            'name' => esc_html__('Package Expiry','weddlist'),
            'desc' => esc_html__('Expiry in days, -1 will never expired.','weddlist'),
            'id' =>  'weddlist_product_package_expiry',
            'std' => '',
            'type' => 'text',
        ),
        array(
            'name' => esc_html__('General Listing?','weddlist'),
            'desc' => esc_html__('Enter number for General Listings like 5,10,20','weddlist'),
            'id' =>  'weddlist_product_regular_listing',
            'type' => 'text',
        ),
        array(
            'name' => esc_html__('Featured Listing?','weddlist'),
            'desc' => esc_html__('("00" for no feature)Enter number for Featured Listings like 1,2,5  and it will show on home page','weddlist'),
            'id' =>  'weddlist_product_featured_listing',
            'type' => 'text',
        ),   
        array(
            'name' => esc_html__('Listing Images?','weddlist'),
            'desc' => esc_html__('Enter number for Images Vendor can upload like 2,5,20','weddlist'),
            'id' =>  'weddlist_product_listing_images',
            'type' => 'text',
        ),                
        array(
            'name' => esc_html__('Recommended Package','weddlist'),
            'desc' => esc_html__('Options to show package with highlighted','weddlist'),
            'id' =>  'weddlist_product_package_recommended',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))        
        ),  
        array(
            'name' => esc_html__('Social Share','weddlist'),
            'desc' => esc_html__('Options to show listing details page','weddlist'),
            'id' =>  'weddlist_product_package_share',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))        
        ),  
        array(
            'name' => esc_html__('Phone','weddlist'),
            'desc' => esc_html__('Options to show phone number on listing details page','weddlist'),
            'id' =>  'weddlist_product_package_phone',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))        
        ),  
        array(
            'name' => esc_html__('Wedsite','weddlist'),
            'desc' => esc_html__('Options to show website on listing details page','weddlist'),
            'id' =>  'weddlist_product_package_website',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))         
        ),  
        array(
            'name' => esc_html__('Video','weddlist'),
            'desc' => esc_html__('Options to video on listing details page','weddlist'),
            'id' =>  'weddlist_product_package_video',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))       
        ), 
        array(
            'name' => esc_html__('Show Vendor Profile','weddlist'),
            'desc' => esc_html__('Options to Vendor Profile on listing details page','weddlist'),
            'id' =>  'weddlist_product_package_vendorprofile',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))          
        ),  
        array(
            'name' => esc_html__('Home Page Featured Profile','weddlist'),
            'desc' => esc_html__('Options to Feature Vendor Profile on Home Page','weddlist'),
            'id' =>  'weddlist_product_package_featured_vendorprofile',
            'type' => 'select',
            'options'=>array (
                        '0' => array (
                            'label' => 'No',
                            'value' => 'No'
                        ),
                        '1' => array (
                            'label' => 'Yes',
                            'value' => 'Yes'
                        ))          
        ),                         
                 
    )// field
);

}

$meta_boxes[] = array(
    'id' => 'header_image',
    'title' => 'Header Image',
    'pages' => array('post', 'page','realwedding' ),
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name'    => esc_html__('Page Header Banner Section ( Hide )','weddlist'),
            'desc'    => '<p>If you want to Hide Page Header Banner Section Please Checkbox is Checked and updated post.</p>',
            'id'      => 'page_header_hide_option',
            'type'    => 'checkbox',
            'std' => '',
        ),        
        array(
            'name'    => esc_html__('Header Image','weddlist'),
            'desc'    => '<p>Suggested Image size 1920x320 <br/>if header image is empty so theme options header image is default set in your header image.</p>',
            'class'   => 'regular-text form-control text-upload',          
            'id'      => 'header_img',
            'type'    => 'image',
            'std' => '',
        ),
        array(
            'name'    => esc_html__('Header Small Title','weddlist'),
            'desc'    => '<p>Here you can add small title for header.</p>',
            'id'      => 'header_small_title',
            'type'    => 'text',
            'std' => '',
        ),		
    )// field
);


$ratingarr = array(
			'0' => array (
							'label' => '1',
							'value'	=> '1'
						),
			'1' => array (
							'label' => '2',
							'value'	=> '2'
						),
			'2' => array (
							'label' => '3',
							'value'	=> '3'
						),
			'3' => array (
							'label' => '4',
							'value'	=> '4'
						),
			'4' => array (
							'label' => '5',
							'value'	=> '5'
						));

$meta_boxes[] = array(
    'id' => 'additional_setting',
    'title' => 'Additional Setting',
    'pages' => array('wl-reviews' ),
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name'    => esc_html__('Rating','weddlist'),
            'desc'    => '<p>Select Rating</p>',
            'id'      => 'rating',
            'type'    => 'select',
            'options' => $ratingarr,
        ),        
        array(
            'name'    => esc_html__('Assigned to Listing','weddlist'),
            'desc'    => '<p>Assign review to rating</p>',
            'id'      => 'item_id',
            'type'    => 'select',
			'options' => tg_item_listing(),
            'std' => '',
        ),
        array(
            'name'    => esc_html__('Reply','weddlist'),
            'desc'    => '<p>Add Review Reply.</p>',
            'id'      => 'review_reply',
            'type'    => 'text',
            'std' => '',
        ),		
    )// field
);



$claim_status = array(
			'0' => array (
							'label' => 'Pending',
							'value'	=> 'pending'
						),
			'1' => array (
							'label' => 'Approved',
							'value'	=> 'approved'
						),
			'2' => array (
							'label' => 'Decline',
							'value'	=> 'decline'
						),);

$claim_users=array();
$users = get_users();
foreach($users as $user_id){
		$claim_users[]= array (
							'label' => $user_id->user_nicename,
							'value'	=> $user_id->ID
						);
}


$meta_boxes[] = array(
    'id' => 'claim_details_info',
    'title' => 'Claim Details',
    'pages' => array('claim' ),
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name'    => esc_html__('Select Listing for Claim','weddlist'),
            'desc'    => '<p>Assign listing for claim</p>',
            'id'      => 'claimed_listing',
            'type'    => 'select',
			'options' => tg_item_listing(),
            'std' => '',
        ),
        array(
            'name'    => esc_html__('Claim By','weddlist'),
            'desc'    => '<p>Claim By</p>',
            'id'      => 'claim_by',
            'type'    => 'select',
            'options' => $claim_users,
        ),   
        array(
            'name'    => esc_html__('Claim Status','weddlist'),
            'desc'    => '<p>Claim Status</p>',
            'id'      => 'claim_status',
            'type'    => 'select',
            'options' => $claim_status,
        ),   
        array(
            'name'    => esc_html__('Claimer Details','weddlist'),
            'desc'    => '<p>Claimer Details.</p>',
            'id'      => 'claim_details',
            'type'    => 'textarea',
            'std' => '',
        ),		
        array(
            'name'    => esc_html__('Claimer Phone','weddlist'),
            'desc'    => '<p>Claimer Phone.</p>',
            'id'      => 'claim_phone',
            'type'    => 'text',
            'std' => '',
        ),	
        array(
            'name'    => esc_html__('Author','weddlist'),
            'desc'    => '<p>Author.</p>',
            'id'      => 'claim_author',
            'type'    => 'text',
            'std' => '',
        ),				
    )// field
);

/**
 * Testimonial meta box.
 */
$meta_boxes[] = array(
    'id' => 'weddlist-testimonial',
    'title' => 'Author Information',
    'pages' => array('testimonial'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Author Details',
            'desc' => '',
            'id' =>  'testimonials_details',
            'type' => 'textarea',
            'std' => ''
        ),
        array(
            'name' => 'Author Designation',
            'desc' => '',
            'id' =>  'testimonials_designation',
            'type' => 'text',
            'std' => ''
        ),
  
    )// field 
);


/**
 * Read Wedding meta box.
 */
$meta_boxes[] = array(
    'id' => 'weddlist-realwedding',
    'title' => 'Real Wedding Information',
    'pages' => array('realwedding'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Couple Wedding Date',
            'desc' => '',
            'id' =>  'wedding_date',
            'type' => 'date',
            'std' => ''
        ),
        array(
            'name' => 'Couple Wedding Place',
            'desc' => '',
            'id' =>  'wedding_place',
            'type' => 'text',
            'std' => ''
        ),
  
    )// field 
);

$meta_boxes[] = array(
    'id' => 'tg-info',
    'title' => esc_html__('Listing Information','weddlist'),
    'pages' => array('item'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => esc_html__('Address','weddlist'),
            'desc' => '',
            'id' =>  'item_address',
            'type' => 'textarea',
            'std' => ''
        ),
        array(
            'name' => esc_html__('Price','weddlist'),
            'desc' => '',
            'id' =>  'item_price',
            'type' => 'text',
            'std' => ''
        ),	
        array(
            'name' => esc_html__('General Faqs','weddlist'),
            'desc' => 'Faqs For Help Listing',
            'id' =>  'faqs',
            'type' => 'faqs',
            'std' => ''
        ),          		
        array(
            'name' => esc_html__('Maximum Price','weddlist'),
            'desc' => 'Add maximum price (Optional) ',
            'id' =>  'item_maxprice',
            'type' => 'text',
            'std' => ''
        ),			
        array(
            'name' => esc_html__('Video URL','weddlist'),
            'desc' => 'Here you can add youtube or vimeo',
            'id' =>  'tab_item_video',
            'type' => 'text',
            'std' => ''
        ),				
        array(
            'name' => esc_html__('Reviews','weddlist'),
            'desc' =>'',
            'id' =>  'reviews_ids',
            'type' => 'text',
            'std' => ''
        ),	
        array(
            'name' => esc_html__('Featured Item','weddlist'),
            'desc' => 'This item will display as Featured',
            'id' =>  'featured_item',
            'type' => 'radio',
            'default' => '1',            
            'options' => array (
                        '0' => array (
                            'label' => 'On',
                            'name' =>  'On',
                            'value' => 'on',
                        ),
                        '1' => array (
                            'label' => 'Off',
                            'name' =>  'Off',
                            'value' => '1'
                        )),
            'std' => ''
        ),					
		
    )// field
);


$meta_boxes[] = array(
    'id' => 'tg-vendor-details',
    'title' => esc_html__('Vendor Details','weddlist'),
    'pages' => array('item'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
         array(
            'name' => esc_html__('Email','weddlist'),
            'desc' => 'Enter Email Where get listing inquery form mail',
            'id' =>  'item_vendor_email',
            'type' => 'text',
            'std' => ''
        ),  
        array(
            'name' => esc_html__('Phone','weddlist'),
            'desc' => 'Enter Vendor Phone Number',
            'id' =>  'item_phone',
            'type' => 'text',
            'std' => ''
        ),  
        array(
            'name' => esc_html__('Website','weddlist'),
            'desc' => 'Enter website name with http:',
            'id' =>  'item_website',
            'type' => 'text',
            'std' => ''
        ), 
        array(
            'name' => esc_html__('Facebook','weddlist'),
            'desc' => 'Enter Vendor Facebook Profile',
            'id' =>  'item_facebook',
            'type' => 'text',
            'std' => ''
        ),      
        array(
            'name' => esc_html__('Twitter','weddlist'),
            'desc' => 'Enter Vendor Twitter Profile',
            'id' =>  'item_twitter',
            'type' => 'text',
            'std' => ''
        ),      
        array(
            'name' => esc_html__('Instagram','weddlist'),
            'desc' => 'Enter Vendor Instagram Profile',
            'id' =>  'item_instagram',
            'type' => 'text',
            'std' => ''
        ),      
        array(
            'name' => esc_html__('Linkedin','weddlist'),
            'desc' => 'Enter Vendor Linkedin Profile',
            'id' =>  'item_linkedin',
            'type' => 'text',
            'std' => ''
        ),                                   
              
        
    )// field
);


/**
 * Post meta box.
 */
$meta_boxes[] = array(
    'id' => 'weddlist-post-video',
    'title' => 'Show Video',
    'pages' => array('post'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Video URL',
            'desc' => '<i>For Blog Posts, make sure Video post format is chosen.Make sure to use EMBED SRC URL - not the url to the video itself.</i>',
            'id' =>  'show_video',
            'type' => 'text',
            'std' => ''
        ),                     
    )// field 
);
/** 
 * Post meta box.
 */
$meta_boxes[] = array(
    'id' => 'weddlist-post-video-audio',
    'title' => 'Show Audio',
    'pages' => array('post'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Audio URL',
            'desc' => '<i>For Blog Posts, make sure Audio post format is chosen.</i>',
            'id' =>  'show_audio',
            'type' => 'text',
            'std' => ''
        ),                     
    )// field 
);

foreach ($meta_boxes as $meta_box) {
    $my_box = new Weddlist_Meta_Box($meta_box);
}

class Weddlist_Meta_Box {
    protected $_meta_box;
	/**
	 * create meta box based on given data.
	 */
    function __construct($meta_box) {
        $this->_meta_box = $meta_box;
        add_action('admin_menu', array(&$this, 'add'));
        add_action('save_post', array(&$this, 'save'));
    }
 	/**
	 * Add meta box for multiple post types.
	 */
    function add() {
        foreach ($this->_meta_box['pages'] as $page) {
            add_meta_box($this->_meta_box['id'], $this->_meta_box['title'], array(&$this, 'show'), $page, $this->_meta_box['context'], $this->_meta_box['priority']);
        }
    }
	/**
	 * Callback function to show fields in meta box.
	 */
    function show() {
        global $post;
 		/**
		 * Use nonce for verification.
		 */
        echo  '<input type="hidden" name="weddlist_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
        echo  '<table class="form-table">';
		
        foreach ($this->_meta_box['fields'] as $field) {            
			/**
			 *  get current post meta data.
			 */
            $meta = get_post_meta($post->ID, $field['id'], true);
			if( isset( $field['desc'] ) ) {
				$meta_description = $field['desc'];
			}
			
            if($field['type']=='faqs')
            {
                echo  '<tr id="field_faqs"><th style="width:20%"><label for="',esc_attr($field['id']), '">', esc_html($field['name']), '</label></th><td>';
            }
            else{
                echo  '<tr><th style="width:20%"><label for="',esc_attr($field['id']), '">', esc_html($field['name']), '</label></th><td>';

            }

			
            switch ($field['type']) {
			    /**
				 *  Meta-box Text Field.
				 */	
                 case 'text':
                        $field_std_Value='';
                        if(isset($field['std']))
                        {
                            $field_std_Value=$field['std'];
                        }
                 	   echo  '<input type="text" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" value="', $meta ? $meta : $field_std_Value, '" size="30" style="width:97%" />',
                       '<br /><small>', $meta_description.'</small>';
                 break;		

			    /**
				 *  Meta-box Date&Time Field.
				 */	
                 case 'date':
                 	   echo  '<input type="text" class="datepicker" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />',
                       '<br /><small>', $meta_description.'</small>';
                 break;		
				 			
			    /**
				 *  Meta-box Color Field.
				 */	
				case 'color':
				      echo '<input class="color-field" type="text" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" value="', $meta ? $meta : $field['std'], '"  />',
                      '<br /><small>', $meta_description.'</small>';
				break;
			    /**
				 *  Meta-box Textarea Field.
				 */	
                case 'textarea':
                      echo  '<textarea name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" cols="60" rows="4" style="width:97%">', $meta ? $meta : $field['std'], '</textarea>',
                      '<br /><small>', $meta_description.'</small>';
                break;
                    /**
                 *  Meta-box Editor Field.
                 */ 
                case 'wpeditor':                   
                      $content=$meta ? $meta : $field['std'];     
                      wp_editor( htmlspecialchars_decode($content), $field['id'], array("media_buttons" => false,'textarea_rows'=>5) );
                      echo   '<br /><small>', $meta_description.'</small>';
                break;                
			    /**
				 *  Meta-box Select Field.
				 */	
				case 'select':					
					  echo  '<select name="'.esc_attr($field['id']).'" id="'.esc_attr($field['id']).'">';
						     foreach ($field['options'] as $option) {
						  	    echo  '<option', $meta == $option['value'] ? ' selected="selected"' : '', ' value="'.$option['value'].'">'.$option['label'].'</option>';
					 	     } 
					  echo  '</select><br /><span class="description">'.$meta_description.'</span>';
                break;


                /**
                 *  Meta-box Select Field.
                 */ 
                case 'faqs':   

                    $faqTab = esc_html__('FAQ','weddlist');;
                    $faqTitle = esc_html__('FAQs','weddlist');
                    $faqTab = preg_replace("/[^A-Za-z]+/", "", $faqTab);
                    $ansString = esc_html__('Answer', 'weddlist');
                    $faqs = $meta;
                    if( !empty($faqs) && count($faqs)>0 ){
                        $faq = $faqs['faq'];
                        $faqans = $faqs['faqans'];
                    }
                    ?>
                    <div id="tabs" data-qstring="<?php echo $faqTab; ?>" data-ansstring="<?php echo $ansString; ?>" data-faqtitle="<?php echo $faqTitle; ?>">
                        <div class="btn-container clearfix">    
                          <ul>
                              <?php
                                $j=1;
                                if( !empty($faq) && count($faq)>0 ){
                                  foreach($faq as $key=>$sfaq){
                                      echo '<li><a href="#tabs-'.$j.'">'.$faqTab.' '.$j.'</a></li>';
                                  $j++;
                                  }
                                }else{
                              ?>
                            <li><a href="#tabs-1"><?php echo $faqTab; ?> 1</a></li>
                            <?php } ?>                            
                          </ul>
                          <a id="tabsbtn" class="lp-secondary-btn btn-first-hover"><?php echo esc_html__('+ Add New', 'weddlist-code'); ?></a>
                        </div>
                        <div class="clear"></div>
                         <?php
                            $i=1;
                            if( !empty($faq) && count($faq)>0 ){
                                foreach($faq as $key=>$sfaq){
                                  echo '<div id="tabs-'.$i.'">
                                            <div class="form-group">
                                                    <label for="faqs">'.$faqTitle.' '.$i.'</label>
                                                    <input type="text" class="form-control" name="faqs[faq]['.$i.']" id="faqs" placeholder="'.$faqTitle.' '.$i.'" value="'.$sfaq.'">
                                            </div>
                                            <div class="form-group">
                                                    <label for="inputanswer">'.$ansString.' '.$i.'</label>
                                                    <textarea class="form-control" name="faqs[faqans]['.$i.']" rows="8" id="inputanswer">'.$faqans[$key].'</textarea>
                                            </div>
                                        </div>';
                                $i++;        
                              }
                            }else{
                          ?>
                        <div id="tabs-1">
                            <div class="form-group">
                                    <label for="faqs"><?php echo $faqTitle; ?> 1</label>
                                    <input type="text" class="form-control" name="faqs[faq][1]" id="faqs" placeholder="<?php echo esc_html__('FAQ 1', 'weddlist-code'); ?>">
                            </div>
                            <div class="form-group">
                                    <label for="inputanswer"><?php echo $ansString; ?> 1</label>
                                    <textarea class="form-control" name="faqs[faqans][1]" rows="8" id="inputanswer"></textarea>
                            </div>
                        </div>
                        <?php } 
                            echo  '<span class="description">'.$meta_description.'</span>';
                        ?>                
                        </div>
                      <?php                      
                break;

			    /**
				 *  Meta-box Select Field.
				 */	
				case 'radio-img':					

					    foreach ($field['options'] as $option) {
                              if(empty($meta))
                              {
                                $meta=$field['default'];
                              }

							  echo '<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">';
                              echo '<label for="',$option['value'],'_1">';
							  echo  '<input type="radio" name="'.esc_attr($field['id']).'" id="'.esc_attr($field['id']).'"  value="',$option['value'],'" ',$meta == $option['value'] ? ' checked="checked"' : '',' />';
							  echo '<img src="'.$option['image'].'" style="vertical-align: middle;" atl="'.esc_attr($field['id']).'" /></label><br />';
							  echo "</div>";
							
				 	    } 
					  echo  '<span class="description">'.$meta_description.'</span>';
                break;		

                /**
                 *  Meta-box Dynamic Sidebar
                 */
                case 'factory_widget':

                    global $wp_registered_sidebars;

                    if ( empty( $wp_registered_sidebars ) )
                        return;
					
					echo  '<select name="'.esc_attr($field['id']).'" id="'.esc_attr($field['id']).'">';
                           foreach ( $wp_registered_sidebars as $option)
                               echo  '<option', $meta == $option['id'] ? ' selected="selected"' : '', ' value="'.$option['id'].'">'.$option['name'].'</option>';
                    echo  '</select><br /><span class="description">'.$meta_description.'</span>';

                break;						
			    /**
				 *  Meta-box Radio Field.
				 */	
				case 'radio':
					  foreach ( $field['options'] as $option ) {

                                  if(empty($meta))
                                  {
                                    $meta=$field['default'];
                                  }
                        
						       echo  '<input type="radio" name="'.esc_attr($field['id']).'" id="'.$option['value'].'" 
							   value="'.$option['value'].'" ',$meta == $option['value'] ? ' checked="checked"' : '',' />
							   <label for="'.$option['value'].'">'.$option['name'].'</label><br>';
					  }
					  echo  '<span class="description">'.$meta_description.'</span>';
				break;
			    /**
				 *  Meta-box Checkbox Field.
				 */	
	            case 'checkbox':
    	              echo  '<input type="checkbox" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '"', $meta ? ' checked="checked"' : '', ' />';
                break;
			    /**
				 *  Meta-box Checkbox-group Field.
				 */	
			    case 'checkbox_group':
					  foreach ($field['options'] as $option) {
					      echo  '<input type="checkbox" value="',$option['value'],'" name="',esc_html($field['id']),'[]" 
						  id="',$option['value'],'"',$meta && in_array($option['value'], $meta) ? ' checked="checked"' : '',' />
						  <label for="'.$option['value'].'">'.$option['name'].'</label><br />';
					  }
					  echo  '<span class="description">'.$meta_description.'</span>';
					break;
			    /**
				 *  Meta-box Image Field.
				 */	
				case 'image':
					  echo   '<span class="upload">';
					  if( $meta ) {									
						   echo  '<input type="hidden" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" 
								   class="regular-text form-control text-upload" value="',$meta,'"  />';							
						   echo  '<img style="width:100%;height:autp;display:block;" src= "'.$meta.'"  class="preview-upload" alt="',$meta,'" /></br>';
						   echo  '<input type="button" class="button-remove" id="remove" value="Remove" /></br></br>';
						   echo  '<input type="button" class="button button-upload button button-primary" id="logo_upload" value="Upload Image"/>';		
					  }else {
						   echo '<input type="hidden" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" 
									class="regular-text form-control text-upload" value="',$meta,'"  />';							
						   echo '<img src= "'.$meta.'"  class="preview-upload" alt="',$meta,'"  />';
						   echo '<input type="button" style="display:none;" id="remove" class="button-remove" value="" /></br>';
						   echo '<input type="button" class="button button-upload button button-primary" id="logo_upload" value="Upload Image"/>';		
				   }   	   echo '</span><span class="description">'.$meta_description.'</span>';		
				break;
					
            }
            echo '<td></tr>';
        }
        echo  '</table>';
    }
 
 	/**
	 * Save data from meta box.
	 */
     function save($post_id) {
	 	/**
		 * Verify Nonce.
		 */
        if ( !isset( $_POST['weddlist_meta_box_nonce'] ) || !wp_verify_nonce($_POST['weddlist_meta_box_nonce'] , basename(__FILE__))) {
            return $post_id;
        }
		/**
		 * Check Autosave.
		 */
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
            return $post_id;
        }
        /**
		 * Check Permissions.
		 */
        if ('page' == $_POST['post_type']) {
            if (!current_user_can('edit_page', $post_id)) {
                return $post_id;
            }
        } elseif (!current_user_can('edit_post', $post_id)) {
            return $post_id;
        }
        /**
	     * Set Field & Update meta.
		 */
        // echo '<pre>';
        // print_r($_POST);
        // echo '</pre>';
        // exit;
        foreach ($this->_meta_box['fields'] as $field) {			
            $old = get_post_meta($post_id, $field['id'], true);
            $new =  isset( $_POST[$field['id']] ) ? $_POST[$field['id']] : '' ;
 
            if ( $new && $new != $old) {
                update_post_meta($post_id, $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, $field['id'], $old);
            }
        }
    }
} 
	function tg_print_scripts_metabox() {
		wp_enqueue_style('thickbox'); // Stylesheet used by Thickbox
		wp_enqueue_script('thickbox');
		wp_enqueue_script('media-upload');
		wp_enqueue_script('jquery-ui-datepicker');
		wp_enqueue_style('jquery-ui-css', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css');
		wp_enqueue_script('thege-upload', plugin_dir_url( __FILE__ ).'js/thege-upload.js', array('thickbox', 'media-upload') );

        wp_enqueue_script('admin-script', plugin_dir_url( __FILE__ ).'js/admin-script.js', array('thickbox', 'media-upload') );       
	}	

	add_action( 'admin_enqueue_scripts', 'tg_print_scripts_metabox' );
	
function tg_item_listing()
{
	$all_listings = array();
	$args = array(
		'post_type'   => 'item',
		'posts_per_page' => -1,
	);
 
	$latest_items = get_posts( $args );
	$i=0;
	if ( $latest_items ) {
		foreach ( $latest_items as $post ) :
			setup_postdata( $post ); 
				$all_listings[$i] = array (
								'label' => $post->post_title,
								'value'	=> $post->ID
							);
			$i++;							
		endforeach; 
		wp_reset_postdata();
	}

	return $all_listings;
}