<?php
// The function that outputs the metabox html
function weddlist_product_gallery_metabox() {
	global $post;
	// Here we get the current images ids of the gallery
	$values = get_post_custom($post->ID);
	if(isset($values['product_gallery'])) {
		// The json decode return an array of image ids
		$ids = json_decode($values['product_gallery'][0]);
	}else {
		$ids = array();
	}
	//wp_nonce_field('my_meta_box_nonce', 'post_gallery_meta_box_nonce'); // Security
	echo  '<input type="hidden" name="post_gallery_meta_box_nonce" value="', wp_kses_post( wp_create_nonce( basename( __FILE__ ) ) ), '" />';
	// Implode the array to a comma separated list
	$cs_ids = implode(",", $ids);   
	// We display the gallery
	$html  = do_shortcode('[gallery ids="'.$cs_ids.'"]');
	// Here we store the image ids which are used when saving the product
	$html .= '<input id="product_gallery_ids" type="hidden" name="product_gallery_ids" value="'.$cs_ids. '" />';
	// A button which we will bind to later on in JavaScript
	$html .= '<div class="clear_div">';
	$html .= '<input id="manage_gallery" title="Manage gallery" type="button" value="Manage gallery" class="button-primary button-large" />';
	if(!empty($cs_ids))	{
		$html .= '&nbsp;&nbsp;<input id="remove_gallery" title="Remove gallery" type="button" value="Remove gallery" class="remove_gallery" />';
		$html .= '</div>';
	}else{
		$html .= '&nbsp;&nbsp;<input id="remove_gallery" title="Remove gallery" type="button" value="Remove gallery" 
		class="remove_gallery" style="display:none;" />';
		$html .= '</div>';		
	}	
	print $html;
}
// A function that will add the metabox to the edit page
function weddlist_add_product_gallery_metabox() { 
	// More info about arguments in the WP Codex
	add_meta_box(
		'product_gallery',          // Name of the box
		'Gallery',              // Title of the box
		'weddlist_product_gallery_metabox',  // The metabox html function 
		'post',                  // SET TO THE POST TYPE WHERE THE METABOX IS SHOWN
		'normal',                   // Specifies where the box is shown
		'high'                      // Specifies where the box is shown
	); 
}
// This function takes care of saving the metabox's value
function weddlist_save_product_metaboxes($post_id) {
	if ( !isset( $_POST['post_gallery_meta_box_nonce'] ) || !wp_verify_nonce($_POST['post_gallery_meta_box_nonce'] , basename(__FILE__))) {
		return ;
	}		
	// Check if data is in post
	if (isset($_POST['product_gallery_ids'])) {
		// Encode so it can be stored an retrieved properly
		$encode = json_encode(explode(',',$_POST['product_gallery_ids']));
		update_post_meta($post_id, 'product_gallery', $encode);
	}
}

// Hook these actions into Wordpress
add_action('add_meta_boxes', 'weddlist_add_product_gallery_metabox');
add_action('save_post', 'weddlist_save_product_metaboxes');
function weddlist_post_gallery_request() {
	// The $_REQUEST contains all the data sent via ajax
	if ( isset($_REQUEST) ) {
		$call_data = $_REQUEST['call_data'];
		// Let's take the data that was sent and do something with it
		if ( isset($call_data)) {
			echo do_shortcode('[gallery ids="'.$call_data.'"]');
		}
	}
	// Always die in functions echoing ajax content
	die();
}

add_action( 'wp_ajax_weddlist_post_gallery_request', 'weddlist_post_gallery_request' );
add_action( 'admin_head-post.php', 'weddlist_images_call_js' );
add_action( 'admin_head-post-new.php', 'weddlist_images_call_js' );
function weddlist_images_call_js(){ 
	wp_enqueue_style( 'weddlist_post_media_gallery', plugin_dir_url( __FILE__ ) . 'css/post-media-gallery.css', array(), '1.0' );
	wp_enqueue_script( 'weddlist_post_media_gallery', plugin_dir_url( __FILE__ ) . 'js/post-media-gallery.js', array( 'jquery' ), '1.0.1', true );
}
