<?php 

add_action( 'admin_init', 'tg_metabox_add_vendorcredits' );
add_action( 'admin_head-post.php', 'tg_metabox_vendorcredits_scripts' );
add_action( 'admin_head-post-new.php', 'tg_metabox_vendorcredits_scripts' );
add_action( 'save_post', 'tg_metabox_update_vendorcredits', 10, 2 );

/**
 * Add custom Meta Box to Posts post type
*/
if ( ! function_exists( 'tg_metabox_add_vendorcredits' ) ) : 

function tg_metabox_add_vendorcredits()
{
	add_meta_box(
	'vendor_credits',
	'Real Wedding - Vendor Credits',
	'tg_metabox_vendorcredits_call',
	'realwedding',// here you can set post type name
	'normal',
	'core');
}

endif;

/**
 * Print the Meta Box content
 */

if ( ! function_exists( 'tg_metabox_vendorcredits_call' ) ) :  
function tg_metabox_vendorcredits_call()
{
	global $post;


	// Use nonce for verification
    echo '<input type="hidden" name="vendorcredits_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';

    $vendors_credits        =    get_post_meta($post->ID, 'vendors_credits', true) ;    
	?>
    <div class="realwedding-credits-add-admin">
              <?php      
              if($vendors_credits)
              {
               foreach ( $vendors_credits as $key => $value) {  
              ?>
                <div class="row">
                   <div class="col-sm-3">
                      <div class="form-group"><input type="text" name="category_name[]" class="form-control category_name" placeholder="<?php esc_html_e('Category Name','weddlist'); ?>" value="<?php echo $value['category_name']; ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" name="business_name[]" class="form-control business_name" placeholder="<?php esc_html_e('Vendor Business Name','weddlist'); ?>" value="<?php echo $value['business_name']; ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" name="website_link[]" class="form-control website_link" placeholder="<?php esc_html_e('https://yourwebsite.com/','weddlist'); ?>" value="<?php echo $value['website_link']; ?>"></div>
                   </div>
                   <div class="col-sm-1"><a href="javascript:void(0);" class="remove_vendor_clone_admin btn btn btn-grey btn-credit-delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></div>

                </div>
              <?php 
                }
              }
              else{
              ?>
                <div class="row">
                   <div class="col-sm-3">
                      <div class="form-group"><input type="text" class="form-control category_name" name="category_name[]"  placeholder="<?php esc_html_e('Category Name','weddlist'); ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" class="form-control business_name" name="business_name[]" placeholder="<?php esc_html_e('Vendor Business Name','weddlist'); ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" class="form-control website_link" name="website_link[]" placeholder="<?php esc_html_e('https://yourwebsite.com/','weddlist'); ?>"></div>
                   </div>
                   <div class="col-sm-1"><a href="javascript:void(0);" class="remove_vendor_clone_admin btn btn btn-grey btn-credit-delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></div>
                </div>
               <?php } ?>
            </div>   
            <div class="add-realwedding-credits">
                <a href="javascript:void(0);" class="btn btn-default" id="add_new_vendor_options_admin" data-category="<?php esc_html_e('Category Name','weddlist'); ?>" data-vendor="<?php esc_html_e('Vendor Business Name','weddlist'); ?>" data-website="<?php esc_html_e('https://yourwebsite.com/','weddlist'); ?>"><?php esc_html_e('+ Add Your Vendor','weddlist'); ?></a>
            </div>     
	<?php

	
}
endif;

/**
 * Print styles and scripts
 */
if ( ! function_exists( 'tg_metabox_vendorcredits_scripts' ) ) : 
 
function tg_metabox_vendorcredits_scripts()
{
	// Check for correct post_type
    global $post;
    if( 'realwedding' != $post->post_type )// here you can set post type name
        return;

    wp_enqueue_style( 'admin-style', plugin_dir_url( __FILE__ ) .'css/admin-style.css',array(), '4.6.3' );    

	wp_enqueue_script( 'realwedding-vendorcredit', plugin_dir_url( __FILE__ ).'js/realwedding-vendorcredit.js', array('jquery'), 3.0, true );		
	
}

endif;


/**
 * Save post action, process fields
 */ 
if ( ! function_exists( 'tg_metabox_update_vendorcredits' ) ) :  
  
function tg_metabox_update_vendorcredits( $post_id, $post_object ) 
{
    // Doing revision, exit earlier **can be removed**
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE )  
        return;
 
    // Doing revision, exit earlier
    if ( 'revision' == $post_object->post_type )
        return;

    // Verify authenticity

    if ( !isset( $_POST['vendorcredits_meta_box_nonce'] ) || !wp_verify_nonce($_POST['vendorcredits_meta_box_nonce'] , basename(__FILE__))) {
       return;
    }

   // Correct post type
    if ( 'realwedding' != $_POST['post_type'] ) // here you can set post type name
        return;

    $get_all_vendors_credits = array();

    for($i=0;$i<count($_POST['category_name']);$i++)
    {
        $get_all_vendors_credits[]           =  array(
                'category_name'  => esc_attr( $_POST['category_name'][$i] ),
                'business_name'  => esc_attr( $_POST['business_name'][$i] ),
                'website_link' => esc_url( $_POST['website_link'][$i]),
            );
    }  
    update_post_meta($post_id, 'vendors_credits', $get_all_vendors_credits);
}
endif;
?>