<?php     
/**
 * Plugin Name:     Weddlist Code
 * Plugin URI:      #
 * Description:     Weddlist Code plugin is used for Custom post type and payment options
 * Author:          Udayraj Khatri
 * Author URI:      http://thegenius.co
 * Version:         1.7.2.1
 * Text Domain:	    weddlist
 * License:         #   
 * License URI:     #
 * Domain Path:     #
 *
 * @package         Code
 * @author          #
 * @license         #
 * @copyright       #
 */
global $plugin_domain;
$plugin_domain = 'weddist';

if(!defined('WEDDLIST_CODE_PLUGIN_DIR')) {
	define('WEDDLIST_CODE_PLUGIN_DIR', plugin_dir_path( __FILE__ ));
}
if(!defined('WEDDLIST_CODE_PLUGIN_URL')) {
	define('WEDDLIST_CODE_PLUGIN_URL', plugin_dir_url(__FILE__));
}

 
class Weddlist_Code_Plugin_Setup_Plan
{
    static function  init()
    {
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/custom-post.php');
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/login-function.php');				
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/inc/meta-box/metabox-init.php');
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/aq_resizer.php');
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/ajax-call-function.php');
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/one-click-demo-import.php');		
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/paypal/paypal.class.php');
		require_once(WEDDLIST_CODE_PLUGIN_DIR.'/core/stripe/stripe-payments.php');
    }
    static  function weddlist_plugin_setup_url($u=false)
    {
        if($u){
            $u='/'.$u;
        }
        return plugin_dir_url(__FILE__).$u;
    }
    static  function weddlist_plugin_setup_dir($u=false){
        if($u){
            $u='/'.$u;
        }
        return plugin_dir_path(__FILE__).$u;
    }    
}

add_action( 'plugins_loaded', array('Weddlist_Code_Plugin_Setup_Plan','init'));

global $setup_go;
$setup_go=new Weddlist_Code_Plugin_Setup_Plan();
function Weddlist_Code_Plugin_Setup_Plan(){
    return new Weddlist_Code_Plugin_Setup_Plan();
}

add_action( 'init', 'weddlist_code_plugin_load_textdomain' );

/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function weddlist_code_plugin_load_textdomain() {
  load_plugin_textdomain( 'weddlist', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
}

global $weddlist_code_db_version;
$weddlist_code_db_version = '1.0';

function weddlist_code_install() {
	global $wpdb;
	global $weddlist_code_db_version;

	$table_budget_category = $wpdb->prefix . 'budget_category';
	$table_budget_list = $wpdb->prefix . 'budget_list';
	$table_todo_list = $wpdb->prefix . 'todolist';
	$table_pageview = $wpdb->prefix . 'pageview';
	$table_guest_list = $wpdb->prefix . 'guestlist';	
  $table_weddlist_quotes = $wpdb->prefix . 'weddlist_quotes';
	
	$charset_collate = $wpdb->get_charset_collate();

	$sql_category = "CREATE TABLE IF NOT EXISTS $table_budget_category (
  category_id int(10) NOT NULL AUTO_INCREMENT,
  category_user_id int(10) NOT NULL,
  category_name varchar(255) NOT NULL,
  category_icon varchar(255) NOT NULL,
  category_date date NOT NULL,
  PRIMARY KEY (category_id)
) $charset_collate AUTO_INCREMENT=1;";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql_category );

  $budget_category = $wpdb->get_row("SELECT * FROM $table_budget_category");
  //Add column if not present.
  if(!isset($budget_category->category_icon)){
      $wpdb->query("ALTER TABLE $table_budget_category ADD category_icon varchar(255) NOT NULL");
  }

	$sql_budget_list = "CREATE TABLE IF NOT EXISTS $table_budget_list (
  budget_list_id int(10) NOT NULL AUTO_INCREMENT,
  budget_list_category_id int(10) NOT NULL,
  budget_list_user_id int(10) NOT NULL,
  budget_list_name varchar(255) NOT NULL,
  budget_list_estimate_cost int(10) NOT NULL,
  budget_list_actual_cost int(10) NOT NULL,
  budget_list_paid_cost int(10) NOT NULL,
  budget_list_date date NOT NULL,
  PRIMARY KEY (budget_list_id)
) $charset_collate AUTO_INCREMENT=1;";

	dbDelta( $sql_budget_list );	
	

	$sql_todo_list = "CREATE TABLE IF NOT EXISTS $table_todo_list (
  todo_id int(11) NOT NULL AUTO_INCREMENT,
  todo_user int(100) NOT NULL,
  todo_title varchar(255) NOT NULL,
  todo_date date NOT NULL,
  todo_details text NOT NULL,
  todo_read int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`todo_id`)
)  $charset_collate AUTO_INCREMENT=1;";

	dbDelta( $sql_todo_list );		

	$sql_guest_list = "CREATE TABLE IF NOT EXISTS $table_guest_list (
  guest_id int(11) NOT NULL AUTO_INCREMENT,
  guest_user int(100) NOT NULL,
  guest_familyname varchar(255) NOT NULL,
  guest_phone varchar(20) NOT NULL,
  guest_email varchar(200) NOT NULL,  
  guest_member int(100) NOT NULL DEFAULT '1',    
  guest_event_ceremony int(1) NOT NULL DEFAULT '0',      
  guest_event_reception int(1) NOT NULL DEFAULT '0',      
  guest_details text NOT NULL,
  guest_status int(1) NOT NULL DEFAULT '0',
  guest_invited int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`guest_id`)
)  $charset_collate AUTO_INCREMENT=1;";

	dbDelta( $sql_guest_list );		

	$sql_pageview = "CREATE TABLE IF NOT EXISTS $table_pageview (
  page_id int(11) NOT NULL AUTO_INCREMENT,
  page_userid int(100) NOT NULL,
  page_url text NOT NULL,
  page_userip text NOT NULL,
  page_year int(11) NOT NULL DEFAULT '0',
  page_month int(11) NOT NULL DEFAULT '0',
  page_day int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`page_id`)
)  $charset_collate AUTO_INCREMENT=1;";

	dbDelta( $sql_pageview );		




  $sql_weddlist_quotes = "CREATE TABLE IF NOT EXISTS $table_weddlist_quotes (
  quotes_id int(11) NOT NULL AUTO_INCREMENT,
  quotes_vendorid int(100) NOT NULL,
  quotes_coupleid int(100) NOT NULL,
  quotes_datetime datetime NOT NULL,
  quotes_itemid int(100) NOT NULL,
  quotes_couple_name varchar(200) NOT NULL, 
  quotes_couple_email varchar(200) NOT NULL, 
  quotes_couple_phone varchar(15) NOT NULL, 
  quotes_couple_weddingdate datetime NOT NULL,
  quotes_couple_contactvia varchar(200) NOT NULL,
  quotes_details text NOT NULL,
  quotes_status int(1) NOT NULL DEFAULT '0',
  quotes_read int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`quotes_id`)
)  $charset_collate AUTO_INCREMENT=1;";

  dbDelta( $sql_weddlist_quotes );    

	add_option( 'weddlist_code_db_version', $weddlist_code_db_version );
}

register_activation_hook( __FILE__, 'weddlist_code_install' );

// Social share plugin

if( ! function_exists( 'weddlist_code_social_share_post' ) ){

    function weddlist_code_social_share_post(){

        global $wp_query, $post;
        ?>
              <ul class="social-btns text-right">
                <li><a href="<?php echo esc_url("http://www.facebook.com/sharer.php?u=".get_the_permalink()).""; ?>" target="_blank" class="btn facebook"><i class="fa fa-facebook"></i></a></li>
                <li><a href="<?php echo esc_url("https://twitter.com/share?url=" . get_the_permalink() . "&amp;text=" . $post->post_title . "&amp;hashtags=" . get_bloginfo('name') ); ?>" target="_blank" class="btn twitter"><i class="fa fa-twitter"></i></a></li>
                <li><a href="<?php echo esc_url("https://plus.google.com/share?url=" . get_the_permalink()); ?>" target="_blank" class="btn google"><i class="fa fa-google-plus"></i></a></li>
                <li><a href="<?php echo esc_url("http://www.linkedin.com/shareArticle?mini=true&amp;url=" . get_the_permalink() ); ?>" target="_blank" class="btn linkedin"><i class="fa fa-linkedin"></i></a><li>          
              </ul>
        <?php
    }
}	