<?php

/* This loads the plugin.php file which is the main one */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
 
require( __DIR__ . '/helper/helper.php' ); 

/**
 * Load Hello World
 *
 * Load the plugin after Elementor (and other plugins) are loaded.
 *
 * @since 1.0.0
 */
function weddlist_elementor_load_elements() {
	// Load localization file
	load_plugin_textdomain( 'weddlist-elementor' );

	// Notice if the Elementor is not active
	if ( ! did_action( 'elementor/loaded' ) ) {
		return;
	}

	// Check version required
	$elementor_version_required = '1.0.0';
	if ( ! version_compare( ELEMENTOR_VERSION, $elementor_version_required, '>=' ) ) {
		return;
	}

	// Require the main plugin file
	require( __DIR__ . '/plugin.php' );   //loading the main plugin

}
add_action( 'plugins_loaded', 'weddlist_elementor_load_elements' );   //notiung but checking and notice

/**
 * Adding custom icon to icon control in Elementor
 */
function weddlist_add_custom_icons_tab( $tabs = array() ) {

	// Append new icons
	$new_icons = array(
		'file',
		'like',
		'social',
		'wedding-rings',
		'diamond-ring',
		'wedding-bells',
		'groom',
		'bride-bust',
		'champagne-glasses',
		'food',
		'valentine-day',
		'wedding-location',
		'honeymoon-luggage',
		'wedding-day',
		'heart-shaped-padlock',
		'two-hearts',
		'heart-with-arrow',
		'love-talk',
		'loving-home',
		'wedding-planning',
	);
	
	$tabs['weddlist-icons'] = array(
		'name'          => 'weddlist-icons',
		'label'         => esc_html__( 'Weddlist Icons', 'text-domain' ),
		'labelIcon'     => 'fas fa-user',
		'prefix'        => 'flaticon-',
		'displayPrefix' => 'flaticon',
		'url'           =>  get_template_directory_uri().'/assets/css/flaticon.css',
		'icons'         =>  $new_icons,
		'ver'           => '1.0.0',
	);

	return $tabs;
}

add_filter( 'elementor/icons_manager/additional_tabs', 'weddlist_add_custom_icons_tab' );