<?php
namespace Elementor;  //main namespace

global $void_widgets;
 $void_widgets= array_map('basename', glob(dirname( __FILE__ ) . '/widgets/*.php'));



/* - Path define same as class name of the widget
====================================================================================================*/
//use Elementor\Widgets\Title;


/* - End Of path define same as class name of the widget
====================================================================================================*/


if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


// Add a custom category for panel widgets
add_action( 'elementor/init', function() {
   \Elementor\Plugin::$instance->elements_manager->add_category( 
   	'weddlist-elements',                 // the name of the category
   	[
   		'title' => __( 'Weddlist Elements', 'weddlist-elementor' ),
   		'icon' => 'fa fa-header', //default icon
   	],
   	5 // position
   );
} );

/**
 * Main Plugin Class
 *
 * Register new elementor widget.
 *
 * @since 1.0.0
 */
class Weddlist_Elementor_Extension {

	/**
	 * Constructor
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	
	public function __construct() {
		$this->add_actions();
	}

	/**
	 * Add Actions
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function add_actions() {

		add_action( 'elementor/widgets/widgets_registered', [ $this, 'on_widgets_registered' ] );

	}

	/**
	 * On Widgets Registered
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	public function on_widgets_registered() {
		$this->includes();
		$this->register_widget();
	}


/**
	 * Includes
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function includes() {
		global $void_widgets;              //include the widgets here
		//require __DIR__ . '/helper/helper.php';
		foreach($void_widgets as $key => $value){
   			require __DIR__ . '/widgets/'.$value;
		}
	}


	/* - Register all elements widget
	====================================================================================================*/

	/**
	 * Register Widget
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function register_widget() {    

		
		//\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Title() );

						

	}
}

new Weddlist_Elementor_Extension();