<?php
namespace Elementor;

class Weddlist_Elementor_Latest_Blog extends Widget_Base {

	public function get_name() {
		return 'latestblog';
	}

	public function get_title() {
		return 'Latest Blog';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-post-excerpt';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Latest Blog Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'order_style',
			[
				'label' => esc_html__( 'Order', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'ASC' => __( 'ASC', 'weddlist-elementor' ),
					'DESC' => __( 'DESC', 'weddlist-elementor' ),
				],
				'default' => 'ASC',	
			]
		);			

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$order_style			=  $settings['order_style'];
		$per_page 				= 3;
		$items 					= 3;
		$i 						= 0;

		$args = array( 'post_type' => 'post', 
						'posts_per_page' => 30,
						'post_status'       => 'publish',
						'orderby' => 'menu_order ID',
						'order'   => $order_style,	
						 );

		$item = new \WP_Query( $args );
	
		$total_element=$item->found_posts;

		if($total_element!=0)
		{
			echo '<div class="row-gridline">';

			while ( $item->have_posts() ) : $item->the_post();
	
			$post_id			= get_the_ID();


			if ( has_post_thumbnail($post_id) ) {


				if($items>$i) {	

			?>
			<div class="col-md-4 col-sm-6">
	          <div class="news-block">
	            <div class="news-img">
	              <a href="<?php echo get_permalink($post_id); ?>">
	              	<?php 
	              	echo get_the_post_thumbnail( $post_id, 'weddlist_item_thumb', array( 'class' => 'img-responsive' ) );
	              	?>
					</a>
	              <div class="meta-tag"><?php echo get_the_date( 'F d, Y', $post_id ); ?></div>
	            </div>
	            <div class="news-dtl">
	              <h4 class="news-heading"><a href="<?php echo get_permalink($post_id); ?>"><?php echo get_the_title($post_id);?></a></h4>
	              <?php 
	              if(function_exists('weddlist_the_excerpt_max_charlength'))
	              {
	              ?>	
	              	<p><?php weddlist_the_excerpt_max_charlength(155,$post_id);?></p>
	             	<?php
	              }
	              ?>	              
	              <a href="<?php echo get_permalink($post_id); ?>" class="btn read-more"><?php esc_html_e('Read More','weddlist-elementor');?></a>
	            </div>
	          </div>
	        </div> 
			<?php

				$i++;
				}
			}
			endwhile; 
			echo '</div>';
		 	wp_reset_postdata();

		
		}				
	
	}	

    

} // class end

\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Latest_Blog() );