<?php
namespace Elementor;

class Weddlist_Elementor_Contactform7 extends Widget_Base {

	public function get_name() {
		return 'contactform7';
	}

	public function get_title() {
		return 'Contact Form7';   // contactform7 to show on 
	}

	public function get_icon() {
		return 'eicon-code-bold';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Contact Form7 Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

        self::add_control(
            'cf7',
            [
                'label' => __( 'Select Contact Form 7', 'weddlist-elementor' ),
                'type' => Controls_Manager::SELECT,
                'options' => self:: weddlist_elementor_get_cf7_names(),
                'default' => '',
            ]
        );


		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 


	public function weddlist_elementor_get_cf7_names() {

        global $wpdb;
        $cf7_list = $wpdb->get_results(
            "
                SELECT ID, post_title, post_name
                FROM $wpdb->posts
                WHERE post_type = 'wpcf7_contact_form'
            "
        );

        $cf7_val = array();
        if ( $cf7_list ) {

            $cf7_val[] = __( 'Select Contact Form', 'weddlist-elementor' );
            foreach ( $cf7_list as $value ) {
                $cf7_val[$value->post_name] = $value->post_title;
            }

        } else {

            $cf7_val[0] = __( 'No contact forms found', 'weddlist-elementor' );

        }

        return $cf7_val;
    }


    public function weddlist_elementor_display_cf7_form( $slug ){

        global $wpdb;

        $form = $wpdb->get_results("SELECT `ID` FROM `".$wpdb->posts."` WHERE `post_type` = 'wpcf7_contact_form' AND `post_name` = '".esc_attr(sanitize_title($slug))."' LIMIT 1");

        $_form = '';

        if( !empty( $form ) ){

            return do_shortcode('[contact-form-7 id="'.$form[0]->ID.'" title="'.esc_attr($slug).'"]');

        }else{
            
            return __('Please select one of contact form 7 for display.', 'weddlist-elementor');
        }       
    }

	public function render() {				//to show on the fontend 
		$settings = self::get_settings_for_display();

        global $wp_query, $post;

        echo self:: weddlist_elementor_display_cf7_form( $settings[ 'cf7' ] ); 
		 		
	}	



}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Contactform7() );