<?php
namespace Elementor;

class Weddlist_Elementor_Couple_Gallery extends Widget_Base {

	public function get_name() {
		return 'couplegallery';
	}

	public function get_title() {
		return 'Couple Gallery';   // couplegallery to show on 
	}

	public function get_icon() {
		return 'eicon-gallery-grid';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Couple Gallery Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);


		$this->add_control(
			'couplegallerylist',
			[
				'label' => __( 'Couple Gallery', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => [
					[
						'name' => 'couplegallery_name',
						'label' => __( 'Couple Gallery Name', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::TEXT,
						'default' => '',
						'label_block' => true,
					],						
					[
						'name' => 'couplegallery_image',
						'label' => __( 'Couple Image', 'weddlist-elementor' ),
						'type' => Controls_Manager::MEDIA,
			                'default' => [
			                        'url' => Utils::get_placeholder_image_src(),
			                ],
						'label_block' => true,
					],			
	
				],
				'title_field' => '{{{ couplegallery_name }}}',
			]
		);
		

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$couplegallerylist		 =	$settings['couplegallerylist'];

		$couplegallery_html='';
		


		if (is_array($couplegallerylist)) { 

				$i=1;
	            foreach ($couplegallerylist as $key => $value) {


	        $couplegallery_html.='<div class="col-custom">
				        <div class="gallery-block">
				            <div class="gallery-img">
				              '.wp_get_attachment_image($value['couplegallery_image']['id'],'full',array( "class" => "img-responsive" )).'
				            </div>
				            <div class="overlay-bg"></div>
				            <div class="gallery-dtl">
				              <i class="fa fa-heart" aria-hidden="true"></i>
				              <h4 class="gallery-heading"><a href="'.esc_attr($value['couplegallery_image']['url']).'" title="'.esc_attr($value['couplegallery_name']).'">'.esc_html($value['couplegallery_name']).'</a></h4>
				            </div>
				          </div>
			</div>';					    

	      		$active='';

	      		$i++;
	      		}

				printf('<div id="gallery-slider" class="gallery-slider owl-carousel owl-theme">%s</div>',$couplegallery_html);

				self:: weddlist_elementor_couplegallery_script();


			} 	

		 		
	}	

	public function weddlist_elementor_couplegallery_script(){

        ?>
        <script>
            jQuery( function( $ ) {

                $ = jQuery;

                if ( $('#gallery-slider').length) {

					    $("#gallery-slider").owlCarousel({
					      loop: true,
					      items: 5,
					      dots: false,
					      nav: false,
					      autoplayTimeout: 2000,
					      smartSpeed: 2000,
					      autoHeight: false,
					      touchDrag: true,
					      mouseDrag: true,
					      margin: 0,
					      autoplay: true,
					      slideSpeed: 600,
					      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
					      responsive: {
					        0: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        600: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        768: {
					            items: 2,
					            nav: false,
					            dots: false,
					        },
					        1100: {
					            items: 5,
					            nav: false,
					            dots: false,
					        }
					      }
					    });
                }

            } );
        </script>
        <?php
    }


}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Couple_Gallery() );