<?php
namespace Elementor;

class Weddlist_Elementor_FAQ extends Widget_Base {

	public function get_name() {
		return 'faq';
	}

	public function get_title() {
		return 'Faq';   // faq to show on 
	}

	public function get_icon() {
		return 'eicon-commenting-o';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Faq Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);


		$this->add_control(
			'category_title',
			[
				'label' => esc_html__( 'Category Title', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);

		$this->add_control(
			'faqlist',
			[
				'label' => __( 'Faq', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => [
					[
						'name' => 'faq_name',
						'label' => __( 'Faq Question', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::TEXTAREA,
						'default' => '',
						'label_block' => true,
					],						
					[
						'name' => 'faq_answer',
						'label' => __( 'Faq Answer', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::TEXTAREA,
						'default' => '',
						'label_block' => true,
					],			
	
				],
				'title_field' => '{{{ faq_name }}}',
			]
		);
		

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$faqlist		 	 =	$settings['faqlist'];
		$category_title		 =	$settings['category_title'];

		$faq_html='';
		

		if(!empty($category_title))
		{
			$category_title_html='<div class="col-md-3"><div class="faq-cat-box"><h3 class="faq-cat">'.$category_title.'</h3></div></div><div class="col-md-9" role="tablist">';
		}
		else{
			$category_title_html='<div class="col-md-12" role="tablist">';
		}

		if (is_array($faqlist)) { 

			$i=1;

			if($i==1)
			{
				$active_class=" in";
				$active_class_panel='';
			}


	   		foreach ($faqlist as $key => $value) {

				$panel_id = sanitize_title($value['faq_name'].microtime(true).substr(str_shuffle("0123456789"), 0, 5));
				$panel_id_tab = sanitize_title($value['faq_answer'].microtime(true).substr(str_shuffle("0123456789"), 0, 7));

				$faq_html .='			
	            <div class="panel panel-default">
	            <div class="panel-heading" role="tab" id="'.$panel_id_tab.'">
	              <h6 class="panel-title question-heading">
	                <a '.$active_class_panel.' role="button" data-toggle="collapse" data-parent="#accordion" href="#'.esc_attr($panel_id).'" aria-expanded="true" aria-controls="'.esc_attr($panel_id).'">
	                    '.$value['faq_name'].'
	                  <span class="btn btn-default faq-btn faq-btn-minus hidden-xs"><i class="fa fa-minus"></i></span>
	                  <span class="btn btn-default faq-btn faq-btn-plus hidden-xs"><i class="fa fa-plus"></i></span>
	                </a>
	              </h6>
	            </div>
	            <div id="'.esc_attr($panel_id).'" class="panel-collapse collapse'.esc_attr($active_class).'" role="tabpanel" aria-labelledby="'.$panel_id_tab.'">
	              <div class="panel-body">
					<p>'.$value['faq_answer'].'</p>
	              </div>
	            </div>
	            </div>';

				$active_class='';
				$active_class_panel=' class="collapsed"';
				$i++;					    

	      		}

				printf('<div class="faq-section">
    					<div class="row mb50">
        				%s
        				<div class="panel-group faq-panel">%s</div></div></div>
        				</div>',$category_title_html,$faq_html);

			} 	

	}	

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_FAQ() );