<?php
namespace Elementor;

class Weddlist_Elementor_General_Gallery extends Widget_Base {

	public function get_name() {
		return 'generalgallery';
	}

	public function get_title() {
		return 'General Gallery';   // generalgallery to show on 
	}

	public function get_icon() {
		return 'eicon-gallery-grid';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'General Gallery Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

        $this->add_control(
            'column_style',
            [
                'label' => esc_html__( 'Column Style', 'weddlist-elementor' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' =>  [ 
                    '3' => __( 'Column 3', 'weddlist-elementor' ),
                    '4' => __( 'Column 4', 'weddlist-elementor' ), 
                ],
                'default' => '3',  
            ]
        );

		$this->add_control(
			'generalgallerylist',
			[
				'label' => __( 'General Gallery', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => [
					[
						'name' => 'generalgallery_name',
						'label' => __( 'Gallery Name', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::TEXT,
						'default' => '',
						'label_block' => true,
					],						
					[
						'name' => 'generalgallery_image',
						'label' => __( 'Gallery Image', 'weddlist-elementor' ),
						'type' => Controls_Manager::MEDIA,
			                'default' => [
			                        'url' => Utils::get_placeholder_image_src(),
			                ],
						'label_block' => true,
					],			
	
				],
				'title_field' => '{{{ generalgallery_name }}}',
			]
		);
		

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$generalgallerylist		 =	$settings['generalgallerylist'];
		$column_style		 	 =	$settings['column_style'];


		if($column_style=='4')
		{
			$col_class="col-md-3";
		}
		else{
			$col_class="col-md-4";
		}


		$generalgallery_html='';
		


		if (is_array($generalgallerylist)) { 

				$i=1;
	            foreach ($generalgallerylist as $key => $value) {


	        $generalgallery_html.='<div class="'.$col_class.'">
				        <div class="gallery-block">
				            <div class="gallery-img">
				              '.wp_get_attachment_image($value['generalgallery_image']['id'],'full',array( "class" => "img-responsive" )).'
				            </div>
				            <div class="overlay-bg"></div>
				            <div class="gallery-dtl">
				              <i class="fa fa-heart" aria-hidden="true"></i>
				              <h4 class="gallery-heading"><a href="'.esc_attr($value['generalgallery_image']['url']).'" title="'.esc_attr($value['generalgallery_name']).'">'.esc_html($value['generalgallery_name']).'</a></h4>
				            </div>
				          </div>
			</div>';					    

	      		$active='';

	      		$i++;
	      		}

				printf('<div class="row">%s</div>',$generalgallery_html);

			} 	

		 		
	}	


}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_General_Gallery() );