<?php
namespace Elementor;

class Weddlist_Elementor_Home_Feature_Listing extends Widget_Base {

	public function get_name() {
		return 'homefeaturelisting';
	}

	public function get_title() {
		return 'Home Feature Listing';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-posts-grid';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Home Feature Listing Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'order_style',
			[
				'label' => esc_html__( 'Order', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'ASC' => __( 'ASC', 'weddlist-elementor' ),
					'DESC' => __( 'DESC', 'weddlist-elementor' ),
				],
				'default' => 'ASC',	
			]
		);			

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$order_style			=	$settings['order_style'];
		$col_class 				= 'home_item_display';
		$item_style				= tg_option('item_listing_layout');		
		$meta_query				= array();
		$per_page 				= 10;
		$i 						= 1;



		$price['key']       = 'featured_item';
		$price['value']     = 'on';
		$price['compare']   = '=';
		$meta_query[]       = $price;		


		$args = array( 'post_type' => 'item', 
						'posts_per_page' => $per_page,
						'post_status'       => 'publish',
						'orderby' => 'menu_order ID',
						'order'   => $order_style,
						'meta_query' => $meta_query,				
						 );

		$item = new \WP_Query( $args );
	
		$total_element=$item->found_posts;

		if($total_element!=0)
		{
			echo '<div id="home-featured-slider" class="home-featured-slider owl-carousel owl-theme">';

			while ( $item->have_posts() ) : $item->the_post();
	
			$post_id			= get_the_ID();

			if ( has_post_thumbnail($post_id) ) {

				echo '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">';
				echo weddlist_item_listing_display_by_id($post_id,$col_class,$item_style,$i);
				echo '</div>';
				$i++;
			}
			endwhile; 
			echo '</div>';
		 	wp_reset_postdata();

		 	self:: weddlist_elementor_feature_listing_front_end_script();				
		}				
	
	}	

    public function weddlist_elementor_feature_listing_front_end_script(){

        ?>
        <script>
            jQuery( function( $ ) {

                $ = jQuery;

                if ( $('#home-featured-slider').length) {

					    $("#home-featured-slider").owlCarousel({
					      loop: true,
					      items: 3,
					      dots: true,
					      nav: false,
					      autoplayTimeout: 4500,
					      smartSpeed: 3000,
					      autoHeight: false,
					      touchDrag: true,
					      mouseDrag: true,
					      margin: 0,
					      autoplay: true,
					      slideSpeed: 600,
					      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
					      responsive: {
					        0: {
					            items: 1,
					        },
					        600: {
					            items: 1,
					        },
					        768: {
					            items: 2,
					        },
					        1100: {
					            items: 3,
					        }
					      }
					    });
                }

            } );
        </script>
        <?php
    }

} // class end

\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Home_Feature_Listing() );