<?php
namespace Elementor;

class Weddlist_Elementor_Home_Feature_Vendor extends Widget_Base {

	public function get_name() {
		return 'homefeaturevendor';
	}

	public function get_title() {
		return 'Home Feature Vendor';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-posts-group';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Home Feature Vendor Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'order_style',
			[
				'label' => esc_html__( 'Order', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'ASC' => __( 'ASC', 'weddlist-elementor' ),
					'DESC' => __( 'DESC', 'weddlist-elementor' ),
				],
				'default' => 'ASC',	
			]
		);			

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$order_style			=	$settings['order_style'];
		$meta_query				= array();
		$per_page 				= 4;
		$i 						= 1;

		if(function_exists('weddlist_vendor_single'))
		{
			$weddlist_vendor_single=weddlist_vendor_single();
			$weddlist_vendor_single_url=$weddlist_vendor_single['url'];
		}
		else{
			$weddlist_vendor_single_url= home_url('/');
		}
		 
		// WP_User_Query arguments
		$args = array (
		    'role' => 'subscriber',
		    'order' => $order_style,
		    'orderby' => 'display_name',
			'number' => $per_page, 
		    'meta_query' => array(
		        'relation' => 'AND',
		        array(
		            'key'     => 'user_type',
		            'value'   => 'vendor',
		            'compare' => '='
		        ),
		        array(
		            'key'     => 'featured',
		            'value'   => 'yes',
		            'compare' => '='
		        ),

		    )
		);
		 
		 
		// Create the WP_User_Query object
		$wp_user_query = new \WP_User_Query($args);
		 
		// Get the results
		$authors = $wp_user_query->get_results();
		 
		// Check for results
		if (!empty($authors)) {
			
			echo '<div class="row">';
		    // loop through each author
		    foreach ($authors as $author)
		    {
		        // get all the user's data
		        $author_info = get_userdata($author->ID);
				
				$userID			= $author->ID;
				
				$businessname     = get_the_author_meta( 'businessname' , $userID );
				$user_email     = get_the_author_meta( 'user_email' , $userID );
				$user_website   = get_the_author_meta( 'website' , $userID );
				$phone   		= get_the_author_meta( 'phone' , $userID );
				
				$about_me       = get_the_author_meta( 'description' , $userID );
				$address        = get_the_author_meta( 'address' , $userID );
				
				// Social Link
				$facebook   	= get_the_author_meta( 'facebook' , $userID );
				$twitter    	= get_the_author_meta( 'twitter' , $userID );
				$youtube    	= get_the_author_meta( 'youtube' , $userID );
				$linkedin   	= get_the_author_meta( 'linkedin' , $userID );
				$pinterest   	= get_the_author_meta( 'pinterest' , $userID );
				$instagram   	= get_the_author_meta( 'instagram' , $userID );
				
				$user_custom_picture    =   get_the_author_meta( 'custom_picture', $userID );
				$image_id               =   get_the_author_meta( 'small_custom_picture', $userID ); 
				
				if($user_custom_picture==''){
					$user_custom_picture=get_template_directory_uri().'/assets/images/default-user.png';
				}		
				
				$vendor_single_url=$weddlist_vendor_single_url."?userid=".$userID;
				?>
				<div class="col-md-3 col-sm-6">
				  <div class="vendor-profile-block">
					<a href="<?php echo esc_url($vendor_single_url);?>">
		            <div class="vendor-profile-img">
					  <img src="<?php echo esc_url($user_custom_picture);?>" class="img-responsive" alt="<?php echo esc_attr($userID); ?>">
					</div>
		            </a>
					<div class="vendor-profile-dtl">
					  <h4 class="vendor-profile-heading"><a href="<?php echo esc_url($vendor_single_url);?>"><?php echo esc_html($businessname); ?></a></h4>
					  	<ul class="social-icons listnone">
						<?php
						if(isset($facebook) && !empty($facebook)){
							echo '<li><a class="facebook" href="'.esc_url($facebook).'" target="_blank"><i class="fa fa-facebook"></i></a></li>';
						}				
						if(isset($twitter) && !empty($twitter)){
							echo '<li><a class="twitter" href="'.esc_url($twitter).'" target="_blank"><i class="fa fa-twitter"></i></a></li>';
						}
						if(isset($linkedin) && !empty($linkedin)){
							echo '<li><a class="linkedin" href="'.esc_url($linkedin).'" target="_blank"><i class="fa fa-linkedin"></i></a></li>';
						}
						if(isset($pinterest) && !empty($pinterest)){
							echo '<li><a class="pinterest" href="'.esc_url($pinterest).'" target="_blank"><i class="fa fa-pinterest"></i></a></li>';
						}				
						if(isset($instagram) && !empty($instagram)){
							echo '<li><a class="instagram" href="'.esc_url($instagram).'" target="_blank"><i class="fa fa-instagram"></i></a></li>';
						}
						?>      
					  </ul>
					</div>
				  </div>
				</div>
				<?php	
		    }
			echo "</div>";
		} else {
		    esc_html_e('No Vendor Found','weddlist-elementor');
		}

	}	

} // class end

\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Home_Feature_Vendor() );