<?php
namespace Elementor;

class Weddlist_Elementor_RealWedding extends Widget_Base {

	public function get_name() {
		return 'realwedding';
	}

	public function get_title() {
		return 'Real Wedding';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-site-identity';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Real Wedding Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'order_style',
			[
				'label' => esc_html__( 'Order', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'ASC' => __( 'ASC', 'weddlist-elementor' ),
					'DESC' => __( 'DESC', 'weddlist-elementor' ),
				],
				'default' => 'ASC',	
			]
		);		

		$this->add_control(
			'order_limit',
			[
				'label' => esc_html__( 'Limit To Display Real Wedding', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'3' => __( '3', 'weddlist-elementor' ),
					'6' => __( '6', 'weddlist-elementor' ),
					'9' => __( '6', 'weddlist-elementor' ),
					'12' => __( '12', 'weddlist-elementor' ),
					'-1' => __( 'All', 'weddlist-elementor' ),
				],
				'default' => '3',	
			]
		);					

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$order_style			=	$settings['order_style'];
		$order_limit			=	$settings['order_limit'];

		$i 						= 1;
		$kk=1;

		$args = array( 'post_type' => 'realwedding', 
						'posts_per_page' => $order_limit,
						'post_status'       => 'publish',
						'orderby' => 'menu_order ID',
						'order'   => $order_style,
		
						 );

		$item = new \WP_Query( $args );
	
		$total_element=$item->found_posts;

		if($total_element!=0)
		{
			echo '<div class="row">';

			while ( $item->have_posts() ) : $item->the_post();
	
			$post_id			= get_the_ID();

			$wedding_date 	= get_post_meta( $post_id, 'wedding_date', true );	

			//if ( has_post_thumbnail($post_id) ) {



			?>
	
				<?php
				echo weddlist_realwedding_display_by_id($post_id,'col-md-4 col-sm-6','default');

			
			//}
			if(($kk%3)==0)
			{
				echo '</div><div class="row">'; 
			}
			$kk++;
			endwhile; 
			echo '</div>';
		 	wp_reset_postdata();
		
		}				
	
	}	

} // class end

\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_RealWedding() );