<?php
namespace Elementor;

class Weddlist_Elementor_Iconbox extends Widget_Base {

	public function get_name() {
		return 'iconbox';
	}

	public function get_title() {
		return 'Iconbox';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-posts-ticker';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Iconbox Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

        $this->add_control(
            'iconbox_icon',
            [
                'label' => __( 'Image', 'weddlist-elementor' ),
                'type' => Controls_Manager::ICONS,
                'title' => __( 'Select Icon', 'weddlist-elementor' ),
            ]
        );   

		$this->add_control(
			'iconbox_title',
			[
				'label' => esc_html__( 'Title', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$this->add_control(
			'iconbox_details',
			[
				'label' => esc_html__( 'Details', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
			]
		);
		

        $this->add_control(
            'iconbox_button_text',
            [
                'label' => esc_html__( 'Button Text', 'weddlist-elementor' ),
                'type' => Controls_Manager::TEXT,
                'label_block' => true,
            ]
        );

		$this->add_control(
			'iconbox_button_url',
			[
				'label' => esc_html__( 'Button URL', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);

        $this->add_control(
            'box_style',
            [
                'label' => esc_html__( 'Box Style', 'weddlist-elementor' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' =>  [ 
                    'style1' => __( 'Style 1', 'weddlist-elementor' ),
                    'style2' => __( 'Style 2', 'weddlist-elementor' ),
                    'style3' => __( 'Style 3', 'weddlist-elementor' ),
                    'style4' => __( 'Style 4', 'weddlist-elementor' ),
                    'style5' => __( 'Style 5', 'weddlist-elementor' ),
                    'style6' => __( 'Style 6', 'weddlist-elementor' ),     
                ],
                'default' => 'style1',  
            ]
        );

		$this->end_controls_section();


// Style tab section
        $this->start_controls_section(
            'section_title_area_style',
            [
                'label' => __( 'Section style', 'weddlist-elementor' ),
                'tab' => Controls_Manager::TAB_STYLE,
            ]
        );

            $this->add_responsive_control(
                'sectionmargin',
                [
                    'label' => __( 'Margin', 'weddlist-elementor' ),
                    'type' => Controls_Manager::DIMENSIONS,
                    'size_units' => [ 'px', '%', 'em' ],
                    'selectors' => [
                        '{{WRAPPER}} .section-weddlist-iconbox' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                    ],
                ]
            );

            $this->add_responsive_control(
                'sectionpadding',
                [
                    'label' => __( 'Padding', 'weddlist-elementor' ),
                    'type' => Controls_Manager::DIMENSIONS,
                    'size_units' => [ 'px', '%', 'em' ],
                    'selectors' => [
                        '{{WRAPPER}} .section-weddlist-iconbox' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Background::get_type(),
                [
                    'name' => 'section_title_background',
                    'label' => __( 'Background', 'weddlist-elementor' ),
                    'types' => [ 'classic', 'gradient' ],
                    'selector' => '{{WRAPPER}} .section-weddlist-iconbox',
                ]
            );

            $this->add_group_control(
                Group_Control_Box_Shadow::get_type(),
                [
                    'name' => 'section_title_box_shadow',
                    'label' => __( 'Box Shadow', 'weddlist-elementor' ),
                    'selector' => '{{WRAPPER}} .section-weddlist-iconbox',
                ]
            );

            $this->add_group_control(
                Group_Control_Border::get_type(),
                [
                    'name' => 'section_title_border',
                    'label' => __( 'Border', 'weddlist-elementor' ),
                    'selector' => '{{WRAPPER}} .section-weddlist-iconbox',
                ]
            );

            $this->add_responsive_control(
                'section_border_radius',
                [
                    'label' => __( 'Border Radius', 'weddlist-elementor' ),
                    'type' => Controls_Manager::DIMENSIONS,
                    'size_units' => [ 'px', '%', 'em' ],
                    'selectors' => [
                        '{{WRAPPER}} .section-weddlist-iconbox' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                    ],
                ]
            );

            $this->add_responsive_control(
                'section_alignment',
                [
                    'label' => __( 'Alignment', 'weddlist-elementor' ),
                    'type' => Controls_Manager::CHOOSE,
                    'options' => [
                        'left' => [
                            'title' => __( 'Left', 'weddlist-elementor' ),
                            'icon' => 'fa fa-align-left',
                        ],
                        'center' => [
                            'title' => __( 'Center', 'weddlist-elementor' ),
                            'icon' => 'fa fa-align-center',
                        ],
                        'right' => [
                            'title' => __( 'Right', 'weddlist-elementor' ),
                            'icon' => 'fa fa-align-right',
                        ],
                        'justify' => [
                            'title' => __( 'Justified', 'weddlist-elementor' ),
                            'icon' => 'fa fa-align-justify',
                        ],
                    ],
                    'default' => 'center',
                    'selectors' => [
                        '{{WRAPPER}} .wedding-plan-dtl' => 'text-align: {{VALUE}};',
                    ],
                ]
            );

        $this->end_controls_section();


	//End  of a control box

	}
	
	//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

        $this->add_render_attribute( 'brands_area_attr', 'class', 'section-weddlist-iconbox' );

		$iconbox_title			=	$settings['iconbox_title'];
		$iconbox_details		=	$settings['iconbox_details'];
		$iconbox_button_url	    =	$settings['iconbox_button_url'];
        $iconbox_button_text    =   $settings['iconbox_button_text'];
        $box_style              =   $settings['box_style'];
        $iconbox_icon           =   $settings['iconbox_icon'];
        

		$html_image='';
		$html_title='';
		$html_details='';
		?>
		<div <?php echo $this->get_render_attribute_string( 'brands_area_attr' ); ?>>
		<?php

        if($box_style=='style1')
        {

            echo '<div class="why-block"><div class="why-icon">';
            \Elementor\Icons_Manager::render_icon( $iconbox_icon);

            printf('</div><h4 class="why-choose-heading">%s</h4>
                    <p>%s</p>
                    </div>',
                    $iconbox_title,
                    $iconbox_details
                );
        }
        else if($box_style=='style2')
        {

            echo '<div class="plan-start-block">
                <div class="row">
                  <div class="col-sm-2 col-xs-3 pad-0">
                    <div class="widget-icon">';
            \Elementor\Icons_Manager::render_icon( $iconbox_icon);

            printf('</div></div><div class="col-sm-10 col-xs-9"> 
                    <div class="section"><h4 class="section-heading">%s</h4>
                    <p>%s</p>
                    </div>
                </div>
            </div>',
                    $iconbox_title,
                    $iconbox_details
                );
        }
        else if($box_style=='style3')
        {

            $html_url='';
            if(!empty($iconbox_button_url) && !empty($iconbox_button_text))
            {
                $html_url='<a href="'.$iconbox_button_url.'" title="caption" class="btn read-more">'.$iconbox_button_text.'</a>';
            }
            

            echo '<div class="why-choose-block"><div class="row"><div class="col-xs-3"><div class="why-choose-icon">';
            \Elementor\Icons_Manager::render_icon( $iconbox_icon);

            printf('</div></div><div class="col-xs-9"><div class="why-choose-dtl">
                    <h4 class="why-choose-heading">%s</h4>
                    <p class="why-choose-sub-heading">%s</p>
                    %s
                    </div>
                    </div>
                    </div>
                    </div>',
                    $iconbox_title,
                    $iconbox_details,
                    $html_url
                );

        }
        else if($box_style=='style4')
        {
            $html_url='';
            if(!empty($iconbox_button_url) && !empty($iconbox_button_text))
            {
                $html_url='<a href="'.$iconbox_button_url.'" title="caption" class="btn read-more">'.$iconbox_button_text.'</a>';
            }

            echo '<div class="about-our-dtl">
                    <div class="about-our-icon">';
            \Elementor\Icons_Manager::render_icon( $iconbox_icon);

            printf('<h4 class="about-our-heading">%s</h4>
                </div>
                <div class="about-our-text"><p>%s</p>
                %s
                </div>
                </div>',
                    $iconbox_title,
                    $iconbox_details,
                    $html_url
                );
        }
        else if($box_style=='style5')
        {

            echo '<div class="how-it-block text-center">
                    <div class="how-it-icon">';
            \Elementor\Icons_Manager::render_icon( $iconbox_icon);

            printf('</div><h4 class="how-it-heading">%s</h4>%s</div>',
                    $iconbox_title,
                    $iconbox_details
                );
        }
        else if($box_style=='style6')
        {

            echo '<div class="contact-us-block help-service-block"><div class="contact-us-icon">';
            \Elementor\Icons_Manager::render_icon( $iconbox_icon);

            printf('</div>
                    <div class="contact-us-dtl text-center">
                    <h4 class="contact-heading">%s</h4>
                    <div class="contact-sub-heading">%s</div></div></div>',
                    $iconbox_title,
                    $iconbox_details
                );
        }                                


	   	echo '</div>';	
	
	}	

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Iconbox() );