<?php
namespace Elementor;

class Weddlist_Elementor_Listing extends Widget_Base {

	public function get_name() {
		return 'listing';
	}

	public function get_title() {
		return 'Listing';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-posts-ticker';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Listing Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'listing_title',
			[
				'label' => esc_html__( 'Title', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
			]
		);


		$this->add_control(
			'listing_name_text',
			[
				'label' => esc_html__( 'Listing Vendor Text', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);		


		$this->add_control(
			'listing_button_text',
			[
				'label' => esc_html__( 'Button Text', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);

		$this->add_control(
			'listing_searchbox',
			[
				'label' => __( 'Search Box', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'weddlist-elementor' ),
				'label_off' => __( 'Off', 'weddlist-elementor' ),
				'return_value' => 'yes',
				'default' => '0',
			]
		);	

		$this->add_control(
			'location_id',
			[
				'label' => esc_html__( 'Select Location', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
                'options' =>  weddlist_elementor_get_location_options('all'),
			]
		);

		$this->add_control(
			'itemcategory_id',
			[
				'label' => esc_html__( 'Select Itemcategory', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
                'options' =>  weddlist_elementor_get_itemcategory_options('all'),
			]
		);					

		$this->end_controls_section();

	//End  of a control box

	}
	
	//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$listing_title			 =	$settings['listing_title'];
		$listing_button_text	 =	$settings['listing_button_text'];

		$listing_name_text	 	 =	$settings['listing_name_text'];


		$listing_searchbox		 =	$settings['listing_searchbox'];
		$location_id		 	=	$settings['location_id'];
		$itemcategory_id	 	=	$settings['itemcategory_id'];


		if(!empty($listing_title))
		{
			$listing_title_html = '<h4 class="refine-search-heading">'.$listing_title.'</h4>';
		}
		else{
			$listing_title_html = '';
		}

		if(!empty($listing_button_text))
		{
			$listing_button_text = $listing_button_text;
		}
		else{
			$listing_button_text = esc_html__('Search','weddlist-elementor');
		}

		if(function_exists('weddlist_item_filter_category'))
		{
			$weddlist_item_filter_category=weddlist_item_filter_category($itemcategory_id);
		}
		else{
			$weddlist_item_filter_category='';
		}

		if(function_exists('weddlist_item_filter_location'))
		{
			$weddlist_item_filter_location=weddlist_item_filter_location($itemcategory_id);
		}
		else{
			$weddlist_item_filter_location='';
		}

		
		echo '<div class="load-trigger" id="load-trigger">
			<div class="containernot">
	  			<div class="row">
	    			<div class="col-md-12">
	      				<div class="listing-with-location-category">';

	      if($listing_searchbox=='yes')
			{
	   		printf('<div class="refine-search">
	          %s
	          <form method="get" id="search-form">
	            <div class="form-search">
	              <div class="row">
	              	<div class="col-md-3 col-sm-6 form-group">
						<input type="text" name="listingname" id="listingname" class="form-control" value="'.$_GET['listingname'].'" placeholder="'.$listing_name_text.'" />
                	</div>
	                <div class="col-md-3 col-sm-6 form-group">
	                  <div class="select-category-dropdown">
	                    %s
	                  </div>
	                </div>
	                <div class="col-md-4 col-sm-6 form-group">
	                  <div class="select-city-dropdown">
	                    %s
	                  </div>
	                </div>	                                
	                <div class="col-md-2 col-sm-6 form-group">
	                  <div class="search-btn">
	                    <button type="button" id="btn-search-on" class="trigger-call btn btn-pink">%s</button>
	                  </div>
	                </div>
	              </div>

	            </div>
	            <input type="hidden" name="map_diplay" id="map_diplay" value="No" />
	            <input type="hidden" name="min_price" id="min_price" value="" />
	            <input type="hidden" name="max_price" id="max_price" value="" />
	          </form>
	        </div>',
	        	$listing_title_html,
	    		$weddlist_item_filter_category,
	    		$weddlist_item_filter_location,
	 			$listing_button_text
	 			);
		}
		else{
			printf('
			<input type="hidden" name="listingname" id="listingname" value="" />  
			<input type="hidden" name="map_diplay" id="map_diplay" value="No" />  
			<input type="hidden" name="category_type" id="category_type" value="%s" />
			<input type="hidden" name="location" id="location" value="%s" />
			<input type="hidden" name="min_price" id="min_price" value="" />
			<input type="hidden" name="max_price" id="max_price" value="" />
			<div id="btn-search-on" class="trigger-call"></div>',
				$itemcategory_id,
				$location_id	
			);
		}
		echo '<div id="item_results"></div>
	      </div>
	    </div>
	  </div>
	</div>
	</div>';	

	
	}	

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Listing() );