<?php
namespace Elementor;

class Weddlist_Elementor_Slider_Box extends Widget_Base {

	public function get_name() {
		return 'sliderbox';
	}

	public function get_title() {
		return 'Slider Box';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-post-slider';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Slider Box Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'sliderbox_title',
			[
				'label' => esc_html__( 'Title', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
			]
		);

		$this->add_control(
			'sliderbox_style',
			[
				'label' => esc_html__( 'Title Box Style ', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'style1' => __( 'Style 1', 'weddlist-elementor' ),
					'style2' => __( 'Style 2', 'weddlist-elementor' ),
					'style3' => __( 'Style 3', 'weddlist-elementor' ),
				],
				'default' => 'style1',	
			]
		);			

		$this->add_control(
			'sliderbox_vendor_text',
			[
				'label' => esc_html__( 'Type Vendor Name', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);


		$this->add_control(
			'sliderbox_button_text',
			[
				'label' => esc_html__( 'Button Text', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);

		$this->end_controls_section();

	//End  of a control box

	}
	
	//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$sliderbox_title			 =	$settings['sliderbox_title'];
		$sliderbox_button_text		 =	$settings['sliderbox_button_text'];

		$sliderbox_style		 	=	$settings['sliderbox_style'];

		$sliderbox_vendor_text		=	$settings['sliderbox_vendor_text'];


		if(!empty($sliderbox_vendor_text))
		{
			$sliderbox_vendor_text = $sliderbox_vendor_text;
		}
		else{
			$sliderbox_vendor_text = esc_html__('Type Vendor Name','weddlist-elementor');
		}


		if(!empty($sliderbox_button_text))
		{
			$sliderbox_button_text = $sliderbox_button_text;
		}
		else{
			$sliderbox_button_text = esc_html__('Find Vendor','weddlist-elementor');
		}

		if(function_exists('weddlist_map_items_listing'))
		{
			$weddlist_map_items_listing=weddlist_map_items_listing();
			$weddlist_map_items_listing_url=$weddlist_map_items_listing['url'];
		}
		else{
			$weddlist_map_items_listing_url= esc_url(home_url('/'));	
		}

		if($sliderbox_style=='style1')
		{
	   		printf('<div class="slider-bottom-panel">
				    <form method="get" action="%s">
				    	<div class="container">
				        <div class="row">
				          <div class="col-sm-3 form-group">
				          	<input type="text" name="listingname" id="listingname" class="form-control" placeholder="%s" />
				          </div>  
				          <div class="col-sm-3 form-group">
			                 <div class="select-category-dropdown select-basic">
							          %s                    
			           		</div>
				         </div>  
				          <div class="col-sm-4 form-group">
		                  <div class="select-city-dropdown select-basic">
		                    %s                       
		                  </div>
				          </div>
				          <div class="col-sm-2 form-group">
				            <div class="slider-bottom-panel-btn">
				              <button type="submit" class="btn btn-pink">%s</button>
				            </div>
				          </div>
				        </div>
						</div>
					</form> 
				</div>',
	    		$weddlist_map_items_listing_url,
	    		$sliderbox_vendor_text,
	    		weddlist_item_filter_category(0),
	    		weddlist_item_filter_location(0),	
	 			$sliderbox_button_text
	 			);
		}
		else if($sliderbox_style=='style3')
		{
	   		printf('<div class="slider-bottom-panel-two slider-bottom-three">
				    <form method="get" action="%s">				    
				    	<div class="container">
				    		<div class="row">
				    			<div class="col-sm-offset-2 col-sm-8">
				        			<div class="row">
							          <div class="col-sm-4 nopadding">
						                 <div class="select-category-dropdown select-basic">
										          %s                    
						           		</div>
							         </div>  
							          <div class="col-sm-5 nopadding">
					                  <div class="select-city-dropdown select-basic">
					                    %s                       
					                  </div>
							          </div>
							          <div class="col-sm-2 nopadding">
							            <div class="slider-bottom-panel-btn">
							              <button type="submit" class="btn btn-pink">%s</button>
							            </div>
							          </div>
				        		</div>
				        	</div>
						</div>
					</form> 
				</div>',
	    		$weddlist_map_items_listing_url,
	    		weddlist_item_filter_category(0),
	    		weddlist_item_filter_location(0),	
	 			$sliderbox_button_text
	 			);
		}
		else{
	   		printf('<div class="slider-bottom-panel-two">
				    <form method="get" action="%s">
				    	<div class="container">
				        <div class="slider-bottom-two row">
				          <div class="col-sm-3 form-group">
				          	<input type="text" name="listingname" id="listingname" class="form-control" placeholder="%s" />
				          </div>  				        
				          <div class="col-sm-3 form-group">
			                 <div class="select-category-dropdown select-basic">
							    %s                    
			           		</div>
				         </div>  
				          <div class="col-sm-4 form-group">
			                  <div class="select-city-dropdown select-basic">
			                    %s                       
			                  </div>
				          </div>
				          <div class="col-sm-2 form-group">
				            <div class="slider-bottom-panel-btn">
				              <button type="submit" class="btn btn-pink">%s</button>
				            </div>
				          </div>
				        </div>
						</div>
					</form> 
				</div>',
	    		$weddlist_map_items_listing_url,
	    		$sliderbox_vendor_text,
	    		weddlist_item_filter_category(0),
	    		weddlist_item_filter_location(0),	
	 			$sliderbox_button_text
	 			);

		}			
	
	}	

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Slider_Box() );