<?php
namespace Elementor;

class Weddlist_Elementor_Testimonial extends Widget_Base {

	public function get_name() {
		return 'testimonial';
	}

	public function get_title() {
		return 'Testimonial';   // testimonial to show on 
	}

	public function get_icon() {
		return 'eicon-testimonial';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Testimonial Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'testimonial_style',
			[
				'label' => esc_html__( 'Testimonial Box Style ', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'style1' => __( 'Two Column', 'weddlist-elementor' ),
					'style2' => __( 'One Column', 'weddlist-elementor' ),
				],
				'default' => 'style1',	
			]
		);	

		$this->add_control(
			'testimonial_color',
			[
				'label' => __( 'Default Color', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'your-plugin' ),
				'label_off' => __( 'Off', 'your-plugin' ),
				'return_value' => 'yes',
				'default' => '',
			]
		);		


		$this->add_control(
			'testimoniallist',
			[
				'label' => __( 'Testimonial ', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => [
					[
						'name' => 'testimonial_image',
						'label' => __( 'Couple Image', 'weddlist-elementor' ),
						'type' => Controls_Manager::MEDIA,
			                'default' => [
			                        'url' => Utils::get_placeholder_image_src(),
			                ],
						'label_block' => true,
					],	
					[
						'name' => 'testimonial_name',
						'label' => __( 'Testimonial Name', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::TEXT,
						'default' => '',
						'label_block' => true,
					],			
					[
						'name' => 'testimonial_weddingdate',
						'label' => __( 'Wedding Date', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::TEXT,
						'default' => '',
						'label_block' => true,
					],								
					[
						'name' => 'testimonial_details',
						'label' => __( 'Details', 'weddlist-elementor' ),
						'type' => \Elementor\Controls_Manager::WYSIWYG,
						'default' => esc_html__( ' Details' , 'weddlist-elementor' ),
						'label_block' => true,
					],			
				],
				'title_field' => '{{{ testimonial_name }}}',
			]
		);
		

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$testimonial_style		 =	$settings['testimonial_style'];
		$testimonial_color		 =	$settings['testimonial_color'];

		$testimoniallist		 =	$settings['testimoniallist'];

		$testimonial_html='';
		
		if($testimonial_color=='yes')
		{
			$box_class="black-testimonial";	
		}
		else{
			$box_class="";
		}


		if (is_array($testimoniallist)) { 

			if($testimonial_style=='style1')
			{

				$i=1;
	            foreach ($testimoniallist as $key => $value) {
	           
	            	$testimonial_html.=' <div class="item testimonial-block">
					      <div class="testimonial-client-img">
					      <img src="'.$value['testimonial_image']['url'].'" class="img-responsive img-circle" />
					      </div>
					      <div class="testimonial-dtl">
					        <h5 class="testimonial-client">'.$value['testimonial_name'].'</h5>
					        <div class="date">'.$value['testimonial_weddingdate'].'</div>
					        <p>'.$value['testimonial_details'].'</p>
					      </div>
					    </div>';

	      		$active='';

	      		$i++;
	      		}

				printf('<div id="testimonials-slider" class="testimonials-slider owl-carousel owl-theme%s">%s</div>',$box_class,$testimonial_html);

				self:: weddlist_elementor_testimonials_two_column_script();

			}else{

				$i=1;
	            foreach ($testimoniallist as $key => $value) {
	           
	            	$testimonial_html.='<div class="item testimonial-block2 text-center">
							  <p class="testimonial-comment col-md-offset-3 col-md-6">"'.$value['testimonial_details'].'"</p>
							  <div class="testimonial-client-img">
							     <img src="'.$value['testimonial_image']['url'].'" class="img-responsive img-circle" /></div>
							  <div class="testimonial-dtl">
							    <h5 class="testimonial-client mb0">'.$value['testimonial_name'].'</h5>
							    <div class="date">'.$value['testimonial_weddingdate'].'</div>
							  </div>
							</div>';

	      		$active='';

	      		$i++;		

	      		}		
				printf('<div id="testimonials-slider2" class="testimonials-slider owl-carousel owl-theme%s">%s</div>',$box_class,$testimonial_html);

				self:: weddlist_elementor_testimonials_one_column_script();

				}


			} 	

		 		
	}	

	public function weddlist_elementor_testimonials_two_column_script(){

        ?>
        <script>
            jQuery( function( $ ) {

                $ = jQuery;

                if ( $('#testimonials-slider').length) {

					    $("#testimonials-slider").owlCarousel({
					      loop: true,
					      items: 2,
					      dots: false,
					      nav: true,
					      autoplayTimeout: 9000,
					      smartSpeed: 3000,
					      autoHeight: false,
					      touchDrag: true,
					      mouseDrag: true,
					      margin: 0,
					      autoplay: true,
					      slideSpeed: 1000,
					      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
					      responsive: {
					        0: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        600: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        768: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        1100: {
					            items: 2,
					            nav: true,
					            dots: false,
					        }
					      }
					    });
                }

            } );
        </script>
        <?php
    }


public function weddlist_elementor_testimonials_one_column_script(){

        ?>
        <script>
            jQuery( function( $ ) {

                $ = jQuery;

                if ( $('#testimonials-slider2').length) {

					    $("#testimonials-slider2").owlCarousel({
					      loop: true,
					      items: 1,
					      dots: false,
					      nav: true,
					      autoplayTimeout: 9000,
					      smartSpeed: 3000,
					      autoHeight: false,
					      touchDrag: true,
					      mouseDrag: true,
					      margin: 0,
					      autoplay: true,
					      slideSpeed: 1000,
					      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
					      responsive: {
					        0: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        600: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        768: {
					            items: 1,
					            nav: false,
					            dots: false,
					        },
					        1100: {
					            items:1,
					            nav: true,
					            dots: false,
					        }
					      }
					    });
                }

            } );
        </script>
        <?php
    }    

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Testimonial() );