<?php
namespace Elementor;

class Weddlist_Elementor_Title extends Widget_Base {

	public function get_name() {
		return 'title';
	}

	public function get_title() {
		return 'Main Title';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-t-letter';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Title Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'title_area',
			[
				'label' => esc_html__( 'Title', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
			]
		);

		$this->add_control(
			'title_details',
			[
				'label' => esc_html__( 'Details', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
			]
		);

		$this->add_control(
			'title_heading',
			[
				'label' => esc_html__( 'Title Heading', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'h1' => __( 'H1', 'weddlist-elementor' ),
					'h2' => __( 'H2', 'weddlist-elementor' ),
					'h3' => __( 'H3', 'weddlist-elementor' ),		
				],
				'default' => 'h2',	
			]
		);	

		$this->add_control(
			'title_style',
			[
				'label' => esc_html__( 'Title Box Style ', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'left' => __( 'Left', 'weddlist-elementor' ),
					'center' => __( 'Center', 'weddlist-elementor' ),
					'right' => __( 'Right', 'weddlist-elementor' ),		
				],
				'default' => 'center',	
			]
		);	

		$this->add_control(
			'title_color',
			[
				'label' => __( 'White Color', 'weddlist-elementor' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'weddlist-elementor' ),
				'label_off' => __( 'Off', 'weddlist-elementor' ),
				'return_value' => 'yes',
				'default' => '0',
			]
		);				

		$this->end_controls_section();

	//End  of a control box

	}
//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$title_area			 =	$settings['title_area'];
		$title_details		 =	$settings['title_details'];
		$title_heading		 =	$settings['title_heading'];

		$title_style		 =	$settings['title_style'];
		$title_color		 =	$settings['title_color'];

		
		if($title_style=="left"){
			$box_class="text-left";
		}
		else if($title_style=="right"){
			$box_class="text-right";
		}
		else{
			$box_class="text-center";
		}		

		if($title_color=='yes')
		{
			$box_class.=" white-title";	
		}

		if(!empty($title_details))
		{	
			$title_details_html = '<p class=section-sub-heading"">'.$title_details.'</p>';
		}
		else{
			$title_details_html = '';
		}


    	printf('<div class="section %s"><%s>%s</%s>%s</div>',
    		$box_class,
    		$title_heading,	
			$title_area,
    		$title_heading,	
 			$title_details_html
 			);

				
	
	}	

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_Title() );