<?php
namespace Elementor;

class Weddlist_Elementor_User_Login extends Widget_Base {

	public function get_name() {
		return 'userlogin';
	}

	public function get_title() {
		return 'User Login';   // title to show on 
	}

	public function get_icon() {
		return 'eicon-person';    //   eicon-posts-ticker-> eicon ow asche icon to show on elelmentor
	}

	public function get_categories() {
		return [ 'weddlist-elements' ];    // category of the widget
	}


	protected function register_controls() {
		
		//start of a control box
		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'User Login Content', 'weddlist-elementor' ),   //section name for controler view
			]
		);

		$this->add_control(
			'userlogin_title',
			[
				'label' => esc_html__( 'Title', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
				'default' => 'Sign Up',
			]
		);

		$this->add_control(
			'userlogin_terms',
			[
				'label' => esc_html__( 'Terms & Conditions Message', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
				'default' => 'Click on Sign Up I am accepting the Terms & Conditions',
			]
		);		

		$this->add_control(
			'userlogin_style',
			[
				'label' => esc_html__( 'User Feature', 'weddlist-elementor' ),
				'type' => Controls_Manager::SELECT,
				'label_block' => true,
				'options' =>  [ 
					'style1' => __( 'Sign In', 'weddlist-elementor' ),
					'style2' => __( 'Couple Sign Up', 'weddlist-elementor' ),
					'style3' => __( 'Vendor Sign Up', 'weddlist-elementor' ),					

				],
				'default' => 'style1',	
			]
		);			

		$this->add_control(
			'userlogin_button_text',
			[
				'label' => esc_html__( 'Button Text', 'weddlist-elementor' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
			]
		);

		$this->end_controls_section();

	//End  of a control box

	}
	
	//end of control box 

	protected function render() {				//to show on the fontend 
		$settings = $this->get_settings(); 

		$userlogin_title			 =	$settings['userlogin_title'];
		$userlogin_button_text		 =	$settings['userlogin_button_text'];

		$userlogin_style		 	=	$settings['userlogin_style'];
		$userlogin_terms		 	=	$settings['userlogin_terms'];

		if(!empty($userlogin_button_text))
		{
			$userlogin_button_text = $userlogin_button_text;
		}
		else{
			$userlogin_button_text = esc_html__('Login','weddlist-elementor');
		}

		if(!empty($userlogin_terms))
		{
			$userlogin_terms_html = '<div class="checkbox-dtl"><div class="terms-conditions">'.$userlogin_terms.'</div></div>';
		}
		else{
			$userlogin_terms_html = '';
		}


		if($userlogin_style=='style2')
		{

			if(!empty($userlogin_title))
			{
				$userlogin_title_html = $userlogin_title;
			}
			else{
				$userlogin_title_html = esc_html__('Couple Sign Up','weddlist-elementor');
			}		

			if(!empty($userlogin_button_text))
			{
				$userlogin_button_text = $userlogin_button_text;
			}
			else{
				$userlogin_button_text = esc_html__('Sign Up','weddlist-elementor');
			}						
		?>
		<div class="user-page-section register-block">
		<div class="">
		  <h4 class="register-heading text-center"><?php echo $userlogin_title_html;?></h4>
		  <form id="couplesignup" class="mt20"  method="post">
		  <p class="status"></p>
		  <div class="form-group">
		    <input id="coupleusername" name="coupleusername" class="form-control" placeholder="<?php esc_attr_e('Username','weddlist');?>" type="text" required>
		  </div>
		  <div class="form-group">
		    <input id="coupleemail" name="coupleemail" class="form-control" placeholder="<?php esc_attr_e('Email Address','weddlist');?>" type="email" required>		   
		  </div>
		  <div class="form-group">
		    <input id="couplepassword" name="couplepassword" class="form-control" placeholder="<?php esc_attr_e('Password','weddlist');?>" type="password" required>
		  </div>
		  <div class="form-group">
                <input id="wedding_date" name="wedding_date" class="form-control book_date check_book_date"  required placeholder="<?php esc_attr_e('Wedding Date','weddlist');?>" type="text">
          </div> 
			<?php echo $userlogin_terms_html; ?>
			<input type="submit" value="<?php echo $userlogin_button_text;?>" class="btn btn-pink" />                 
		    <?php wp_nonce_field( 'ajax-couple-register-nonce', 'couplesecurity' ); ?>		    
		  </form>

            <?php 
            if(class_exists('NextendSocialLogin')){

            	if ( shortcode_exists( 'nextend_social_login' ) ) {
					    // The  short code exists.
            		    echo '<div class="pb30">';
                		echo do_shortcode( '[nextend_social_login]'); 
                		echo '</div>';
					}
            }
            ?>
		</div>
		</div>  
		<?php }
		elseif($userlogin_style=='style3')
		{

			if(!empty($userlogin_title))
			{
				$userlogin_title_html = $userlogin_title;
			}
			else{
				$userlogin_title_html = esc_html__('Couple Sign Up','weddlist-elementor');
			}	

			if(!empty($userlogin_button_text))
			{
				$userlogin_button_text = $userlogin_button_text;
			}
			else{
				$userlogin_button_text = esc_html__('Sign Up','weddlist-elementor');
			}					
		?>
		<div class="user-page-section register-block">
		<div class="vendorsignupbox1">
		  <h4 class="register-heading text-center"><?php echo $userlogin_title_html;?></h4>
		  <form id="vendorsignup" class="mt20"  method="post">
		  <p class="status"></p>
		  <div class="form-group">
		    <input id="vendorusername" name="vendorusername" class="form-control" placeholder="<?php esc_attr_e('Username','weddlist');?>" type="text" required>
		  </div>
		  <div class="form-group">
		    <input id="vendoremail" name="vendoremail" class="form-control" placeholder="<?php esc_attr_e('Email Address','weddlist');?>" type="email" required>
		  </div>
		  <div class="form-group">
		    <input id="vendorpassword" name="vendorpassword" class="form-control" placeholder="<?php esc_attr_e('Password','weddlist');?>" type="password" required>
		  </div>
			<?php echo $userlogin_terms_html; ?>
		    <input type="submit" value="<?php echo $userlogin_button_text;?>" class="btn btn-pink" />                 
		    <?php wp_nonce_field( 'ajax-vendor-register-nonce', 'vendorsecurity' ); ?>
		  </form>
		</div>
		</div>  
		<?php 
		}
		elseif($userlogin_style=='style1')
		{ 

			if(!empty($userlogin_title))
			{
				$userlogin_title_html = $userlogin_title;
			}
			else{
				$userlogin_title_html = esc_html__('Sign In','weddlist-elementor');
			}	

			if(!empty($userlogin_button_text))
			{
				$userlogin_button_text = $userlogin_button_text;
			}
			else{
				$userlogin_button_text = esc_html__('Sign In','weddlist-elementor');
			}					

			if(!is_user_logged_in()){
			?>
			<div class="user-page-section register-block">
				<div class="signinbox">
			    <h4 class="register-heading text-center"><?php echo $userlogin_title_html;?></h4>
			      <form id="couplesignin" method="post">
			      <p class="status"></p>
			      <div class="form-group">
			        <input id="username" name="username" class="form-control" placeholder="<?php esc_attr_e('Username','weddlist');?>" type="text" required>
			      </div>
			      <div class="form-group">
			        <input id="password" name="password" class="form-control" placeholder="<?php esc_attr_e('Password','weddlist');?>" type="password" required>
			      </div>

			    <div class="login-button">  
	    		 <input type="submit" value="<?php echo $userlogin_button_text; ?>" class="btn btn-pink" /> 
	    		</div> 
			    <p class="sign-in">
                    	<a class="forgotpasswordclick"><?php esc_html_e('Forgot Password','weddlist'); ?></a>
                  		</p>           

			        <?php wp_nonce_field( 'ajax-couple-login-nonce', 'security' ); ?>

				

			      </form>			                  
			    </div>

            <?php 
            if(class_exists('NextendSocialLogin')){

            	if ( shortcode_exists( 'nextend_social_login' ) ) {
					    // The  short code exists.
            		    echo '<div class="pb30">';
                		echo do_shortcode( '[nextend_social_login]'); 
                		echo '</div>';
					}
            }
            ?>

			<div class="forgotpasswordbox">
			    <h4 class="register-heading text-center"><?php esc_html_e('Forgot Password','weddlist');?></h4>
			    <form id="forgotpasswordbox" class="mt30"  method="post">
			    <div class="status" id="forgot_pass_area"></div>  
			    <div class="form-group">
			    <input id="forgotemail" name="forgotemail" class="form-control" placeholder="<?php esc_attr_e('Email Address','weddlist');?>" type="email" required>
			    </div>
			    <input type="submit" id="wp_forgot" name="wp_forgot" value="<?php esc_attr_e('Get New Password','weddlist'); ?>" class="btn btn-pink" />              </form>
			    <p class="sign-in">
			    <a class="cancelclick"><?php esc_html_e('Cancel','weddlist'); ?></a>
			    </p>
			</div>  
			</div>            
			<?php 
			}else{
				if(function_exists('weddlist_check_logout_user'))
				{
					if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {
					}
					else{
					  weddlist_check_logout_user();

					}	
				}
			}

		} 
	
	}	

}
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Weddlist_Elementor_User_Login() );