<?php 
/*
Plugin Name: Weddlist Elementor
Plugin URI: https://www.thegenius.co/
Description: After install the Weddlist Theme, you need to install "Weddlist Elementor" plugin for elementor page builder features.
Author: Udayraj Khatri
Author URI: https://thegenius.co/wp/weddlist/
Version: 1.4.0
Text Domain: weddlist-elementor
Domain Path: /languages
*/

//define
define( 'WEDDLIST_ELEMENTOR_PLG_URL', plugin_dir_url( __FILE__ ) );
define( 'WEDDLIST_ELEMENTOR_PLG_DIR', dirname( __FILE__ ) ); 


/**  King Composer Shportcode Modules.
--------------------------------------------------------------------------------------------------- */
require_once WEDDLIST_ELEMENTOR_PLG_DIR . '/elements/elements.php';


add_action( 'admin_enqueue_scripts', 'weddlist_elementor_master_scripts' );
function weddlist_elementor_master_scripts() {
  wp_enqueue_style('weddlist_elementor-admin-style', WEDDLIST_ELEMENTOR_PLG_URL . 'assets/css/admin-style.css' , array(), '' );
  wp_enqueue_style('weddlist_elementor-custom-fonts', WEDDLIST_ELEMENTOR_PLG_URL . 'assets/css/themify.css' , array(), '' );

  wp_enqueue_style('weddlist_elementor-flaticon', WEDDLIST_ELEMENTOR_PLG_URL . 'assets/css/flaticon.css' , array(), '' );

}


add_action( 'elementor/editor/before_enqueue_scripts', function() {


   wp_enqueue_style( 'weddlist-elementor-elements-editor', WEDDLIST_ELEMENTOR_PLG_URL . 'assets/css/admin-style.css',
    [
        'elementor-editor', // dependency
    ],
    '1.0.0',
    false // in_footer
   );
   


} );

add_action( 'wp_enqueue_scripts', function() {
    if ( ! class_exists( '\Elementor\Post_CSS_File' ) ) {
        return;
    }

    $template_id = 123456;

    $css_file = new \Elementor\Post_CSS_File( $template_id );
    $css_file->enqueue( 'admin-style', WEDDLIST_ELEMENTOR_PLG_URL . 'assets/css/admin-style.css' , array(), '' );


}, 500 );


add_action( 'init', 'weddlist_elementor_load_textdomain' );

/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function weddlist_elementor_load_textdomain() {
  load_plugin_textdomain( 'weddlist-elementor', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
}