jQuery(document).ready(function() {

    function singleListingMap() {

        var lat     = jQuery('.cp-map').data("lat");
        var lng     = jQuery('.cp-map').data("lan"); 
        var marker  = jQuery('.cp-map').data("marker");

        var  map_layout = jQuery('.cp-map').data("maplayout"); 
        var  map_key = jQuery('.cp-map').data("mapkey");

        var weddlistIcon = L.icon({
            iconUrl: marker,
            iconSize: [40,61],       
        });
        var mapOptions = {
            center: [lat, lng],
            zoom: 13,
            zoomControl: false,
            gestureHandling: true
        }
        var map_single = L.map('googleMap', mapOptions);
        var zoomOptions = {
            zoomInText: '<i class="fa fa-plus" aria-hidden="true"></i>',
            zoomOutText: '<i class="fa fa-minus" aria-hidden="true"></i>',
        };
        var zoom = L.control.zoom(zoomOptions);
        zoom.addTo(map_single);
        map_single.scrollWheelZoom.disable();
        marker = new L.marker([lat, lng], {
            icon: weddlistIcon,
        }).addTo(map_single);


        if(map_layout=="mapbox_map")
        {
          if(map_key!="")
          {
          L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={accessToken}', {
              attribution: " &copy;  <a href='https://www.mapbox.com/about/maps/'>Mapbox</a> &copy;  <a href='http://www.openstreetmap.org/copyright'>OpenStreetMap</a>",
              maxZoom: 18,
              id: 'mapbox/streets-v11',
              accessToken:map_key
          }).addTo(map_single);
          }
          else{
            L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 18,
            attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>'
            }).addTo(map_single);     
          }
        }
        else{
          L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 18,
            attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>'
          }).addTo(map_single);
        }


        jQuery('a#streetView').attr({
            href: 'https://www.google.com/maps/search/?api=1&query=' + lat + ',' + lng + '',
            target: '_blank'
        });
    }
    if (document.getElementById("googleMap") !== null) {
        singleListingMap();
    }

});

jQuery.fn.removeHighlight = function() {
 function newNormalize(node) {
    for (var i = 0, children = node.childNodes, nodeCount = children.length; i < nodeCount; i++) {
        var child = children[i];
        if (child.nodeType == 1) {
            newNormalize(child);
            continue;
        }
        if (child.nodeType != 3) { continue; }
        var next = child.nextSibling;
        if (next == null || next.nodeType != 3) { continue; }
        var combined_text = child.nodeValue + next.nodeValue;
        new_node = node.ownerDocument.createTextNode(combined_text);
        node.insertBefore(new_node, child);
        node.removeChild(child);
        node.removeChild(next);
        i--;
        nodeCount--;
    }
 }

 return this.find("span.highlight").each(function() {
    var thisParent = this.parentNode;
    thisParent.replaceChild(this.firstChild, this);
    newNormalize(thisParent);
 }).end();
};