jQuery(document).ready(function(){
        
        window.L_DISABLE_3D = true 
   
        var lat   = jQuery('.cp-map').data("lat");
        var lng   = jQuery('.cp-map').data("lan");  
        var zoom  = jQuery('.cp-map').data("zoom");
        var marker_icon  = jQuery('.cp-map').data("marker");

        if(zoom!="")
        {
          var zomm        = zoom;
          var curLocation = [lat, lng];  
        }
        else
        {
          var zomm        = 7;
          var lat         = 51.751724;
          var lng         = -1.255284; 
          var curLocation = [lat, lng];
        }

        if(jQuery('#gmaps-output-longitude').val() && jQuery('#gmaps-output-latitude').val()) {
          curLocation = [parseFloat(jQuery('#gmaps-output-latitude').val()),parseFloat(jQuery( '#gmaps-output-longitude' ).val())];
        }


        var weddlistIcon = L.icon({
            iconUrl: marker_icon,
            iconSize: [40,61],       
        });

        var mapOptions = {
            center: curLocation,
            zoom: 8,
            zoomControl: false,
            gestureHandling: true
         }

        var map = L.map('gmaps-canvas',mapOptions);

        var zoomOptions = {
           zoomInText: '<i class="fa fa-plus" aria-hidden="true"></i>',
           zoomOutText: '<i class="fa fa-minus" aria-hidden="true"></i>',
        };
        // Creating zoom control
        var zoom = L.control.zoom(zoomOptions);
        zoom.addTo(map);
        
        // Map Display Style
          L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
              attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
          }).addTo(map);
        
 
        map.scrollWheelZoom.disable();

        var marker = new L.marker(curLocation, {
            draggable: 'true',
            icon: weddlistIcon,
        });
       
        var output = [];
        jQuery("#gmaps-input-address").attr('autocomplete', 'off').after('<div id="leaflet-geocode-list-result"><ul></ul></div>');

        jQuery("#gmaps-input-address").on("focusin",function(e) {
            jQuery('.enter-and-click-btn').addClass('tip-visible');

            setTimeout(function(){
                   jQuery('.enter-and-click-btn').removeClass('tip-visible');
             }, 3000);
        });
        jQuery("#gmaps-input-address").on("keydown",function search(e) {

          var geocoder = new L.Control.Geocoder.Nominatim(); 
          jQuery("#leaflet-geocode-list-result").removeHighlight();

        });

        

        marker.on('dragend', function(event) {
            var position = marker.getLatLng();
            marker.setLatLng(position, {
              draggable: 'true'
            }).bindPopup(position).update();

            geocoder.reverse(position, map.options.crs.scale(map.getZoom()), function(results) { 
              
              jQuery("#gmaps-input-address").val(results[0].name);
            });
            jQuery("#gmaps-output-latitude").val(position.lat);
            jQuery("#gmaps-output-longitude").val(position.lng).keyup();
        });

        jQuery("#gmaps-output-latitude, #gmaps-output-longitude").change(function() {
            var position = [parseInt(jQuery("#gmaps-output-latitude").val()), parseInt(jQuery("#gmaps-output-longitude").val())];
            marker.setLatLng(position, {
              draggable: 'true'
            }).bindPopup(position).update();
            map.panTo(position);
        });

        map.addLayer(marker);

      var geocoder = new L.Control.Geocoder.Nominatim();  
      var output = [];
      jQuery('.enter-and-click-btn').on("click",function search(e) {
           var query = jQuery('#gmaps-input-address').val();
            query = jQuery.trim(query);
            if(query){
              geocoder.geocode(query, function(results) { 
                for (var i = 0; i < results.length; i++) {
                  
                  output.push('<li data-latitude="'+results[i].center.lat+'" data-longitude="'+results[i].center.lng+'" >'+results[i].name+'</li>');
                }
                output.push('<li class="powered-by-osm">Powered by <strong>OpenStreetMap</strong></li>');
                jQuery("#leaflet-geocode-list-result").addClass('active');
                jQuery('#autocomplete-container').addClass("osm-dropdown-active");
                jQuery('#leaflet-geocode-list-result ul').html(output);
                var txt_to_hl = query.split(' ');
                txt_to_hl.forEach(function (item) {
                  jQuery('#leaflet-geocode-list-result ul').highlight(item);
                });
                output = [];
              });
            }
      });

       jQuery("#leaflet-geocode-list-result ul").on( "click","li",function() {

            var newLatLng = new L.LatLng(jQuery(this).data('latitude'), jQuery(this).data('longitude'));
            jQuery("#gmaps-input-address").val(jQuery(this).text());
            marker.setLatLng(newLatLng).update(); 
            map.panTo(newLatLng);
            jQuery("#gmaps-output-latitude").val(jQuery(this).data('latitude'));
            jQuery("#gmaps-output-longitude").val(jQuery(this).data('longitude'));
            jQuery("#leaflet-geocode-list-result").removeClass('active');
            jQuery('#autocomplete-container').removeClass("osm-dropdown-active");
        });


});        

jQuery.fn.removeHighlight = function() {
 function newNormalize(node) {
    for (var i = 0, children = node.childNodes, nodeCount = children.length; i < nodeCount; i++) {
        var child = children[i];
        if (child.nodeType == 1) {
            newNormalize(child);
            continue;
        }
        if (child.nodeType != 3) { continue; }
        var next = child.nextSibling;
        if (next == null || next.nodeType != 3) { continue; }
        var combined_text = child.nodeValue + next.nodeValue;
        new_node = node.ownerDocument.createTextNode(combined_text);
        node.insertBefore(new_node, child);
        node.removeChild(child);
        node.removeChild(next);
        i--;
        nodeCount--;
    }
 }

 return this.find("span.highlight").each(function() {
    var thisParent = this.parentNode;
    thisParent.replaceChild(this.firstChild, this);
    newNormalize(thisParent);
 }).end();
};

jQuery.fn.highlight = function(pat) {
 function innerHighlight(node, pat) {
  var skip = 0;
  if (node.nodeType == 3) {
   var pos = node.data.toUpperCase().indexOf(pat);
   if (pos >= 0) {
    var spannode = document.createElement('span');
    spannode.className = 'highlight';
    var middlebit = node.splitText(pos);
    var endbit = middlebit.splitText(pat.length);
    var middleclone = middlebit.cloneNode(true);
    spannode.appendChild(middleclone);
    middlebit.parentNode.replaceChild(spannode, middlebit);
    skip = 1;
   }
  }
  else if (node.nodeType == 1 && node.childNodes && !/(script|style)/i.test(node.tagName)) {
   for (var i = 0; i < node.childNodes.length; ++i) {
    i += innerHighlight(node.childNodes[i], pat);
   }
  }
  return skip;
 }
 return this.each(function() {
  innerHighlight(this, pat.toUpperCase());
 });
};