// Ajax CAll Listing
function call_map_openstreetmap(data,center_latitude,center_longitude,map_layout)
{   

    var markers_total = JSON.parse(data);

    var markersLayer = new L.LayerGroup(); // NOTE: Layer is created here!
    markersLayer.clearLayers();

    if (document.getElementById("map") !== null) 
    {
        if (jQuery('#map').attr('data-map-scroll') == 'true') {
            var scrollEnabled = false;
        } else {
            var scrollEnabled = true;
        }
        var mapOptions = {
            gestureHandling: scrollEnabled,
        }
        window.map = L.map('map', mapOptions);
        jQuery('#scrollEnabling').hide();


        if(map_layout=="mapbox_map")
        {
          if(map_key!="")
          {
          L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={accessToken}', {
              attribution: " &copy;  <a href='https://www.mapbox.com/about/maps/'>Mapbox</a> &copy;  <a href='http://www.openstreetmap.org/copyright'>OpenStreetMap</a>",
              maxZoom: 18,
              id: 'mapbox/streets-v11',
              accessToken:map_key
          }).addTo(map);
          }
          else{
            L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 18,
            attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>'
            }).addTo(map);     
          }
        }
        else{
          L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 18,
            attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>'
          }).addTo(map);
        }
        markers = L.markerClusterGroup({
            spiderfyOnMaxZoom: true,
            showCoverageOnHover: false,
        });

        // extract data and  create markers
        for (var i = 0; i < markers_total.length; i++) {

          var listing_html = "<div class='main_box'><h3>"+ markers_total[i].title + "</h3><div class='marker_box'><a href='"+markers_total[i].url+"' class='marker_box'><img src='"+markers_total[i].featured_img + "' class='map_img' /> </a><a href='"+markers_total[i].cat_url+"' class='label-primary'>"+markers_total[i].cat_name+"</a></div> <h4 class='marker_pricing'>"+ markers_total[i].price +"</h4><p><i class='fa fa-map-marker'></i>  "+markers_total[i].address+"</p> </div>";
        
           
            marker = markers_total[i].marker; 

            var weddlistIcon = L.icon({
                iconUrl: marker,
                iconSize: [40,61],       
            });


            var popupOptions = {
                'maxWidth': '270',
                'className': 'leaflet-infoBox-listing'
            }
            var markerArray = [];
            marker = new L.marker([markers_total[i].latitude, markers_total[i].longitude], {
                icon: weddlistIcon,
            }).bindPopup(listing_html, popupOptions);
            marker.on('click', function(e) {});
            map.on('popupopen', function(e) {
                L.DomUtil.addClass(e.popup._source._icon, 'clicked');
            }).on('popupclose', function(e) {
                if (e.popup) {
                    L.DomUtil.removeClass(e.popup._source._icon, 'clicked');
                }
            });
            markers.addLayer(marker);
        }
        map.addLayer(markers);
        markerArray.push(markers);
        if (markerArray.length > 0) {
            map.fitBounds(L.featureGroup(markerArray).getBounds().pad(0.2));
        }
        map.removeControl(map.zoomControl);
        var zoomOptions = {
            zoomInText: '<i class="fa fa-plus" aria-hidden="true"></i>',
            zoomOutText: '<i class="fa fa-minus" aria-hidden="true"></i>',
        };
        var zoom = L.control.zoom(zoomOptions);
        zoom.addTo(map);
        
    }
}
