<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package weddlist
 */


if (is_active_sidebar('footer_1') || is_active_sidebar('footer_2') || is_active_sidebar('footer_3') || is_active_sidebar('footer_4')) 
{
?>
<div id="footer" class="footer-main-block">
    <div class="container">
      <div class="footer-block">
        <div class="row">
          <div class="col-md-4 col-sm-6">
              <?php if ( is_active_sidebar( 'footer_1' ) ) 	{ dynamic_sidebar( 'footer_1' ); } ?>           
          </div>
          <div class="col-md-2 col-sm-6">
              <?php if ( is_active_sidebar( 'footer_2' ) ) 	{ dynamic_sidebar( 'footer_2' ); } ?>           
          </div>
          <div class="col-md-3 col-sm-6">
              <?php if ( is_active_sidebar( 'footer_3' ) ) 	{ dynamic_sidebar( 'footer_3' ); } ?>           
          </div>
          <div class="col-md-3 col-sm-6">
              <?php if ( is_active_sidebar( 'footer_4' ) ) 	{ dynamic_sidebar( 'footer_4' ); } ?>           
          </div>   
        </div>
      </div>
    </div>
    <?php 
    $copyright=tg_option('copyright');
    if(!empty($copyright)){ ?>
    <div class="copyright-block footer-line text-center">
      <div class="container">
        <p><?php echo wp_kses_post($copyright);?></p>
      </div>
    </div>
    <?php } ?>
</div>
<?php 
}
wp_footer(); ?>
</div>
</body>
</html>
