<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package weddlist
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<!-- preloader -->
<?php
$preloader = tg_option('preloader_on_off');
if ($preloader == true) : ?>
  <div class="preloader">
    <div class="loaderstatus">
      <div class="loaderstatus-message">
      </div>
    </div>
  </div>
<?php endif;

if(is_page())
{
	$page_header_options = get_post_meta( $post->ID, 'page_header_options', true );

	if($page_header_options=="on")
	{
		$page_header_class="top-trans";
	}
	else
	{
		$page_header_class="header-options";
	}
}
else
{
	$page_header_class="header-options";
}

$top_bar_enable=tg_option('top_bar_enable');
?>
<!-- end preloader -->