<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package weddlist
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<!-- preloader -->
<?php
$preloader = tg_option('preloader_on_off');
if ($preloader == true) : ?>
  <div class="preloader">
    <div class="loaderstatus">
      <div class="loaderstatus-message">
      </div>
    </div>
  </div>
<?php endif;
if(is_page())
{
	$page_header_options = get_post_meta( $post->ID, 'page_header_options', true );

	if($page_header_options=="on")
	{
		$page_header_class="top-trans";
	}
	else
	{
		$page_header_class="header-options";
	}
}
else
{
	$page_header_class="header-options";
}
$top_bar_enable=tg_option('top_bar_enable');
?>
<div id="main-content">
<!-- end preloader -->
<div class="<?php echo esc_attr($page_header_class);?>">
	<?php if($top_bar_enable==1){ ?>
    <div class="top-nav-info">
      <div class="container">
        <div class="row">
          <div class="col-md-5">
            <div class="top-text"><?php echo tg_option('top_bar_message');?></div>
          </div>
          <div class="col-md-7">
            <div class="top-detail text-right">	
              <?php wp_nav_menu( array( 'theme_location' => 'topbar', 'menu_class' => 'listnone',  'fallback_cb' => false ,'depth'   => '1' ) ); ?>              
            </div>
          </div>
        </div>
          <!-- search-header -->
          <div class="search-header">
            <div class="container">
            <form method="get" action="<?php echo esc_url(home_url( '/' )); ?>">
              <input type="search" name="s" class="search-box" placeholder="<?php esc_attr_e( 'Search', 'weddlist' ); ?>"/>
              <a href="javascript:void(0);" class="fa fa-times search-close"></a>
            </form>
            </div>
          </div>
          <!-- end search-header -->    
      </div>
    </div>
    <?php } ?>  

 <div class="header-upper nav-bar">
         <div class="container">
             <div class="clearfix">                       
                 <div class="fa-pull-left logo-box">
                     <div class="logo-weddlist">
                       <?php 
                          if($page_header_class=='top-trans')
                          {
                            echo weddlist_get_logo_transparent(); 
                          }
                          else{
                            echo weddlist_get_logo();   
                          }
                          ?>

                     </div>
                 </div>                       
           <!-- Mobile Nav -->
           <?php if ( has_nav_menu( 'primary' ) ) { ?>
            <div class="mmenu-trigger <?php if (wp_nav_menu( array( 'theme_location' => 'primary', 'echo' => false )) == false) { ?> hidden-burger <?php } ?>">
              <button class="mobilebar mobilebar--collapse" type="button">
                <span class="mobilebar-box">
                  <span class="mobilebar-inner"></span>
                </span>
              </button>
            </div>
            <!-- Main Nav -->
            <nav id="navigation" class="weddlist-navbar">
              <?php wp_nav_menu( array( 
                  'theme_location' => 'primary', 
                  'menu_id' => 'responsive', 
                  'container' => false,
                  'fallback_cb' => 'weddlist_fallback_menu',
                  'walker' => new Weddlist_Tg_Menu
              ) );  ?>                
            </nav>
          <div class="clearfix"></div>
          <?php } else {
           echo '<ul class="wedding-logo no-menu text-right"><li><a  href="' . esc_url( home_url( '/' ) ) . 'wp-admin/nav-menus.php">' . esc_html__( 'Set Primary Menu.', 'weddlist' ) . '</a></li></ul>';
            } ?>          
        <!-- Main Navigation / End -->
      </div> <!-- /.nav outer -->
    </div>
</div>
</div>
<?php 
get_template_part('template-parts/layout/page','banner');		