<?php
define('BASE_URL',get_template_directory_uri());
// Ajax Upload action
add_action('wp_ajax_weddlist_upload_file',             'weddlist_upload_file');
add_action('wp_ajax_weddlist_upload_delete',           'weddlist_upload_delete_file');
add_action('wp_ajax_nopriv_weddlist_upload_file',      'weddlist_upload_file');
add_action('wp_ajax_nopriv_weddlist_upload_delete',    'weddlist_upload_delete_file');

function weddlist_upload_delete_file(){
    $attach_id = intval($_POST['attach_id']);
    wp_delete_attachment($attach_id, true);
    exit;
}

function weddlist_upload_file()
{
    $file = array(
        'name'      => $_FILES['aaiu_upload_file']['name'],
        'type'      => $_FILES['aaiu_upload_file']['type'],
        'tmp_name'  => $_FILES['aaiu_upload_file']['tmp_name'],
        'error'     => $_FILES['aaiu_upload_file']['error'],
        'size'      => $_FILES['aaiu_upload_file']['size']
    );
    $file = weddlist_fileupload_process($file);
}  
        
    
function weddlist_fileupload_process($file){

    $attachment = weddlist_upload_handle_file($file);

    if (is_array($attachment)) {
        $html = weddlist_upload_getHTML($attachment);

        $response = array(
            'success'   => true,
            'html'      => $html,
            'attach'    => $attachment['id']
        );

        echo json_encode($response);
        exit;
    }

    $response = array('success' => false);
    echo json_encode($response);
    exit;
}
    
    
function weddlist_upload_handle_file($upload_data){

    $return = false;
    $uploaded_file = wp_handle_upload($upload_data, array('test_form' => false));

    if (isset($uploaded_file['file'])) {
        $file_loc   =   $uploaded_file['file'];
        $file_name  =   basename($upload_data['name']);
        $file_type  =   wp_check_filetype($file_name);

        $attachment = array(
            'post_mime_type' => $file_type['type'],
            'post_title' => preg_replace('/\.[^.]+$/', '', basename($file_name)),
            'post_content' => '',
            'post_status' => 'inherit'
        );

        $attach_id      =   wp_insert_attachment($attachment, $file_loc);
        $attach_data    =   wp_generate_attachment_metadata($attach_id, $file_loc);
        wp_update_attachment_metadata($attach_id, $attach_data);

        $return = array('data' => $attach_data, 'id' => $attach_id);

        return $return;
    }

    return $return;
}
    
    
function weddlist_upload_getHTML($attachment){
    $attach_id  =   $attachment['id'];
    $file='';
    $html='';

    if( isset($attachment['data']['file'])){

		global $current_user;
		wp_get_current_user();
	
        $file       =   explode('/', $attachment['data']['file']);
        $file       =   array_slice($file, 0, count($file) - 1);
        $path       =   implode('/', $file);
   
        if(is_page_template('page-template/vendor-dashboard.php') ){
            $image      =   $attachment['data']['sizes']['weddlist_item_thumb']['file'];
        }else{
            $image      =   $attachment['data']['sizes']['weddlist_user_profile']['file'];
        }
        $post       =   get_post($attach_id);
        $dir        =   wp_upload_dir();
        $path       =   $dir['baseurl'] . '/' . $path;
        $html       =   '';

        $userID  =   $current_user->ID;
        $html   .=   $path.'/'.$image; 

    }       
    
    return $html;
}


function weddlist_upload_shortcode_style()
{

   if(is_page_template('page-template/couple-dashboard.php'))
    {
        wp_enqueue_script('ajax-upload2', BASE_URL.'/assets/js/ajax-upload2.js',array('jquery','plupload-handlers'), '2.0', true);  
        wp_localize_script('ajax-upload2', 'ajax_vars2', 
        array(  'ajaxurl'           => admin_url('admin-ajax.php'),
                'nonce'             => wp_create_nonce('aaiu_upload2'),
                'remove'            => wp_create_nonce('aaiu_remove2'),
                'number'            => 1,
                'upload_enabled'    => true,
                'path'              =>  BASE_URL,
                'confirmMsg'        => __('Are you sure you want to delete this?','weddlist'),
                'plupload'         => array(
                                        'runtimes'          => 'html5,flash,html4',
                                        'browse_button'     => 'aaiu-uploader2',
                                        'container'         => 'aaiu-upload-container2',
                                        'file_data_name'    => 'aaiu_upload_file2',
                                        'max_file_size'     => '40mb',
                                        'url'               => admin_url('admin-ajax.php') . '?action=weddlist_upload_file2&nonce=' . wp_create_nonce('aaiu_allow2'),
                                        'flash_swf_url'     => includes_url('js/plupload/plupload.flash.swf'),
                                        'silverlight_xap_url' => includes_url('js/plupload/plupload.silverlight.xap'),
                                        'filters'           => array(array('title' => __('Allowed Files','weddlist'), 'extensions' => "jpeg,jpg,png")),
                                        'multipart'         => true,
                                        'urlstream_upload'  => true,                                       
                     
                                        )   )
                );              
    }



	if(is_page_template('page-template/vendor-dashboard.php') || is_page_template('page-template/couple-dashboard.php'))
	{
		wp_enqueue_script('ajax-upload', BASE_URL.'/assets/js/ajax-upload.js',array('jquery','plupload-handlers'), '2.0', true);  
		wp_localize_script('ajax-upload', 'ajax_vars', 
		array(  'ajaxurl'           => admin_url('admin-ajax.php'),
				'nonce'             => wp_create_nonce('aaiu_upload'),
				'remove'            => wp_create_nonce('aaiu_remove'),
				'number'            => 1,
				'upload_enabled'    => true,
				'path'              =>  BASE_URL,
				'confirmMsg'        => __('Are you sure you want to delete this?','weddlist'),
				'plupload'         => array(
										'runtimes'          => 'html5,flash,html4',
										'browse_button'     => 'aaiu-uploader',
										'container'         => 'aaiu-upload-container',
										'file_data_name'    => 'aaiu_upload_file',
										'max_file_size'     => '4mb',
										'url'               => admin_url('admin-ajax.php') . '?action=weddlist_upload_file&nonce=' . wp_create_nonce('aaiu_allow'),
										'flash_swf_url'     => includes_url('js/plupload/plupload.flash.swf'),
										'silverlight_xap_url' => includes_url('js/plupload/plupload.silverlight.xap'),
										'filters'           => array(array('title' => __('Allowed Files','weddlist'), 'extensions' => "jpeg,jpg,gif,png")),
										'multipart'         => true,
										'urlstream_upload'  => true,									   
					 
										)	)
				);	
				
					
	}	

}

add_action( 'wp_enqueue_scripts', 'weddlist_upload_shortcode_style' );





// Ajax Upload action
add_action('wp_ajax_weddlist_upload_file2',             'weddlist_upload_file2');
add_action('wp_ajax_weddlist_upload_delete2',           'weddlist_upload_delete_file2');
add_action('wp_ajax_nopriv_weddlist_upload_file2',      'weddlist_upload_file2');
add_action('wp_ajax_nopriv_weddlist_upload_delete2',    'weddlist_upload_delete_file2');

function weddlist_upload_delete_file2(){
    $attach_id = intval($_POST['attach_id']);
    wp_delete_attachment($attach_id, true);
    exit;
}

function weddlist_upload_file2()
{
    $file = array(
        'name'      => $_FILES['aaiu_upload_file2']['name'],
        'type'      => $_FILES['aaiu_upload_file2']['type'],
        'tmp_name'  => $_FILES['aaiu_upload_file2']['tmp_name'],
        'error'     => $_FILES['aaiu_upload_file2']['error'],
        'size'      => $_FILES['aaiu_upload_file2']['size']
    );
    $file = weddlist_fileupload_process2($file);
}  
        
    
function weddlist_fileupload_process2($file){

    $img = getimagesize( $file['tmp_name'] );
    $minimum = array( 'width' => 400, 'height' => 400 );

    if ( $img[0] < $minimum['width'] )
    {
    }
    else if($img[1] < $minimum['height'])
    {
    }
    else{
        $attachment = weddlist_upload_handle_file2($file);
    
        if (is_array($attachment)) {
            $html = weddlist_upload_getHTML2($attachment);
    
            $response = array(
                'success'   => true,
                'html'      => $html,
                'attach'    => $attachment['id']
            );
    
            echo json_encode($response);
            exit;
        }
    }
    $response = array('success' => false);
    echo json_encode($response);
    exit;
}
    
    
function weddlist_upload_handle_file2($upload_data){

    $return = false;
    $uploaded_file = wp_handle_upload($upload_data, array('test_form' => false));

    if (isset($uploaded_file['file'])) {
        $file_loc   =   $uploaded_file['file'];
        $file_name  =   basename($upload_data['name']);
        $file_type  =   wp_check_filetype($file_name);

        $attachment = array(
            'post_mime_type' => $file_type['type'],
            'post_title' => preg_replace('/\.[^.]+$/', '', basename($file_name)),
            'post_content' => '',
            'post_status' => 'inherit'
        );

        $attach_id      =   wp_insert_attachment($attachment, $file_loc);
        $attach_data    =   wp_generate_attachment_metadata($attach_id, $file_loc);
        wp_update_attachment_metadata($attach_id, $attach_data);

        $return = array('data' => $attach_data, 'id' => $attach_id);

        return $return;
    }

    return $return;
}
    
    
function weddlist_upload_getHTML2($attachment){
    $attach_id  =   $attachment['id'];
    $file='';
    $html='';

    if( isset($attachment['data']['file'])){

        global $current_user;
        wp_get_current_user();
    
        $file       =   explode('/', $attachment['data']['file']);
        $file       =   array_slice($file, 0, count($file) - 1);
        $path       =   implode('/', $file);
   

        if(is_page_template('page-template/vendor-dashboard.php') ){
            $image      =   $attachment['data']['sizes']['weddlist_item_thumb']['file'];
        }else{
            $image      =   $attachment['data']['sizes']['weddlist_user_profile']['file'];
        }

        $post       =   get_post($attach_id);
        $dir        =   wp_upload_dir();
        $path       =   $dir['baseurl'] . '/' . $path;
        $html       =   '';

        $userID  =   $current_user->ID;
        $html   .=   $path.'/'.$image; 

    }       
    
    return $html;
}
?>