<?php 
// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {
  
  global $weddlist_theme_options;
  //
  // Set a unique slug-like ID
  $weddlist_theme_options = 'weddlist_theme_options';
  //
  // Create options
  CSF::createOptions( $weddlist_theme_options, array(
    // framework title
    'framework_title'         => esc_attr__('Weddlist Manage','weddlist'),
    'framework_class'         => '',
    // menu settings
    'menu_title'              => esc_attr__('Weddlist Manage','weddlist'),
    'menu_slug'               => 'weddlist_theme_options',
    'menu_type'               => 'menu',
    'menu_capability'         => 'manage_options',
    'menu_icon'               => 'dashicons-welcome-add-page',
    'menu_position'           => 30,
    'menu_hidden'             => false,
    'menu_parent'             => '',
    // menu extras
    'show_bar_menu'           => false,
    'show_sub_menu'           => true,
    'show_in_network'         => true,
    'show_in_customizer'      => false,
    'show_search'             => true,
    'show_reset_all'          => true,
    'show_reset_section'      => true,
    'show_footer'             => true,
    'show_all_options'        => true,
    'show_form_warning'       => true,
    'sticky_header'           => true,
    'save_defaults'           => true,
    'ajax_save'               => true,
    // admin bar menu settings
    // footer
    'footer_text'             => '',
    'footer_after'            => '',
    'footer_credit'           => '',
    // database model
    'database'                => '', // options, transient, theme_mod, network
    'transient_time'          => 0,
    // contextual help
    'contextual_help'         => array(),
    'contextual_help_sidebar' => '',
    // typography options
    'enqueue_webfont'         => true,
    'async_webfont'           => false,
    // others
    'output_css'              => true,
    // theme and wrapper classname
    'theme'                   => 'dark',
    'class'                   => '',
    // external default values
    'defaults'                => array(),
  ) );
  // Create a section
  CSF::createSection( $weddlist_theme_options, array(
    'title'  => 'Todo List',
    'icon'   => 'fa fa-plus-circle',
    'fields' => array(
        array(
          'type'    => 'heading',
          'content' => esc_attr__('Todo List Options', 'weddlist'),
        ),
        array(
          'id'        => 'todolist_default_on',
          'type'      => 'switcher',
          'title'     => esc_attr__('Default todolist setup when couple register', 'weddlist'),
          'default'   => true,
          'label'     => esc_attr__('On or Off Default todolist setup', 'weddlist'),
            ),       
        array(
        'id'        => 'todolist_default',
        'type'      => 'group',
        'title'     => 'Set Defalt Todolist',
        'fields'    => array(
          array(
            'id'    => 'todolist_main_title',
            'type'  => 'text',
            'title' => esc_html__('Todo Title','weddlist'),
          ),
          array(
            'id'    => 'todolist_default_details',
            'type'  => 'textarea',
            'title' => esc_html__('Todo Details','weddlist'),
          ),
          array(
            'id'    => 'todolist_default_time',
            'type'  => 'select',
            'placeholder' => 'Select Time Period',
            'options'     => array(
                '1month'  => '1 Month',
                '2months'  => '2 Months',
                '3months'  => '3 Months',
                '4months'  => '4 Months',
                '5months'  => '5 Months',
                '6months'  => '6 Months',
                '7months'  => '7 Months',
                '8months'  => '8 Months',
                '9months'  => '9 Months',
                '10months'  => '10 Months',
                '11months'  => '11 Months',
                '12months'  => '12 Months',
                '13months'  => '13 Months',
                '14months'  => '14 Months',
                '15months'  => '15 Months',
                '16months'  => '16 Months',
                '17months'  => '17 Months',
                '18months'  => '18 Months',
              ),      
            'title' => esc_html__('Todo Time Period to add when user will register','weddlist'),
          )    
  ),
  'default'   => array(

    array(
      'todolist_main_title'     => 'Book Transport Hotel For Guest',
      'todolist_default_details'  => 'Book Transport Hotel For Guest',
      'todolist_default_time'    => '1month',
    ),

    array(
      'todolist_main_title'     => 'Finalize Guest List',
      'todolist_default_details'    => 'Finalize Guest List',
      'todolist_default_time'    => '1month',
    ),

    array(
      'todolist_main_title'     => 'Send Invitation to Guest',
      'todolist_default_details'    => 'Send Invitation to Guest',
      'todolist_default_time'    => '1month',
    ),

    array(
      'todolist_main_title'     => 'Confirm Date and Time with all vendors',
      'todolist_default_details'    => 'Confirm Date and Time with all vendors',
      'todolist_default_time'    => '1month',
    ),

    array(
      'todolist_main_title'     => 'Finalize Date and Book for Honeymoon Destination',
      'todolist_default_details'    => 'Finalize Date and Book for Honeymoon Destination',
      'todolist_default_time'    => '1month',
    ),
    array(
      'todolist_main_title'     => 'Congratulations you are married,Provide return gift to guest',
      'todolist_default_details'    => 'Congratulations you are married,Provide return gift to guest',
      'todolist_default_time'    => '1month',
    ),        
    array(
      'todolist_main_title'     => 'Bags packing for Honeymoon',
      'todolist_default_details'    => 'Bags packing for Honeymoon',
      'todolist_default_time'    => '1month',
    ),    

    array(
      'todolist_main_title'     => 'Submit Your Realwedding on '.get_bloginfo( 'name' ),
      'todolist_default_details'    => 'Submit Your Realwedding on '.get_bloginfo( 'name' ),
      'todolist_default_time'    => '1month',
    )
  ),
),
 
  )
  ) );

// Create a section
  CSF::createSection( $weddlist_theme_options, array(
    'title'  => 'Budget Category',
    'icon'   => 'fa fa-tags',
    'fields' => array(
    array(
      'type'    => 'heading',
      'content' => esc_attr__('Budget Category Options', 'weddlist'),
    ),
  array(
      'id'        => 'budget_default_on',
      'type'      => 'switcher',
      'title'     => esc_attr__('Default budget setup when couple register', 'weddlist'),
      'default'   => true,
      'label'     => esc_attr__('On or Off Default budget category setup', 'weddlist'),
        ),       
     array(
  'id'        => 'budget_default',
  'type'      => 'group',
  'title'     => 'Set Defalt Budget Category',
  'fields'    => array(
    array(
      'id'    => 'budget_category_name',
      'type'  => 'text',
      'title' => esc_html__('Category Name','weddlist'),
    ),
    array(
      'id'    => 'budget_category_percentage',
      'type'  => 'text',
      'title' => esc_html__('Category % To Divide into total Value','weddlist'),
    ),
    array(
      'id'    => 'budget_category_icon',
      'type'  => 'icon',
      'title' => esc_html__('Category Icon','weddlist'),
    ),    
   
  ),
  'default'   => array(
    array(
      'budget_category_name'     => 'Venue',
      'budget_category_percentage'    => '20',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Catering',
      'budget_category_percentage'    => '10',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Photography',
      'budget_category_percentage'    => '10',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Decoration',
      'budget_category_percentage'    => '5',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Transport',
      'budget_category_percentage'    => '10',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Cake',
      'budget_category_percentage'    => '1',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Dress & Accessories',
      'budget_category_percentage'    => '5',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'DJ & Party',
      'budget_category_percentage'    => '10',
      'budget_category_icon'    => 'fab fa-500px',
    ),                            
    array(
      'budget_category_name'     => 'Invitation & Gift',
      'budget_category_percentage'    => '10',
      'budget_category_icon'    => 'fab fa-500px',
    ),
    array(
      'budget_category_name'     => 'Guest Hotel',
      'budget_category_percentage'    => '19',
      'budget_category_icon'    => 'fab fa-500px',
    ),
   
  ),
),
array(
  'type'    => 'notice',
  'style'   => weddlist_budget_total_percentage('notice'),
  'content' => weddlist_budget_total_percentage('msg'),
),      
 
  )
  ) );
  
// Field: backup
CSF::createSection( $weddlist_theme_options, array(
    'title'       => 'Backup',
    'icon'        => 'fas fa-shield-alt',
    'description' => wp_kses('Visit documentation for more details on this field: <a href="http://codestarframework.com/documentation/#/fields?id=backup" target="_blank">Field: backup</a>',
    array('a' => array('href' => array(),'target' => array(),'title' => array()))
    ),
    'fields'      => array(
        array(
            'type' => 'backup',
        ),
    ),
) );
}



function weddlist_budget_total_percentage($value)
{

  if($value)
  {
  // Get options
  $weddlist_theme_options = get_option( 'weddlist_theme_options' ); // unique id of the framework
  $budget_default=$weddlist_theme_options['budget_default'];


    $budget_category_percentage_total=0;
    foreach($budget_default as $item)
    {


      $budget_category_percentage=$item['budget_category_percentage'];

      $budget_category_percentage_total=$budget_category_percentage_total+$budget_category_percentage;


    }

    if($value=='notice')
    {
        if($budget_category_percentage_total==100)
        {
            return 'success';
        } 
        else{
           return 'danger';
        }    
    }

    if($value=='msg')
    {
        if($budget_category_percentage_total==100)
        {
            return 'Done Thanks';
        } 
        else if($budget_category_percentage_total>100)
        {
            return $budget_category_percentage_total.'% is your Total Value More Then 100.';
        } 
        else{
            return $budget_category_percentage_total.'% is your Total Value Less Then 100';
        }    
    }

    }
}