<?php 
/**
 * Enqueue scripts and styles.
 */
function weddlist_scripts() {

	// Google fonts
    wp_enqueue_style('weddlist-fonts', weddlist_fonts_url());

	// Bootstrap 
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() .'/assets/css/bootstrap.min.css');	

	// Font Awesome
    wp_enqueue_style('fontawesome', get_template_directory_uri() .'/assets/css/font-awesome.min.css');

	// Default 	style
	wp_enqueue_style( 'weddlist-style', get_stylesheet_uri() );

	// Custom - style
	wp_enqueue_style( 'weddlist-custom-style', get_template_directory_uri() .'/assets/css/custom-style.css','',2065);	

	// Menumaker - style
	wp_enqueue_style( 'menumaker', get_template_directory_uri() .'/assets/css/menumaker.css');	

	// animate - style
	wp_enqueue_style( 'animate', get_template_directory_uri() .'/assets/css/animate.min.css');	
	
	// owl.carousel 
	wp_enqueue_style( 'owl-carousel', get_template_directory_uri() .'/assets/css/owl.carousel.css');				
	// owl.carousel theme
	wp_enqueue_style( 'owl-carousel-theme', get_template_directory_uri() .'/assets/css/owl.theme.default.css');	

	// slick 
	wp_enqueue_style( 'slick', get_template_directory_uri() .'/assets/css/slick.css');	

	// slick - theme
	wp_enqueue_style( 'slick-theme', get_template_directory_uri() .'/assets/css/slick-theme.css');	



	// stucture - for margin and padding option
	wp_enqueue_style( 'weddlist-stucture', get_template_directory_uri() .'/assets/css/stucture.css');				

	// magnific-popup style
	wp_enqueue_style( 'magnific-popup', get_template_directory_uri() .'/assets/css/magnific-popup.css');				

	// select2 style
	wp_enqueue_style( 'weddlist-select2', get_template_directory_uri() .'/assets/css/select2.css');	

	// Flaticon 
	wp_enqueue_style( 'flaticon', get_template_directory_uri() .'/assets/css/flaticon.css');	

	// Themify-icons 
	wp_enqueue_style( 'themify-icons', get_template_directory_uri() .'/assets/css/themify-icons.css');		

	// mmenu
	wp_enqueue_style( 'mmenu', get_template_directory_uri() .'/assets/css/mmenu.css');		
	
	// Navigation 
	wp_enqueue_script( 'navigation', get_template_directory_uri() . '/assets/js/navigation.js', array(), '1.0.0', true );

	// Menumaker - script
	wp_enqueue_script('menumaker-script', get_template_directory_uri() . '/assets/js/menumaker.js', array('jquery'), '1.0.0', true  ); 	

	// Bootstrap JS
	wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.min.js', array('jquery'), '1.0.0', true );
	
	// smooth-scroll
	wp_enqueue_script( 'smooth-scroll', get_template_directory_uri() . '/assets/js/smooth-scroll.js', array(), '1.0.0', true);	
		
	// waypoints.min
	wp_enqueue_script( 'waypoints', get_template_directory_uri() . '/assets/js/waypoints.min.js', array(), '1.0.0', true);	

	// select2 autosearch
	wp_enqueue_script('select2', get_template_directory_uri() . '/assets/js/select2.js', array('jquery') ); 	
	
	// bootstrap-rating
	wp_enqueue_script('bootstrap-rating', get_template_directory_uri() . '/assets/js/bootstrap-rating.js', array('jquery') ); 	


	// jquery.magnific-popup
	wp_enqueue_script( 'magnific-popup', get_template_directory_uri() . '/assets/js/jquery.magnific-popup.js', array(), '1.0.0', true );		

	// owl.carousel
	wp_enqueue_script( 'owl-carousel', get_template_directory_uri() . '/assets/js/owl.carousel.js', array(), '1.0.0', true );

	// owl.carousel
	wp_enqueue_script( 'slick.min', get_template_directory_uri() . '/assets/js/slick.min.js', array(), '1.0.0', true );			

	// jquery validate
	wp_enqueue_script('validate-script', get_template_directory_uri() . '/assets/js/jquery.validate.js', array('jquery') ); 


	wp_enqueue_style( 'jquery-te', get_template_directory_uri() .'/assets/css/jquery-te.css');	

	// Jquery lib for Editor
	wp_enqueue_script( 'jquery-te.min', get_template_directory_uri() . '/assets/js/jquery-te.min.js', array(), '1.4.0', true);	


	// mmenu.min
	wp_enqueue_script( 'mmenu.min', get_template_directory_uri() . '/assets/js/mmenu.min.js', array(), '1.4.0', true);	


	if(is_page_template('page-template/vendor-dashboard.php'))
	{
		if(isset($_GET['dashboard']))
		{
			if($_GET['dashboard']=='addlisting')
			{	
				wp_enqueue_script('jquery-ui');
				wp_enqueue_script('jquery-ui-draggable');
				wp_enqueue_script('jquery-ui-autocomplete');
			
				$map_layout=tg_option('map_layout');	
				if($map_layout=='mapbox_map' || $map_layout=='openstreetmap_map')
				{


				wp_enqueue_style( 'control.geocoder', get_template_directory_uri() .'/assets/css/control.geocoder.css');	

				// leaflet lib for OpenStreetMap
				wp_enqueue_script( 'leaflet', get_template_directory_uri() . '/assets/js/leaflet.js', array(), '1.0.0', true);	

				wp_enqueue_script( 'control.geocoder', get_template_directory_uri() . '/assets/js/control.geocoder.js', array(), '1.0.0', true);	

				wp_enqueue_script( 'leaflet-markercluster', get_template_directory_uri() . '/assets/js/leaflet-markercluster.min.js', array(), '1.0.0', true);	

				wp_enqueue_script( 'leaflet-gesture-handling', get_template_directory_uri() . '/assets/js/leaflet-gesture-handling.min.js', array(), '1.0.0', true);	

				wp_enqueue_script( 'leaflet-weddlist-addlisting-map', get_template_directory_uri() . '/assets/js/leaflet-weddlist-addlisting-map.js', array(), '1.0.0', false );	

				}
				else{

				wp_enqueue_script('googlemap-scripts', 'https://maps.google.com/maps/api/js?libraries=places&amp;key='.tg_option('google_map_key'), array('jquery'), 3.0, false );			

				wp_enqueue_script('weddlist-google-locator', get_template_directory_uri().'/assets/js/set-google-marker.js', array('jquery'), '1.0.0', true );			
				}	

			}

			if($_GET['dashboard']=='requestquote')
			{

				wp_enqueue_style( 'datatables-min', get_template_directory_uri() .'/assets/css/datatables.min.css');	

				wp_enqueue_script( 'datatables-min', get_template_directory_uri() . '/assets/js/datatables.min.js', array(), '1.10.18', false);
			}		

		}

	// jqueryui 
	wp_enqueue_style( 'weddlist-jqueryui', get_template_directory_uri() .'/assets/css/jquery-ui-1.8.16.custom.css','', '1.0.0' );	

	// Script vendor 	
	wp_enqueue_script( 'weddlist-vendor-dashboard', get_template_directory_uri() . '/assets/js/vendor-dashboard.js', array(), '1.2.1', true );	


	}
	if(is_page_template('page-template/login-register.php'))
	{
			// jqueryui 
	wp_enqueue_style( 'weddlist-jqueryui', get_template_directory_uri() .'/assets/css/jquery-ui-1.8.16.custom.css','', '1.0.0' );	
	}	

	if(is_page_template('page-template/couple-dashboard.php'))
	{
		if(isset($_GET['dashboard']))
		{
			if($_GET['dashboard']=='todolist')
			{	
				wp_enqueue_script('jquery-ui');
				wp_enqueue_script('jquery-ui-draggable');
				wp_enqueue_script('jquery-ui-autocomplete');
				
				wp_enqueue_style( 'datatables-min', get_template_directory_uri() .'/assets/css/datatables.min.css');	

				wp_enqueue_script( 'datatables-min', get_template_directory_uri() . '/assets/js/datatables.min.js', array(), '1.10.18', false);	

			}			
		}

		// jqueryui 
		wp_enqueue_style( 'weddlist-jqueryui', get_template_directory_uri() .'/assets/css/jquery-ui-1.8.16.custom.css','', '1.0.0' );	

		wp_enqueue_style( 'apexcharts', get_template_directory_uri() .'/assets/css/apexcharts.css');	

		// apexcharts	
		wp_enqueue_script( 'apexcharts-jquery', get_template_directory_uri() . '/assets/js/apexcharts.js', array(), '3.24.0', true );	

		// Script Couple 	
		wp_enqueue_script( 'weddlist-couple-dashboard', get_template_directory_uri() . '/assets/js/couple-dashboard.js', array(), '1.9.8', true );	
	}	

	if(is_page_template('page-template/listing.php'))
	{	
		wp_enqueue_style( 'leaflet-markercluster', get_template_directory_uri() .'/assets/css/markercluster.css');			
		$map_layout=tg_option('map_layout');	
		if($map_layout=='mapbox_map' || $map_layout=='openstreetmap_map')
		{
			$search_listing_layout	=	tg_option('search_listing_layout');

			if($search_listing_layout!="default")
			{
			// leaflet lib for OpenStreetMap
			wp_enqueue_script( 'leaflet', get_template_directory_uri() . '/assets/js/leaflet.js', array(), '1.0.0', false);	

			wp_enqueue_script( 'leaflet-markercluster', get_template_directory_uri() . '/assets/js/leaflet-markercluster.min.js', array(), '1.0.0', false);	

			wp_enqueue_script( 'leaflet-gesture-handling', get_template_directory_uri() . '/assets/js/leaflet-gesture-handling.min.js', array(), '1.0.0', false);	

			wp_enqueue_script( 'leaflet-weddlist-listing', get_template_directory_uri() . '/assets/js/leaflet-weddlist-listing.js', array(), '1.0.0', false );	
			}
		}
		else{
		wp_enqueue_script('googlemap-scripts', 'https://maps.google.com/maps/api/js?libraries=places&amp;key='.tg_option('google_map_key').'', array('jquery'), 1.0, false );			
		
		wp_enqueue_script( 'markerclusterer', get_template_directory_uri() . '/assets/js/markerclusterer.js', array(), '1.0.0', false );
		wp_enqueue_script( 'infobox', get_template_directory_uri() . '/assets/js/infobox.js', array(), null, false );	
		wp_enqueue_script( 'weddlist-google-call', get_template_directory_uri() . '/assets/js/google_map_script.js', array(), '1.0.0', false );				
		}
		
	}

	wp_enqueue_script( 'price-slider', get_template_directory_uri() . '/assets/js/price-slider.js', array(), '1.0.0', false );

	if( function_exists('is_woocommerce') )
	{
		// woocomerce
		wp_enqueue_style( 'weddlist-woocommerce', get_template_directory_uri() .'/assets/css/woocommerce.css');		
	}
	else{
		// jqueryui 
		wp_enqueue_style( 'weddlist-jqueryui', get_template_directory_uri() .'/assets/css/jquery-ui-1.8.16.custom.css','', '1.0.0' );			
	}	
	
	if(is_singular( 'item' ) )
	{
	
		// share-tooltip
		wp_enqueue_style( 'share-tooltip', get_template_directory_uri() .'/assets/css/share-tooltip.css');				
		
		// jquery.share-tooltip
		wp_enqueue_script( 'jquery-share-tooltip', get_template_directory_uri() . '/assets/js/jquery.share-tooltip.js', array(), '1.0.0', true);	

		// jqueryui 
		wp_enqueue_style( 'weddlist-jqueryui', get_template_directory_uri() .'/assets/css/jquery-ui-1.8.16.custom.css','', '1.0.0' );	

		$map_layout=tg_option('map_layout');	
		if($map_layout=='mapbox_map' || $map_layout=='openstreetmap_map')
		{

		// leaflet lib for OpenStreetMap
		wp_enqueue_script( 'leaflet', get_template_directory_uri() . '/assets/js/leaflet.js', array(), '1.0.0', true);	

		wp_enqueue_script( 'leaflet-markercluster', get_template_directory_uri() . '/assets/js/leaflet-markercluster.min.js', array(), '1.0.0', true);	

		wp_enqueue_script( 'leaflet-gesture-handling', get_template_directory_uri() . '/assets/js/leaflet-gesture-handling.min.js', array(), '1.0.0', true);	
	
		wp_enqueue_script( 'leaflet-weddlist-single-map', get_template_directory_uri() . '/assets/js/leaflet-listing-single-map.js', array(), null, true);	
		
		}
		else
		{
		
		wp_enqueue_script( 'dcsnt', 'https://maps.google.com/maps/api/js?libraries=places&amp;key='.tg_option('google_map_key').'', array('jquery'),'1.0.0', false);

		wp_enqueue_script( 'weddlist-single-map', get_template_directory_uri() . '/assets/js/single-map.js', array(), null, true);	
		}
			
	}
	
	wp_enqueue_script( 'jquery-ui-datepicker');
	
	wp_enqueue_script( 'skip-link-focus-fix', get_template_directory_uri() . '/assets/js/skip-link-focus-fix.js', array(), '1.0.0', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'tipsy', get_template_directory_uri() . '/assets/js/tipsy.js', array(), '1.2.0', true );	
	// Custom Script JS	
	wp_enqueue_script( 'weddlist-custom-script', get_template_directory_uri() . '/assets/js/custom-script.js', array(), '1.4.0', true );	

}
add_action( 'wp_enqueue_scripts', 'weddlist_scripts' );

// For Admin Style

if ( ! function_exists( 'weddlist_admin_css' ) ) {
	function weddlist_admin_css() {
	  wp_enqueue_style('admin-style-css', get_template_directory_uri() . '/assets/css/admin-style.css','1.3.2', true);
	}
	
}	
add_action( 'admin_enqueue_scripts', 'weddlist_admin_css' );


// For Inline Style and Scripts

function weddlist_inline_css()
{
	if (class_exists('Redux')) {
		$preloader = tg_option('preloader_on_off');
		if ($preloader == true) :
			$preloader_image = tg_option('preloader_image',false, 'url');
			if(!empty($preloader_image))
			{
				$statusloaderbg = '.preloader .loaderstatus{background-image:url("'.esc_url($preloader_image).'");}';
				wp_add_inline_style('weddlist-style', $statusloaderbg);
			}
		endif;

		$base_bgcolor = tg_option('base_bgcolor');
		if ($base_bgcolor == true) :
			$base_bgcolor_css = 'body .why-block:hover{border:solid 1px '.esc_attr($base_bgcolor).';}';
			$base_bgcolor_css .= '.sidebar-widget .blog-sidebar-heading::before{border-top:2px solid '.esc_attr($base_bgcolor).';border-bottom:1px solid '.esc_attr($base_bgcolor).';}';
			$base_bgcolor_css .= 'body .pagination ul li.active a,body .pagination a:hover{border-color:'.esc_attr($base_bgcolor).';}';
			$base_bgcolor_css .= 'body .btn-default:hover::before{background:'.esc_attr($base_bgcolor).';}';
			$base_bgcolor_css .= 'body .pricing_range .ui-slider-handle.ui-state-default.ui-corner-all{border-color:'.esc_attr($base_bgcolor).';}';


			wp_add_inline_style('weddlist-style', $base_bgcolor_css);
		endif;		

		$footer_background = tg_option('footer_background');
		if ($footer_background == true) :

			$footer_style       = tg_option('footer_background');
			
			$footerbgimg        = $footer_style['background-image'];
			$footerbgrepeat     = $footer_style['background-repeat'];
			$footerbgattach     = $footer_style['background-attachment'];
			$footerbgposition   = $footer_style['background-position'];
			$footerbgsize       = $footer_style['background-size'];
			$footerbgcolor      = $footer_style['background-color'];
			$footerstyle = '#footer.footer-main-block{background-image:url('.esc_url($footerbgimg).'); background-repeat:'.esc_attr($footerbgrepeat).'; background-attachment:'.esc_attr($footerbgattach).';background-position:'.esc_attr($footerbgposition).';background-size:'.esc_attr($footerbgsize).'; background-color:'.esc_attr($footerbgcolor).';}';
	
			wp_add_inline_style('weddlist-style', $footerstyle);
		endif;

		$header_submenu_hover_border = tg_option('header_submenu_hover_border');
		if ( !empty($header_submenu_hover_border)  ) :
			$border_color_css = 'body #navigation ul ul{border-top:3px  solid '.esc_attr($header_submenu_hover_border).';}';

			wp_add_inline_style('weddlist-style', $border_color_css);
		endif;	


         $sticky_on_off = tg_option('sticky_on_off');

        if ($sticky_on_off == 1) {


        $weddlist_sticky = "jQuery(window).on('scroll', function(){

                if (jQuery('.stricked-menu').length) {

                    var headerScrollPos = 230;

                    var stricky = jQuery('.stricked-menu');

                    if (jQuery(window).scrollTop() > headerScrollPos) {

                        stricky.addClass('stricky-fixed');

                    } else if (jQuery(this).scrollTop() <= headerScrollPos) {

                        stricky.removeClass('stricky-fixed');

                    }

                }

            })";

	        wp_add_inline_script('weddlist-custom-script', $weddlist_sticky);

        }


	    $maximum_price = tg_option('maximum_price');
        $weddlist_slider_script = "
				if(jQuery('#price-range').hasClass('pricing_range'))
				{

 
					jQuery( '#price-range' ).slider({
								range: true,
								min: 1,
								max: ".$maximum_price.",
								values: [ 1, ".$maximum_price."],
								slide: function( event, ui ) {
									jQuery('#amount' ).html( '' + ui.values[ 0 ] + ' - ' + ui.values[ 1 ] );
									jQuery('#min_price').val(ui.values[ 0 ]);
									jQuery('#max_price').val(ui.values[ 1 ]);
									
								}
							});
					jQuery( '#amount' ).html( '' + jQuery( '#price-range' ).slider( 'values', 0 ) + 	' - ' + jQuery( '#price-range' ).slider( 'values', 1 ) );
					jQuery('#min_price').val(jQuery( '#price-range' ).slider( 'values', 0 ));
					jQuery('#max_price').val(jQuery( '#price-range' ).slider( 'values', 1 ));

					jQuery('#price-range' ).slider( 'disable' );
				}



  if(jQuery('#radius-range').hasClass('radius_range'))
  {    

  	jQuery( '#radius' ).html( '100' );
    jQuery( '#radius-range' ).slider({
      range: 'min', 
         max: 200,
         value: 100,
         slide: function( event, ui ) {
           jQuery( '#radius' ).html( '' + ui.value );
           jQuery('#radius_distance').val(ui.value);
           
         }
       }); 

     jQuery('#radius-range' ).slider( 'disable' );
  }

				";
	        wp_add_inline_script('weddlist-custom-script', $weddlist_slider_script);
	}
}
add_action('wp_enqueue_scripts', 'weddlist_inline_css');
?>