<?php 
/* ============== Page Slug Body Class ============ */

function weddlist_add_slug_body_class( $classes ) {
	global $post;
	if ( isset( $post ) ) {
		$classes[] = $post->post_type . '-' . $post->post_name;
	}
	return $classes;
}
add_filter( 'body_class', 'weddlist_add_slug_body_class' );


/* ============== Weddlist Listing Pagination ============ */

if ( ! function_exists( 'weddlist_listing_pagination' ) ) :

function weddlist_listing_pagination($total_element,$total_limit,$active_page) {


	// How many adjacent pages should be shown on each side?
	$adjacents = 1;

    $class ='';
	
    $pagination_html = '';		

	$total_pages = $total_element;
	
	
	$limit = $total_limit; 						//how many items to show per page
	$page = $active_page;
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//previous page is page - 1
	$next = $page + 1;							//next page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";

	if($lastpage > 1)
	{	

		$pagination .= "<ul>";
		//previous button
		if ($page > 1) 
			$pagination.='<li title='.$prev.' id="paging_'.$prev.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$prev.')"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>';	
		else
			$pagination.= '';	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= '<li class="active"><a class="btn btn-default">'.$counter.'</a></li>';
				else
					//$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";
					
					$pagination.='<li title='.$counter.' id="paging_'.$counter.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$counter.')">'.$counter.'</a></li>';					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
					{
						$pagination.= '<li class="active"><a class="btn btn-default">'.$counter.'</a></li>';
					}
					else{
						//$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";
						$pagination.='<li class="'.$class.'"  title='.$counter.' id="paging_'.$counter.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$counter.')">'.$counter.'</a></li>';
					}
				}
				$pagination.= '<li><span class="disabled">...</span></li>';
				$pagination.='<li class="'.$class.'"  title="'.$lpm1.'" id="paging_'.$lpm1.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$lpm1.')">'.$lpm1.'</a></li>';
				$pagination.='<li class="'.$class.'"  title="'.$lastpage.'" id="paging_'.$lastpage.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$lastpage.')">'.$lastpage.'</a></li>';						

			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= '<li class="'.$class.'"  title="1" id="paging_1"><a href="javascript:void(0)"  class="btn btn-default" onclick="call_paging_item(1)">1</a></li>';
				$pagination.= '<li class="'.$class.'"  title="2" id="paging_2"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item(2)">2</a></li>';
				$pagination.= '<li><span class="disabled">...</span></li>';

				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= '<li class="active"><a class="btn btn-default">'.$counter.'</a></li>';
					else
						$pagination.='<li class="'.$class.'"  title="'.$counter.'" id="paging_'.$counter.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$counter.')">'.$counter.'</a></li>';				
				}
				$pagination.= '<li><span class="disabled">...</span></li>';
				$pagination.= '<li class="'.$class.'"  title="'.$lpm1.'" id="paging_'.$lpm1.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$lpm1.')">'.$lpm1.'</a></li>';				
				$pagination.= '<li class="'.$class.'"  title="'.$lastpage.'" id="paging_'.$lastpage.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$lastpage.')">'.$lastpage.'</a></li>';	
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= '<li class="'.$class.'"  title="1" id="paging_1"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item(1)">1</a></li>';
				$pagination.= '<li class="'.$class.'"  title="2" id="paging_2"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item(2)">2</a></li>';
				$pagination.= '<li><span class="disabled">...</span></li>';

				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= '<li class="active"><a class="btn btn-default">'.$counter.'</a></li>';
					else
						$pagination.= '<li class="'.$class.'"  title="'.$counter.'" id="paging_'.$counter.'"><a href="javascript:void(0)" class="btn btn-default"onclick="call_paging_item('.$counter.')">'.$counter.'</a></li>';					
				}
			}
		}
		
		//next button
		if ($page < $counter - 1) 
			$pagination.= '<li title='.$next.' id="paging_'.$next.'"><a href="javascript:void(0)" class="btn btn-default" onclick="call_paging_item('.$next.')"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>';					
		else
			$pagination.= '';

		$pagination.= "</ul>\n";
		
		$pagination_html='<div class="pagination">'.$pagination.'</div>';
	
	}
	return $pagination_html;	
	
}

endif; 

/* ============== Review Ratings (Stars) ============ */
if (!function_exists('weddlist_total_ratings_stars')) {
	function weddlist_total_ratings_stars($postID) {

	$html='';
	$i=0;
	$args = array(
		'post_type'  => 'wl-reviews',
		'orderby'    => 'date',
		'order'      => 'ASC',
		'post_status'	=> 'publish',
		'posts_per_page'=>-1,
		'meta_query'  => array(
			array(
				'key' => 'item_id',
				'value' => $postID,
				'compare' => '='
			),)
		);
		
	$ratingtotal = 0;	
	$review = new WP_Query( $args );

	if ( $review->have_posts() ) {
	
	while ( $review->have_posts() ) : $review->the_post();
	
	$rating1 = get_post_meta(get_the_id(), "rating", true); 
	$ratingtotal  = $ratingtotal + $rating1;
	$i++;
	
	endwhile;
	wp_reset_postdata(); 
	}

	if($ratingtotal!=0){

		$rating=$ratingtotal/$i;

			$html .='<div class="comments-rating">
			  <div class="rating-out-of">
				'.number_format($rating,1).'
			  </div>
			</div>'	;	
	}
	else{ $html .='<div class="comments-rating"><div class="totalrating">'.esc_html__("0 Rating", "weddlist").'</div></div>'; } 		

	if($i!=0) { $html .='<div class="totalrating">'.$i.' '.esc_html__("Ratings", "weddlist").'</div>'; } 		
	
	return $html;	
	}
	
	
}


/* ============== Review Ratings (Stars) ============ */
if (!function_exists('weddlist_total_ratings_stars_counter')) {
	function weddlist_total_ratings_stars_counter($postID) {

	$i=0;
	$args = array(
		'post_type'  => 'wl-reviews',
		'orderby'    => 'date',
		'order'      => 'ASC',
		'post_status'	=> 'publish',
		'posts_per_page'=>-1,
		'meta_query'  => array(
			array(
				'key' => 'item_id',
				'value' => $postID,
				'compare' => '='
			),)
		);
		
	$ratingtotal = 0;	
	$review = new WP_Query( $args );

	if ( $review->have_posts() ) {
	
	while ( $review->have_posts() ) : $review->the_post();
	
	$rating1 = get_post_meta(get_the_id(), "rating", true); 
	$ratingtotal  = $ratingtotal + $rating1;
	$i++;
	
	endwhile;
	wp_reset_postdata(); 
	}

	if($ratingtotal!=0){

		$rating=$ratingtotal/$i;

			echo '<div class="comments-rating">
			  <div class="rating-out-of">
				'.number_format($rating,1).'/5
			  </div>
			</div>'	;	
	}

	else{ echo '<div class="totalrating">'.esc_html__("0 Rating", "weddlist").'</div>'; } 		

	if($i!=0) { echo '<div class="totalrating">'.$i.' Ratings</div>'; } 		
		
	}
}


/* ============== The Blog post video iframe support browser. ============ */

if(!function_exists('weddlist_video_embed')){
    function weddlist_video_embed($embed_code){
		$embed_code = str_replace( 'webkitallowfullscreen', '', $embed_code );
		$embed_code = str_replace( 'mozallowfullscreen', '', $embed_code );
		$embed_code = str_replace( 'frameborder="0"', '', $embed_code );
		$embed_code = str_replace( 'frameborder="no"', '', $embed_code );
		$embed_code = str_replace( 'scrolling="no"', '', $embed_code );
		$embed_code = str_replace( 'allowfullscreen', '', $embed_code );
		$embed_code = str_replace( 'gesture="media"', '', $embed_code );
		$embed_code = str_replace( 'allow="encrypted-media"', '', $embed_code );
		$embed_code = str_replace( '&', '&amp;', $embed_code );
		return $embed_code;
	}
}
	
/* ============== Weddlist Logo ============ */

if ( ! function_exists( 'weddlist_get_logo' ) ) {
	function weddlist_get_logo() {
		$logo = tg_option( 'primary_logo', false, 'url' );
		if ( $logo ) {
			return '<a href="' . esc_url( home_url( '/' ) ) . '"><img id="logo" src="' . esc_url( $logo ) . '" alt="' . get_bloginfo( 'name' ) . '"  class="logoimg img-responsive" /></a>';
		} else {
			return '<a href="' . esc_url( home_url( '/' ) ) . '"><img id="logo" src="' . get_template_directory_uri() . '/assets/images/logo.png" alt="' . get_bloginfo( 'name' ) . '" class="logoimg img-responsive" /></a>';
		}
	}
}

/* ============== Weddlist Logo Transparent============ */

if ( ! function_exists( 'weddlist_get_logo_transparent' ) ) {
	function weddlist_get_logo_transparent() {
		$transparent_logo = tg_option( 'transparent_logo', false, 'url' );

		if ( $transparent_logo ) {
			return '<a href="' . esc_url( home_url( '/' ) ) . '"><img id="logo" src="' . esc_url( $transparent_logo ) . '" alt="' . get_bloginfo( 'name' ) . '"  class="logoimg img-responsive" /></a>';
		} else {
			return '<a href="' . esc_url( home_url( '/' ) ) . '"><img id="logo" src="' . get_template_directory_uri() . '/assets/images/logo-2.png" alt="' . get_bloginfo( 'name' ) . '" class="logoimg img-responsive" /></a>';
		}
	}
}

/* ============== Weddlist Logo Dashboard ============ */

if ( ! function_exists( 'weddlist_get_logo_dashboard' ) ) {
	function weddlist_get_logo_dashboard() {

		$dashboard_logo = tg_option( 'dashboard_logo', false, 'url' );
		if ( $dashboard_logo ) {
			return '<a href="' . esc_url( home_url( '/' ) ) . '"><img id="logo" src="' . esc_url( $dashboard_logo ) . '" alt="' . get_bloginfo( 'name' ) . '"  class="img-responsive1" /></a>';
		}
		else {
			return '<a href="' . esc_url( home_url( '/' ) ) . '"><img id="logo" src="' . get_template_directory_uri() . '/assets/images/logo.png" alt="' . get_bloginfo( 'name' ) . '" class="img-responsive1" /></a>';
		}
	}
}

/* ============== Weddlist Favicon ============ */

if ( ! function_exists( 'weddlist_favicon' ) ) {

	function weddlist_favicon() {

		if ( ! ( function_exists( 'has_site_icon' ) && has_site_icon() ) ) {
			echo '<link rel="shortcut icon" href=" ' . get_template_directory_uri() . '/assets/images/favicon.ico" />';
		}

	}
}

add_filter( 'wp_head', 'weddlist_favicon' );

/* ============== Weddlist Max Char ============ */

if(!function_exists('weddlist_the_excerpt_max_charlength')){
	
	function weddlist_the_excerpt_max_charlength($charlength,$id) {
		$excerpt = get_the_excerpt($id);
		$charlength++;
	
		if ( mb_strlen( $excerpt ) > $charlength ) {
			$subex = mb_substr( $excerpt, 0, $charlength - 5 );
			$exwords = explode( ' ', $subex );
			$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
			if ( $excut < 0 ) {
				echo mb_substr( $subex, 0, $excut );
			} else {
				echo esc_html($subex);
			}
			echo '[...]';
		} else {
			echo wp_kses_post($excerpt);
		}
	}

}


if(!function_exists('weddlist_check_logout_user')){

	function weddlist_check_logout_user()
	{
		echo'<script> window.location="'.esc_url(home_url()).'"; </script> ';
	}
}


if( !current_user_can('activate_plugins') ) {
	
    function weddlist_admin_bar_render() {
        global $wp_admin_bar;
        $wp_admin_bar->remove_menu('edit-profile', 'user-actions');
	}
    
    add_action( 'wp_before_admin_bar_render', 'weddlist_admin_bar_render' );

    add_action( 'admin_init', 'weddlist_stop_access_profile' );
	
    function weddlist_stop_access_profile() {
        global $pagenow;

        if( defined('IS_PROFILE_PAGE') && IS_PROFILE_PAGE === true ) {
            wp_die( esc_html__('Please edit your profile page from site interface.','weddlist') );
        }
       
        if($pagenow=='user-edit.php'){
            wp_die( esc_html__('Please edit your profile page from site interface.','weddlist') );
        } 
    }
  	//weddlist_stop_access_profile 

}// end 


//  weddlist_go_home function  

add_action('wp_logout','weddlist_go_home');

if( !function_exists('weddlist_go_home') ):
function weddlist_go_home(){
    wp_redirect( esc_url(home_url()) );
    exit();
}
endif; // end   weddlist_go_home 


add_filter('wp_nav_menu_items','weddlist_add_search_box', 10, 2);
function weddlist_add_search_box($items, $args) {

	if( $args->theme_location == 'topbar' )
	{
		if (is_user_logged_in() ) {

			global $current_user,$post,$wpdb;
			wp_get_current_user();
			$userid          = $current_user->ID;	
			

			$user_type=get_user_meta( $userid, 'user_type',true) ;
			if($user_type=='couple')
			{
				$weddlist_get_couple_user_dashboard_link=weddlist_get_couple_user_dashboard_link();
				$items .= '<li><a href="'.$weddlist_get_couple_user_dashboard_link['url'].'">'.esc_html__('Couple Dashboard','weddlist').'</a></li>';
			}
			else if($user_type=='vendor')
			{
				$weddlist_get_vendor_user_dashboard_link=weddlist_get_vendor_user_dashboard_link();
				$items .= '<li><a href="'.$weddlist_get_vendor_user_dashboard_link['url'].'">'.esc_html__('Vendor Dashboard','weddlist').'</a></li>';
			}

			$items .= '<li><a href="'.wp_logout_url().'">'.esc_html__('Logout','weddlist').'</a></li>';

		}
		$current_user = wp_get_current_user();
		if (!user_can( $current_user, 'administrator' )) 
		{	
			$items .= '<li class="search-btn search-icon text-center"><a role="button" data-toggle="collapse" href="#searcharea" aria-expanded="false"> <i class="fa fa-search"></i> </a></li>';
		}

	}
 
    return $items;
}



if( !function_exists('weddlist_woocommerce_add_cart_header_option') )
{
	function weddlist_woocommerce_add_cart_header_option() {

	$woocommerce_header_add_cart = tg_option('woocommerce_header_add_cart');

	// WooCommerce cart icon
	$return ='';	
	if( function_exists('is_woocommerce') && $woocommerce_header_add_cart==true ){
		global $woocommerce;
		$class    = '';
		$cart_url = wc_get_cart_url();
		$count    = $woocommerce->cart->cart_contents_count;
		
		if( empty($count) ){ $count = 0; }
		
		if( isset($woocommerce->cart->cart_contents_count) && $woocommerce->cart->cart_contents_count > 0 ){
			$total_count = $woocommerce->cart->cart_contents_count;
		}
		
		$return  = '<div class="weddlist-header-icons"><span class="weddlist-header-icon weddlist-header-wc-cart-link"><a href="' . $cart_url . '"><i class="ti-shopping-cart"></i><span class="number-cart">' . esc_attr($count) . '</span></a></span></div>';
		}
		return $return;

	}	
}

////////////////////////////////////////////////////////////////////////////////
/// Map center point latitude
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_maps_center_point_latitude') ):

function weddlist_maps_center_point_latitude() {
	$center_latitude  = tg_option('center_latitude'); 
	
	if(!empty($center_latitude))
	{
		$center_point=(double)$center_latitude;
	}
	else
	{
		$center_point=23.0405703;
	}
	return $center_point;
}

endif; // end    


////////////////////////////////////////////////////////////////////////////////
/// Map center point latitude
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_maps_center_point_longitude') ):

function weddlist_maps_center_point_longitude() {
	
	$center_longitude = tg_option('center_longitude'); 
	
	if(!empty($center_longitude))
	{
		$center_point=(double)$center_longitude;
	}
	else
	{
		$center_point=72.522976;
	}
	return $center_point;
}

endif; // end   weddlist_maps_center_point_longitude




/* ============== Review Ratings (Stars) ============ */
if (!function_exists('weddlist_ratings_stars')) {
	function weddlist_ratings_stars($metaboxID, $postID) {

		$rating = get_post_meta($postID, $metaboxID, true); 
		if( !empty($rating) ){
				$blankstars = 5;
				while( $rating > 0 ){
					
					if($rating < 1){
						echo '<i class="fa fa-star"></i>';
						$rating--;
						$blankstars--;
					}
					
					else if($rating >=1 && $rating < 2){
						echo '<i class="fa fa-star"></i>';
						$rating--;
						$blankstars--;
					}
					
					else if($rating >=2 && $rating < 3.5){
						echo '<i class="fa fa-star"></i>';
						$rating--;
						$blankstars--;
					}
					
					else if($rating >=3.5 && $rating <= 5){
						echo '<i class="fa fa-star"></i>';
						$rating--;
						$blankstars--;
					}
					
				}
				while( $blankstars > 0 ){
					echo '<i class="fa fa-star-o"></i>';
					$blankstars--;
				}				
		}
		else{
			
			$blankstars = 5;
			while( $blankstars > 0 ){
				echo '<i class="fa fa-star-o"></i>';
				$blankstars--;
			}
			
		}			
		
	}
}


////////////////////////////////////////////////////////////////////////////////
///  weddlist_check_expired_listing
////////////////////////////////////////////////////////////////////////////////

if(!function_exists('weddlist_check_expired_listing')){
	function weddlist_check_expired_listing($post_id,$action)
	{		
		global $current_user;
		wp_get_current_user();
		$cur_date						= date('Y-m-d');
		$result							= array();
		$userID         				= $current_user->ID; 
		$user_member_status				= get_user_meta($userID,'user_member_status',true);
		$user_items 					= get_the_author_meta( 'user_items' , $userID );
		$user_payment_expired_date 		= get_the_author_meta( 'user_payment_expired_date' , $userID );
		$user_member_status		 		= get_the_author_meta( 'user_member_status' , $userID );
		$accessibility					= 'Off';
		$item_date 						= get_the_date('Y-m-d', $post_id );	

		$args = array( 'post_type' => 'item','posts_per_page' => -1,'post_status' => 'publish','author'=> $userID );
		$item = new WP_Query( $args );
		$total_items=$item->found_posts;
			
	
		if($action=="Add")
		{
			if($user_items>$total_items)
			{
				$accessibility = 'On';
			}

		}
		else if($action=="Edit")
		{
			if($user_items>=$total_items)
			{
				$accessibility = 'On';
			}

		}	
		
		if($user_member_status=='Expired')
		{
			$accessibility = 'Off';
		}
		return $accessibility;		
	}
}



////////////////////////////////////////////////////////////////////////////////
///  weddlist_package_expired_period
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_package_expired_period') ):

function weddlist_package_expired_period($userID,$user_items,$package_items,$user_payment_expired_date,$user_period) {


	$cur_date	= 	date('Y-m-d');
	
	if($user_period=="1 Month")
	{
		$set_time="+1 month";
	}
	else if($user_period=="2 Month")
	{
		$set_time="+2 month";
	}	
	else if($user_period=="3 Month")
	{
		$set_time="+3 month";
	}	
	else if($user_period=="6 Month")
	{
		$set_time="+6 month";
	}	
	else if($user_period=="9 Month")
	{
		$set_time="+9 month";
	}	
	else if($user_period=="1 Year")
	{
		$set_time="+1 year";
	}	
	else if($user_period=="1 Year, 6 Month")
	{
		$set_time="+18 month";
	}	
	else if($user_period=="2 Year")
	{
		$set_time="+2 year";
	}	
	else if($user_period=="3 Year")
	{
		$set_time="+3 year";
	}	
	else{
		$set_time="+1 year";		
	}

	if(isset($user_payment_expired_date) && !empty($user_payment_expired_date) && $package_items==$user_items)
	{
		$expired_date= date('Y-m-d', strtotime($set_time, strtotime($user_payment_expired_date)));
		update_user_meta( $userID, 'user_payment_expired_date', $expired_date ) ;								
	}
	else if(isset($user_payment_expired_date) && !empty($user_payment_expired_date) && $package_items!=$user_items)
	{
		$expired_date= date('Y-m-d', strtotime($set_time, strtotime($cur_date)));
		update_user_meta( $userID, 'user_payment_expired_date', $expired_date ) ;		
	}
	else{
		$expired_date= date('Y-m-d', strtotime($set_time, strtotime($cur_date)));
		update_user_meta( $userID, 'user_payment_expired_date', $expired_date ) ;
	}  

}

endif; 



////////////////////////////////////////////////////////////////////////////////
///  weddlist_do_this_hourly
////////////////////////////////////////////////////////////////////////////////


add_action('wp', 'weddlist_scheduled_activation');
add_action('weddlist_hourly_event', 'weddlist_do_this_hourly');


function weddlist_scheduled_activation() {
	if ( !wp_next_scheduled( 'weddlist_hourly_event' ) ) {
		wp_schedule_event( time(), 'hourly', 'weddlist_hourly_event');
	}
}


function weddlist_do_this_hourly() {
	// do something every hour

	$blogusers = get_users('role=subscriber');
	foreach ($blogusers as $user) {
		$user_id	= $user->ID;
	
		$user_payment_expired_date 		= get_the_author_meta( 'user_payment_expired_date' , $user_id );
		if(isset($user_payment_expired_date) && !empty($user_payment_expired_date))
		{
			if($user_payment_expired_date!="-1")
			{
				weddlist_check_paid_listing_status($user_id);
			}
		}
	}	
	
}

////////////////////////////////////////////////////////////////////////////////
///  weddlist_check_paid_listing_status
////////////////////////////////////////////////////////////////////////////////

function weddlist_check_paid_listing_status($user_id)
{
	global $post;				
	$user_payment_expired_date 		= get_the_author_meta( 'user_payment_expired_date' , $user_id );
	$curr_date						= date('Y-m-d');	
	$args = array(
		   'post_type' 		=> 'item',
		   'author'    		=> $user_id,
		   'post_status'   	=> 'publish' 
	);

	$item = new WP_Query( $args );    

	
	if(!empty($user_payment_expired_date) && $user_payment_expired_date!="-1")
	{
		if($user_payment_expired_date<$curr_date)
		{					
		
			if($item->found_posts>0)
			{
				update_user_meta( $user_id, 'user_member_status', 'Expired' ) ;
				update_user_meta( $user_id, 'featured', 'No' ) ;

				weddlist_user_item_expired_email($user_id,__('Your Package is expired','weddlist'));		
			}

			while ( $item->have_posts() ) { $item->the_post();
				$prop = array(
						'ID'            => $post->ID,
						'post_type'     => 'item',
						'author'    	=> $user_id,
						'post_status'   => 'expired'
				);

				wp_update_post($prop ); 
			}
		}		
	}

}

////////////////////////////////////////////////////////////////////////////////
///  weddlist_item_listing_display_by_id
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_item_listing_display_by_id') ):

function weddlist_item_listing_display_by_id($post_id,$col_class,$item_style,$i) {


	$currency_code		= tg_option('currency_symbols');
	$item_style			= tg_option('item_listing_layout');	

	$locators 			= get_post_meta($post_id,'locators', true );
	$map_address 		= $locators['address'];
	$latitude 			= $locators['latitude'];
	$longitude 			= $locators['longitude'];	

	$item_address 		= get_post_meta( $post_id, 'item_address', true );
	$featured_img 		= wp_get_attachment_image_src( get_post_thumbnail_id($post_id),'weddlist_item_thumb',false );
	$item_price 		= get_post_meta( $post_id, 'item_price', true );
	$item_maxprice 		= get_post_meta( $post_id, 'item_maxprice', true );

	$categories_term_id	= '';
	$itemcategory       = get_the_terms($post_id, 'itemcategory');	
	
	if ( $itemcategory && ! is_wp_error( $itemcategory ) ) : 
	    $categories_term_id	= array();
	    foreach ( $itemcategory as $item_category_each ) {
              $categories_term_id[] = $item_category_each->term_id;
        }
	 endif;   	

	$itemlocation       = get_the_terms($post_id, 'location');	
	
	if ( $itemlocation && ! is_wp_error( $itemlocation ) ) : 
	    $locatin_term_id	= array();
	    foreach ( $itemlocation as $itemlocation_each ) {
              $locatin_term_id[] = $itemlocation_each->term_id;
        }
	 endif;   	


	if($categories_term_id)
	{
		$marker_icon 		= weddlist_default_marker($categories_term_id[0]);
	}
	else{
		$marker_icon = '';
	}	

	$address_html		= weddlist_item_address_html($item_address);
	$item_price_marker	= weddlist_item_price_marker($item_price,$item_maxprice,$currency_code);
	
	$item_ratings_stars	=  weddlist_total_ratings_stars ($post_id);

	
	$itemcategory_html = '';
	if($itemcategory)
	{
		$itemcategory_html='<a href="'.get_category_link($itemcategory[0]->term_id).'">'.esc_html($itemcategory[0]->name).'</a>';
	}

	$itemlocation_html = '';
	if($itemlocation)
	{
		$itemlocation_html='<i class="fa flaticon-wedding-location"></i><a href="'.get_category_link($itemlocation[0]->term_id).'">'.esc_html($itemlocation[0]->name).'</a>';
	}	

	if($item_style=="default"){
				
		$html ='<div class="'.$col_class.' weddlist_item" id="item_'.$i.'">
				 <div class="feature-block">
						<div class="feature-img">
							'.weddlist_featured_item_html($post_id).'
							<a href="'.get_permalink($post_id).'">
								<img src="'.$featured_img[0].'" />             
							</a> 
							'.weddlist_wishlist_item_html($post_id).'					  
						  </div>					  
						  <div class="feature-dtl">
							<h5 class="feature-heading"><a href="'.get_permalink($post_id).'" class="title">'.get_the_title($post_id).'</a></h5>
							<p>'.$address_html.'</p>
						  </div>
						  <div class="feature-dtl-bottom">
							  <div class="feature-vendor-bottom">
								'.$itemcategory_html.'
							  </div>
							  <div class="feature-price-bottom">'.$item_price_marker.'</div>
						</div>
					</div>
				</div>';
	}
	else if ($item_style=="item_rating_counter")
	{
		$html ='<div class="'.$col_class.' weddlist_item" id="item_'.$i.'">
				 <div class="feature-block">
						<div class="feature-img">
							'.weddlist_featured_item_html($post_id).'
							<a href="'.get_permalink($post_id).'">
								<img src="'.$featured_img[0].'"  />             
							</a> 
							'.weddlist_wishlist_item_html($post_id).'					  
						  </div>	
						  <div class="feature-dtl">
							<h5 class="feature-heading"><a href="'.get_permalink($post_id).'" class="title">'.get_the_title($post_id).'</a></h5>
							
							<ul class="listing-ul"><li>'.$item_ratings_stars.'</li>
							<li class="ml15 listing-location">'.$itemcategory_html.'</li></ul>				                      </div>
						  <div class="feature-dtl-bottom">
							  <div class="feature-vendor-bottom">
							  '.$itemlocation_html.'			  
								
							  </div>
							  <div class="feature-price-bottom">'.$item_price_marker.'</div>
						</div>
					</div>
				</div>';
	}
	else if ($item_style=="item_image_overlay")
	{
		$html =	'<div class="'.$col_class.' weddlist_item" id="item_'.$i.'"><div class="category-listing-section">
              <div class="category-listing-dtl">
                <div class="category-listing-img">
                  <a href="'.get_permalink($post_id).'">
								<img src="'.$featured_img[0].'" />             
							</a> 
                </div>
                <div class="category-info">
                  <h5 class="category-dtl-heading"><a href="'.get_permalink($post_id).'" class="title">'.get_the_title($post_id).'</a></h5>
                  <div class="category-dtl-address">'.$address_html.'</div>
                </div>
              </div>
              <div class="category-listing-text">
                <div class="category-vendor-bottom">
								'.$itemcategory_html.'
							  </div>
							  <div class="category-price-bottom">'.$item_price_marker.'</div>
              </div>
            </div></div>';
	}
	else{
		$html ='<div class="'.$col_class.' weddlist_item" id="item_'.$i.'">
				 <div class="feature-block">
						<div class="feature-img">
							'.weddlist_featured_item_html($post_id).'
							<a href="'.get_permalink($post_id).'">
								<img src="'.$featured_img[0].'"  />             
							</a> 
							'.weddlist_wishlist_item_html($post_id).'					  
						  </div>					  
						  <div class="feature-dtl">
							<h6 class="feature-heading"><a href="'.get_permalink($post_id).'" class="title">'.get_the_title($post_id).'</a></h6>
							<p>'.$address_html.'</p>
						  </div>
						  <div class="feature-dtl-bottom">
							  <div class="feature-vendor-bottom">
								'.$itemcategory_html.'
							  </div>
							  <div class="feature-price-bottom">'.$item_price_marker.'</div>
						</div>
					</div>
				</div>';		
	}

	return $html;
}

endif; 



////////////////////////////////////////////////////////////////////////////////
///  weddlist_realwedding_display_by_id
////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_realwedding_display_by_id') ):

function weddlist_realwedding_display_by_id($post_id,$col_class,$item_style) {


	$currency_code		= tg_option('currency_symbols');
	//$item_style			= tg_option('realwedding_listing_layout');	

	$item_style			= 'default';

	$wedding_date 		= get_post_meta( $post_id, 'wedding_date', true );
	$wedding_place 		= get_post_meta( $post_id, 'wedding_place', true );

	$wedding_date_final = date('F d, Y', strtotime($wedding_date)); 

	$featured_img 		= wp_get_attachment_image_src( get_post_thumbnail_id($post_id),'weddlist_item_thumb',false );


	$arguments 	= array(
		  'numberposts' => -1,
		  'post_type' => 'attachment',     
		  'post_parent' => $post_id,
		  'post_status' => null,
		  'exclude' => get_post_thumbnail_id(),
		  'orderby' => 'menu_order',
		  'order' => 'ASC'
	  );
	$post_attachments = get_posts($arguments);


	$images ='';
	$total_images 	=	count($post_attachments);

	$list_images 	=	count($post_attachments);

	$kk=1;
	foreach ($post_attachments as $attachment) {
		
		if($kk<4 && $kk!=1)
		{

			$preview = wp_get_attachment_image_src($attachment->ID, 'medium');  ;
			$imgurl  = $preview[0] ;	
		
		
		if($preview[0]!=''){

			if($kk==3)
			{
				$images .=  '<li class="realwedding-small-image realwedding-list" style="background-image: url('.esc_url($imgurl).');"><a href="'.get_permalink($post_id).'">
					  <div class="overlay"><div class="realwedding-icon"><i class="fa fa-picture-o" aria-hidden="true"></i><div class="list_images">'.$list_images.' Photos</div></div></div></a>
					</li>';

			}else{
			
			$images .=  '<li class="realwedding-small-image" style="background-image: url('.esc_url($imgurl).');">
					</li>';

			}	
			
		}

		}

		$kk++;
	}
	$realwedding_list_html='';	
	if($images)
	{
		$realwedding_list_html='<ul class="realwedding-small-ul">'.$images.'</ul>'; 
	}

	if($item_style=="default"){

		$html='<div class="'.$col_class.' album-block"><div class="inner-box">
						<div class="images-box">
							<div class="clearfix">
								<div class="image">
									<a href="'.get_permalink($post_id).'">
										<img src="'.$featured_img[0].'" />             
									</a> 
								</div>
								'.$realwedding_list_html.'
							</div>
						</div>
						<div class="lower-content">
							<h4><a href="'.get_permalink($post_id).'">'.get_the_title($post_id).'</a></h6>
							<div class="location">'.$wedding_place.'</div>
						</div>
					</div>
					</div>
					';
	}
	else{

		$html ='<div class="'.$col_class.' wedding-block-main"><div class="upcoming-wedding-block">
				    <div class="upcoming-wedd-img">
		                <a href="'.get_permalink($post_id).'">
							<img src="'.$featured_img[0].'" />             
						</a> 
				    </div>
				    <div class="upcoming-wedding-dtl text-center">
				      <div class="date">'.$wedding_date_final.'</div>
				      <h4 class="wdding-couple"><a href="'.get_permalink($post_id).'">'.get_the_title($post_id).'</a></h4>
				      <img src="'.get_template_directory_uri().'/assets/images/sep-1.png" class="img-responsive" alt="'.get_the_title($post_id).'">
				    </div>
				  </div>
				</div>';
	
	}

	return $html;
}

endif; 


///////////////////////////////////////////////////////////////////////////////////////////
// forgot pass action
///////////////////////////////////////////////////////////////////////////////////////////

add_action('wp_head','weddlist_forgotpass_hook_javascript');

function weddlist_forgotpass_hook_javascript(){
    global $wpdb,$weddlist;
    $allowed_html   =   array();
    if(isset($_GET['key']) && isset($_GET['action']) &&  $_GET['action'] == "reset_pwd") {
        $reset_key  = wp_kses($_GET['key'],$allowed_html);
        $user_login = wp_kses($_GET['login'],$allowed_html);
        $user_data  = $wpdb->get_row($wpdb->prepare("SELECT ID, user_login, user_email FROM $wpdb->users 
                WHERE user_activation_key = %s AND user_login = %s", $reset_key, $user_login));
         $mess= '<div class="alert alert-danger">'.esc_html__('Not a Valid Key,Please request again to forgot password!','weddlist').'</div>';
        if(!empty($user_data)){
                $user_login = $user_data->user_login;
                $user_email = $user_data->user_email;
               
                if(!empty($reset_key) && !empty($user_data)) {
                        $new_password = wp_generate_password(7, false); 
                        wp_set_password( $new_password, $user_data->ID );

						$subject = $weddlist['weddlist_subject_user_forgot_password'];
						$website_url = site_url();
						$website_name = get_option('blogname');

						$formated_subject = weddlist_sprintf("$subject", array(
							'website_url' => "$website_url",
							'website_name' => "$website_name",
						));
						
						$mail_content = $weddlist['weddlist_content_user_forgot_password'];
						
						$formated_mail_content = weddlist_sprintf("$mail_content", array(
							'website_url' => "$website_url",
							'website_name' => "$website_name",
							'user_login' => "$user_login",
							'user_newpassword' => "$new_password",
							'user_email' => "$user_email"
						));                   		
						$headers[] = 'Content-Type: text/html; charset=UTF-8';
						weddlist_header_email_append_filter();
                        if (!wp_mail($user_email,$formated_subject, $formated_mail_content,$headers) ) {
                                $mess= "<div class='alert alert-danger'>".esc_html__('Email sending has failed for some unknown reason','weddlist')."</div>";
                                //exit();
                        }
                        else {
                              $mess= '<div class="alert alert-success">'.esc_html__('We have just sent you a new password. Please check your email.','weddlist').'</div>';
                              //exit();
                        }
                }
                else {
                    
                    $mess= '<div class="alert alert-danger">'.esc_html__('Not a Valid Key,Please request again to forgot password!','weddlist').'</div>';
                }
        }// end if empty
    echo '<div id="resetpassword" class="modal newpassword fade">
		    <div class="modal-dialog">
		        <div class="modal-content">
		            <div class="modal-header">
		                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fas fa-times"></i></button>
		                <h4 class="modal-title">'.esc_html__('Password reset','weddlist').'</h4>
		            </div>
		            <div class="modal-body">
						<p>'.$mess.'</p>
		            </div>
		        </div>
		    </div>
		</div>';
    } 

}



add_action( 'show_user_profile', 'weddlist_vendor_package_section' );
add_action( 'edit_user_profile', 'weddlist_vendor_package_section' );
function weddlist_vendor_package_section( $user ) { 

	if(function_exists('weddlist_woocommerce_listing_package_function'))
	{
	?>
	<h3><?php echo esc_html__( 'Package Information', 'weddlist' ); ?></h3>
	<table class="form-table">
	  <tr>
	    <th><label><?php echo esc_html__('Package Name', 'weddlist'); ?></label></th>
	    <td>
	      <?php
		  if( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' )) ) || class_exists( 'WooCommerce' ))
		  {
			 $package_id = '';
			 if( get_user_meta($user->ID, 'user_package_id', true ) != "" )
			 {
				  $package_id = get_user_meta($user->ID, 'user_package_id', true );
			 }
				$args	=	array(
				'post_type' => 'product',
				'tax_query' => array(
				 'relation' => 'OR',
						array(	
						   'taxonomy' => 'product_type',
						   'field' => 'slug',
						   'terms' => 'weddlist_item_pkgs'
						),
						array(	
						   'taxonomy' => 'product_type',
						   'field' => 'slug',
						   'terms' => 'subscription'
						),
					),	
				'post_status' => 'publish',
				'posts_per_page' => -1,
				'order'=> 'DESC',
				'orderby' => 'date'
				);
			$packages = new WP_Query($args);
			if ($packages->have_posts())
			{
			?>
	        	<select class="admin-select" name="select_page">
	            	<option value=""><?php echo esc_html__('Select an option', 'weddlist'); ?></option>
	            	<?php
					while ( $packages->have_posts() )
					{
						$packages->the_post();
					?>	
	                    <option value="<?php echo get_the_ID(); ?>" <?php if($package_id == get_the_ID()){ echo 'selected';}  ?>><?php echo get_the_title(); ?></option>
	                <?php
					}
					?>
	            </select>
	            <input type="hidden" name="package_id" value="<?php echo esc_attr($package_id); ?>">
	        <?php
			wp_reset_postdata();
			}
		  }
	?>
	      <br />
	      <p class="description"><?php echo esc_html__('User selected package', 'weddlist'); ?></p>
	      <br />
	      <?php weddlist_user_selected_package_listing_options_list($user->ID) ?>
	    </td>
	  </tr>
</table>
	<?php
	}else{
	?>
    <table class="form-table">
        <tr>
            <th><label for="dropdown"><?php esc_html_e('Custom Package Section','weddlist');?></label>
            	<br>
            </th>
            <td>
                <input type="hidden" id="vendor_package_notification" name="vendor_package_notification" />
                <?php 
				$args 		= array( 'post_type' => 'package', 
					'posts_per_page' => -1,
					'post_status'  => 'publish',
					'orderby' => 'menu_order ID',
					'order'   => 'ASC');
				$package 	= new WP_Query( $args );


				?>

                <select name="select_custom_package" id="select_custom_package">
              	<option value=""><?php esc_html_e('Select Plan To Active','weddlist');?></option>
                <?php 
                		while ( $package->have_posts() ) : $package->the_post();
                ?>
                <option value="<?php echo get_the_id();?>"><?php the_title(); ?></option>
                <?php
                		endwhile; 		
						wp_reset_postdata();
                ?>
                </select>               
				
				<input type="checkbox" id="package_send_email" name="package_send_email" value="yes"> <?php esc_html_e('Send Email to Vendor For Active Package','weddlist'); ?>
				 <a href="javascript:void(0);" class="button button-primary" onclick="weddlist_vendor_package_nofication('<?php echo esc_attr($user->ID); ?>','Approved')"><?php esc_html_e('Change Package','weddlist');?></a>
				<br /><br />

				<?php
				weddlist_user_selected_package_listing_options_list($user->ID);		
				?>		
            </td>
        </tr>
    </table>
    <script>
	function weddlist_vendor_package_nofication(userid,status)
	{
		jQuery("#vendor_package_notification").val(status);
		alert('Now Please Click on Update User');
	}		
	</script>
	<?php 
	}
} 

add_action( 'personal_options_update', 'weddlist_save_couple_package_selection_fields',16,1 );
add_action( 'edit_user_profile_update', 'weddlist_save_couple_package_selection_fields',16,1 );

function weddlist_save_couple_package_selection_fields( $user_id ) {
    if ( !current_user_can( 'edit_user', $user_id ) ){
        return false;
    }

    //save dropdown
	if(function_exists('weddlist_woocommerce_listing_package_function'))
	{

		if(isset($_POST['select_page']) && $_POST['select_page'] !="")
		{
		  weddlist_woocommerce_listing_store_user_package_admin($user_id,$_POST['select_page'] );
		}

	}
	else{

		if(isset($_POST['vendor_package_notification']) && $_POST['vendor_package_notification']=='Approved')
		{
			$package_id	 = $_POST['select_custom_package'];		

			$package_items    		=   get_post_meta( $package_id, 'package_items', true );
			$package_price    		=   get_post_meta( $package_id, 'package_price', true );
			$user_period    		=   get_post_meta( $package_id, 'package_period', true ); 
			$amount       			=   floatval($package_price);   
			$cur_date     			=   date('Y-m-d');

			update_user_meta( $user_id, 'user_package_id', $package_id ) ;
			update_user_meta( $user_id, 'user_items', $package_items ) ;
			update_user_meta( $user_id, 'user_member_status', 'Paid' ) ;
			update_user_meta( $user_id, 'user_payment_date', $cur_date ) ;
			update_user_meta( $user_id, 'user_payment_amount', $amount ) ;

			$package_share    			=   get_post_meta( $package_id, 'package_share', true );
			$package_phone    			=   get_post_meta( $package_id, 'package_phone', true );
			$package_video    			=   get_post_meta( $package_id, 'package_website', true );
			$package_video    			=   get_post_meta( $package_id, 'package_video', true );
			$package_vendorprofile    	=   get_post_meta( $package_id, 'package_vendorprofile', true );

			update_user_meta( $user_id, 'user_package_share', $package_share ) ;
			update_user_meta( $user_id, 'user_package_phone', $package_phone ) ;
			update_user_meta( $user_id, 'user_package_website', $package_video ) ;
			update_user_meta( $user_id, 'user_package_video', $package_video ) ;		
			update_user_meta( $user_id, 'user_package_vendorprofile', $package_vendorprofile ) ;

	    	$user_payment_expired_date =  get_the_author_meta( 'user_payment_expired_date' , $user_id );

	        weddlist_package_expired_period($user_id,$package_items,$package_items,$user_payment_expired_date,$user_period);
		
			if(isset($_POST['package_send_email']) && $_POST['package_send_email'] == 'yes') 
			{
				$author_obj = get_user_by('id', $user_id);
				$message['payer_email']		=	$author_obj->user_email;
				$message['payer_plan']		=	get_the_title($package_id);
				$message['payer_listing']	=	$package_items;				
				$message['payer_amount']	=	urldecode($package_price);
				$message['payer_status']	=	esc_html__('Successfully Payment','weddlist');	
							
				weddlist_payment_user_notification($userID,$message);		   
			}
		}		
	}
}

// Store User Package Details
if( !function_exists('weddlist_listing_update_user_package_details') )
{
	function weddlist_listing_update_user_package_details($userID,$package_id) 
	{
		 $featured_listing = $regular_listing = '';	
		 $package_items = get_post_meta($package_id, 'package_items', true);
		 $package_featured_items =  get_post_meta($package_id, 'package_featured_items', true );
	 
		 //assign simple listings
		 if(!empty($package_items) && $package_items == '-1' )
		 {
			 update_user_meta($userID, 'user_items', '-1');
		 }
		 else if( !empty($package_items) && is_numeric( $package_items ) &&  $package_items != 0 )
		 {
			 update_user_meta( $userID, 'user_items',$package_items);
		 }
		 
		 //assign featured listings
		 if( !empty($package_featured_items) && $package_featured_items == '-1' )
		 {
			 update_user_meta($userID, 'user_featured_listing', '-1');	
		 }
		 else if( !empty($package_featured_items) && is_numeric( $package_featured_items ) &&  $package_featured_items != 0 )
		 {
			update_user_meta($userID, 'user_featured_listing', $package_featured_items );
		 }
		 
		$listing_images = get_post_meta($package_id, 'package_listing_upload_images', true );

		$package_share = get_post_meta($package_id, 'package_share', true );
		$package_phone = get_post_meta($package_id, 'package_phone', true );
		$package_website = get_post_meta($package_id, 'package_website', true );
		$package_video = get_post_meta($package_id, 'package_video', true );
		$package_vendorprofile = get_post_meta($package_id, 'package_vendorprofile', true );
		$featured_vendorprofile = get_post_meta($package_id, 'package_featured_vendorprofile', true );

		if(!empty($listing_images))
		{
			update_user_meta( $userID, 'user_package_images', $listing_images ) ;	
		}

		update_user_meta( $userID, 'user_package_share', $package_share ) ;	
		update_user_meta( $userID, 'user_package_phone', $package_phone ) ;	
		update_user_meta( $userID, 'user_package_website', $package_website ) ;	
		update_user_meta( $userID, 'user_package_video', $package_video ) ;	
		update_user_meta( $userID, 'user_package_vendorprofile', $package_vendorprofile) ;	
		
		if(!empty($featured_vendorprofile))
		{
			update_user_meta( $userID, 'featured', $featured_vendorprofile) ;	
		}

	}
}

function weddlist_user_selected_package_listing_options_list($userid){
	$user_package_id  = get_user_meta($userid,'user_package_id', true); 
	$user_payment_date = get_user_meta($userid,'user_payment_date', true);
	$user_payment_expired_date = get_user_meta($userid,'user_payment_expired_date', true);
	$user_member_status = get_user_meta($userid,'user_member_status', true);	
	$user_items = get_user_meta($userid,'user_items', true);	
	$user_payment_amount = get_user_meta($userid,'user_payment_amount', true);

	$user_package_images = get_user_meta($userid,'user_package_images', true);

	$featured = get_user_meta($userid,'featured', true);
	$user_package_phone = get_user_meta($userid,'user_package_phone', true);

	
	 
	if(!empty($user_package_id))
	{
		echo esc_html__('Current Active Package:','weddlist').' <strong>'.get_the_title($user_package_id).'</strong><br/>';
	}
	if(!empty($user_payment_date))
	{
		echo esc_html__('Package Payment Date:','weddlist').' <strong>'.date("jS F, Y",strtotime($user_payment_date)).'</strong><br/>';	
	}
	if(!empty($user_payment_expired_date))
	{
		echo esc_html__('Package Expired Date  &nbsp;  :','weddlist').' <strong>'.date("jS F, Y",strtotime($user_payment_expired_date)).'</strong><br/>';	
	}
	if(!empty($user_member_status))
	{
		echo esc_html__('Package Statue  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  :','weddlist').' <strong>'.$user_member_status.'</strong><br/>';	
	}
	if(!empty($user_items))
	{
		echo esc_html__('Package Total Listing  &nbsp;&nbsp;&nbsp;  :','weddlist').' <strong>'.$user_items.'</strong><br/>';	
	}
	if(!empty($user_payment_amount))
	{
		echo esc_html__('Package Price Paid &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  :','weddlist').' <strong>'.$user_payment_amount.'</strong><br/>';	
	}	
	if(!empty($user_package_images))
	{
		echo esc_html__('Package Image Upload :','weddlist').' <strong>'.$user_package_images.'</strong><br/>';	
	}
	if(!empty($featured))
	{
		echo esc_html__('Home Featured Profile &nbsp;&nbsp;:','weddlist').' <strong>'.$featured.'</strong><br/>';	
	}	
	if(!empty($user_package_phone))
	{
		echo esc_html__('Package Phone Options&nbsp;:','weddlist').' <strong>'.$user_package_phone.'</strong><br/>';	
	}				
}


// Store User Package Details
if( !function_exists('weddlist_woocommerce_listing_store_user_package_admin') )
{
  function weddlist_woocommerce_listing_store_user_package_admin($userID,$product_id) 
  {

		$gey_packtype = $product_type = '';
		$product_type	=	wc_get_product($product_id);

		if($product_type->get_type() == 'weddlist_item_pkgs' )
		{

			$gey_packtype = get_post_meta($product_id, 'weddlist_product_package_type', true );
			update_user_meta($userID, 'user_package_id',$product_id);
			//check package type
			if($gey_packtype == "free")
			{

				update_user_meta($userID, 'user_is_free_pgk',$product_id);
		        update_user_meta($userID, 'user_member_status', 'Free' ) ; 
			}
			else
			{
				//It's a paid package
				update_user_meta($userID, 'user_member_status', ucfirst($gey_packtype) );
			}

     $pkg_exp =  $featured_listing = $regular_listing = ''; 
     $regular_listing = get_post_meta($product_id, 'weddlist_product_regular_listing', true);
     $featured_listing =  get_post_meta($product_id, 'weddlist_product_featured_listing', true );

     $pkg_exp = get_post_meta($product_id, 'weddlist_product_package_expiry', true );
     $gey_packtype = get_post_meta($product_id, 'weddlist_product_package_type', true );

     
     //assign simple listings
     if(!empty($regular_listing) && $regular_listing == '-1' )
     {
       update_user_meta($userID, 'user_items', '-1');
     }
     else if( !empty($regular_listing) && is_numeric( $regular_listing ) &&  $regular_listing != 0 )
     {
       update_user_meta( $userID, 'user_items',$regular_listing);
     }
     
     //assign featured listings
     if( !empty($featured_listing) && $featured_listing == '-1' )
     {
       update_user_meta($userID, 'user_featured_listing', '-1');  
     }
     else if( !empty($featured_listing) && is_numeric( $featured_listing ))
     {
      update_user_meta($userID, 'user_featured_listing', $featured_listing );
     }
     
     //assign package days to user
     if( !empty($pkg_exp) && $pkg_exp == '-1' )
     {
      $new_expiry = date('Y-m-d', strtotime("+110 years"));	
      update_user_meta($userID, 'user_payment_expired_date', $new_expiry);
     }
     else
     {
      $expiry_date  = get_user_meta($userID, 'user_payment_expired_date', true );
      $e_date = strtotime( $pkg_exp );  
      $today  = strtotime( date( 'Y-m-d') );
      if( $today > $e_date )
      {
        $new_expiry = date('Y-m-d', strtotime("+$pkg_exp days"));
      }
      else
      {
        $date = date_create( $expiry_date );
        date_add($date,date_interval_create_from_date_string("$pkg_exp days"));
        $new_expiry =  date_format($date,"Y-m-d");
      }
      update_user_meta($userID, 'user_payment_expired_date', $new_expiry ); 
     
     }
      //store featured listing expiry days to user  

    $listing_images = get_post_meta($product_id, 'weddlist_product_listing_images', true );

    $package_share = get_post_meta($product_id, 'weddlist_product_package_share', true );
    $package_phone = get_post_meta($product_id, 'weddlist_product_package_phone', true );
    $package_website = get_post_meta($product_id, 'weddlist_product_package_website', true );
    $package_video = get_post_meta($product_id, 'weddlist_product_package_video', true );
    $package_vendorprofile = get_post_meta($product_id, 'weddlist_product_package_vendorprofile', true );
    $featured_vendorprofile = get_post_meta($product_id, 'weddlist_product_package_featured_vendorprofile', true );

    update_user_meta( $userID, 'user_package_images', $listing_images ) ; 
    update_user_meta( $userID, 'user_package_share', $package_share ) ; 
    update_user_meta( $userID, 'user_package_phone', $package_phone ) ; 
    update_user_meta( $userID, 'user_package_website', $package_website ) ; 
    update_user_meta( $userID, 'user_package_video', $package_video ) ; 
    update_user_meta( $userID, 'user_package_vendorprofile', $package_vendorprofile) ;  
    update_user_meta( $userID, 'featured', $featured_vendorprofile) ; 
	
	}

  }
}

/* ============== for mail  function============= */
if ( !function_exists('weddlist_sprintf' ) ){
function weddlist_sprintf($str='', $vars=array(), $char='%%'){
	if (!$str) return '';
	if (count($vars) > 0)
	{
		foreach ($vars as $k => $v)
		{
			$str = str_replace($char . $k, $v, $str);
		}
	}

	return $str;
	}
}


/* ============== Weddlist Email Header Filter ============ */
if(!function_exists('weddlist_header_email_append_filter')) {
    function weddlist_header_email_append_filter() {
    	global $weddlist;

    	if($weddlist['weddlist_email_enable']==1)
    	{
	        add_filter('wp_mail_from', 'weddlist_mail_from_email');
	        add_filter('wp_mail_from_name', 'weddlist_mail_from_name');
    	}
    }
    
}


/* ============== Weddlist email and  callbacks ============ */
if( !function_exists('weddlist_mail_from_email') ){ 
	function weddlist_mail_from_email($old) {
	
	$mailFrom = null;
	if( class_exists( 'Redux' ) ) {
		global $weddlist;
		$mailFrom = $weddlist['weddlist_general_email_address'];
	}
	else{
		$mailFrom = get_option( 'admin_email' );
	}
	return $mailFrom;
	}
}

if( !function_exists('weddlist_mail_from_name') ){
	function weddlist_mail_from_name($old) {
	
	$mailFromName = null;
	if( class_exists( 'Redux' ) ) {
		global $weddlist;
		$mailFromName = $weddlist['weddlist_general_from_name'];
	}
	else{
		$mailFromName = get_option( 'blogname' );
	}
	return $mailFromName;
	}
}
/* ==================textarea to editor============= */
	
if( !function_exists('weddlist_textarea_to_editor') ){
	function weddlist_textarea_to_editor($editor_id, $editor_name, $pcontent){
		$content = $pcontent;
		$settings = array(
		'wpautop' => true,
		'textarea_name' => $editor_name,
		'textarea_rows' => 8,
		'media_buttons' => false,
					'tinymce' => array(
						'theme_advanced_buttons1' => '',
						'theme_advanced_buttons2' => false,
						'theme_advanced_buttons3' => false,
						'theme_advanced_buttons4' => false,
					),
		'quicktags' => false,
		);

		ob_start();
		wp_editor( $content, $editor_id, $settings );
		$output = ob_get_contents();
		ob_end_clean();
		ob_flush();
		return $output;
	}
}

if( !function_exists('weddlist_fallback_menu') ){
	function weddlist_fallback_menu(){
	    $args = array(
	        'sort_column' => 'menu_order, post_title',
	        'menu_class'  => 'menu alt2',
	        'include'     => '',
	        'exclude'     => '',
	        'echo'        => true,
	        'show_home'   => false,
	        'link_before' => '',
	        'link_after'  => '' );
	    wp_page_menu($args);
	}
}
?>