<?php 
///////////////////////////////////////////////////////////////////////////////////////////
// weddlist_get_vendor_user_dashboard_link
///////////////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_get_vendor_user_dashboard_link') ):
function weddlist_get_vendor_user_dashboard_link(){
    $pages = get_pages(array(
            'meta_key' => '_wp_page_template',
            'meta_value' => 'page-template/vendor-dashboard.php'
        ));	
	
    if( $pages ){
		$dash_link['id'] = $pages[0]->ID;
		$dash_link['name'] = $pages[0]->post_title;
		$dash_link['url'] = get_permalink($pages[0]->ID);
    }else{
		$dash_link['id'] = get_option( 'page_on_front' );
		$dash_link['name'] = get_the_title(get_option( 'page_on_front' ));
        $dash_link['url'] = esc_url(home_url());		
    }  
    
    return $dash_link;
}
endif; // end   weddlist_get_vendor_user_dashboard_link 
		

///////////////////////////////////////////////////////////////////////////////////////////
// weddlist_get_couple_user_dashboard_link
///////////////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_get_couple_user_dashboard_link') ):
function weddlist_get_couple_user_dashboard_link(){
    $pages = get_pages(array(
            'meta_key' => '_wp_page_template',
            'meta_value' => 'page-template/couple-dashboard.php'
        ));	
	
    if( $pages ){
		$dash_link['id'] = $pages[0]->ID;
		$dash_link['name'] = $pages[0]->post_title;
		$dash_link['url'] = get_permalink($pages[0]->ID);
    }else{
		$dash_link['id'] = get_option( 'page_on_front' );
		$dash_link['name'] = get_the_title(get_option( 'page_on_front' ));
        $dash_link['url'] = esc_url(home_url());		
    }  
    
    return $dash_link;
}
endif; // end   weddlist_get_couple_user_dashboard_link


///////////////////////////////////////////////////////////////////////////////////////////
// weddlist_get_join_now_user_link
///////////////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_get_join_now_user_link') ):
function weddlist_get_join_now_user_link(){
    $pages = get_pages(array(
            'meta_key' => '_wp_page_template',
            'meta_value' => 'page-template/login-register.php'
        ));	
	
    if( $pages ){
		$dash_link['id'] = $pages[0]->ID;
		$dash_link['name'] = $pages[0]->post_title;
		$dash_link['url'] = get_permalink($pages[0]->ID);
    }else{
		$dash_link['id'] = get_option( 'page_on_front' );
		$dash_link['name'] = get_the_title(get_option( 'page_on_front' ));
        $dash_link['url'] = esc_url(home_url());		
    }  
    
    return $dash_link;
}
endif; // end   weddlist_get_couple_user_dashboard_link




///////////////////////////////////////////////////////////////////////////////////////////
// HTML weddlist item_address
///////////////////////////////////////////////////////////////////////////////////////////

function weddlist_item_address_html($item_address)
{
	$charlength = 42;
	$excerpt = $item_address;
	$charlength++;

	$final_address = '';
	
	if ( mb_strlen( $excerpt ) > $charlength ) {
		$subex = mb_substr( $excerpt, 0, $charlength - 5 );
		$exwords = explode( ' ', $subex );
		$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
		if ( $excut < 0 ) {
			$final_address = mb_substr( $subex, 0, $excut );
		} else {
			$final_address =$subex;
		}
		$final_address .='...';
	} else {
		$final_address = $item_address;
	}

	
	$html_address='';
	if(!empty($item_address))
	{
		if ( function_exists( 'kc_is_using' ) ) {
			$html_address = '<i class="fa fa-map-marker-alt" aria-hidden="true" title="'.$item_address.'"></i> '.esc_html($final_address);
		}
		else{
			$html_address = '<i class="fa fa-map-marker" aria-hidden="true" title="'.$item_address.'"></i> '.esc_html($final_address);
		}
	}
	return $html_address;
}

///////////////////////////////////////////////////////////////////////////////////////////
// HTML weddlist item_price marker
///////////////////////////////////////////////////////////////////////////////////////////

function weddlist_item_price_marker($item_price,$item_maxprice,$currency_code)
{
	if($item_maxprice)
	{
		$item_maxprice_html = ' - '.$currency_code.' '.$item_maxprice;
	}
	else{
		$item_maxprice_html = '';
	}
	
	if($item_price)
	{
		$item_price_marker = $currency_code.' '. $item_price.$item_maxprice_html;
	}
	else{
		$item_price_marker = '';
	}

	return $item_price_marker;	
}

// Wishlist HTML

function weddlist_wishlist_item_html($item_id)
{

	if (is_user_logged_in() ) {
		global $current_user;
		wp_get_current_user();
		$userid     = $current_user->ID;		
		$wistlist_exp=get_user_meta( $userid, 'user_wishlist',true) ;	
		$wistlist_arr=explode(",",$wistlist_exp);

		if(in_array($item_id,$wistlist_arr))
		{
				$wishlist_html='<div class="favorite-action" id="fav_'.$item_id.'"> <a class="fav-icon" href="javascript:void(0)" onclick=remove_wishlist('.$item_id.') title="'.esc_html__('Remove WishList','weddlist').'" ><i class="fa fa-close"></i></a> </div>';
		}
		else
		{
			$wishlist_html='<div class="favorite-action" id="fav_'.$item_id.'"> <a class="fav-icon" href="javascript:void(0)" onclick=add_wishlist('.$item_id.') title="'.esc_html__('Add To WishList','weddlist').'"><i class="fa fa-heart"></i></a> </div>';		
		}
	}
	else
	{		
		$wishlist_html='';
	}
	return $wishlist_html;
}

// Wishlist HTML

function weddlist_featured_item_html($item_id)
{
	$featured_item_html = '';
	$featured_item		= get_post_meta( $item_id, 'featured_item', true );
	
	if($featured_item=='on')
	{
		$featured_item_html = '<div class="tags tags-clr-one">'.esc_html__('Featured','weddlist').'</div>';	 
	}

	return $featured_item_html;
}


/* ============== tg_option ============ */
if ( ! function_exists( 'tg_option' ) ) {
    function tg_option( $id, $fallback = false, $key = false ) {
        global $weddlist;
        if ( $fallback == false ) {
            $fallback = '';
        }
        $output = ( isset( $weddlist[ $id ] ) && $weddlist[ $id ] !== '' ) ? $weddlist[ $id ] : $fallback;
        if ( ! empty( $weddlist[ $id ] ) && $key ) {
            $output = $weddlist[ $id ][ $key ];
        }

        return $output;
    }
}  


/* ============== weddlist_page_default_image_url ============ */
if ( ! function_exists( 'weddlist_page_default_image_url' ) ) {
    function weddlist_page_default_image_url( ) {
        global $weddlist;
        if(isset($weddlist['page_banner']))
        {
	        $header_img = $weddlist['page_banner']['url'];        	
        }
        else{
        	$header_img	= get_template_directory_uri().'/assets/images/banner.jpg';
        }
        return $header_img;
    }
}  


///////////////////////////////////////////////////////////////////////////////////////////
// Google Default marker icon
///////////////////////////////////////////////////////////////////////////////////////////

function weddlist_default_marker($cat_link_id)
{
	$default_marker = tg_option('default_marker',false, 'url');

	if(!empty($cat_link_id))
	{
		$t_id			= $cat_link_id;
		$term_meta 		= get_option( "itemcategory_$t_id" );
		
		if(!empty($term_meta['image'] ))
		{
			$marker_icon = esc_attr( $term_meta['image'] ) ? esc_attr( $term_meta['image'] ) : ''; 
		
		}
		elseif(isset($default_marker) && !empty($default_marker)){
			$marker_icon = $default_marker;
		}
		else{
			$marker_icon = get_template_directory_uri().'/assets/images/marker.png';
		}
	}
	else{
		if(isset($default_marker) && !empty($default_marker)){
			$marker_icon = $default_marker;
		}
		else{
			$marker_icon = get_template_directory_uri().'/assets/images/marker.png';
		}
	}
	return $marker_icon;
}


///////////////////////////////////////////////////////////////////////////////////////////
// Item Category Breadcumb Image
///////////////////////////////////////////////////////////////////////////////////////////

function weddlist_breadcumb_image_itemcategory($cat_link_id)
{

	if(!empty($cat_link_id))
	{
		$t_id			= $cat_link_id;
		$term_meta 		= get_option( "breadcumb_itemcategory_$t_id" );
		
		if(!empty($term_meta))
		{
			$marker_icon = esc_attr( $term_meta['image'] ) ? esc_attr( $term_meta['image'] ) : ''; 
		}
		else{
			$marker_icon = get_template_directory_uri().'/assets/images/banner.jpg';
		}
	}
	else{
			$marker_icon = get_template_directory_uri().'/assets/images/banner.jpg';
	}
	return $marker_icon;
}



///////////////////////////////////////////////////////////////////////////////////////////
// Location Breadcumb Image
///////////////////////////////////////////////////////////////////////////////////////////

function weddlist_breadcumb_image_location($location_id)
{

	if(!empty($location_id))
	{
		$t_id			= $location_id;
		$term_meta 		= get_option( "breadcumb_location_$t_id" );
		
		if(!empty($term_meta))
		{
			$marker_icon = esc_attr( $term_meta['image'] ) ? esc_attr( $term_meta['image'] ) : ''; 
		}
		else{
			$marker_icon = get_template_directory_uri().'/assets/images/banner.jpg';
		}
	}
	else{
			$marker_icon = get_template_directory_uri().'/assets/images/banner.jpg';
	}
	return $marker_icon;
}

///////////////////////////////////////////////////////////////////////////////////////////
//  weddlist get_avatar
///////////////////////////////////////////////////////////////////////////////////////////
	
if ( ! function_exists( 'weddlist_get_avatar_url' ) ) {
	
	function weddlist_get_avatar_url($author_id, $size){
		$get_avatar = get_avatar( $author_id, $size );
		preg_match("/src='(.*?)'/i", $get_avatar, $matches);
		return ( $matches[1] );
	}

}

///////////////////////////////////////////////////////////////////////////////////////////
//  weddlist vendor all review by couple
///////////////////////////////////////////////////////////////////////////////////////////
	
if ( ! function_exists( 'weddlist_vendor_all_reviews_by_couple' ) ) {
	
	function weddlist_vendor_all_reviews_by_couple(){

		global $current_user,$post;
		wp_get_current_user();

		$user_id 	= $current_user->ID;

		$result = array();
		
		$args = array(
			'post_type' => 'item',
			'author' => $user_id,
			'post_status' => 'publish',
			'posts_per_page' => -1
		);

		$query = new WP_Query( $args );
		
		if ( $query->have_posts() ) {
			while ( $query->have_posts() ) {
				$query->the_post();

				$review_idss	=	get_post_meta( get_the_ID(), 'reviews_ids',true) ;
				
				if( !empty($review_idss) ){
					if (strpos($review_idss, ",") !== false) {
						$review_ids = explode( ',', $review_idss );		
						$result = array_merge($result, $review_ids);
					}
					else{
						$result[] = $review_idss;
					}
					
				}
				
			}
		}
		return $result;	

	}

}



///////////////////////////////////////////////////////////////////////////////////////////
// Manage Listing link
///////////////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_map_items_listing') ):
function weddlist_map_items_listing(){

	$template_name='listing';
	
    $pages = get_pages(array(
            'meta_key' => '_wp_page_template',
            'meta_value' => 'page-template/'.$template_name.'.php'
        ));
		
    if( $pages ){
		$return_link['id'] = $pages[0]->ID;
		$return_link['name'] = $pages[0]->post_title;
		$return_link['url'] = get_permalink($pages[0]->ID);
    }else{
		$return_link['id'] = get_option( 'page_on_front' );
		$return_link['name'] = get_the_title(get_option( 'page_on_front' ));
        $return_link['url'] = esc_url(home_url());		
    } 
    
    return $return_link;
}
endif; // end   weddlist_map_items_listing



///////////////////////////////////////////////////////////////////////////////////////////
// Vendor Single link
///////////////////////////////////////////////////////////////////////////////////////////

if( !function_exists('weddlist_vendor_single') ):
function weddlist_vendor_single(){

    $pages = get_pages(array(
            'meta_key' => '_wp_page_template',
            'meta_value' => 'page-template/vendor-single.php'
        ));
		
    if( $pages ){
		$return_link['id'] = $pages[0]->ID;
		$return_link['name'] = $pages[0]->post_title;
		$return_link['url'] = get_permalink($pages[0]->ID);
    }else{
		$return_link['id'] = get_option( 'page_on_front' );
		$return_link['name'] = get_the_title(get_option( 'page_on_front' ));
        $return_link['url'] = esc_url(home_url());		
    } 
    
    return $return_link;
}
endif; // end   weddlist_map_items_listing




if( !function_exists('weddlist_related_items') ):
function weddlist_related_items($category_id,$post_id){
	
	global $wpdb,$post;
	$currency_code=tg_option('currency_symbols'); 
	$category_type_array = array(
		'taxonomy'  => 'itemcategory',
		'field'     => 'id',
		'terms'     => $category_id
	);				
			
	$args = array( 'post_type' => 'item', 
				'posts_per_page' => 2,
				'post_status'  => 'publish',
				'post__not_in' => array($post_id),
				'tax_query' => array('relation' => 'AND',$category_type_array),
				'orderby' => 'rand',
				'order'   => 'ASC',
				 );
				 
	$item = new WP_Query( $args );

	if ($item->have_posts()){	
	?>
    <div class="consider-item-block">
	    <h4 class="consider-heading"><?php esc_html_e('You May Consider These Items','weddlist'); ?></h4>
        <div class="row">
        <?php

		$col_class="col-md-6 col-sm-6";
		$item_style="default";


		$html='';
		$i=0;    
        while ( $item->have_posts() ) : $item->the_post();	
    
    	$post_id			= get_the_ID();


	    $html.=weddlist_item_listing_display_by_id($post_id,$col_class,$item_style,$i);
		$i++;
        endwhile; 		
        wp_reset_postdata(); 

        print $html;
        ?>
        </div>
    </div>
    <?php 
	}
	
}
endif; // end   weddlist_related_items

function weddlist_item_filter_location($location_id,$location_select_html_id=NULL)
{

	$location_on_off=tg_option('location_on_off'); 
	
	$item_location ='';
	
	$terms_location = get_terms( 'location', array('orderby'    => 'name','hide_empty' => 0	) );

	if ( $terms_location && ! is_wp_error( $terms_location ) ) { 



	if($location_select_html_id=='item')
	{
		$item_location = '<select name="item_location" id="item_location" class="form-control required">';
	}
	else if($location_select_html_id=='required'){
		$item_location='<select name="item_location" id="item_location" class="form-control basic-dropdown basic-select required">';
	}	
	else{
		$item_location = '<select name="location" id="location" class="form-control basic-dropdown basic-select">';
	}
	

	$item_location.='<option value="">'.esc_html__('Select Location','weddlist').'</option>';
	
	foreach( $terms_location as $term ) {
		if($location_on_off==true)
		{

			if( $term->parent == 0 ) {

				$selected_html1='';
		
				if(!empty($location_id))
				{
					if($term1->term_id==$location_id)
					{
						$selected_html1='selected';
					}
				}	


				$item_location .= '<optgroup label="' . $term->name . '">';
				foreach( $terms_location as $term1 ) {
	
					$selected_html='';
		
					if(!empty($location_id))
					{
						if($term1->term_id==$location_id)
						{
							$selected_html='selected';
						}
					}								
	
					if( $term1->parent == $term->term_id ) {
						$item_location.='<option class="l2" value="'.$term1->term_id.'" '.$selected_html.'>'.$term1->name.'</option>';
					}
				}
				$item_location .= '</optgroup>';
			}
		}
		else{
	
			$selected_html='';

			if(!empty($location_id))
			{
				if($term->term_id==$location_id)
				{
					$selected_html='selected';
				}
			}		
			
		// output the term name in a heading tag                								
		$item_location.='<option value="'.$term->term_id.'" '.$selected_html.'>'.$term->name.'</option>';

		}
	}
	$item_location.='</select>';
	}

	return $item_location;
}

function weddlist_item_filter_category($category_type_id,$category_select_html_id=NULL)
{
	$terms = get_terms( 'itemcategory', array('orderby'    => 'name', 'hide_empty' => 0 ) );

	$category_on_off=tg_option('category_on_off'); 

	if ( $terms && ! is_wp_error( $terms ) ) { 

	if($category_select_html_id=='item')
	{
		$item_cat='<select name="category_type" id="category_type" class="form-control required">';
	}
	else if($category_select_html_id=='required'){
		$item_cat='<select name="category_type" id="category_type" class="form-control basic-dropdown basic-select required">';
	}
	else{
		$item_cat='<select name="category_type" id="category_type" class="form-control basic-dropdown basic-select">';
	}
	
	$item_cat.='<option value="">'.esc_html__('Select Category','weddlist').'</option>';


	foreach( $terms as $term ) {
		if($category_on_off==true)
		{
			if( $term->parent == 0 ) {
				$item_cat .= '<optgroup label="' . $term->name . '">';
				foreach( $terms as $term1 ) {
	
					$selected_html='';
		
					if(!empty($category_type_id))
					{
						if($term1->term_id==$category_type_id)
						{
							$selected_html='selected';
						}
					}								
	
					if( $term1->parent == $term->term_id ) {
						$item_cat.='<option value="'.$term1->term_id.'" '.$selected_html.'>'.$term1->name.'</option>';
					}
				}
				$item_cat .= '</optgroup>';
			}
		}
		else{
	
			$selected_html='';

			if(!empty($category_type_id))
			{
				if($term->term_id==$category_type_id)
				{
					$selected_html='selected';
				}
			}		
			
		// output the term name in a heading tag                								
		$item_cat.='<option value="'.$term->term_id.'" '.$selected_html.'>'.$term->name.'</option>';

		}
	}
	$item_cat.='</select>';

	}
	return $item_cat;
}


if( !function_exists('weddlist_related_realwedding') ):
function weddlist_related_realwedding($post_id){
	
	global $wpdb,$post;
	$currency_code=tg_option('currency_symbols'); 
		
			
	$args = array( 'post_type' => 'realwedding', 
				'posts_per_page' => 3,
				'post_status'  => 'publish',
				'post__not_in' => array($post_id),
				'orderby' => 'rand',
				'order'   => 'ASC',
				 );
				 
	$item = new WP_Query( $args );

	if ($item->have_posts()){	
	?>
    <div class="mt40">
	    <h4 class="consider-heading"><?php esc_html_e('You May Also Like These','weddlist'); ?></h4>
        <div class="row">
        <?php

		$col_class="col-md-4 col-sm-6";
		$item_style="default";

		$html='';
		$i=0;    
        while ( $item->have_posts() ) : $item->the_post();	
    
    	$post_id			= get_the_ID();

	    $html.=weddlist_realwedding_display_by_id($post_id,$col_class,$item_style);
		$i++;
        endwhile; 		
        wp_reset_postdata(); 

        print $html;
        ?>
        </div>
    </div>
    <?php 
	}
	
}
endif; // end   weddlist_related_items
///////////////////////////////////////////////////////////////////////////////////////////
// XML Download functions
///////////////////////////////////////////////////////////////////////////////////////////
function xlsBOF() {
	echo pack("ssssss", 0x809, 0x8, 0x0, 0x10, 0x0, 0x0);
}
function xlsEOF() {
	echo pack("ss", 0x0A, 0x00);
}
function xlsWriteNumber($Row, $Col, $Value) {
	echo pack("sssss", 0x203, 14, $Row, $Col, 0x0);
	echo pack("d", $Value);
}
function xlsWriteLabel($Row, $Col, $Value) {
	$L = strlen($Value);
	echo pack("ssssss", 0x204, 8 + $L, $Row, $Col, 0x0, $L);
	echo ''.$Value;
}
function weddlist_feature_listing_update_all()
{
		$args = array( 'post_type' => 'item', 
					'posts_per_page'=>-1,
					'post_status'       => 'publish',
					'orderby' => 'menu_order ID',
					'order'   => 'DESC',
					 );
		$item = new WP_Query( $args );

		while ( $item->have_posts() ) : $item->the_post();

		$item_id			= get_the_ID();

		$featured_item		= get_post_meta( $item_id, 'featured_item', true );
		
		if(empty($featured_item))
		{			
			update_post_meta ( $item_id , 'featured_item', '1' );
			if (class_exists('Redux')) {
				Redux::setOption('weddlist','feature_listing_update', 'yes');
			}
		}	
			
		endwhile; 		
		wp_reset_postdata();		
}

// User Package History
if ( ! function_exists( 'weddlist_listing_user_current_package' ) )
{  
	function weddlist_listing_user_current_package($userID,$package_id)
	{
	
		if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && $package_id !="" )
		{
			$options_html = '';
			$yes = esc_html__('Yes','weddlist');
			$no = esc_html__('No','weddlist');

			$user_items=get_user_meta($userID,'user_items',true);
			$user_package_images=get_user_meta($userID,'user_package_images',true);

			$user_featured_listing=get_user_meta($userID,'user_featured_listing',true);
			$user_payment_expired_date=get_user_meta($userID,'user_payment_expired_date',true);
			$user_package_images=get_user_meta($userID,'user_package_images',true);
			$user_package_share=get_user_meta($userID,'user_package_share',true);
			$user_package_phone=get_user_meta($userID,'user_package_phone',true);

			$user_package_website=get_user_meta($userID,'user_package_website',true);
			$user_package_video=get_user_meta($userID,'user_package_video',true);
			$featured=get_user_meta($userID,'featured',true);


			if(!empty($user_items))
			{				
				$options_html .= '<li><i class="ti ti-layout-cta-left"></i> '.esc_html__('Regular Listing','weddlist').' : <span>'.esc_attr($user_items).'</span></li>';
			}

			if(!empty($user_featured_listing))
			{				
				$options_html .= '<li><i class="ti ti-tag"></i> '.esc_html__('Featured Listing','weddlist').' : <span>'.esc_attr($user_featured_listing).'</span></li>';
			}			

			if(!empty($user_package_video))
			{
				if($user_package_video == 'Yes')
				{
					$video_link = $yes;
				}
				else
				{
					$video_link = $no;
				}
				$options_html .= '<li><i class="ti ti-video-camera"></i> '.esc_html__('Video','weddlist').' : <span>'.esc_attr($video_link).'</span></li>';
			}

			if(!empty($user_package_phone))
			{

				if($user_package_phone == 'Yes')
				{
					$w_package_phone = $yes;
				}
				else
				{
					$w_package_phone = $no;
				}
				$options_html .= '<li><i class="ti ti-mobile"></i>'.esc_html__('Phone','weddlist').' : <span>'.esc_attr($w_package_phone).'</span></li>';
			}

			if(!empty($user_package_website))
			{
				if($user_package_website == 'Yes')
				{
					$w_link = $yes;
				}
				else
				{
					$w_link = $no;
				}
				$options_html .= '<li><i class="ti ti-link"></i>'.esc_html__('Website','weddlist').' : <span>'.esc_attr($w_link).'</span></li>';
			}			
			if(!empty($user_package_images))
			{
				$options_html .= '<li><i class="ti ti-image"></i> '.esc_html__('Listing Upload Images','weddlist').' : <span>'.esc_attr($user_package_images).'</span></li>';
			}
			if(!empty($user_package_share))
			{
				$options_html .= '<li><i class="ti ti-share"></i> '.esc_html__('Social Share','weddlist').' : <span>'.esc_attr($user_package_share).'</span></li>';
			}

			if(!empty($featured))
			{
				if($featured == 'Yes')
				{
					$featured_profile = $yes;
				}
				else
				{
					$featured_profile = $no;
				}
				$options_html .= '<li><i class="ti-user"></i> '.esc_html__('Home Featured Profile','weddlist').' : <span>'.esc_attr($featured_profile).'</span></li>';
			}
			return $options_html;
		}
	}
}


function weddlist_manange_item_display($item_id,$post_status)
{
	global $wp_rewrite;
	$listing= '';
	$currentURL = '';
	$perma = '';
	$dashQuery = 'dashboard=';
	$weddlist_get_vendor_user_dashboard_link = weddlist_get_vendor_user_dashboard_link();
	$currentURL = $weddlist_get_vendor_user_dashboard_link['url'];
	if ($wp_rewrite->permalink_structure == ''){
		$perma = "&";
	}else{
		$perma = "?";
	}

	$currency_code		= tg_option('currency_symbols');

    if(wp_get_attachment_url( get_post_thumbnail_id($item_id) ))
    {
        $feature_img='<a href="'.get_permalink($item_id).'" target="_blank">'.wp_get_attachment_image( get_post_thumbnail_id($item_id),'weddlist_medium_tumb',false ).'</a>';
    }
    else{
        $feature_img='';
    }
    
    $listing.= '
      <div class="weddlist_manage_each_item" id="manage_'.$item_id.'"><div class="managelistingbox"><div class="row"><div class="managelisting">
        <div class="col-md-2"><div class="vendor-img">'.$feature_img.'</div></div>
        <div class="col-md-7">
            <div class="title">'.get_the_title().'</div>
            <div class="address">'.get_post_meta($item_id, 'item_address', true).'</div>
            <div class="price">'.$currency_code.''.get_post_meta($item_id, 'item_price', true).'</div>
        </div>
        <div class="col-md-3">
            <div class="action-icons"><div class="table-editable-icon">';
    if($post_status=='pending')
    {
    	$listing.='<div class="alert alert-info">'.ucfirst($post_status).'</div>';	
    }
    else if($post_status=='expired')
    {
    	$listing.='<div class="alert alert-warning">'.ucfirst($post_status).'</div>';	
    }    
    else{
    $listing.= '<a href="'.get_permalink($item_id).'"  target="_blank" class="btn btn-grey"><i class="fa fa-link" aria-hidden="true"></i></a>';

    $listing.= '<a href="'.$currentURL.$perma.$dashQuery.'addlisting&item_edit='.$item_id.'"  class="btn btn-grey"><i class="fa fa-edit" aria-hidden="true"></i></a>';
    
    $listing.= '<a class="delete-on btn btn-grey" href="javascript:void();" title="'.get_the_title($item_id).'" id="'.$item_id.'"><i class="fa fa-trash-o" aria-hidden="true"></i></a>';

    }
    $listing.='</div></div></div>';

    $listing.= '</div></div></div></div>';	
    return $listing;

}

/* ==================How to make textarea to editor============= */
	
if( !function_exists('get_textarea_to_editor') ){
	function get_textarea_to_editor($editor_id, $editor_name, $pcontent){
		$content = $pcontent;
		$settings = array(

		'wpautop' => true,
					'textarea_name' => $editor_name,
		'textarea_rows' => 8,


		'media_buttons' => false,

					'tinymce' => array(
						'theme_advanced_buttons1' => '',
						'theme_advanced_buttons2' => false,
						'theme_advanced_buttons3' => false,
						'theme_advanced_buttons4' => false,
					),

		'quicktags' => false,

		);

		ob_start();
		wp_editor( $content, $editor_id, $settings );
		$output = ob_get_contents();
		ob_end_clean();
		ob_flush();
		return $output;

	}
}
if( !function_exists('weddlist_get_price_filter') ){
	function weddlist_get_price_filter($currency_code){
		$html='<div class="amount_box">'.esc_html($currency_code).'<span id="amount"></span></div>
                        <div id="price-range" class="pricing_range pricing_slider_disable"></div>
                        <input type="hidden" id="min_price" />
                        <input type="hidden" id="max_price" />
                        <input type="hidden" id="price_range_filter" value="0" />
			<span id="weddlist-price-slider" class="weddlist-price-slider" data-disable="'.esc_html__('Disable Price','weddlist').'" data-enable="'.esc_html__('Enable Price','weddlist').'">'.esc_html__('Enable Price','weddlist').'</span>';
        return $html;                	
	}
}

if( !function_exists('weddlist_get_radius_filter') ){
	function weddlist_get_radius_filter(){
		$html='<div class="radius_box"><span id="radius"></span>&nbsp;km</div>
                        <div id="radius-range" class="radius_range radius_slider_disable"></div>
                        <input type="hidden" id="radius_latitude" />
                        <input type="hidden" id="radius_longitude" />
                        <input type="hidden" id="radius_range_filter" value="0" />
                        <input type="hidden" id="radius_distance" value="100" />

			<span id="weddlist-radius-slider" class="weddlist-radius-slider" data-disable="'.esc_html__('Disable Radius Search','weddlist').'" data-enable="'.esc_html__('Enable Radius Search','weddlist').'">'.esc_html__('Enable Radius Search','weddlist').'</span>';
        return $html;                	
	}
}

if( !function_exists('weddlist_realwedding_filter_location') ){
	function weddlist_realwedding_filter_location($location_id)
	{
		$terms = get_terms( 'realweddinglocation', array('orderby'    => 'name', 'hide_empty' => 0 ) );

		$item_cat='';

		if ( $terms && ! is_wp_error( $terms ) ) { 

		$item_cat.='<select name="realwedding_location" id="realwedding_location" class="form-control basic-dropdown basic-select required">';	
		
		$item_cat.='<option value="">'.esc_html__('Select Location','weddlist').'</option>';

		foreach( $terms as $term ) {
		
				$selected_html='';

				if(!empty($location_id))
				{
					if($term->term_id==$location_id)
					{
						$selected_html='selected';
					}
				}		
				
			// output the term name in a heading tag                								
			$item_cat.='<option value="'.$term->term_id.'" '.$selected_html.'>'.$term->name.'</option>';
			
		}
		$item_cat.='</select>';

		}
		return $item_cat;
	}
}

if( !function_exists('weddlist_realwedding_filter_theme') ){

	function weddlist_realwedding_filter_theme($theme_id)
	{
		$terms = get_terms( 'realweddingtheme', array('orderby'    => 'name', 'hide_empty' => 0 ) );
		$item_cat='';

		if ( $terms && ! is_wp_error( $terms ) ) { 

		$item_cat.='<select name="realwedding_theme" id="realwedding_theme" class="form-control basic-dropdown basic-select required">';	
		
		$item_cat.='<option value="">'.esc_html__('Select Theme','weddlist').'</option>';

		foreach( $terms as $term ) {
		
				$selected_html='';

				if(!empty($theme_id))
				{
					if($term->term_id==$theme_id)
					{
						$selected_html='selected';
					}
				}		
				
			// output the term name in a heading tag                								
			$item_cat.='<option value="'.$term->term_id.'" '.$selected_html.'>'.$term->name.'</option>';
			
		}
		$item_cat.='</select>';

		}
		return $item_cat;
	}
}

if( !function_exists('weddlist_realwedding_filter_season') ){

	function weddlist_realwedding_filter_season($theme_id)
	{
		$terms = get_terms( 'realweddingseason', array('orderby'    => 'name', 'hide_empty' => 0 ) );

		$item_cat='';
		if ( $terms && ! is_wp_error( $terms ) ) { 

		$item_cat.='<select name="realwedding_season" id="realwedding_season" class="form-control basic-dropdown basic-select required">';	
		
		$item_cat.='<option value="">'.esc_html__('Select Season','weddlist').'</option>';

		foreach( $terms as $term ) {
		
				$selected_html='';

				if(!empty($theme_id))
				{
					if($term->term_id==$theme_id)
					{
						$selected_html='selected';
					}
				}		
				
			// output the term name in a heading tag                								
			$item_cat.='<option value="'.$term->term_id.'" '.$selected_html.'>'.$term->name.'</option>';
			
		}
		$item_cat.='</select>';

		}
		return $item_cat;
	}
}

if( !function_exists('weddlist_realwedding_filter_color') ){

	function weddlist_realwedding_filter_color($post_id)
	{


    $colors        =   get_the_terms($post_id, 'realweddingcolor'); 
    $colors_id =array();
      if(!empty($colors))
      {
        foreach ($colors as $each) {
          $colors_id[]    = $each->term_id;
        }
      }

		$terms = get_terms( 'realweddingcolor', array('orderby'    => 'name', 'hide_empty' => 0 ) );

		$item_cat='<div class="row">';

		if ( $terms && ! is_wp_error( $terms ) ) { 

		foreach( $terms as $term ) {
		
				$checked_html='';

				if(!empty($colors_id))
				{
					if(in_array($term->term_id, $colors_id))
					{
						$checked_html='checked';
					}
				}		
				
			$item_cat.='<div class="col-md-2"><div class="checkbox-dtl mb10"> 
                <input type="checkbox" '.$checked_html.' value="'.$term->term_id.'" id="color_'.$term->term_id.'" name="color[]"><label for="color_'.$term->term_id.'"></label><div class="checkbox-label ml30">'.$term->name.'</div>
            </div></div>';	

			
		}
		$item_cat.='</div>';

		}
		return $item_cat;
	}
}