<?php 
/*
*	Register extend component for King Composer
*/

add_action('init', 'weddlist_initfont');
function weddlist_initfont() {

	if( function_exists( 'kc_add_icon' ) ) {

		kc_add_icon( get_template_directory_uri().'/assets/css/flaticon.css' );

	}

}


if ( function_exists( 'kc_is_using' ) ) {


	//Add new maps for weddlist shortcodes
	if( !function_exists( 'weddlist_extend_kingcomposer' ) ) {

		add_action( 'init', 'weddlist_extend_kingcomposer' );
		function weddlist_extend_kingcomposer() {
	
			global $kc;
			$kc->add_map(
				array(
					'slider' => array(
						'name'        => __( 'Slider', 'weddlist' ),
						'description' => __( 'Display text and description', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'wrapper_class' => 'clearfix',						
						'icon'        => 'sl-picture',
						'params'      => array(
							array(
								'name'        => 'layout',
								'label'       => __( 'Content Alignment', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'layout1' => 'Left',
									'layout2' => 'Center',
								),
								'value'       => 'layout2',
								'description' => __( 'Please select Content Alignment', 'weddlist' ),
							),	
							array(
								'name'        => 'button',
								'label'       => __( 'Button', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'option_1' => 'Under Line',
									'option_2' => 'Default Button',
								),
								'value'       => 'option_1',
								'description' => __( 'Select Slider Button', 'weddlist' ),
							),	
													
						)
					)
				)
			);
			
			$kc->add_map(
				array(
					'sliderbox' => array(
						'name'        => __( 'Slider Box', 'weddlist' ),
						'description' => __( 'Display text and description', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'wrapper_class' => 'clearfix',						
						'icon'        => 'et-pictures',
						'params'      => array(
							array(
								'name' => 'title',
								'label' => __( 'Slider Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Slider  Title', 'weddlist' ),
							),
							array(
								'name'        => 'layout',
								'label'       => __( 'Slider Box Style', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'option_1' => 'Style 1',
									'option_2' => 'Style 2',
								),
								'value'       => 'option_1',
								'description' => __( 'Select Slider Box Style', 'weddlist' ),
							),														
						)
					)
				)
			);
			
			$kc->add_map(
				array(
					'heading' => array(
						'name'        => __( 'Heading', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-heading',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name'     => 'boxstyle',
								'label'    => __( 'Box Style', 'weddlist' ),
								'type'     => 'checkbox',
								'options' =>  array(    // REQUIRED
									'1' => 'Display Heading Center',
								),
								'value'       => '',
								'description' => __( 'Select Heading Align', 'weddlist' ),
							),
							array(
								'name' => 'title',
								'label' => __( 'Heading Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Heading  Title', 'weddlist' ),
							),
							array(
								'name' => 'subtitle',
								'label' => __( 'Heading Sub Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Heading Sub  Title', 'weddlist' ),
							),								
							array(
								'name' => 'titlecolor',
								'label' => __( 'Title Font Color', 'weddlist' ),
								'type' => 'color_picker',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Heading Title Font Color', 'weddlist' ),
							),	
							array(
								'name' => 'subtitlecolor',
								'label' => __( 'Sub Title Font Color', 'weddlist' ),
								'type' => 'color_picker',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Heading Sub Title Font Color', 'weddlist' ),
							),								
						),
						)
					)
				)
			);	

			$kc->add_map(
				array(
					'home-featured' => array(
						'name'        => __( 'Home Featured Item', 'weddlist' ),
						'description' => __( 'Display Home Featured', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-check-square',
						'css_box' => true,
						'params'      => array(								
							array(
							'name'        => 'order',
							'label'       => __( 'ASC OR DESC', 'weddlist' ),
							'type'        => 'radio',
							'options' =>  array(    // REQUIRED
								'option_1' => 'ASC',
								'option_2' => 'DESC',
							),
							'value'       => 'option_1',
							'description' => __( 'Select Display Order', 'weddlist' ),
							),																															
						),
					)
				)
			);		
		


			$terms = get_terms( 'itemcategory', array('orderby'    => 'name', 'hide_empty' => 0 ) );
			$category_list= array();
			if ( !empty( $terms ) && !is_wp_error( $terms ) ){

			$category_list['']  = esc_html__('All Categories','weddlist');

			
			foreach( $terms as $term ) {
				$category_list[$term->term_id]  = $term->name;			
				}
			}
			
			$location_terms = get_terms( 'location', array('orderby'    => 'name', 'hide_empty' => 0 ) );
			
			$location_list = array();
			
			if ( !empty( $location_terms ) && !is_wp_error( $location_terms ) ){
			
			$location_list['']  = esc_html__('All Locations','weddlist');
			foreach( $location_terms as $term ) {
				$location_list[$term->term_id]  = $term->name;
			
				}
			}



			$kc->add_map(
				array(
					'listing' => array(
						'name'        => __( 'Listing', 'weddlist' ),
						'description' => __( 'Listing with Category and Location', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-check-square',
						'css_box' => true,
						'params'      => array(								
							array(
								'name'     => 'searchbox',
								'label'    => __( 'Eable Search Box', 'weddlist' ),
								'type'     => 'checkbox',
								'options' =>  array(    // REQUIRED
									'1' => 'Check Eable Search Options',
								),
								'value'       => '',
								'description' => __( 'Select Searchbox', 'weddlist' ),
							),
							array(
							'name'        => 'category',
							'label'       => __( 'Select Category', 'weddlist' ),
							'type'        => 'select',
							'options' => $category_list,
							'value'       => '',
							'description' => __( 'Select Default Category', 'weddlist' ),
							),
							array(
							'name'        => 'location',
							'label'       => __( 'Select Location', 'weddlist' ),
							'type'        => 'select',
							'options' => $location_list,
							'value'       => '',
							'description' => __( 'Select Default Category', 'weddlist' ),
							),																															
						),
					)
				)
			);			

			$kc->add_map(
				array(
					'featured-vendor' => array(
						'name'        => __( 'Home Featured Vendor', 'weddlist' ),
						'description' => __( 'Display Home Featured Vendor', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-user',
						'css_box' => true,
						'params'      => array(								
							array(
							'name'        => 'order',
							'label'       => __( 'ASC OR DESC', 'weddlist' ),
							'type'        => 'radio',
							'options' =>  array(    // REQUIRED
								'option_1' => 'ASC',
								'option_2' => 'DESC',
							),
							'value'       => 'option_1',
							'description' => __( 'Select Display Order', 'weddlist' ),
							),																															
						),
					)
				)
			);										

			$kc->add_map(
				array(
					'iconbox' => array(
						'name'        => __( 'Icon Box', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-check',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
							  'name' => 'iconbox_layout',
							  'label' => 'Select Layout',
							  'type' => 'radio_image',  // USAGE TEXT TYPE
							  'options' => array(
								   'default' => get_template_directory_uri() . '/assets/images/kc-icon/iconbox/default.jpg',
								   'defaultcornor' => get_template_directory_uri() . '/assets/images/kc-icon/iconbox/default2.jpg',
								   'lefticon' => get_template_directory_uri() . '/assets/images/kc-icon/iconbox/lefticon.jpg',
								   'lefticonbox' => get_template_directory_uri() . '/assets/images/kc-icon/iconbox/lefticonbox.jpg',
								   'centericon' => get_template_directory_uri() . '/assets/images/kc-icon/iconbox/centericon.jpg',
								   'centerbox' => get_template_directory_uri() . '/assets/images/kc-icon/iconbox/centerbox.jpg',
							  ),
							  'value' => '_default_', // remove this if you do not need a default content
							  'description' => 'Please Select Layout Options',
							 ),									
							array(
								'name' => 'iconlist',
								'label' => __( 'Icon', 'weddlist' ),
								'type' => 'icon_picker',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Icon Box', 'weddlist' ),
							),
							array(
								'name' => 'title',
								'label' => __( 'Icon Box Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Plan Title', 'weddlist' ),
							),
							array(
								'name' => 'details',
								'label' => __( 'Icon Box Title', 'weddlist' ),
								'type' => 'textarea',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Icon Box Title', 'weddlist' ),
							),
							array(
								'name' => 'btntext',
								'label' => __( 'Button Text', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Plan Button Text', 'weddlist' ),
							),
							array(
								'name' => 'btnurl',
								'label' => __( 'Icon Box URL', 'weddlist' ),
								'type' => 'link',  // USAGE TEXT TYPE
								'value' => 'link|caption|target', // remove this if you do not need a default content
								'description' => __( 'Icon Box URL', 'weddlist' ),
							),																						
						),
						)
					)
				)
			);	

			$kc->add_map(
				array(
					'home-realwedding' => array(
						'name'        => __( 'Home Real Wedding', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-heart',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name'        => 'order',
								'label'       => __( 'ASC OR DESC', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'option_1' => 'ASC',
									'option_2' => 'DESC',
								),
								'value'       => 'option_1',
								'description' => __( 'Select Display Order', 'weddlist' ),
							),							
							array(
								'name' => 'btntext',
								'label' => __( 'Button Text', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'More Button Text', 'weddlist' ),
							),
							array(
								'name' => 'btnurl',
								'label' => __( 'More Button URL', 'weddlist' ),
								'type' => 'link',  // USAGE TEXT TYPE
								'value' => 'link|caption|target', // remove this if you do not need a default content
								'description' => __( 'More Button URL', 'weddlist' ),
							),																						
						),
						)
					)
				)
			);
			

			$kc->add_map(
				array(
					'all-realwedding' => array(
						'name'        => __( 'All Real Wedding', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-heart',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name'        => 'order',
								'label'       => __( 'ASC OR DESC', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'option_1' => 'ASC',
									'option_2' => 'DESC',
								),
								'value'       => 'option_1',
								'description' => __( 'Select Display Order', 'weddlist' ),
							),							
							array(
								'name' => 'perpage',
								'label' => __( 'Per Page Display Item', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Like 6,9,12', 'weddlist' ),
							),
																				
						),
						)
					)
				)
			);			


			$kc->add_map(
				array(
					'planinfo' => array(
						'name'        => __( 'Plan Info', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-list',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name' => 'image',
								'label' => __( 'Plan Image', 'weddlist' ),
								'type' => 'attach_image',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Plan Image', 'weddlist' ),
							),
							array(
								'name' => 'title',
								'label' => __( 'Plan Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Plan  Title', 'weddlist' ),
							),
							array(
								'name' => 'subtitle',
								'label' => __( 'Plan Sub Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Plan Sub  Title', 'weddlist' ),
							),
							array(
								'name' => 'planurl',
								'label' => __( 'Plan Redirect URL', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Plan Redirect URL', 'weddlist' ),
							),
						),
						)
					)
				)
			);	

			$kc->add_map(
				array(
					'location' => array(
						'name'        => __( 'Location', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-map-marker',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name' => 'image',
								'label' => __( 'Location Image', 'weddlist' ),
								'type' => 'attach_image',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Location Image', 'weddlist' ),
							),
							array(
								'name' => 'title',
								'label' => __( 'Location Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Location  Title', 'weddlist' ),
							),
							array(
								'name' => 'details',
								'label' => __( 'Location Details', 'weddlist' ),
								'type' => 'textarea',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Location Details', 'weddlist' ),
							),
							array(
								'name' => 'location_url',
								'label' => __( 'Location URL', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Location URL', 'weddlist' ),
							),
							array(
								'name' => 'items_counter',
								'label' => __( 'Location Listing Counter', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Location Listing Counter', 'weddlist' ),
							),
						),
						)
					)
				)
			);	

			$kc->add_map(
				array(
					'category' => array(
						'name'        => __( 'Category', 'weddlist' ),
						'description' => __( 'Display heading', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-folder-open',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name' => 'image',
								'label' => __( 'Category Image', 'weddlist' ),
								'type' => 'attach_image',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Category Image', 'weddlist' ),
							),
							array(
								'name' => 'title',
								'label' => __( 'Category Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Category  Title', 'weddlist' ),
							),
							array(
								'name' => 'itemcount',
								'label' => __( 'Category Item Counter', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Category Counter', 'weddlist' ),
							),
							array(
								'name' => 'caturl',
								'label' => __( 'Category Button URL', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Category Button URL', 'weddlist' ),
							),																						
						),
						)
					)
				)
			);	


			$kc->add_map(
				array(
				'testimonials' => array(
				'name' => __('Testimonials', 'weddlist'),
				'description' => __('Display Testimonials', 'weddlist'),
				'icon'        => 'et-documents',
				'category'    => __( 'Weddlist', 'weddlist' ),
				'params' => array( 
					array(
					  'name' => 'testimonial_layout',
					  'label' => 'Select Layout',
					  'type' => 'radio_image',  // USAGE TEXT TYPE
					  'options' => array(
						   'double' => get_template_directory_uri() . '/assets/images/kc-icon/testimonial/1.jpg',
						   'single' => get_template_directory_uri() . '/assets/images/kc-icon/testimonial/2.jpg',
					  ),
					  'value' => '_default_', // remove this if you do not need a default content
					  'description' => 'Please Select Layout Options',
					 ),									
					array(
						'type'			=> 'group',
						'label'			=> __('Options', 'weddlist'),
						'name'			=> 'options',
						'description'	=> __( 'Repeat this fields with each item created, Each item for testimonials.', 'weddlist' ),
						'options'		=> array('add_text' => __('Add Couple Image', 'weddlist')),
						'value' => json_encode(array(
							"1" => array(
								"title" => "Couple Name",
								"image" => "",
								"details" => "",
								"marrieddate" => "",
							),
						) ),
						'params' => array(
							array(
								'name' => 'title',
								'label' => __( 'Couple Name', 'weddlist' ),
								'type' => 'text',
								'description' => __( 'Couple Name', 'weddlist' ),
								'admin_label' => true,
							),
							array(
								'name' => 'image',
								'label' => __( 'Couple Image', 'weddlist' ),
								'type' => 'attach_image',
								'description' => __( 'Display Couple Image', 'weddlist' ),
								'admin_label' => true,
							),
							array(
								'name' => 'details',
								'label' => __( 'Couple Testimonials', 'weddlist' ),
								'type' => 'textarea',
								'description' => __( 'Couple Testimonials', 'weddlist' ),
								'admin_label' => true,
							),
							array(
								'name' => 'marrieddate',
								'label' => __( 'Married Date', 'weddlist' ),
								'type' => 'date_picker',
								'description' => __( 'Couple Married Date', 'weddlist' ),
								'admin_label' => true,
							),
						),
					),
					array(
						'type'			=> 'text',
						'label'			=> __( 'Wrapper class name', 'weddlist' ),
						'name'			=> 'wrap_class',
						'description'	=> __( 'Custom class for wrapper of shortcode widget', 'weddlist' ),
					)
				) 
			)));

			$kc->add_map(
				array(
				'imggallery' => array(
				'name' => __('General Gallery', 'weddlist'),
				'description' => __('Display General Gallery', 'weddlist'),
				'icon'        => 'fa-image',
				'category'    => __( 'Weddlist', 'weddlist' ),
				'params' => array( 
							array(
							'name'        => 'col',
							'label'       => __( 'Grid Column', 'weddlist' ),
							'type'        => 'radio',
							'options' =>  array(    // REQUIRED
								'4' => '4 Columns',
								'3' => '3 Columns',
							),
							'value'       => '3',
							'description' => __( 'You can select Column', 'weddlist' ),
							),	
						array(
							'type'			=> 'group',
							'label'			=> __('Options', 'weddlist'),
							'name'			=> 'options',
							'description'	=> __( 'Repeat this fields with each item created, Each item corresponding gallery.', 'weddlist' ),
							'options'		=> array('add_text' => __('Add Couple Image', 'weddlist')),
							'params' => array(
								array(
									'name' => 'title',
									'label' => __( 'Couple Name', 'weddlist' ),
									'type' => 'text',
									'description' => __( 'Couple Name', 'weddlist' ),
									'admin_label' => true,
								),
								array(
									'name' => 'image',
									'label' => __( 'Display Image', 'weddlist' ),
									'type' => 'attach_image',
									'description' => __( 'Display Image', 'weddlist' ),
									'admin_label' => true,
								),
								array(
									'name' => 'popupimage',
									'label' => __( 'Popup Display Image', 'weddlist' ),
									'type' => 'attach_image',
									'description' => __( 'Popup Display Image', 'weddlist' ),
									'admin_label' => true,
								),
	
							),
						),
						array(
							'type'			=> 'text',
							'label'			=> __( 'Wrapper class name', 'weddlist' ),
							'name'			=> 'wrap_class',
							'description'	=> __( 'Custom class for wrapper of shortcode widget', 'weddlist' ),
						)
					) 
				)));


			$kc->add_map(
				array(
				'owlgallery' => array(
				'name' => __('Couple Gallery', 'weddlist'),
				'description' => __('Display Couple Gallery', 'weddlist'),
				'icon'        => 'fa-image',
				'category'    => __( 'Weddlist', 'weddlist' ),
				'params' => array( 
					array(
						'type'			=> 'group',
						'label'			=> __('Options', 'weddlist'),
						'name'			=> 'options',
						'description'	=> __( 'Repeat this fields with each item created, Each item couple gallery.', 'weddlist' ),
						'options'		=> array('add_text' => __('Add Couple Image', 'weddlist')),
						'value' => json_encode(array(
							"1" => array(
								"title" => "Add Title",
								"image" => "",
								"popupimage" => ""
								
							),
						) ),
						'params' => array(
							array(
								'name' => 'title',
								'label' => __( 'Couple Name', 'weddlist' ),
								'type' => 'text',
								'description' => __( 'Couple Name', 'weddlist' ),
								'admin_label' => true,
							),
							array(
								'name' => 'image',
								'label' => __( 'Display Image', 'weddlist' ),
								'type' => 'attach_image',
								'description' => __( 'Display Image', 'weddlist' ),
								'admin_label' => true,
							),
							array(
								'name' => 'popupimage',
								'label' => __( 'Popup Display Image', 'weddlist' ),
								'type' => 'attach_image',
								'description' => __( 'Popup Display Image', 'weddlist' ),
								'admin_label' => true,
							),

						),
					),
					array(
						'type'			=> 'text',
						'label'			=> __( 'Wrapper class name', 'weddlist' ),
						'name'			=> 'wrap_class',
						'description'	=> __( 'Custom class for wrapper of shortcode widget', 'weddlist' ),
					)
				) 
			)));

			$kc->add_map(
				array(
					'btn' => array(
						'name'        => __( 'Button', 'weddlist' ),
						'description' => __( 'Display Button', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'fa-edit',
						'is_container' => false,
						'params'      =>  array(
						array(
							  'name' => '_btn_layout_',
							  'label' => 'Select Button Layout',
							  'type' => 'radio_image',  // USAGE TEXT TYPE
							  'options' => array(
							   '_default_' => get_template_directory_uri() . '/assets/images/kc-icon/btn/1.jpg',
							   '_primary_' => get_template_directory_uri() . '/assets/images/kc-icon/btn/2.jpg',
							  ),
							  'value' => '_default_', // remove this if you do not need a default content
							  'description' => 'Please Select Button Layout Options',
							 ),
							array(
								'name'     => 'boxstyle',
								'label'    => __( 'Box Style', 'weddlist' ),
								'type'     => 'checkbox',
								'options' =>  array(    // REQUIRED
									'1' => 'Display Heading Center',
								),
								'value'       => '',
								'description' => __( 'Select Heading Align', 'weddlist' ),
							),					 
							array(
								'name' => 'btn_txt',
								'label' => __( 'Button Text', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Add text that display on button', 'weddlist' ),							  									
							),
							array(
								'name' => 'btn_id',
								'label' => __( 'Button ID', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Add id that for button call', 'weddlist' ),						
							),	
							array(
								'name' => 'btnurl',
								'label' => __( 'Button URL', 'weddlist' ),
								'type' => 'link',
								'value' => 'link|caption|target',
								'description' => __( 'Add URL with http', 'weddlist' ),
							),
						
							array(
								'name' => 'btn_class',
								'label' => __( 'Button Extra Class', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Add Button Extra Class Here', 'weddlist' ),						
							),															
						)
					)
				)
			);					

			$kc->add_map(
				array(
					'blog' => array(
						'name'        => __( 'Blog', 'weddlist' ),
						'description' => __( 'Display text and description', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'et-browser',
						'is_container' => false,
						'params'      => array(								
							array(
							'name'        => 'order',
							'label'       => __( 'ASC OR DESC', 'weddlist' ),
							'type'        => 'radio',
							'options' =>  array(    // REQUIRED
								'option_1' => 'ASC',
								'option_2' => 'DESC',
							),
							'value'       => 'option_1',
							'description' => __( 'Select Display Order', 'weddlist' ),
							),																															
						)
					)
				)
			);	

			$kc->add_map(
				array(
				'faq' => array(
				'name' => __('FAQs', 'weddlist'),
				'description' => __('Display Answer and Question', 'weddlist'),
				'icon'        => 'et-documents',
				'category'    => __( 'Weddlist', 'weddlist' ),
				'params' => array( 
					array(
						'name' => 'faqcategory',
						'label' => __( 'FAQ Category', 'weddlist' ),
						'type' => 'text',  // USAGE TEXT TYPE
						'value' => '', // remove this if you do not need a default content
						'description' => __( 'FAQ section', 'weddlist' ),
					),
					array(
						'type'			=> 'group',
						'label'			=> __('Options', 'weddlist'),
						'name'			=> 'options',
						'description'	=> __( 'Repeat this fields with each item created, Each item corresponding FAQ element.', 'weddlist' ),
						'options'		=> array('add_text' => __('Add FAQs', 'weddlist')),
						'value' => json_encode(array(
							"1" => array(
								"question" => "Add Question",
								"textarea" => "Add Answer"
							),
						) ),
						'params' => array(
							array(
								'type' => 'textarea',
								'label' => __( 'Question', 'weddlist' ),
								'name' => 'question',
								'description' => __( 'Enter Question.', 'weddlist' ),
								'admin_label' => true,
							),
							array(
								'type' => 'textarea',
								'label' => __( 'Answer', 'weddlist' ),
								'name' => 'answer',
								'description' => __( 'Enter Answer.', 'weddlist' ),
								'admin_label' => true,
							),
						),
					),
					array(
						'type'			=> 'text',
						'label'			=> __( 'Wrapper class name', 'weddlist' ),
						'name'			=> 'wrap_class',
						'description'	=> __( 'Custom class for wrapper of shortcode widget', 'weddlist' ),
					)
				) 
			)));

			$kc->add_map(
				array(
					'userlogin' => array(
						'name'        => __( 'User Login/Register', 'weddlist' ),
						'description' => __( 'Display User Login', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'wrapper_class' => 'clearfix',						
						'icon'        => 'fa-user',
						'params'      => array(
							array(
								'name' => 'title',
								'label' => __( 'Heading Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Enter Heading Title', 'weddlist' ),
							),
							array(
								'name'        => 'layout',
								'label'       => __( 'User Login/Register Section', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'option_1' => 'User Login',
									'option_2' => 'Couple Register',
									'option_3' => 'Vendor Register',
								),
								'value'       => 'option_1',
								'description' => __( 'Select User Section', 'weddlist' ),
							),								
						)
					)
				)
			);	


			$kc->add_map(
				array(
					'iconboxcounter' => array(
						'name'        => __( 'Number Count', 'weddlist' ),
						'description' => __( 'Display text and description', 'weddlist' ),
						'category'    => __( 'Weddlist', 'weddlist' ),
						'icon'        => 'et-speedometer',
						'css_box' => true,
						'params'      => array(
						'general' => array(
							array(
								'name' => 'title',
								'label' => __( 'Title', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Number Count section', 'weddlist' ),
							),
							array(
								'name' => 'countnumber',
								'label' => __( 'Counter Total Number(Integer Value)', 'weddlist' ),
								'type' => 'text',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Enter Only Number', 'weddlist' ),
							),								
							array(
								'name' => 'fontclass',
								'label' => __( 'Fontawsome Icon Class', 'weddlist' ),
								'type' => 'icon_picker',  // USAGE TEXT TYPE
								'value' => '', // remove this if you do not need a default content
								'description' => __( 'Fontawsome Icon', 'weddlist' ),
							),
							array(
								'name'        => 'boxstyle',
								'label'       => __( 'Box Style', 'weddlist' ),
								'type'        => 'radio',
								'options' =>  array(    // REQUIRED
									'option_1' => 'Circle',
									'option_2' => 'Square',
								),
								'value'       => 'option_1',
								'description' => __( 'Select Box Style', 'weddlist' ),
							),
						),
						)
					)
				)
			);	
			
		}
	}
}
?>