<?php
function weddlist_merlin_local_import_files() {

	return array(
		array(
			'import_file_name'         => esc_html__( 'Main Demo','weddlist' ),
			'import_preview_url'       => 'http://thegenius.co/wp/weddlist/live/',
			// XML data
			'local_import_file'        => get_parent_theme_file_path( 'inc/merlin/demodata/demo.xml' ),
			// Widget data
			'local_import_widget_file' => get_parent_theme_file_path( 'inc/merlin/demodata/widgets.wie' ),
			'import_redux'             => array(
				array(
					'file_url'    => get_parent_theme_file_path( 'inc/merlin/demodata/theme-options.json' ),
					'option_name' => 'weddlist',
				),
			),			
			'local_import_customizer_file' => get_parent_theme_file_path( 'inc/merlin/demodata/customizer.dat' ),
		),
	);


}
add_filter( 'merlin_import_files', 'weddlist_merlin_local_import_files' );
function weddlist_merlin_after_import_setup() {
	global $wp_filesystem;

	// Assign menus to their locations.
	$main_menu 	= get_term_by('name', 'Main-Menu', 'nav_menu');
	$top_menu 	= get_term_by('name', 'topbar-menu', 'nav_menu');
	
	set_theme_mod( 'nav_menu_locations' , array( 
		  'primary' 	=> $main_menu->term_id, 
		  'topbar' 		=> $top_menu->term_id 
		 ) 
	);		

	// Assign front page and posts page (blog page).
	$front_page_id 	= get_page_by_title( 'Home 1' );
	$blog_page_id  	= get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );


	//Import Revolution Slider
  if ( class_exists( 'RevSlider' ) ) {

		$absolute_path = __FILE__;
		$path_to_file = explode( 'wp-content', $absolute_path );
		$path_to_wp = $path_to_file[0];
		
		require_once( $path_to_wp.'/wp-admin/includes/file.php');	
	
		$rev_files = array(
			get_parent_theme_file_path('inc/merlin/demodata/home.zip')
		);
	
		$slider = new RevSlider();
	
		foreach( $rev_files as $rev_file ) { 
	
			// finally import rev slider data files
			$filepath = $rev_file;
			ob_start();
				$slider->importSliderFromPost(true, false, $filepath);
			ob_clean();
			ob_end_clean();
		}
	}
	
	if ( did_action( 'elementor/loaded' ) ) {
		// update some default elementor global settings after setup theme
		update_option( 'elementor_active_kit', '21' );
		update_option( 'elementor_disable_color_schemes', 'yes' );
		update_option( 'elementor_disable_typography_schemes', 'yes' );
		update_option( 'elementor_global_image_lightbox', 'yes' );
	}
}
add_action( 'merlin_after_all_import', 'weddlist_merlin_after_import_setup' );