<?php 

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Email Settings', 'weddlist' ),
        'id'               => 'email-setting',
        'customizer_width' => '400px',
        'icon'             => 'el el-envelope',
        'fields'     => array(
          array(
            'id'       => 'weddlist_email_enable',
            'type'     => 'switch',
            'title'    => esc_html__( 'From Change Email & Name', 'weddlist' ),
            'desc' => esc_html__( 'On/Off To change from name and email to send all emails.', 'weddlist' )
        ),
        array(
            'id'    =>  'weddlist_general_email_address',
            'type'  =>  'text',
            'title' =>  esc_html__('Change Sender Email address', 'weddlist'),
             'desc' => esc_html__( 'Enter email address that send all emails from email.', 'weddlist' ),
            'default'   =>  get_option('admin_email')
        ),  
            array(
            'id'    =>  'weddlist_general_from_name',
            'type'  =>  'text',
            'title' =>  esc_html__('Change Sender Form Name', 'weddlist'),
            'desc' => esc_html__('Enter name that send all emails from this name.', 'weddlist'),
            'default'   =>  get_option('blogname')
        ),                
        array(
            'id' => 'general-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Register User</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Email Template like %%website_name as Website Name, %%website_url as Website URL, %%user_email as User Email, %%user_login as User Login, %%user_name as User Name, %%user_type as User Type', 'weddlist')
        ),
        array(
            'id' => 'weddlist_subject_new_user_register',
            'type' => 'text',
            'title' => esc_html__('Subject for User Register Notification', 'weddlist'),
            'desc' => esc_html__('Email subject for new user Register', 'weddlist'),
            'default' => esc_html__('Welcome to our', 'weddlist').' '.get_option('blogname'),
        ),
         array(
            'id' => 'weddlist_content_new_user_register',
            'type' => 'editor',
            'title' => esc_html__('Content for User Register Notification', 'weddlist'),
            'desc' => esc_html__('Email subject for new user Register', 'weddlist'),
            'default' => 'Hi there,<br><br>
Welcome to '.get_option('blogname').' You can use website to find your wedding services.<br><br>
     
Username:%%user_login<br>
User Email: %%user_email<br>
User Type: %%user_type<br>
If you have any problems, please contact me at '.get_option('admin_email').'.<br><br>

%%website_url<br>
Thank You.',

        ),   
        array(
                'id' => 'weddlist_subject_admin_new_user_register',
                'type' => 'text',
                'title' => esc_html__('Subject for User Register To Admin Notification', 'weddlist'),
                'desc' => esc_html__('Email subject for new user to admin notification', 'weddlist'),
                'default' => esc_html__('New User Registration', 'weddlist').' '.get_option('blogname'),
            ),
            array(
                'id' => 'weddlist_content_admin_new_user_register',
                'type' => 'editor',
                'title' => esc_html__('Content for User Register To Admin Notification', 'weddlist'),
                'desc' => esc_html__('Email content for new user admin register notification', 'weddlist'),
                'default' => 'New user register on %%website_url.<br>
Username: %%user_login<br>
User Type: %%user_type<br>
E-mail: %%user_email',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),            
        array(
            'id' => 'forgot-password-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Forgot Password</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Forgot Password Template like %%website_name as Website Name, %%website_url as Website URL, %%user_email as User Email,%%user_login as User Login, %%user_newpassword as User New Password,%%request_password_url as Request Password URL', 'weddlist')
        ),
        array(
                'id' => 'weddlist_subject_user_request_forgot_password',
                'type' => 'text',
                'title' => esc_html__('Subject for Forgot Password Request', 'weddlist'),
                'desc' => esc_html__('Email subject for user Forgot Password Request', 'weddlist'),
                'default' => esc_html__('Password Reset Request for', 'weddlist').' '.get_option('blogname'),
            ),
            array(
                'id' => 'weddlist_content_user_request_forgot_password',
                'type' => 'editor',
                'title' => esc_html__('Content for Forgot Password Request', 'weddlist'),
                'desc' => esc_html__('Email content for user Forgot Password Request', 'weddlist'),
                'default' => 'Someone requested that password be reset for the following account.<br><br>
Username: %%user_login<br>
If this was a mistake, just ignore this email and nothing will happen.<br><br>
To reset your password, visit the following address : %%request_password_url<br><br>
Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),  
        array(
                'id' => 'weddlist_subject_user_forgot_password',
                'type' => 'text',
                'title' => esc_html__('Subject for Forgot New Password', 'weddlist'),
                'desc' => esc_html__('Email subject for user Forgot Password notification', 'weddlist'),
                'default' => esc_html__('Your password was reset for', 'weddlist').' '.get_option('blogname'),
            ),
            array(
                'id' => 'weddlist_content_user_forgot_password',
                'type' => 'editor',
                'title' => esc_html__('Content for Forgot New Password', 'weddlist'),
                'desc' => esc_html__('Email content for user Forgot Password notification', 'weddlist'),
                'default' => 'Your new password for the account at %%website_name.<br><br>
Username: %%user_login<br>
Password: %%user_newpassword<br><br>
You can now login with your new password at %%website_url<br><br>
Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),  
        array(
            'id' => 'vendor-inquery-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Lising Enquiry/Contact Vendor</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Lising Enquiry Template like %%website_name as Website Name, %%website_url as Website URL, %%listing_name as Listing Title,%%listing_url as Listing URL, %%vendor_email as Vendor Inquery Send Email,%%client_name as Client Name,%%client_email as Client Email,%%client_phone as Client Phone,%%client_wedding_date as Client Wedding Date,%%client_contact as Client How To Contact,%%client_message as Client Message', 'weddlist')
        ),
          array(
            'id'       => 'weddlist_listing_vendor_enquiry_admin_copy_enable',
            'type'     => 'switch',
            'title'    => esc_html__( 'Admin Get Email Copy of Vendor Email', 'weddlist' ),
            'desc' => esc_html__( 'On/Off To change admin can get vendoor listing enquiry copy.', 'weddlist' )
        ),        
        array(
                'id' => 'weddlist_subject_listing_vendor_enquiry',
                'type' => 'text',
                'title' => esc_html__('Subject for Listing Vendor Enquiry', 'weddlist'),
                'desc' => esc_html__('Email subject for Listing Vendor Enquiry', 'weddlist'),
                'default' => esc_html__('Enquiry for %%listing_name Listing', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_vendor_enquiry',
                'type' => 'editor',
                'title' => esc_html__('Content for Listing Vendor Enquiry', 'weddlist'),
                'desc' => esc_html__('Email content for Listing Vendor Enquiry', 'weddlist'),
                'default' => 'Hello,<br><br>

Someone requested you for Enquiry as below.<br><br>
Name: %%client_name<br>
Email: %%client_email<br>
Phone: %%client_phone<br>
Wedding Date: %%client_wedding_date<br>
How to Contact: %%client_contact<br>
Selected Title: %%listing_name<br>
Message: %%client_message<br>
Message sent from: %%listing_url<br><br>

Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ), 
        array(
            'id' => 'listing-claim-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Lising Claim Vendor</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Lising Claim Template like %%website_name as Website Name, %%website_url as Website URL, %%listing_name as Listing Title,%%listing_url as Listing URL,%%claim_by as Who Claim,%%claim_email as Claim Email,%%claim_title as Claim Title,%%claim_url as Claim URL,%%claim_name as Claim Name,%%claim_phone as Claim Phone,%%claim_details as Claim Details,%%claim_status as Claim Status,%%claim_date as Claim Date', 'weddlist')
        ),     
        array(
                'id' => 'weddlist_subject_listing_claim_admin',
                'type' => 'text',
                'title' => esc_html__('Subject for Listing Claim', 'weddlist'),
                'desc' => esc_html__('Email subject for Listing Claim', 'weddlist'),
                'default' => esc_html__('Claim for %%listing_name Listing', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_claim_admin',
                'type' => 'editor',
                'title' => esc_html__('Content for Listing Claim', 'weddlist'),
                'desc' => esc_html__('Email content for Listing Claim', 'weddlist'),
                'default' => 'Claim Details Notification as below.<br><br>
Claim_by: %%claim_by<br>
Email: %%claim_email<br>
Claim Title: %%claim_title<br>
Claim URL: %%claim_url<br>
Claim Name: %%claim_name<br>
Claim Phone: %%claim_phone<br>
Claim Status: %%claim_status<br>
Claim Date: %%claim_date<br><br>
Claim Details: %%claim_details<br>

Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ), 
        array(
                'id' => 'weddlist_subject_listing_claim_admin_approve',
                'type' => 'text',
                'title' => esc_html__('Subject for Listing Claim Admin Approve', 'weddlist'),
                'desc' => esc_html__('Email subject for Listing Claim Admin Approve', 'weddlist'),
                'default' => esc_html__('Claim for %%listing_name Listing %%claim_status', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_claim_admin_approve',
                'type' => 'editor',
                'title' => esc_html__('Content for Listing Listing Claim Admin Approve', 'weddlist'),
                'desc' => esc_html__('Email content for Listing Claim Admin Approve', 'weddlist'),
                'default' => 'Claim Details Notification as below.<br><br>
Claim_by: %%claim_by<br>
Email: %%claim_email<br>
Claim Title: %%claim_title<br>
Claim URL: %%claim_url<br>
Claim Status: %%claim_status<br><br>

Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),             
        array(
            'id' => 'listing-payment-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Lising Package Payment</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Lising Claim Template like %%website_name as Website Name, %%website_url as Website URL, %%user_name as User Name,%%user_email as User Email,%%payment_email as Payment Email,%%package_name as Package Name,%%package_price as Package Price,%%package_listing as How many Listing can add/edit,%%payment_status as Payment Status,%%admin_email as Admin Email', 'weddlist')
        ),     
        array(
                'id' => 'weddlist_subject_listing_package_payment',
                'type' => 'text',
                'title' => esc_html__('Subject for Listing Package Payment', 'weddlist'),
                'desc' => esc_html__('Email subject for Listing Package Payment', 'weddlist'),
                'default' => esc_html__('Payment Notification form %%website_name', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_package_payment',
                'type' => 'editor',
                'title' => esc_html__('Content for Listing Package Payment', 'weddlist'),
                'desc' => esc_html__('Email content for Listing Package Payment', 'weddlist'),
                'default' => 'Hello<br><br>
Welcome to %%website_name! <br>Thanks for your payment and your payment plan information as below:<br><br>

Username: %%user_name<br>
Email: %%user_email<br>
Payer Email: %%payment_email<br>
Package Name: %%package_name<br>
Package Price: %%package_price<br>
Package Listing: %%package_listing<br>
Payment Status: %%payment_status<br><br>

If you have any problems, please contact us at %%admin_email<br>
Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),             

        array(
            'id' => 'listing-review-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Lising Review</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Lising Review Template like %%website_name as Website Name, %%website_url as Website URL, %%user_name as User Name,%%user_email as User Email,%%review_listing_name as Listing Review Name,%%review_rating as Listing Review Rating,%%review_title as Listing Review Title,%%review_description as Listing Review Description,%%review_message as Listing Review Message,%%review_url as Listing Review URL,%%review_reply as Vendor Reply', 'weddlist')
        ),     
        array(
                'id' => 'weddlist_subject_listing_review',
                'type' => 'text',
                'title' => esc_html__('Subject for Listing Review', 'weddlist'),
                'desc' => esc_html__('Email subject for Listing Review', 'weddlist'),
                'default' => esc_html__('Couple added review on listing %%review_listing_name', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_review',
                'type' => 'editor',
                'title' => esc_html__('Content for Listing Review', 'weddlist'),
                'desc' => esc_html__('Email content for Listing Review', 'weddlist'),
                'default' => 'Hello,<br><br>
Couple added review on listing  %%review_listing_name<br><br>

Username: %%user_name<br>
Email: %%user_email<br>
Review Title: %%review_title<br>
Review Description: %%review_description<br>
Review Listing URL: %%review_url<br>

Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ), 
        array(
                'id' => 'weddlist_subject_listing_review_vendor_reply',
                'type' => 'text',
                'title' => esc_html__('Subject for Listing Review Vendor Reply', 'weddlist'),
                'desc' => esc_html__('Email subject for Listing Review Vendor Reply', 'weddlist'),
                'default' => esc_html__('Vendor reply on your review %%review_listing_name', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_review_vendor_reply',
                'type' => 'editor',
                'title' => esc_html__('Content for Listing Review Vendor Reply', 'weddlist'),
                'desc' => esc_html__('Email content for Listing Review Vendor Reply', 'weddlist'),
                'default' => 'Hello,<br><br>

Vendor Response: %%review_reply<br>

Listing URL: %%review_url<br><br>

Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),               
         array(
            'id' => 'listing-admin-approve-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Admin Lising Approve</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Admin Lising Approve Template like %%website_name as Website Name, %%website_url as Website URL, %%user_name as User Name,%%user_email as User Email,%%listing_name as Listing Name,%%listing_admin_url as Wp-admin URL', 'weddlist')
        ),     
        array(
                'id' => 'weddlist_subject_admin_listing_approve',
                'type' => 'text',
                'title' => esc_html__('Subject for Lising Approve Template', 'weddlist'),
                'desc' => esc_html__('Email subject for Lising Approve Template', 'weddlist'),
                'default' => esc_html__('New Listing Added %%listing_name approve or deny it.', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_admin_listing_approve',
                'type' => 'editor',
                'title' => esc_html__('Content for Lising Approve Template', 'weddlist'),
                'desc' => esc_html__('Email content for Lising Approve Template', 'weddlist'),
                'default' => 'Hello<br><br>
Listing Name:   %%listing_name<br><br>
Click To Review Listing: %%listing_admin_url<br><br>
Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),    
         array(
            'id' => 'listing-expired-emails-info',
            'type' => 'info',
            'notice' => false,
            'style' => 'info',
            'title' => wp_kses(__('<span class="font24">Lising Expired</span>', 'weddlist'), $allowed_html_array),
            'desc' => esc_html__('Shortname for Lising Expired Template like %%website_name as Website Name, %%website_url as Website URL, %%user_name as User Name,%%user_email as User Email', 'weddlist')
        ),     
        array(
                'id' => 'weddlist_subject_listing_expired',
                'type' => 'text',
                'title' => esc_html__('Subject for Lising Expired', 'weddlist'),
                'desc' => esc_html__('Email subject for Lising Expired', 'weddlist'),
                'default' => esc_html__('Your Package is expired on %%website_name.', 'weddlist'),
            ),
            array(
                'id' => 'weddlist_content_listing_expired',
                'type' => 'editor',
                'title' => esc_html__('Content for Lising Expired', 'weddlist'),
                'desc' => esc_html__('Email content for Lising Expired', 'weddlist'),
                'default' => 'Hello<br><br>
Please buy package to active your listing on %%website_name.<br>
Your wedding listing no longer display on our website.<br><br>

Thanks',
                'args' => array(
                    'teeny' => false,
                    'textarea_rows' => 10,
                    'wpautop' => false
                )
            ),                     
        )
    ) );  
?>