<?php 
    Redux::setSection( $opt_name, array(
        'title'            => __( 'General Setting', 'weddlist' ),
        'id'               => 'generalsetting',
        'customizer_width' => '400px',
        'icon'             => 'el el-cog',
        'fields'     => array(
             array(
                'id'       => 'currency_symbols',
                'type'     => 'text',
                'title'    => esc_html__('Currency Symbols', 'weddlist'), 
                'default'  => '$',
            ),
            array(
                'id'    =>  'sticky_on_off',
                'type'  =>  'switch',
                'title' =>  __('Sticky Header On / Off', 'weddlist'),
                'default'   =>  false,
            ),             
            array(
                'id'   => 'maximum_price',
                'type' => 'slider',
                'min'  => 1000,
                'max'  => 90000000,
                'step'  => 1000,
                'title'    => esc_html__('Set Maximum Price', 'weddlist'), 
                'default'  => '200000',
            ),
             
            array(
                'id'    =>  'location_on_off',
                'type'  =>  'switch',
                'title' =>  __('Location State Based City On / Off', 'weddlist'),
                'default'   =>  false,
            ),
            array(
                'id'    =>  'category_on_off',
                'type'  =>  'switch',
                'title' =>  __('Category Parent and Child Based On / Off', 'weddlist'),
                'default'   =>  false,
            ),
            array(
                'id'    =>  'preloader_on_off',
                'type'  =>  'switch',
                'title' =>  __('Preloader On / Off', 'weddlist'),
                'default'   =>  true,
            ),
            array(
                'id'    =>  'preloader_image',
                'type'  =>  'media',
                'required' => array( 'preloader_on_off', '=', '1' ),
                'title' =>  __('Uploader Preloader Logo', 'weddlist'),
                'default'   =>  array(
                    'url'   =>  get_template_directory_uri() . '/assets/images/preloader.png',
                ),
            ),
            array(
                'id'    =>  'preloader_bgcolor',
                'type'  =>  'color',
                'required' => array( 'preloader_on_off', '=', '1' ),
                'compiler' => true,
                'title' =>  __('Preloader Background Color', 'weddlist'),
                'default'   =>  '#392D48',
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.preloader'),
            ),
            array(
                'id'    =>  'kingcomposer_on_off',
                'type'  =>  'switch',
                'title' =>  __('Kingcomposer On / Off', 'weddlist'),
                'default'   =>  true,
            ),                                    
        )
    ) );

?>