<?php 

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Header', 'weddlist' ),
        'id'               => 'Header',
        'customizer_width' => '400px',
        'icon'             => 'el el-home',
    'fields'     => array(
            array(
                'id'       => 'header_bgcolor',
                'type'     => 'color',
                'title'    => esc_html__('Header Background Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #FFFFFF).', 'weddlist'),
                'default'  => '#FFFFFF',
        'compiler' => true,
        'mode'     => 'background',
                'validate' => 'color',
        'output'    =>  array('background-color' => '.nav-bar')
            ),
      array(
                'id'       => 'top_bar_enable',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable/Disable Top bar', 'weddlist' ),
            ),
      array(
        'id'    =>  'top_bar_message',
        'type'  =>  'text',
        'title' =>  esc_html__('Top Bar Welcome Message', 'weddlist'),
        'default'   =>  'Welcome to Weddlist'
      ),      
            array(
                'id'       => 'top_bar_bgcolor',
                'type'     => 'color',
                'title'    => esc_html__('Top Bar Background Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #000000).', 'weddlist'),
                'default'  => '#000000',
                'compiler' => true,
                'mode'     => 'background',
                'output'    =>  array('.top-nav-info'),
                'validate' => 'color',
            ),

            array(
                'id'       => 'top_bar_color',
                'type'     => 'color',
                'title'    => esc_html__('Top Bar Font Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #FFFFFF).', 'weddlist'),
                'default'  => '#FFFFFF',
                'validate' => 'color',
                'compiler' => true,
                'output'    =>  array('color' => '.top-nav-info .top-text,.top-nav-info ul>li>a, .top-nav-info .top-text')
            ),      
    
      array(
                'id'       => 'primary_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Home Page Logo', 'weddlist' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Upload your logo here', 'weddlist' ),
                'default'  => array( 'url' => get_template_directory_uri().'/assets/images/logo.png' ),

            ),  
      array(
                'id'       => 'transparent_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Transparent Logo', 'weddlist' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Upload your transparent logo here', 'weddlist' ),
                'default'  => array( 'url' => get_template_directory_uri().'/assets/images/logo-2.png' ),

            ),  
      array(
                'id'       => 'dashboard_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Dashboard Logo', 'weddlist' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Upload your dashboard logo here', 'weddlist' ),
                'default'  => array( 'url' => get_template_directory_uri().'/assets/images/logo.png' ),

            ),                    
      array(
                'id'       => 'page_banner',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Page Header Background Image', 'weddlist' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Upload your banner here', 'weddlist' ),
                'default'  => array( 'url' => get_template_directory_uri().'/assets/images/banner.jpg' ),
            ),

        )
    ) );  
?>