<?php 
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Map Setting', 'weddlist' ),
        'id'               => 'mapsetting',
        'customizer_width' => '400px',
        'icon'             => 'el el-map-marker',
        'fields'     => array(
 

            array(
            'id'       => 'map_layout',
            'type'     => 'select',
            'title'    => __('Choose Map Option', 'weddlist'),
            'desc' => __('Select Map Options which you want to use. (OpenStreetMap Not required Any API)', 'weddlist'),
            'options'  => array(
                    'google_map'  => 'Google Map',
                    'mapbox_map'  => 'Mapbox',
                    'openstreetmap_map'  => 'OpenStreetMap',
                ),          
                'default' => 'google_map'
            ),

             array(
                'id'       => 'google_map_key',
                'type'     => 'text',
                'title'    => esc_html__('Google Map API Key', 'weddlist'), 
                'desc' => '<a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">How to Create Google Map API</a>' ,
                'default'  => '',
            ),
             array(
                'id'       => 'mapbox_key',
                'type'     => 'text',
                'title'    => esc_html__('Mapbox Access Token', 'weddlist'), 
                'desc' => '<a href="https://account.mapbox.com/access-tokens/create/" target="_blank">How to Mapbox Create MAP API</a>' ,
                'default'  => '',
            ),

             array(
                'id'       => 'center_latitude',
                'type'     => 'text',
                'title'    => esc_html__('Center Default Latitude', 'weddlist'), 
                'default'  => '23.0405703',
            ),
             array(
                'id'       => 'center_longitude',
                'type'     => 'text',
                'title'    => esc_html__('Center Default Longitude', 'weddlist'), 
                'default'  => '72.522976',
            ),
            array(
                'id'       => 'default_marker',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Map Default Marker Image', 'weddlist' ),
                'default'  => array( 'url' => get_template_directory_uri().'/assets/images/marker.png' ),
            ),
            

        )
    ) );    
?>