<?php 
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Styling Option', 'weddlist' ),
        'id'               => 'styling',
        'customizer_width' => '400px',
        'icon'             => 'el el-th-list',
        'fields'     => array(
            array(
                'id'    =>  'base_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  esc_html__('Base Background Color', 'weddlist'),
                'subtitle'  =>  esc_html__('Base Background means change default pink color', 'weddlist'),
                'default'   =>  '#FF4061',
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.social-btns .btn, .vendor-categories-block .meta-tags, .call-out-dtl .btn-pink, .meta-tag, .how-it-block .how-it-icon, .price-filter .ui-slider-handle.ui-state-default.ui-corner-all, .ui-slider-range.ui-widget-header.ui-corner-all,#radius_range .ui-slider-range.ui-widget-header.ui-corner-all, .sticky::before, .tag-sticky::before, .blog-search .btn-go, .tabs a.active, .pagination ul li.active a, .pagination .current, .pagination a:hover, .add-listing-image .star, .progress-pie-chart.gt-50, .ppc-progress .ppc-progress-fill, .to-do-list-action-tabs a:hover::before, .faq-nav-list ul li::before, .faq-panel .btn-default.faq-btn-minus, .contact-us-icon, .fav-icon:focus, .fav-icon:hover, .marker_box .label-primary, .faq-cat-box::before, .tag-cloud-link:hover, .woocommerce .woocommerce-main nav.woocommerce-pagination ul li .page-numbers.current,.woocommerce .woocommerce-main nav.woocommerce-pagination ul li a:hover,.woocommerce .woocommerce-main div.product form.cart .button,.woocommerce .woocommerce-main div.product .woocommerce-tabs ul.tabs li:hover a,.woocommerce .woocommerce-main div.product .woocommerce-tabs ul.tabs li.active a,.weddlist-header-icons .weddlist-header-wc-cart-link span.number-cart,.slick-prev-new, .slick-next-new,.pwd-eye span,.new-listing-nav-tabs li.active a,.why-choose-icon'),
            ),  
            array(
                'id'    =>  'base_fontcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Base Font Color', 'weddlist'),
                'subtitle'  =>  esc_html__('Base Font Color means change default pink color', 'weddlist'),
                'default'   =>  '#FF4061',
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.read-more,.search-close:hover,.gallery-block .gallery-dtl i,.feature-block .feature-vendor,.feature-block .feature-vendor-bottom,.why-choose-main-block .section-heading span,.why-choose-icon ,.why-block .why-icon i,.testimonial-block .testimonial-dtl .date,.meta-tags li a:hover,.news-widget .latest-news-dtl .date,.upcoming-wedding-dtl .date,.about-our-icon i,.price-slider-amount > input,.feature-block .venue-vendor,.blog-sidebar .widget ul li a:hover,.blog-sidebar .widget ul li.active a,.blog-news-dtl .date,.add-listing-image a:hover,.btn-reply,.blog-next-pre .linked a:hover,.my-dashboard:hover .dashboard-date i,.my-dashboard .facts-number,.ppc-percents span,.your-plan-board .facts-number,.expire-dtl .expire-date,.faq-nav-list ul li.active a,.faq-nav-list ul li a:hover,.error-heading span,.error-sub-heading,.fav-icon,.post-password-form input[name="Submit"],.vendor_manage_listing .nav-tabs li.active a,.to-do-list-add a,.heading a,.vendor-pro-section ul li i,.vendor-pro-section ul li a:hover'),
            ),  

            array(
                'id'    =>  'primary_button_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Primary Button Background Color', 'weddlist'),
                'default'   =>  '#FF4061',
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.footer-main-block a.btn-white,.btn-pink,.btn-media,.btn-default,.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-main .woocommerce-cart-form__contents button, 
.woocommerce-main .woocommerce-cart-form__contents button.button:disabled[disabled], 
.woocommerce-main table.cart .coupon button,
.woocommerce-main .woocommerce-cart-form__contents button
.woocommerce button.button,.woocommerce #respond input#submit, .woocommerce a.button, 
.woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.woocommerce .woocommerce-main #review_form #respond .form-submit input'),
            ),  

            array(
                'id'    =>  'primary_button_bgcolor_font',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Primary Button Font Color', 'weddlist'),
                'default'   =>  '#FFFFFF',
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.btn-pink,.btn-media,.btn-pink:hover, .btn-pink:focus,.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-main .woocommerce-cart-form__contents button, 
.woocommerce-main .woocommerce-cart-form__contents button.button:disabled[disabled], 
.woocommerce-main table.cart .coupon button,
.woocommerce-main .woocommerce-cart-form__contents button
.woocommerce button.button,.woocommerce #respond input#submit, .woocommerce a.button, 
.woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.woocommerce .woocommerce-main #review_form #respond .form-submit input'),
            ),  
            array(
                'id'    =>  'primary_button_bgcolor_hover',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Primary Button Background Color Hover', 'weddlist'),
                'default'   =>  '#392D48',
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.footer-main-block a.btn-white:hover,.btn-pink:hover, .btn-pink:focus,.btn-pink:hover::before,.btn.btn-pink:hover, .btn.btn-pink:focus.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce-main .woocommerce-cart-form__contents button:hover, 
.woocommerce-main .woocommerce-cart-form__contents button.button:disabled[disabled], 
.woocommerce-main table.cart .coupon button:hover,
.woocommerce-main .woocommerce-cart-form__contents button:hover,
.woocommerce button.button:hover,.woocommerce #respond input#submit, .woocommerce a.button:hover,
.woocommerce button.button:hover,.woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.woocommerce .woocommerce-main #review_form #respond .form-submit input:hover,.btn.btn-pink:focus'),
            ),              
        array(
                'id'    =>  'primary_button_bgcolor_hover_font',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Primary Button Hover Font Color', 'weddlist'),
                'default'   =>  '#FFFFFF',
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.btn-pink:hover, .btn-pink:focus,.btn-pink:hover::before,.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce-main .woocommerce-cart-form__contents button:hover, 
.woocommerce-main .woocommerce-cart-form__contents button.button:disabled[disabled], 
.woocommerce-main table.cart .coupon button:hover,
.woocommerce-main .woocommerce-cart-form__contents button:hover,
.woocommerce button.button:hover,.woocommerce #respond input#submit, .woocommerce a.button:hover,
.woocommerce button.button:hover,.woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover,.woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,,.woocommerce .woocommerce-main #review_form #respond .form-submit input:hover,.btn.btn-pink:hover, .btn.btn-pink:focus'),
            ),



            //Header Menu
            array(
                'id'    =>  'header_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.header-upper'),
            ),   
            array(
                'id'    =>  'header_menu_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Menu Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu ul li a,#navigation.weddlist-navbar ul li a'),
            ),   
            array(
                'id'    =>  'header_menu_txtcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Menu Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.navigation #cssmenu ul li a,.weddlist-header-icon a,#navigation.weddlist-navbar>ul>li.current-menu-ancestor>a, #navigation.weddlist-navbar>ul>li:hover>a,#navigation.weddlist-navbar ul li a'),
            ), 
            array(
                'id'    =>  'header_menu_hover_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Menu Hover Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu ul li:hover a, .navigation #cssmenu ul li.active a, #navigation.weddlist-navbar>ul>li:hover>a'),
            ),   
            array(
                'id'    =>  'header_menu_hover_txtcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Menu Hover Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.navigation #cssmenu ul li:hover a, .navigation #cssmenu ul li.active a,#navigation.weddlist-navbar>ul>li:hover>a'),
            ),   

            // Sub Menu
            array(
                'id'    =>  'header_submenu_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Menu Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu ul ul.sub-menu li a,body #navigation ul li:hover ul,body nav#navigation.weddlist-navbar ul li:hover ul li a'),
            ),   
            array(
                'id'    =>  'header_submenu_txtcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Menu Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.navigation #cssmenu ul ul.sub-menu li a,body #navigation.weddlist-navbar ul ul li a:after, body #navigation.weddlist-navbar ul li ul li a,body nav#navigation.weddlist-navbar ul li:hover ul li a'),
            ), 

        

             // Sub Menu Hover
 
            array(
                'id'    =>  'header_submenu_hover_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Menu Hover Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu ul ul.sub-menu li:hover a, .navigation #cssmenu ul ul.sub-menu li.active a,body #navigation.weddlist-navbar ul ul li:hover a,body #navigation.weddlist-navbar ul ul li a:hover,body #navigation.weddlist-navbar ul ul li a:hover, body nav#navigation.weddlist-navbar ul li:hover ul li:hover a,body nav#navigation ul li:hover ul li a:hover'),
            ),   
            array(
                'id'    =>  'header_submenu_hover_txtcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Menu Hover Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.navigation #cssmenu ul ul.sub-menu li:hover a, .navigation #cssmenu ul ul.sub-menu li.active a,body #navigation.weddlist-navbar ul ul li:hover a,body #navigation.weddlist-navbar ul ul li a:hover,body #navigation.weddlist-navbar ul ul li a:hover, body nav#navigation.weddlist-navbar ul li:hover ul li:hover a,body nav#navigation ul li:hover ul li a:hover'),
            ),                                                  


           // Level 3 Sub Menu
            array(
                'id'    =>  'header_subsubmenu_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Sub Menu Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu ul ul.sub-menu li:hover ul.has-sub1 li a, .navigation #cssmenu ul ul.sub-menu li.active a ul.has-sub1 li a, .navigation #cssmenu ul ul ul.has-sub1 li a,body #navigation ul li:hover ul ul,body #navigation ul li:hover ul ul,body nav#navigation.weddlist-navbar ul li:hover ul li ul li a,body nav#navigation.weddlist-navbar ul li:hover ul li ul li,body nav#navigation.weddlist-navbar ul li:hover ul li:hover ul li a'),
            ),   
            array(
                'id'    =>  'header_subsubmenu_txtcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Sub Menu Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.navigation #cssmenu ul ul.sub-menu li:hover ul.has-sub1 li a, .navigation #cssmenu ul ul.sub-menu li.active a ul.has-sub1 li a, .navigation #cssmenu ul ul ul.has-sub1 li a,body nav#navigation.weddlist-navbar ul ul li:hover ul li a,body #navigation ul li:hover ul ul,body #navigation ul li:hover ul ul,body nav#navigation.weddlist-navbar ul li:hover ul li ul li a,body nav#navigation.weddlist-navbar ul li:hover ul li ul li,body nav#navigation.weddlist-navbar ul li:hover ul li:hover ul li a'),
            ), 

             // Sub Menu Hover
            array(
                'id'    =>  'header_subsubmenu_hover_bgcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Sub Menu Hover Background Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu ul ul li:hover ul.has-sub1 li:hover a,body nav#navigation.weddlist-navbar ul li:hover ul li ul li:hover a,body nav#navigation.weddlist-navbar ul li:hover ul li:hover ul li a:hover'),
            ),   
            array(
                'id'    =>  'header_subsubmenu_hover_txtcolor',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Header Sub Sub Menu Hover Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.navigation #cssmenu ul ul li:hover ul.has-sub1 li:hover a,body nav#navigation.weddlist-navbar ul li:hover ul li ul li:hover a,body nav#navigation.weddlist-navbar ul li:hover ul li:hover ul li a:hover'),
            ),   
            array(
                'id'    =>  'header_submenu_hover_border',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('All Sub Menu Hover Border Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.navigation #cssmenu > ul > li > a:before'),
            ), 

            array(
                'id'    =>  'tag_bg_color',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Feature Tag BG Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.tags-clr-one'),
            ),    

            array(
                'id'    =>  'tag_color',
                'type'  =>  'color',
                'compiler' => true,
                'title' =>  __('Feature Tag Font Color', 'weddlist'),
                'validate' => 'color',
                'mode'     => 'color',
                'output'    =>  array('.tags-clr-one'),
            ),                         

        )
    ) );    
?>