<?php 
/**
     * Typography section
     */

   Redux::setSection($opt_name, array(
    'title'            => esc_html__('Typography', 'weddlist'),
    'id'               => 'typography',
    'icon'             => 'el el-fontsize',
   ));
    // Body typography
   Redux::setSection($opt_name, array(
    'title'            => esc_html__('Body Typography', 'weddlist'),
    'id'               => 'body-typography-section',
    'subsection'       => true,
    'fields'           =>array(
        array(
            'id'        =>  'body_typography',
            'title'     =>  esc_html__('Body Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all body text.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'units'       =>'px',
            'line-height' => false,
            'text-align' => false,
            'all_styles' => true,
            'output'    =>  array('body'),
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-family' => 'Lora',
                'font-size'   => '14px',

            ),
        ),
        array(
            'id'        => 'body_link_color',
            'title'     => esc_html__('Link Color', 'weddlist'),
            'subtitle'  => 'Controls the color of all text links.',
            'type'      => 'color',
            'default'   => '#FF4061',
            'mode'     => 'color',
            'output'    =>  array('a,.link'),
        ),
        array(
            'id'        => 'body_link_color_hover',
            'title'     => esc_html__('Link Hover Color', 'weddlist'),
            'subtitle'  => 'Controls the color of all text links hover.',
            'type'      => 'color',
            'default'   => '#333',
            'mode'     => 'color',
            'output'    =>  array('a:hover,a:focus,.link:hover,.link:focus'),

        ),
    )
   ));
    // Headers typography
   Redux::setSection($opt_name, array(
    'title'            => esc_html__('Headings Typography', 'weddlist'),
    'id'               => 'headers-typography',
    'subsection'       => true,
    'fields'           =>array(
        array(
            'id'        =>  'h1_typography',
            'title'     =>  esc_html__('H1 Headings Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all H1 Headers.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'output'    =>  array('h1'),
            'line-height' => false,
            'font-weight' => true,
            'text-align' => false,
            'units'       =>'px',
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-size'   => '52px',
                'font-weight'  => '500',
                'font-family' => 'Lora',
                'line-height' => '56px'
            ),

        ),
        array(
            'id'        =>  'h2_typography',
            'title'     =>  esc_html__('H2 Headings Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all H2 Headings.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'units'       =>'px',
            'line-height' => false,
            'font-weight' => true,          
            'text-align' => false,
            'output'    =>  array('h2'),
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-size'   => '46px',
                'font-weight'  => '500',
                'font-family' => 'Lora',
                'line-height' => '50px'
            ),

        ),
        array(
            'id'        =>  'h3_typography',
            'title'     =>  esc_html__('H3 Headings Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all H3 Headings.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'units'       =>'px',
            'output'    =>  array('h3'),
            'line-height' => false,
            'font-weight' => true,          
            'text-align' => false,
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-size'   => '32px',
                'font-weight'  => '500',
                'font-family' => 'Lora',
                'line-height' => '28px'
            ),

        ),
        array(
            'id'        =>  'h4_typography',
            'title'     =>  esc_html__('H4 Headings Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all H4 Headings.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'units'       =>'px',
            'output'    =>  array('h4'),
            'line-height' => false,
            'font-weight' => true,
            'text-align' => false,
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-family' => 'Lora',
                'font-weight'  => '500',
                'font-size'   => '18px',
                'line-height' => '20px'
            ),

        ),
        array(
            'id'        =>  'h5_typography',
            'title'     =>  esc_html__('H5 Headings Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all H5 Headings.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'units'       =>'px',
            'output'    =>  array('h5'),
            'line-height' => false,
            'font-weight' => true,          
            'text-align' => false,
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-family' => 'Lora',
                'font-weight'  => '500',
                'font-size'   => '17px',
                'line-height' => '19px'
            ),

        ),
        array(
            'id'        =>  'h6_typography',
            'title'     =>  esc_html__('H6 Headings Typography', 'weddlist'),
            'subtitle'  =>  esc_html__('These settings control the typography for all H6 Headings.', 'weddlist'),
            'type'      => 'typography',
            'subsets'   => false,
            'units'       =>'px',
            'output'    =>  array('h6'),
            'line-height' => false,
            'font-weight' => true,          
            'text-align' => false,
            'default'     => array(
                'color'       => '#333',
                'google'      => true,
                'font-family' => 'Lora',
                'font-weight'  => '500',
                'font-size'   => '16px',
                'line-height' => '18px'
            ),

        ),
    )
   ));
?>