<?php
add_action( 'widgets_init', 'weddlist_footer_item_category_widget' );
function weddlist_footer_item_category_widget() {
	register_widget( 'Weddlist_Footer_Item_Category' );
}

class Weddlist_Footer_Item_Category extends WP_Widget {
	function __construct() {
		// Instantiate the parent object
		parent::__construct( false, 'Weddlist Listing Category' );
	}
	function widget( $args, $instance ) {
		// Widget output
    	extract($args);
        $title = ($instance['title']) ? $instance['title'] : esc_html__('Listing Categories', 'weddlist');
        $limit = ($instance['limit']) ? $instance['limit'] : 3;
		echo wp_kses_post( $before_widget );
		echo wp_kses_post( $before_title ); 
		echo wp_kses_post( $title );
		echo wp_kses_post( $after_title );
	  ?>
	<div class="links-widget">    	
	  	<?php
      	$k=0;	
		$item_cat='';

        $terms = get_terms( 'itemcategory', array('orderby'    => 'name', 'hide_empty' => false ) );

		if ( !empty( $terms ) && !is_wp_error( $terms ) ){
		
		echo '<ul>';
		
			foreach( $terms as $term ) {
				
				if($k<$limit)
				{	
					$selected_html='';
								
					if(!empty($total_categories))
					{
						if(in_array($term->term_id,$total_categories))
						{
							$selected_html='class="active"';
						}
					}
				
				// output the term name in a heading tag                								
				$item_cat.='<li><a href="'.get_category_link($term->term_id).'" '.$selected_html.'>'.$term->name.'</a></li>';
				
				$k++;
				}
			 
			}
			echo wp_kses_post( $item_cat );
			echo '</ul>';
		}
		?>
	</div>
      <?php echo wp_kses_post( $after_widget ); 
	}
	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['limit'] = $new_instance['limit'];
		return $instance;
	}
	function form( $instance ) {		
		// Output admin widget options form
      if(!isset($instance['title'])) $instance['title'] = esc_html__('Categories Title', 'weddlist');
      if(!isset($instance['limit'])) $instance['limit'] = 14; 
	  if(!isset($instance['selected'])) $instance['selected'] = '';  ?>
      
      <p>
     	<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'weddlist') ?></label>
        <input  type="text" value="<?php echo esc_attr($instance['title']); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" 
        id="<?php echo esc_attr($this->get_field_id('title')); ?>" class="widefat" />
      </p>
      <p>
      	<label for="<?php echo esc_attr($this->get_field_id('limit')); ?>"><?php esc_html_e('Limit Posts Number', 'weddlist') ?></label>
        <input  type="text" value="<?php echo esc_attr($instance['limit']); ?>" name="<?php echo esc_attr($this->get_field_name('limit')); ?>"
        id="<?php echo esc_attr($this->get_field_id('limit')); ?>" class="widefat" />
      </p>
      <?php
	}
}
?>