<?php
add_action( 'widgets_init', 'weddlist_popular_post_widget' );
function weddlist_popular_post_widget() {
	register_widget( 'Weddlist_Popular_Post' );
}

class Weddlist_Popular_Post extends WP_Widget {
	function __construct() {
		// Instantiate the parent object
		parent::__construct( false, 'Latest Popular Post' );
	}
	function widget( $args, $instance ) {
		// Widget output
    	extract($args);
        $title = ($instance['title']) ? $instance['title'] : esc_html__('Popular Recent Posts', 'weddlist');
        $limit = ($instance['limit']) ? $instance['limit'] : 3;
    	$selected = $instance['selected'];
		echo wp_kses_post( $before_widget );
		echo wp_kses_post( $before_title );
		echo wp_kses_post( $title );
		echo wp_kses_post( $after_title );
	  ?>
	<div class="blog-latest-news">
	  <?php
		  $featured_args = array(
		     'posts_per_page' => -1,
   		  );      
	      $featured_query = new WP_Query($featured_args);
      	  $k=0;	
		  if($featured_query->have_posts()) : 
			 while($featured_query->have_posts()) : $featured_query->the_post();         
			
			if ( has_post_thumbnail() ) { 

			if($k<$limit)
			{
		?>
        <div class="blog-news">
        	<div class="row">
                <div class="blog-news-img col-xs-4">
                    <?php
                        the_post_thumbnail(array(100, 100) , array( 'class' => 'img-responsive' ));     
                    ?>                   
                </div>
                <div class="blog-news-dtl col-xs-8">
                    <h6 class="blog-news-dtl-heading mb10"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                    <?php                        
                        if(  $instance['selected'] ) {                           
                         weddlist_widget_date();  
                        } ?>
                </div>
            </div>
        </div>        
        	      
      <?php 
	  		$k++;
	  		} 
		}?>
      <?php endwhile; endif; wp_reset_postdata(); ?>
		</div>
      <?php echo wp_kses_post( $after_widget ); 
	  
	}
	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['limit'] = $new_instance['limit'];
		$instance['selected'] = $new_instance['selected'];
		return $instance;
	}
	function form( $instance ) {		
		// Output admin widget options form
      if(!isset($instance['title'])) $instance['title'] = esc_html__('Popular Posts', 'weddlist');
      if(!isset($instance['limit'])) $instance['limit'] = 3; 
	  if(!isset($instance['selected'])) $instance['selected'] = '';  ?>

      <p>
     	<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'weddlist') ?></label>
        <input  type="text" value="<?php echo esc_attr($instance['title']); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" 
        id="<?php echo esc_attr($this->get_field_id('title')); ?>" class="widefat" />
      </p>
      <p>
      	<label for="<?php echo esc_attr($this->get_field_id('limit')); ?>"><?php esc_html_e('Limit Posts Number', 'weddlist') ?></label>
        <input  type="text" value="<?php echo esc_attr($instance['limit']); ?>" name="<?php echo esc_attr($this->get_field_name('limit')); ?>"
        id="<?php echo esc_attr($this->get_field_id('limit')); ?>" class="widefat" />
      </p>
      <p>
        <input class="checkbox" type="checkbox" <?php checked($instance['selected'], 'on'); ?> id="<?php echo esc_attr($this->get_field_id('selected')); ?>" 
        name="<?php echo esc_attr($this->get_field_name('selected')); ?>" /> 
        <label for="<?php echo esc_attr($this->get_field_id('selected')); ?>"> <?php esc_html_e('Display post date?', 'weddlist') ?></label>
      </p>
      <?php
	}
}
?>