<?php
add_action( 'widgets_init', 'weddlist_related_realwedding_widget' );
function weddlist_related_realwedding_widget() {
	register_widget( 'Weddlist_Related_Realwedding' );
}

class Weddlist_Related_Realwedding extends WP_Widget {
	function __construct() {
		// Instantiate the parent object
		parent::__construct( false, 'Related Real Wedding' );
	}
	function widget( $args, $instance ) {
		// Widget output
    	extract($args);
        $title = ($instance['title']) ? $instance['title'] : esc_html__('Weddlist_Popular_Post', 'weddlist');
        $limit = ($instance['limit']) ? $instance['limit'] : 3;
    	$selected = $instance['selected'];
		$imgselected = $instance['imgselected'];
		echo wp_kses_post( $before_widget );
		echo wp_kses_post( $before_title );
		echo wp_kses_post( $title );
		echo wp_kses_post( $after_title );
	  ?>
	<div class="blog-latest-news">
	  <?php
		  $featured_args = array(
		     'posts_per_page' => -1,
			 'post_type' => 'realwedding',
   		  );      
	      $featured_query = new WP_Query($featured_args);
      	  $k=0;	
		  if($featured_query->have_posts()) : 
			 while($featured_query->have_posts()) : $featured_query->the_post();         
		if ( has_post_thumbnail() ) { 

			if($k<$limit)
			{
		?>
        <div class="blog-news">
        	<div class="blog-news-box">
            	<?php if(  $instance['imgselected'] ) {?>
                <div class="blog-news-img-box">
                  <div class="blog-news-img">
                      <?php
                          the_post_thumbnail(array(100, 100) , array( 'class' => 'img-responsive' ));     
                      ?>                   
                  </div>
                </div>                  
                <?php 	
        				}else{				    
        				?>
                  <div class="blog-news-img-box">
                      <div class="blog-news-img rtd-real-wedd-img">
                          <?php
                              the_post_thumbnail(array(100, 100) , array( 'class' => 'img-responsive' ));     
                          ?>                   
                      </div>
                  </div>    
              <?php } ?>
              <div class="blog-news-dtl-box">
                <div class="blog-news-dtl">
                    <h5 class="blog-news-dtl-heading mb5"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                    <?php                        
                        if(  $instance['selected'] ) {                           
                         //weddlist_widget_date();  
        						 $wedding_date 	= get_post_meta( get_the_ID(), 'wedding_date', true );
        						 if($wedding_date)
        						 echo '<div class="date">'.date("F d, Y", strtotime($wedding_date)).'</div>';
                                } ?>
                </div>
              </div>
            </div>
        </div>                	      
      <?php 
	  		$k++;
	  		} 
		}?>
      <?php endwhile; endif; wp_reset_postdata(); ?>
		</div>
      <?php echo wp_kses_post( $after_widget ); 
	  
	}
	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['limit'] = $new_instance['limit'];
		$instance['selected'] = $new_instance['selected'];
		$instance['imgselected'] = $new_instance['imgselected'];
		return $instance;
	}
	function form( $instance ) {		
		// Output admin widget options form
      if(!isset($instance['title'])) $instance['title'] = esc_html__('Related Real Wedding', 'weddlist');
      if(!isset($instance['limit'])) $instance['limit'] = 3; 
	  if(!isset($instance['selected'])) $instance['selected'] = ''; 
	  if(!isset($instance['imgselected'])) $instance['imgselected'] = ''; 	  
	   ?>

      <p>
     	<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'weddlist') ?></label>
        <input  type="text" value="<?php echo esc_attr($instance['title']); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" 
        id="<?php echo esc_attr($this->get_field_id('title')); ?>" class="widefat" />
      </p>
      <p>
      	<label for="<?php echo esc_attr($this->get_field_id('limit')); ?>"><?php esc_html_e('Limit Posts Number', 'weddlist') ?></label>
        <input  type="text" value="<?php echo esc_attr($instance['limit']); ?>" name="<?php echo esc_attr($this->get_field_name('limit')); ?>"
        id="<?php echo esc_attr($this->get_field_id('limit')); ?>" class="widefat" />
      </p>
      <p>
        <input class="checkbox" type="checkbox" <?php checked($instance['selected'], 'on'); ?> id="<?php echo esc_attr($this->get_field_id('selected')); ?>" 
        name="<?php echo esc_attr($this->get_field_name('selected')); ?>" /> 
        <label for="<?php echo esc_attr($this->get_field_id('selected')); ?>"> <?php esc_html_e('Display Wedding Date?', 'weddlist') ?></label>
      </p>
      <p>
        <input class="checkbox" type="checkbox" <?php checked($instance['imgselected'], 'on'); ?> id="<?php echo esc_attr($this->get_field_id('imgselected')); ?>" 
        name="<?php echo esc_attr($this->get_field_name('imgselected')); ?>" /> 
        <label for="<?php echo esc_attr($this->get_field_id('imgselected')); ?>"> <?php esc_html_e('Display Circle Thumb', 'weddlist') ?></label>
      </p>      
      <?php
	}
}
?>