<?php

class Weddlist_Socials_Widget extends WP_Widget {

	var $socials;

	function __construct() {
		parent::__construct( 'weddlist_socials', esc_html__( 'Weddlist Social Icon', 'weddlist' ) );
		$this->socials = array(
			array(
				'id'    => 'facebook',
				'title' => esc_html__( 'Facebook', 'weddlist' ),
			),
			array(
				'id'    => 'twitter',
				'title' => esc_html__( 'Twitter', 'weddlist' ),
			),
			array(
				'id'    => 'instagram',
				'title' => esc_html__( 'Instagram', 'weddlist' ),
			),
			array(
				'id'    => 'behance',
				'title' => esc_html__( 'Behance', 'weddlist' ),
			),
			array(
				'id'    => 'dribbble',
				'title' => esc_html__( 'Dribbble', 'weddlist' ),
			),
			array(
				'id'    => 'flickr',
				'title' => esc_html__( 'Flickr', 'weddlist' ),
			),
			array(
				'id'    => 'git',
				'title' => esc_html__( 'Git', 'weddlist' ),
			),
			array(
				'id'    => 'linkedin',
				'title' => esc_html__( 'Linkedin', 'weddlist' ),
			),
			array(
				'id'    => 'pinterest',
				'title' => esc_html__( 'Pinterest', 'weddlist' ),
			),
			array(
				'id'    => 'yahoo',
				'title' => esc_html__( 'Yahoo', 'weddlist' ),
			),
			array(
				'id'    => 'delicious',
				'title' => esc_html__( 'Delicious', 'weddlist' ),
			),
			array(
				'id'    => 'dropbox',
				'title' => esc_html__( 'Dropbox', 'weddlist' ),
			),
			array(
				'id'    => 'reddit',
				'title' => esc_html__( 'Reddit', 'weddlist' ),
			),
			array(
				'id'    => 'soundcloud',
				'title' => esc_html__( 'Soundcloud', 'weddlist' ),
			),
			array(
				'id'    => 'google',
				'title' => esc_html__( 'Google', 'weddlist' ),
			),
			array(
				'id'    => 'skype',
				'title' => esc_html__( 'Skype', 'weddlist' ),
			),
			array(
				'id'    => 'youtube',
				'title' => esc_html__( 'Youtube', 'weddlist' ),
			),
			array(
				'id'    => 'tumblr',
				'title' => esc_html__( 'Tumblr', 'weddlist' ),
			)
		);
	}

	public function widget( $args, $instance ) {
		echo wp_kses_post( $args['before_widget'] );
		if ( ! empty( $instance['title'] ) ) {
			echo wp_kses_post( $args['before_title'] );
			echo esc_html( apply_filters( 'widget_title', $instance['title'] ) );
			echo wp_kses_post( $args['after_title'] );
		}
		echo '<ul class="social-btns">';
		foreach ( $this->socials as $social ) {
			if ( ! empty( $instance[ $social['id'] ] ) ) {

				if($social['id']=="twitter" || $social['id']=="twitter")
				{
					echo '<li class="btn '.esc_attr( $social['id'] ).'"><a href="' . esc_url( $instance[ $social['id'] ] ) . '"><i class="ti-' . esc_attr( $social['id'] ) . '-alt"></i></a></li>';					
				}else{
				echo '<li class="btn '.esc_attr( $social['id'] ).'"><a href="' . esc_url( $instance[ $social['id'] ] ) . '"><i class="ti-' . esc_attr( $social['id'] ) . '"></i></a></li>';

				}
			}
		}
		echo '</ul>';
		echo wp_kses_post( $args['after_widget'] );
	}

	public function form( $instance ) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : esc_html__( 'Our Social Icon', 'weddlist' );
		?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title:', 'weddlist' ); ?></label>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
		</p>
		<?php
		foreach ( $this->socials as $social ):
			$soc_val = ! empty( $instance[$social['id']] ) ? $instance[$social['id']] : '';
			?>
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( $social['id'] ) ); ?>"><?php echo esc_html( $social['title'] ); ?></label>
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( $social['id'] ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( $social['id'] ) ); ?>" type="text" value="<?php echo esc_attr( $soc_val ); ?>">
			</p>
		<?php endforeach;
	}

	public function update( $new_instance, $old_instance ) {
		$instance          = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		foreach ( $this->socials as $social ) {
			if ( ! empty( $new_instance[ $social['id'] ] ) ) {
				$instance[ $social['id'] ] = esc_url( $new_instance[ $social['id'] ] );
			}else{
				$instance[ $social['id'] ] = '';
			}
		}
		return $instance;
	}

}

function register_weddlist_socials_widget() {
	register_widget( 'Weddlist_Socials_Widget' );
}
add_action( 'widgets_init', 'register_weddlist_socials_widget' );