<?php

/*****************************
*
*	WooCommerce Settings Functions
*
*****************************/
global $weddlist; 

if( function_exists('is_woocommerce') ){
	
	// Remove breadcrumb from woocommerce_before_main_content
	remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);
	remove_action( 'woocommerce_before_main_content', 'woocommerce_page_title', 20);

	// moving closing </a> tag above the title
	remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );
	add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 15 );
	add_filter( 'woocommerce_before_shop_loop_item_title', 'weddlist_wc_loop_box_inner_w', 20 , 10 );
	function weddlist_wc_loop_box_inner_w(){
		echo '</div><!-- .weddlist-product-grid-box-inner -->';
	}
	
	
	// wrapping div open
	add_filter( 'woocommerce_before_shop_loop_item', 'weddlist_wc_loop_start_div', 10 , 0 );
	function weddlist_wc_loop_start_div(){ echo '<div class="weddlist-sboxproduct-image-box">'; }


// Adding buttons
	add_filter( 'woocommerce_before_shop_loop_item', 'weddlist_wc_loop_buttons', 8 , 10 );
	function weddlist_wc_loop_buttons(){
		echo '<div class="weddlist-product-grid-box-inner">';
		echo '<div class="weddlist-shopbox-icon">';
		// YITH Quick View
		if( class_exists( 'YITH_WCQV_Frontend' ) ) {
			//$YITH_WCQV_Frontend = new YITH_WCQV_Frontend;
			//$YITH_WCQV_Frontend->yith_add_quick_view_button();
			echo '<div class="weddlist-sboxwc-quickview-btn"><a href="#" class="button yith-wcqv-button" data-product_id="' . get_the_ID() . '">' . esc_attr__('Quick View','weddlist') . '</a></div>';
		}
		echo woocommerce_template_loop_add_to_cart(); // adding add to cart button	
		
		// YITH Wishlist
		if( shortcode_exists('yith_wcwl_add_to_wishlist') ) {
			echo '<div class="weddlist-sboxwc-wishlist-btn">';
				echo do_shortcode('[yith_wcwl_add_to_wishlist]');
			echo '</div>';
		}		
		echo '</div><!-- .weddlist-shopbox-icon -->';

	}

	// Remove add to cart button
	remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10,5 );

	if( class_exists( 'YITH_WCQV_Frontend' ) ) {
		$quick_view = YITH_WCQV_Frontend();
		remove_action( 'woocommerce_after_shop_loop_item', array( $quick_view, 'yith_add_quick_view_button' ), 15 );
	}
	
	// wrapping div closed
	add_filter( 'woocommerce_before_shop_loop_item_title', 'weddlist_wc_loop_end_div', 10 , 0 );
	function weddlist_wc_loop_end_div(){ echo '</div>'; }
	
	add_action( 'template_redirect', 'yith_wcqv_remove_from_wishlist' );
	function yith_wcqv_remove_from_wishlist(){
		if( function_exists( 'YITH_WCQV_Frontend' ) && defined('YITH_WCQV_FREE_INIT') ) {
			remove_action( 'yith_wcwl_table_after_product_name', array( YITH_WCQV_Frontend(), 'yith_add_quick_view_button' ), 15 );
		}
	}


	// Adding weddlist woocommerce title and other contents
	// Start div
	add_filter( 'woocommerce_shop_loop_item_title', 'weddlist_wc_title_wrap_start', 4 , 0 );
	function weddlist_wc_title_wrap_start(){
		echo '<div class="weddlist-productbox-content">';
	}
	
	// End div
	add_filter( 'woocommerce_after_shop_loop_item_title', 'weddlist_wc_title_wrap_end', 20 , 0 );
	function weddlist_wc_title_wrap_end(){
		echo '</div><!-- .weddlist-productbox-content -->';
	}
	
	
	// adding link to the product title
	add_filter( 'woocommerce_shop_loop_item_title', 'weddlist_wc_title_link_start', 5 , 0 );
	function weddlist_wc_title_link_start(){
		echo '<a class="weddlist-sboxproduct-title-link" href="'.get_permalink().'">';
	}
	add_filter( 'woocommerce_shop_loop_item_title', 'weddlist_wc_title_link_end', 20 , 0 );
	function weddlist_wc_title_link_end(){
		echo '</a><!-- .weddlist-sboxproduct-title-link --> ';
	}	


	/******** Single product view Changes ************/
	add_filter( 'woocommerce_before_single_product_summary', 'weddlist_wc_single_wrap_start', 1 , 0 );
	function weddlist_wc_single_wrap_start(){
		echo '<div class="weddlist-common-box-shadow weddlist-single-product-details">';
		echo '<div class="weddlist-single-product-info clearfix">';
	}
	
	add_filter( 'woocommerce_after_single_product_summary', 'weddlist_wc_single_info_end', 1 , 0 );
	function weddlist_wc_single_info_end(){
		echo '</div><!-- .weddlist-single-product-info --> ';
	}
	
	add_filter( 'woocommerce_after_single_product_summary', 'weddlist_wc_single_wrap_end', 14 , 0 );
	function weddlist_wc_single_wrap_end(){
		echo '</div><!-- .weddlist-common-box-shadow --> ';
	}	

	// Remove woocommerce Page Title
	function weddlist_woocommerce_title(){return '';}
	add_action( 'woocommerce_show_page_title', 'weddlist_woocommerce_title' );



	// Change number columns per row
	add_filter('loop_shop_columns', 'weddlist_woocommerce_loop_columns');
	if (!function_exists('weddlist_woocommerce_loop_columns')){
		function weddlist_woocommerce_loop_columns() {
			$woocommerce_column = tg_option('woocommerce_column');
			$woocommerce_column = !empty($woocommerce_column) ? $woocommerce_column : 3 ;
			return $woocommerce_column; // 3 products per row
		}
	}	

	add_filter( 'loop_shop_per_page', 'weddlist_woocommerce_loop_shop_per_page', 20 );
	function weddlist_woocommerce_loop_shop_per_page( $cols ) {
		// $cols contains the current number of products per page based on the value stored on Options -> Reading
		// Return the number of products you wanna show per page.
		$woocommerce_product_per_page = tg_option('woocommerce_product_per_page');
		$cols = !empty($woocommerce_product_per_page) ? trim(esc_attr($woocommerce_product_per_page)) : $cols ;
		
		return $cols;
	}

	// WooCommerce: Ensure cart contents update when products are added to the cart via AJAX
	add_filter('woocommerce_add_to_cart_fragments', 'weddlist_woocommerce_header_add_to_cart_fragments');
	if (!function_exists('weddlist_woocommerce_header_add_to_cart_fragments')) {
		function weddlist_woocommerce_header_add_to_cart_fragments( $fragments ) {
			global $woocommerce;
			ob_start();
			?><span class="number-cart"><?php echo esc_attr($woocommerce->cart->cart_contents_count); ?></span><?php
			$fragments['span.number-cart'] = ob_get_clean();
			return $fragments;
		}
	}


	add_action( 'woocommerce_before_single_product', 'weddlist_single_product_related' ); 
	 
	function weddlist_single_product_related() { 
		$show_related = tg_option('wc_single_show_related_on');

		if( $show_related==false ){ 
			// Remove related products from single view
			remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);
		}else{

			add_filter( 'woocommerce_output_related_products_args', 'weddlist_related_products_args',99, 3 );
			function weddlist_related_products_args( $args ) {
				$related_product_column = tg_option('wc_single_related_column');
				$related_product_show   = tg_option('wc_single_related_count');
				$wc_related_column 		= ( !empty($related_product_column) ) ? intval($related_product_column) : 3 ;
				$wc_related_show   		= ( !empty($related_product_show) ) ? intval($related_product_show) : 3 ;
				$args['columns']        = $wc_related_column; // arranged in columns
				$args['posts_per_page'] = $wc_related_show; // arranged in columns
				return $args;
			}
			
		}	

	}
}
?>