<?php 
/**
 * Template Name: Vendor Single 
 */


get_header();

global $current_user;
wp_get_current_user();

if(isset($_GET['userid']) && !empty($_GET['userid']))
{
	
$userID=$_GET['userid'];
$aux = get_userdata( $userID );

if($aux==true){

$currency_code	= tg_option('currency_symbols');

$businessname     = get_the_author_meta( 'businessname' , $userID );
$first_name     = get_the_author_meta( 'first_name' , $userID );
$last_name      = get_the_author_meta( 'last_name' , $userID );
$user_email     = get_the_author_meta( 'user_email' , $userID );
$user_website   = get_the_author_meta( 'website' , $userID );

$phone       	= get_the_author_meta( 'phone' , $userID );
$address        = get_the_author_meta( 'address' , $userID );
$about_me       = get_the_author_meta( 'description' , $userID );

// Social Link
$facebook   	= get_the_author_meta( 'facebook' , $userID );
$twitter    	= get_the_author_meta( 'twitter' , $userID );
$youtube    	= get_the_author_meta( 'youtube' , $userID );
$linkedin   	= get_the_author_meta( 'linkedin' , $userID );
$pinterest   	= get_the_author_meta( 'pinterest' , $userID );
$instagram   	= get_the_author_meta( 'instagram' , $userID );

$user_custom_picture    =   get_the_author_meta( 'custom_picture' , $userID );
$image_id               =   get_the_author_meta( 'small_custom_picture',$userID); 

if($user_custom_picture==''){
    $user_custom_picture=get_template_directory_uri().'/assets/images/default-user.png';
}
?>
<!-- vendor profile -->
  <section id="vendor-profile" class="vendor-profile-main-page">
    <div class="container">
      <div class="row">
        <div class="col-md-8">
          <div class="vendor-pro-block">
            <div class="vendor-pro-info">
              <div class="row">
                <div class="col-md-5">
                  <div class="vendor-profile-img">
                    <img src="<?php echo esc_url($user_custom_picture); ?>" class="img-responsive" alt="vendor-img">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="vendor-pro-section">
                    <h4 class="vendor-pro-heading"><?php echo esc_html($businessname);?></h4>
                    <ul class="listnone">
						        <?php 
                        if(!empty($address))
                        echo '<li><i class="fa fa-map-marker" aria-hidden="true"></i>'.$address.'</li>';
                        
                        if(!empty($user_email))
                        echo '<li><i class="fa fa-envelope-o" aria-hidden="true"></i><a href="mailto:'.$user_email.'">'.$user_email.'</a></li>';
                        
                        if(!empty($phone))
                        echo '<li><i class="fa fa-mobile-phone" aria-hidden="true"></i>'.$phone.'</li>';
                        
                        if(!empty($phone))
                        echo '<li><i class="fa fa-globe" aria-hidden="true"></i><a href="'.esc_url($user_website).'" target="_blank">'.$user_website.'</a></li>';
                        ?>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
            <ul class="social-btns listnone">
				  <?php 
                  if(get_the_author_meta( 'facebook' , $userID,true ))
                  echo '<li><a href="'.esc_url(get_the_author_meta( 'facebook' , $userID )).'" target="_blank" class="btn facebook"><i class="fa fa-facebook"></i></a></li>';
                             
                  if(get_the_author_meta( 'youtube' , $userID ))
                  echo '<li><a href="'.esc_url(get_the_author_meta( 'youtube' , $userID )).'" target="_blank" class="btn google"><i class="fa fa-youtube"></i></a></li>';
                
                  if(get_the_author_meta( 'linkedin' , $userID ))
                  echo '<li><a href="'.esc_url(get_the_author_meta( 'linkedin' , $userID )).'" target="_blank" class="btn linkedin"><i class="fa fa-linkedin"></i></a></li>';
                
                  if(get_the_author_meta( 'twitter' , $userID ))
                  echo '<li><a href="'.esc_url(get_the_author_meta( 'twitter' , $userID )).'" target="_blank" class="btn twitter"><i class="fa fa-twitter"></i></a></li>';
                
                  if(get_the_author_meta( 'pinterest' , $userID ))
                  echo '<li><a href="'.esc_url(get_the_author_meta( 'pinterest' , $userID )).'" target="_blank" class="btn pinterest"><i class="fa fa-pinterest"></i></a></li>';
				  
                  if(get_the_author_meta( 'instagram' , $userID ))
                  echo '<li><a href="'.esc_url(get_the_author_meta( 'instagram' , $userID )).'" target="_blank" class="btn instagram"><i class="fa fa-instagram"></i></a></li>';				  
                  ?>           
            </ul>
            <div class="vendor-pro-dtl">
             <?php echo wpautop($about_me); ?>  
            </div>
          </div>
        </div>
        <div class="col-md-4">
          <?php	get_template_part( 'template-parts/item/vendor', 'contact'); ?> 
        </div>
      </div>
      <div class="vendor-profile-listing-block">
        <h3 class="vendor-profile-listing-heading"><?php esc_html_e('Vendor Listing','weddlist'); ?></h3>
        	<div class="row">
			<?php   
      $html ='';      
      $k=1;
      $i=0;
			global $paged;
			if (empty($paged)) {
				$paged = 1;
			}
			

			     $per_page='9';			
			
            $args = array( 'post_type' => 'item', 
                            'post_status'  => 'publish',
                            'author' => $userID,
							               'posts_per_page' => $per_page,							
                            'orderby' => 'menu_order ID',
                            'order'   => 'DESC',
							'paged' => $paged
							);
                             
            $item = new WP_Query( $args );
            $total_element=$item->found_posts;

            while ( $item->have_posts() ) : $item->the_post();
            
            $post_id			= $post->ID;
              
            $col_class="col-md-4 col-sm-6";
            $row_col=3;
            $item_style="default";

            $html.=weddlist_item_listing_display_by_id($post_id,$col_class,$item_style,$i);
            $i++;
            $k++;
            endwhile; 
            echo wp_kses_post($html);
            ?>                            
        </div>
      </div>
      <div class="pagination">
      	<?php
    		if (function_exists('weddlist_customize_pagination')) {
    			echo weddlist_customize_pagination($item->max_num_pages,"",1);
    		}
		    ?>
      </div>
    </div>
  </section>
<!-- end vendor profile -->
<?php 
}else{
	echo '<div class="main-container"><div class="container"><div class="row"><div class="col-md-12"><h3>';
	echo esc_html_e('Your selected vendor profile not exits more','weddlist');
	echo '</h3></div></div></div></div>';
}
}
else
{
	echo '<div class="main-container"><div class="container"><div class="row"><div class="col-md-12"><h3>';
	echo esc_html_e('Something goes wrong.Please go to home page','weddlist');
	echo '</h3></div></div></div></div>';
}
get_footer();
?>