<?php
/**
 * The template for displaying all posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package weddlist
 */

get_header(); 
global $wpdb;

$currency_code    = tg_option('currency_symbols'); 
$map_layout       = tg_option('map_layout');  
$mapbox_key       = tg_option('mapbox_key'); 

$listing_details_vendorprofile        = tg_option('listing_details_vendorprofile'); 
$listing_details_video                = tg_option('listing_details_video'); 
$listing_gallery_tab         = tg_option('listing_gallery_tab'); 
while ( have_posts() ) : the_post(); 

$item_id				    = $post->ID;

$userID 		             = get_post_field( 'post_author', $post->ID );
$first_name      		     = get_the_author_meta( 'first_name' , $userID );
$last_name       		     = get_the_author_meta( 'last_name' , $userID );
$user_custom_picture     = get_the_author_meta( 'custom_picture' , $userID );
$user_email 			       = get_the_author_meta( 'user_email', $userID);
$user_website 			     = get_post_meta( $post->ID, 'item_website', true );
$phone					         = get_post_meta( $post->ID, 'item_phone', true );
$item_address 			     = get_post_meta( $post->ID, 'item_address', true );
$item_price 			       = get_post_meta( $post->ID, 'item_price', true );
$item_maxprice 			     = get_post_meta( $post->ID, 'item_maxprice', true) ;

$itemcategory      		   = get_the_terms( $post->ID, 'itemcategory');
$location        		     = get_the_terms( $post->ID, 'location');	

$claimed_section		     = get_post_meta( $post->ID, 'claimed_section', true) ;

if(!empty($itemcategory))
{
	foreach ($itemcategory as $item_category_each) {
		$total_categories[]=$item_category_each->name;
		$total_categories_link[]=$item_category_each->term_id;
	}
}		


$user_package_id=get_user_meta($userID, 'user_package_id', true);

$user_package_share         = get_user_meta($userID, 'user_package_share', true);
$user_package_phone         = get_user_meta($userID, 'user_package_phone',  true);
$user_package_website       = get_user_meta($userID,  'user_package_website', true);
$user_package_video         = get_user_meta($userID, 'user_package_video', true);
$user_package_vendorprofile = get_user_meta($userID, 'user_package_vendorprofile', true);  

if(empty($user_package_share))
{
  $user_package_share         = get_post_meta( $user_package_id , 'package_share', true );  
} 
if(empty($user_package_phone))
{
  $user_package_phone         = get_post_meta( $user_package_id , 'package_phone', true );  
} 
if(empty($user_package_website))
{
  $user_package_website         = get_post_meta( $user_package_id , 'package_website', true );  
} 
if(empty($user_package_video))
{
  $user_package_video         = get_post_meta( $user_package_id , 'package_video', true );  
} 
if(empty($user_package_vendorprofile))
{
  $user_package_vendorprofile   = get_post_meta( $user_package_id , 'package_vendorprofile', true ); 
} 


if($listing_details_vendorprofile=='show_all')
{
  $user_package_vendorprofile='Yes';
}
if($listing_details_video=='show_all')
{
   $user_package_video='Yes';
}



//Find google map latitude and longitude
$locators		           =   get_post_meta($post->ID, 'locators', true);	
$item_google_latitude  =   $locators['latitude'];
$item_google_longitude =   $locators['longitude']; 

if(isset($total_categories_link[0]))
{
	$marker_icon 	= weddlist_default_marker($total_categories_link[0]);
}
else{
	$default_marker = tg_option('default_marker',false, 'url');

	if(isset($default_marker) && !empty($default_marker)){
		$marker_icon = $default_marker;
	}
	else{
		$marker_icon = get_template_directory_uri().'/assets/images/marker.png';
	}
}



$user_custom_picture    =   get_the_author_meta( 'custom_picture' , $userID );
$image_id               =   get_the_author_meta( 'small_custom_picture',$userID); 

if($user_custom_picture==''){
    $user_custom_picture	=	get_template_directory_uri().'/assets/images/default-user.png';
}
$claimed_section = 'claimed';
if($claimed_section == 'claimed') {
	if(is_singular( 'item' ) ){
		$claimStatus = esc_html__('Claimed', 'weddlist');
	}
	$claim = '<span class="verified simptip-position-top simptip-movable" data-tooltip="'. esc_html__('Claimed', 'weddlist').'"><i class="fa fa-check"></i> '.$claimStatus.'</span>';

}else {
	$claim = '';
}
?>
<section id="new-listing-description" class="new-listing-description-main-block">
<?php 
get_template_part( 'template-parts/item/user', 'gallery');
?>
    <div class="single-listing-item-block">
      <div class="container">
        <div class="row">
          <div class="col-md-7 col-sm-7">
            <h4 class="single-listing-heading item_title"><?php the_title(); echo wp_kses_post($claim); ?></h4>
            <div class="btn-section">
            <?php
      			if(isset($itemcategory[0]->term_id)){ ?>
                  <a href="<?php echo get_category_link($itemcategory[0]->term_id);?>" class="btn btn-pink"><?php echo esc_html($itemcategory[0]->name);?></a>
                  <?php } 

                  if($location)
                  {
      				foreach ($location as $location_each) {
      				?>
      			 	<a href="<?php echo get_category_link($location_each->term_id);?>" class="btn btn-pink"><?php echo esc_html($location_each->name);?></a>
      				<?php
      				}
      			}
      			?>            
            </div>
            <div class="price-section price"><?php esc_html_e('Price Range','weddlist');
			       echo " ".weddlist_item_price_marker($item_price,$item_maxprice,$currency_code);?>
            </div>
            <?php if((($user_package_website=="Yes") && !empty($user_website)) ||  (($user_package_phone=="Yes") && !empty($phone))) { ?>
            <div class="mt20">
            	<?php if(($user_package_website=="Yes") && !empty($user_website)) { ?>
            	<a class="fav-icon2 btn btn-pink" href="<?php echo esc_url($user_website)?>" target="_blank"><i class="fa fa-globe"></i> <?php esc_html_e('Website','weddlist');?></a>
            	<?php } ?>
            	<?php if(($user_package_phone=="Yes") && !empty($phone)) {?>
            	<a class="fav-icon2 btn btn-pink" href="tel:<?php echo esc_html($phone);?>" ><i class="fa fa-volume-control-phone"></i> <?php echo esc_html($phone); ?></a>
            	<?php } ?>
           </div>
           <?php } ?>
          </div>
          <div class="col-md-5 col-sm-5">
            <div class="single-listing-dtl">
              <div class="btn-section">
              	<?php if($user_package_share=="Yes") { ?>
                <div class="share-btn">
                  <ul>
                    <li class="share">
                      <a href="#" class="tool-handle footer-nav-link button"><i class="fa fa-share-alt" aria-hidden="true"></i> <?php esc_html_e('Share','weddlist'); ?></a>
                      
                      <ul class="tooltip">
                        <li><a href="#" class="facebook-share"><i class="fa fa-facebook"></i><?php esc_html_e('Facebook','weddlist'); ?></a></li>
                        <li><a href="#" class="twitter-share"><i class="fa fa-twitter"></i><?php esc_html_e('Twitter','weddlist'); ?></a></li>
                         <li><span class="close-button close">&times;</span></li>
                      </ul>                  	
                    </li>
                  </ul>
                </div>
                <?php } ?>
				        <div class="single_wishlist">
                <?php 
				        echo weddlist_wishlist_item_html($post->ID);
				          ?>
                </div>
              </div>
              <div class="price">
      			  <?php
      			  echo weddlist_total_ratings_stars($post->ID);
      			  ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="new-listing-description-block">
      <div class="container">  
        <div class="row">
          <div class="col-md-4">
              <div class="vendor-profile-img mb30">
                  <div class="new-listing-map" id="new-listing-map">
                  	<div class="cp-map" data-lat="<?php echo esc_attr($item_google_latitude); ?>" data-lan="<?php echo esc_attr($item_google_longitude); ?>" data-marker="<?php echo esc_attr($marker_icon); ?>" data-maplayout="<?php echo esc_html($map_layout); ?>" data-mapkey="<?php echo esc_html($mapbox_key); ?>" ></div>
                  	<div id="googleMap" style="height: 320px;"></div>
                  </div>
              </div>
                <div class="new-listing-sidebar">
					       <?php 
                    get_template_part( 'template-parts/item/vendor', 'contact');
                    ?>	
                </div>
                <div class="claim-block">					
                	<?php 
        					if (is_user_logged_in() ) {
        						
        					 if($userID==get_current_user_id())
        					 {
        					 ?>
                    <span><?php esc_html_e('You are owner of listing','weddlist'); ?></span>
                    <p><?php esc_html_e('so you can not claim it','weddlist'); ?></p>
                    <?php 
        						}
        						else{
        						?>
        						<span><?php esc_html_e('Own or work here?','weddlist'); ?></span>
        						<a href="#" data-toggle="modal" data-target="#claim-model"><?php esc_html_e('Claim Now','weddlist');?></a>
        						<?php         						
        						}
        					}else {
        					echo '<span>'.esc_html__('Pleaes login to claim listing','weddlist').'&nbsp;&nbsp; '.'</span>';
        					$weddlist_get_join_now_user_link=weddlist_get_join_now_user_link();	
        					echo '<a href="'.$weddlist_get_join_now_user_link['url'].'" class="mt10">'.esc_html__('Join Now','weddlist').'</a>';
        					} ?>
				    </div>                
          </div>
          <div class="col-md-8">
             <ul class="new-listing-nav-tabs tabs" role="tablist">
                <li role="presentation" class="active"><a class="btn-tabs" href="#description" aria-controls="description" role="tab" data-toggle="tab"><span class="badge"><?php esc_html_e('Description','weddlist'); ?></span></a></li>
                <?php  if($user_package_vendorprofile=="Yes") { ?>
                <li role="presentation"><a class="btn-tabs" href="#vendorprofile" aria-controls="profile" role="tab" data-toggle="tab"><span class="badge"><?php esc_html_e('Vendor Profile','weddlist'); ?></span></a></li>
                <li role="presentation"><a class="btn-tabs" href="#faqs" aria-controls="profile" role="tab" data-toggle="tab"><span class="badge"><?php esc_html_e('FAQs','weddlist'); ?></span></a></li>
                <?php } ?>
                <?php  if($user_package_video=="Yes") { ?>
                <li role="presentation"><a class="btn-tabs" href="#video" aria-controls="video" role="tab" data-toggle="tab"><span class="badge"><?php esc_html_e('Video','weddlist'); ?></span></a></li>
                <?php } ?>
                <li role="presentation"><a class="btn-tabs" href="#userreview" aria-controls="userreview" role="tab" data-toggle="tab"><span class="badge"><?php esc_html_e('Reviews','weddlist'); ?></span></a></li>
                <?php if($listing_gallery_tab==1) { ?>
                 <li role="presentation"><a class="btn-tabs" href="#images" aria-controls="images" role="tab" data-toggle="tab"><span class="badge"><?php esc_html_e('Images','weddlist'); ?></span></a></li>
                <?php } ?> 
              </ul>              
			  <!-- Tab panes -->
              <div class="tab-content">
                <div role="tabpanel" class="tab-pane active" id="description">
                    <div class="description-box">
                        <div class="description-block">
                          <h4 class="description-heading"> <?php esc_html_e('Description','weddlist');?></h4>
                           <?php 
            						   the_content();  

            						   if(isset($total_categories_link))
            						   {
            						   weddlist_related_items($total_categories_link[0],$post->ID); 
            						   }
            						   ?>
                        </div>
                    </div>                    
                </div>
                <div role="tabpanel" class="tab-pane" id="vendorprofile">
                	<?php get_template_part( 'template-parts/item/user', 'profile'); ?>
                </div>
                <div role="tabpanel" class="tab-pane" id="faqs">
                  <?php get_template_part( 'template-parts/item/user', 'faqs'); ?>
                </div>
                <div role="tabpanel" class="tab-pane" id="video">
                	<?php get_template_part( 'template-parts/item/user', 'video'); ?>
                </div>
                <div role="tabpanel" class="tab-pane" id="userreview">
					      <?php get_template_part( 'template-parts/item/user', 'review'); ?>	
                </div>
                <div role="tabpanel" class="tab-pane" id="images">
                <?php get_template_part( 'template-parts/item/user', 'images'); ?>  
                </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </section>
<?php
$user_ip	= '';
$page_url	= get_permalink($item_id);
if (function_exists('weddlist_get_ip_address')){
	$user_ip=weddlist_get_ip_address();
}

$table_pageview = $wpdb->prefix . 'pageview';

$get_count_pageview = $wpdb->get_results( "SELECT count(*) as counter FROM ".$table_pageview. " where  page_userid='".$userID."' AND page_url='".$page_url."' AND  page_userip='".$user_ip."'");	

$get_count=$get_count_pageview[0]->counter;
if($get_count==0)
{
	$year = date("Y");
	$month = date("m");
	$day = date("d");	
		$wpdb->insert( 
			$table_pageview, 
			array( 
				'page_userid' => $userID,
				'page_url' => $page_url, 
				'page_userip' => $user_ip,
				'page_year' => $year,
				'page_month' => $month,
				'page_day' => $day 
			), 
			array( 
				'%d',
				'%s',	
				'%s', 
				'%d',
				'%d',
				'%d',
			) 
		);
}
endwhile;

if (is_user_logged_in() ) {

global $current_user;
wp_get_current_user();
$userID          = $current_user->ID;		

$user_email            = get_post_meta( $post->ID, 'item_vendor_email', true );

if(empty($user_email))
{
    $user_email     = get_the_author_meta( 'user_email' , $userID );
}

$user_name     	= get_the_author_meta( 'user_name' , $userID );
?>
<div class="modal fade claim-model" id="claim-model" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h5 class="modal-title"><?php esc_html_e('Fill details below to claim for free!','weddlist');?></h5>
        </div>
        <div class="modal-body request-model-body text-center">
          <form id="claim-form" method="post">
            <div class="status mb20"></div>
            <input type="hidden" class="form-control" name="post_id" id="post_id" value="<?php echo esc_html($item_id);?>">
            <div class="form-group">
              <input type="text" class="form-control" id="fullname" name="fullname" placeholder="Full Name" required />
              <input type="text" id="phones"  name="phones" placeholder="Phone" class="form-control"  required/>
              <textarea name="message" id="message" class="form-control required" rows="5" placeholder="Additional proof to expedite your claim approval..." ></textarea>
            </div>
            <button type="button" class="btn btn-default" id="submit-claim"><?php esc_html_e('Claim your business now','weddlist'); ?></button>
          </form>
        </div>            
      </div>
    </div>
    </div>
<?php
}
get_footer();
?>