<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package weddlist
 */

get_header(); 

$images   = '';

$arguments  = array(
    'numberposts' => -1,
    'post_type' => 'attachment',     
    'post_parent' => $post->ID,
    'post_status' => null,
    'exclude' => get_post_thumbnail_id(),
    'orderby' => 'menu_order',
    'order' => 'ASC'
  );
$post_attachments   = get_posts($arguments);
$post_thumbnail_id  = $thumbid = get_post_thumbnail_id( $post->ID );

$item_id            = $post->ID;


$realweddinglocation            = get_the_terms( $post->ID, 'realweddinglocation');
$realweddingseason              = get_the_terms( $post->ID, 'realweddingseason'); 
$realweddingtheme              = get_the_terms( $post->ID, 'realweddingtheme'); 
$realweddingcolor              = get_the_terms( $post->ID, 'realweddingcolor'); 


$total_images   = count($post_attachments);


$k=1;
foreach ($post_attachments as $attachment) {
  
  $preview1 =  wp_get_attachment_image_src($attachment->ID, 'full');    
  if($preview1[0]!=''){

      $images .=  '<div class="gallery-block"><div class="item"><img src="'.esc_url($preview1[0]).'" alt="thumb" /></div>';

      $images .=  '<a href="'.$preview1[0].'" title="'.$k.'"><div class="overlay-bg"></div></a>
    </div>';  
  }  

} 
$wedding_date = get_post_meta( $post->ID, 'wedding_date', true );
$wedding_place = get_post_meta( $post->ID, 'wedding_place', true );

$vendors_credits = get_post_meta( $post->ID, 'vendors_credits', true );
?>
<div class="realwedding-main-block">
  <div class="container">
      <div class="row">
          <div class="col-md-12">
            <h2 class="realwedding-title"><?php the_title(); ?></h2>
            <p class="realwedding-date"><?php echo date('F d, Y', strtotime($wedding_date )),',&nbsp;'.$wedding_place; ?></p>
            <p class="mb10">
              <?php 
              if(isset($realweddinglocation[0]->term_id)){ 
                   echo '<strong>'.esc_html__('Location','weddlist').'</strong>&nbsp;:&nbsp;'.esc_html($realweddinglocation[0]->name).'&nbsp;&nbsp;&nbsp;&nbsp;'; 
              } 
              if(isset($realweddingseason[0]->term_id)){ 
                   echo '<strong>'.esc_html__('Season','weddlist').'</strong>&nbsp;:&nbsp;'.esc_html($realweddingseason[0]->name).'&nbsp;&nbsp;&nbsp;&nbsp;'; 
              } 

              if(isset($realweddingtheme[0]->term_id)){ 
                   echo '<strong>'.esc_html__('Theme','weddlist').'</strong>&nbsp;:&nbsp;'.esc_html($realweddingtheme[0]->name).'&nbsp;&nbsp;&nbsp;&nbsp;'; 
              }                             
              ?>
            </p>             
              <?php 
              if(isset($realweddingcolor[0]->term_id)){
                echo '<p class="mb10">';
                   echo '<strong>'.esc_html__('Colors','weddlist').'</strong>&nbsp;:&nbsp;'; 

                      foreach ($realweddingcolor as $color_each) {
                        echo $color_each->name.',&nbsp;';
                      }
                  echo '</p>';    
              }                                           
              ?>          
          </div>
      </div>  
  </div>  
</div>  
<?php
if(count($post_attachments)!=0)
{
  echo '<div  id="pagegallery" class="pagegallery">'.$images.'</div>';
}   
?>
<div class="main-container light-bg">
  <div class="container">
    <div class="row">
      <div class="col-md-8 content-left"><!-- content left -->
			<?php
            while ( have_posts() ) : the_post();
    
                get_template_part( 'template-parts/content', 'realwedding' );                 
    
            endwhile; // End of the loop.
            ?>
       </div>
      <!-- /.content left -->
       
       <div class="col-md-4 blog-sidebar"><!-- blog-sidebar -->

        <?php 
        if($vendors_credits)
        {
        ?>        
       <div class="realwedding-credit-widget widget-box">
        <h4 class="blog-sidebar-heading"><?php esc_html_e('My Wedding Vendors','weddlist'); ?></h4>

<?php 

foreach ( $vendors_credits as $key => $value) { 

?>
<div class="vendor-box-inner">  
          <h5><?php echo $value['category_name']; ?></h5>
          <?php 
          if(!empty($value['website_link']))
          {
            ?>
          <div class="vendor-box-inner-sub"><a href="<?php echo esc_url($value['website_link']); ?>" target="_blank"><?php echo $value['business_name']; ?></a></div>
            <?php
          }else{
          ?>
          <div class="vendor-box-inner-sub"><?php echo $value['business_name']; ?></div>
          <?php } ?>
        </div>
        <?php 
        } 
        ?>     
       </div> 
			<?php 
      }
      if ( is_active_sidebar( 'sidebar-realwedding' ) ) { ?>
                <?php dynamic_sidebar( 'sidebar-realwedding' ); ?>
            <?php } ?>         
       </div>
      <!-- /.blog-sidebar -->        
    </div>
    <?php echo weddlist_related_realwedding(get_the_ID());?>
  </div>		
</div><!-- /.main-block -->
<?php
get_footer();
