<?php
global $current_user;
wp_get_current_user();
$userID          = $current_user->ID;
$user_login      = $current_user->user_login;

$image_upload_total_limit    = 50;

$images = '';
$attachid = '';

$location_on_off=tg_option('location_on_off'); 

$args = array( 'post_type' => 'realwedding','post_status'  => 'publish', 'posts_per_page' => 1,'orderby' => 'menu_order ID','order'   => 'ASC','author'=> $userID );
$item = new WP_Query( $args );

if($item->have_posts())
{
    while ( $item->have_posts() ) : $item->the_post();
    
    $edit_id             =  intval (get_the_id());
  
    $the_post= get_post( $edit_id); 
    if( $current_user->ID != $the_post->post_author ) {
        exit('You don\'t have the rights to edit this');
    }   
    
    $item_title             =   get_the_title();
    $item_description       =   get_post_field('post_content', $edit_id);
    $wedding_date           =   esc_html( get_post_meta($edit_id, 'wedding_date', true) );
    $wedding_place          =   esc_html( get_post_meta($edit_id, 'wedding_place', true) );

    $vendors_credits        =   get_post_meta($edit_id, 'vendors_credits', true) ;

    wp_reset_postdata();

    $arguments = array(
          'numberposts' => -1,
          'post_type' => 'attachment',     
          'post_parent' => $edit_id,
          'post_status' => null,
          'exclude' => get_post_thumbnail_id(),
          'orderby' => 'menu_order',
          'order' => 'ASC'
      );
    $post_attachments = get_posts($arguments);
    $post_thumbnail_id = $thumbid = get_post_thumbnail_id( $edit_id );
   
    $jj=0;  
    foreach ($post_attachments as $attachment) {
        $preview =  wp_get_attachment_image_src($attachment->ID, array('290','290'));    
        
        if($preview[0]!=''){
            $images .=  '<div class="uploaded_images" data-imageid="'.esc_attr($attachment->ID).'"><img src="'.esc_url($preview[0]).'" alt="thumb" /><i class="fa fa-trash-o img-delete"></i>';
            if($post_thumbnail_id == $attachment->ID){
                $images .='<i class="fa thumber active fa-star"></i>';
            }
            else{
                $images .='<i class="fa thumber fa-star"></i>';
            }            
        }else{
            $images .=  '<div class="uploaded_images" data-imageid="'.esc_attr($attachment->ID).'"><img src="'.get_template_directory_uri().'/assets/images/pdf.png" alt="thumb" /><i class="fa fa-trash-o img-delete"></i>';
            if($post_thumbnail_id == $attachment->ID){
                $images .='<i class="fa thumber fa-star"></i>';
            }
            else{
                $images .='<i class="fa thumber fa-star"></i>';
            }
        }        
        
        $images .='</div>';
        $attachid.= ','.$attachment->ID;
        $jj++;
    }   
    $image_uploaded_images      = $jj;


    $item_date              = get_the_date('Y-m-d', $edit_id ); 

    $season_id =  '';

    $theme_id = '';

    $location_id = '';

    $color_id = '';

    $locations          =   get_the_terms($edit_id, 'realweddinglocation'); 
      if(!empty($locations))
      {
        foreach ($locations as $locations_each) {
          $location_id    = $locations_each->term_id;
        }
      }

    $seasons          =   get_the_terms($edit_id, 'realweddingseason'); 
      if(!empty($seasons))
      {
        foreach ($seasons as $seasons_each) {
          $season_id    = $seasons_each->term_id;
        }
      }

    $theme          =   get_the_terms($edit_id, 'realweddingtheme'); 
      if(!empty($theme))
      {
        foreach ($theme as $styles_each) {
          $theme_id    = $styles_each->term_id;
        }
      }

    $colors          =   get_the_terms($edit_id, 'realweddingcolor'); 
      if(!empty($colors))
      {
        foreach ($colors as $colors_each) {
          $color_id    = $colors_each->term_id;
        }
      }  

    endwhile;       
    wp_reset_postdata();    
    $action                 = 'Edit';
}
else{
    $item_title             =   '';
    $item_description       =   '';
    $wedding_date       =   '';
    $wedding_place      =   '';

    $season_id =  '';
    $theme_id = '';
    $location_id = '';
    $color_id = '';
    
    $image_uploaded_images = 0;

    $vendors_credits = array();

    $images                 =   '';
    $attachid               =   '';
    $thumbid                =   '';
    
    $item_date              =   '';
    $action                 =   'Add';
    $edit_id                =   null;
}
?>
<div class="user-main-box">
    <div class="row">
      <div class="col-md-12">
        <div class="user-main-heading-box">
            <h3><?php esc_html_e('Realwedding','weddlist');?></h3>
            <?php
            if( $action=="Edit"){
            ?>
            <div class="user-main-heading-manage">
                <div class="preview-realwedding user-main-heading-manage-list">
                <a href="<?php echo get_permalink($edit_id);?>" target="_blank" class="website-preview btn btn-default"><?php esc_html_e('Preview','weddlist');?> <i class="fa fa-globe"></i></a>
                </div>
                <div class="icon-website user-main-heading-manage-list"><a href="javascript:void();" target="_blank" class="btn btn-default realweddingdelete-on" title="<?php echo get_the_title($edit_id);?>" id="<?php echo $edit_id;?>"><?php esc_html_e('Delete','weddlist') ?> <i class="fa fa-trash"></i></a></div>
            </div>           
            <?php } ?>  
        </div>          
      </div>
    </div>    
    <div class="user-main-inner-box">
        <form id="add-realwedding" class="ajax-auth add-realwedding" method="post" enctype="multipart/form-data" >
        <?php wp_nonce_field('ajax-add-realwedding-nonce', 'security'); ?>
        <div class="status"></div>
        <div class="form-group">
            <label><?php esc_html_e('Title','weddlist');?> <span>*</span></label>
            <div class="input-group-custom">
            <span class="input-group-custom-addon"><i class="ti-text"></i></span>
            <input type="text" id="add_title" name="add_title" value="<?php echo esc_attr($item_title); ?>" class="form-control required" />
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php esc_html_e('Wedding Date','weddlist');?> <span>*</span></label>
                    <div class="input-group-custom">
                    <span class="input-group-custom-addon"><i class="ti-calendar"></i></span>
                    <input type="text" id="weddingdate" name="weddingdate" value="<?php echo esc_attr($wedding_date); ?>" class="form-control book_date check_book_date" readonly="readonly" />
                    </div>
                </div>                  
            </div>    
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php esc_html_e('Wedding Place','weddlist');?> <span>*</span></label>
                    <div class="input-group-custom">
                    <span class="input-group-custom-addon"><i class="ti-location-pin"></i></span>
                    <input type="text" id="weddingplace" name="weddingplace" value="<?php echo esc_attr($wedding_place); ?>" class="form-control required" />
                    </div>
                </div>                  
            </div>              
        </div> 
        <div class="form-group">
            <label><?php esc_html_e('Your Love Story','weddlist');?> </label>
            <?php echo weddlist_textarea_to_editor('add_content', 'postContent', $item_description) ?>
        </div>          
        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    <label><?php esc_html_e('Location','weddlist');?> <span>*</span></label>
                    <div class="realwedding-location">
                        <?php echo weddlist_realwedding_filter_location($location_id); ?>
                    </div>
                </div> 
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label><?php esc_html_e('Theme','weddlist');?> <span>*</span></label>
                    <div class="realwedding-theme">
                        <?php echo weddlist_realwedding_filter_theme($theme_id); ?>
                    </div>
                </div> 
            </div> 
            <div class="col-md-4">
                <div class="form-group">
                    <label><?php esc_html_e('Season','weddlist');?> <span>*</span></label>
                    <div class="realwedding-season">
                        <?php echo weddlist_realwedding_filter_season($season_id); ?>
                    </div>
                </div> 
            </div>                             
        </div> 
        <div class="form-group">
            <label><?php esc_html_e('Color','weddlist');?> <span>*</span></label>
            <div class="realwedding-season">
            <?php echo weddlist_realwedding_filter_color($edit_id); ?>
            </div>
        </div>  
        <div class="mt20 manage-item-listing-block realwedding-credits">
            <p class="lead"><?php esc_html_e('Wedding Vendors Credits','weddlist'); ?></p>
            <div class="realwedding-credits-add">
              <?php      
              if($vendors_credits)
              {
               foreach ( $vendors_credits as $key => $value) {  
              ?>
                <div class="row">
                   <div class="col-sm-3">
                      <div class="form-group"><input type="text" class="form-control category_name" placeholder="<?php esc_html_e('Category Name','weddlist'); ?>" value="<?php echo $value['category_name']; ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" class="form-control business_name" placeholder="<?php esc_html_e('Vendor Business Name','weddlist'); ?>" value="<?php echo $value['business_name']; ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" class="form-control website_link" placeholder="<?php esc_html_e('https://yourwebsite.com/','weddlist'); ?>" value="<?php echo $value['website_link']; ?>"></div>
                   </div>
                   <div class="col-sm-1"><a href="javascript:void(0);" class="remove_vendor_clone btn btn btn-grey btn-credit-delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></div>

                </div>
              <?php 
                }
              }
              else{
              ?>
                <div class="row">
                   <div class="col-sm-3">
                      <div class="form-group"><input type="text" class="form-control category_name" placeholder="<?php esc_html_e('Category Name','weddlist'); ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" class="form-control business_name" placeholder="<?php esc_html_e('Vendor Business Name','weddlist'); ?>"></div>
                   </div>
                   <div class="col-sm-4">
                      <div class="form-group"><input type="text" class="form-control website_link" placeholder="<?php esc_html_e('https://yourwebsite.com/','weddlist'); ?>"></div>
                   </div>
                   <div class="col-sm-1"><a href="javascript:void(0);" class="remove_vendor_clone btn btn btn-grey btn-credit-delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></div>
                </div>
               <?php } ?>
            </div>   
            <div class="add-realwedding-credits">
                <a href="javascript:void(0);" class="btn btn-default" id="add_new_vendor_options" data-category="<?php esc_html_e('Category Name','weddlist'); ?>" data-vendor="<?php esc_html_e('Vendor Business Name','weddlist'); ?>" data-website="<?php esc_html_e('https://yourwebsite.com/','weddlist'); ?>"><?php esc_html_e('+ Add Your Vendor','weddlist'); ?></a>
            </div>     
        </div>    
        <div class="add-listing-gallery-block mt30">
            <p class="lead"><?php esc_html_e('Upload Your Photos for Gallery','weddlist'); ?></p>
            <div id="upload-container" class="mb30">                 
                <div id="aaiu-upload-container" class="form-btn-section">                
                    <div id="aaiu-upload-imagelist">
                        <ul id="aaiu-ul-list" class="aaiu-upload-list"></ul>
                    </div>                    
                    <div id="imagelist">
                        <?php if($images!=''){ echo  $images; }?>  
                    </div>                          
                    <button id="aaiu-uploader"  class="btn btn-pink">
                        <?php esc_html_e('Select Media','weddlist');?>
                    </button>
                    <input type="hidden" name="attachid" id="attachid" value="<?php echo esc_attr($attachid);?>">
                    <input type="hidden" name="attachthumb" id="attachthumb" value="<?php echo esc_attr($thumbid);?>">
                    <p class="full_form full_form_image">
                    <?php esc_html_e('* At least 1 image is required for a valid submission.','weddlist');echo '</br>';
                    esc_html_e('**After uploading your image you must select a featured image by clicking on you preferred photo.','weddlist');?>
                    </p>
                    <div class="image_value" id="image_value" data-image_upload_total_limit="<?php echo esc_attr($image_upload_total_limit);?>" data-image_uploaded_images="<?php echo esc_attr($image_uploaded_images);?>"></div>    
                </div>  
            </div>
            <div class="form-btn-section">
            <?php 
            if( $action=='Edit' ){
            ?>
               <input id="edit_id" name="edit_id" type="hidden" value="<?php echo esc_attr($edit_id); ?>">                     
               <button id="edit-realwedding-on" type="submit" class="btn btn-pink"><?php esc_html_e('Save Real Wedding','weddlist');?></button>
            <?php 
            }else{
            ?>
                <input id="edit_id" name="edit_id" type="hidden" value="" >
                <button id="add-realwedding-on" type="submit" class="btn btn-pink"><?php esc_html_e('Add Real Wedding','weddlist');?></button>
            <?php 
            }
            ?>                 
          </div>
      </div>        
     </form>   
    </div>      
</div>