<?php 
global $current_user,$order;
wp_get_current_user();
$userID          = $current_user->ID;    
if(!empty($_GET['order_id']) && in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' )) ) || class_exists( 'WooCommerce' ))
{
    $order_items = '';
    $order_id =  $_GET['order_id'];
    if ( ! $order = wc_get_order( $order_id ) ) {
        get_template_part('template-parts/dashboard/vendor/invoices','list');
    }
    $order_items           = $order->get_items( apply_filters( 'woocommerce_purchase_order_item_types', 'line_item' ) );
    $logo_html = weddlist_get_logo();
?>
<div class="container-fluid">
    <div class="row">
      <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
            <div class="dashboard-box weddlist-invoice-detail">
                <div id="printableArea">
                    <div class="panel-heading">
                        <h3 class="panel-title"><?php echo esc_html__('Invoice Detail','weddlist'); ?></h3>
                        <p>
                        <?php
                            printf(
                                __( 'Order #%1$s was placed on %2$s and is currently %3$s.', 'weddlist' ),
                                '<mark class="order-number">' . $order->get_order_number() . '</mark>',
                                '<mark class="order-date">' . wc_format_datetime( $order->get_date_created() ) . '</mark>',
                                '<mark class="order-status">' . wc_get_order_status_name( $order->get_status() ) . '</mark>'
                            );
                        ?>
                        </p>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                 <?php echo ''.$logo_html; ?>
                            </div>
                        </div>
                         <div class="clearfix"></div>      
                          <hr>
                          <div class="row weddlist-invoice-info"> 
                              <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                <p>
                                  <b><?php echo esc_html__( 'Invoice Info', 'weddlist' ); ?></b>
                                </p>
                                <p><span class="ti ti-calendar"></span> <?php echo esc_html__( 'Date', 'weddlist' ); ?> : <?php echo wc_format_datetime( $order->get_date_created() ); ?></p>
                                <?php if ( $order->get_billing_phone() ) : ?>
                                <p><span class="fa fa-phone"></span> <?php echo esc_html__( 'Phone', 'weddlist' ); ?> : <?php echo esc_html( $order->get_billing_phone() ); ?></p>
                                <?php endif; ?>
                                <?php if ( $order->get_billing_email() ) : ?>
                                <p><span class="ti ti-email"></span> <?php echo esc_html__( 'Email', 'weddlist' ); ?> : <?php echo esc_html( $order->get_billing_email() ); ?></p>
                                <?php endif; ?>
                              </div>
                          </div>
                          <div class="clearfix"></div>
                          <div class="table-responsive">
                            <table class="table">
                              <thead>
                                <tr>
                                  <th>#</th>
                                  <th><?php echo esc_html__( 'Description', 'weddlist' ); ?></th>
                                  <th class="text-right"><?php echo esc_html__( 'Quantity', 'weddlist' ); ?></th>
                                  <th class="text-right"><?php echo esc_html__( 'Price', 'weddlist' ); ?></th>
                                  <th class="text-right"><?php echo esc_html__( 'Total', 'weddlist' ); ?></th>
                                </tr>
                              </thead>
                              <tbody>
                              <?php
                              $count = 1;
                              foreach ( $order_items as $item_id => $item )
                              {
                                  $product = $item->get_product();
                               ?>      
                                <tr class="text-right">
                                  <td class="text-left"><?php echo esc_attr($count ); ?></td>
                                  <th class="text-left"><?php echo esc_attr( $item->get_name()); ?></th>
                                  <td class="text-right"><?php echo esc_attr($item->get_quantity()); ?></td>
                                  <td class="text-right"><?php echo get_woocommerce_currency_symbol(). ' ' . esc_attr($product->get_price()); ?></td>
                                  <td class="text-right"><?php echo ''.$order->get_formatted_line_subtotal($item); ?></td>
                                </tr>
                              <?php
                              $count++; 
                              }
                              ?>  
                              </tbody>
                            </table>
                          </div>
                         <div class="clearfix"></div>
                          <div class="invoice-calc">
                                      <p class="text-right"><strong><?php echo esc_html__('Subtotal','weddlist'); ?></strong> : <?php echo ''.$order->get_formatted_order_total(); ?></p>
                                      <?php if($order->get_shipping_to_display() !="Free!") { ?>
                                      <p class="text-right"><strong><?php echo esc_html__('Shipping','weddlist'); ?></strong> : <?php echo ''.$order->get_shipping_to_display(); ?></p>
                                      <?php } ?>
                                      <p class="text-right"><strong><?php echo esc_html__('Payment Method','weddlist'); ?></strong> : <?php echo ''.$order->get_payment_method_title(); ?></p>
                                      <h4 class="text-right"><?php echo esc_html__('Total','weddlist'); ?> : <?php echo ''.$order->get_formatted_order_total(); ?></h4>
                            </div>          
                          <hr>
                          <a href="javascript:void(0)" onclick="printDiv('printableArea')" class="btn btn-default"><span class="lnr lnr-printer"></span> <?php echo esc_html__( 'Print Invoice', 'weddlist' ); ?></a>
                    </div>
                </div>    
            </div>
        </div>
    </div>
</div>
<script>
    function printDiv(printableArea) {
     var printContents = document.getElementById(printableArea).innerHTML;
     var originalContents = document.body.innerHTML;
     document.body.innerHTML = printContents;
     window.print();
     document.body.innerHTML = originalContents;
}
</script>
<?php
}
?>