<div class="description-block mb0">
  <h4 class="description-heading"> <?php esc_html_e('Couple Reviews','weddlist');?></h4>
</div> 
<?php
global $post;
$postid = $post->ID;

	$key = 'reviews_ids';
	$review_idss = get_post_meta($postid,'reviews_ids',true);
	$review_ids = '';
	if( !empty($review_idss) ){
		$review_ids = explode(",",$review_idss);
	}

	$active_reviews_ids = array();
	if( !empty($review_ids) && is_array($review_ids) ){
		$review_ids = array_unique($review_ids);
		foreach($review_ids as $reviewID){
			if(get_post_status($reviewID)=="publish"){
				$active_reviews_ids[] = $reviewID;
			}
		}
		if(count($active_reviews_ids) == 1){
			$label = esc_html__('Review for ','weddlist').get_the_title($postid);
		}else{
			$label = esc_html__('Reviews for ','weddlist').get_the_title($postid);
		}
		echo '<h4 class="vendor-enquery-heading">'.count($active_reviews_ids).' '.$label.'</h4>';
	}


		if( !empty($review_ids) && count($review_ids)>0 ){

			echo '<div class="new-listing-review">
					<div class="comments">
						<div class="media">
						  <ul>';
						  
			foreach( $review_ids as $key=>$reviewid ){

				$args = array(
					'post_type'  => 'wl-reviews',
					'orderby'    => 'date',
					'order'      => 'ASC',
					'p'			 => $reviewid,
					'post_status'	=> 'publish',
					'posts_per_page'=>1,
			 	);
			 	$query = new WP_Query( $args );
				
 				if ( $query->have_posts() ) {
					
					while ( $query->have_posts() ) {
					$query->the_post();
					global $post;		

					$author_id = $post->post_author;
		
					$author_avatar_url = get_user_meta($author_id, "custom_picture", true); 
					$rating = get_post_meta($post->ID, "rating", true); 

					$review_reply = get_post_meta($post->ID, "review_reply", true); 

					if(!empty($author_avatar_url)) {
						$avatar =  $author_avatar_url;
					
					} else { 			
						$avatar_url = weddlist_get_avatar_url( $author_id, $size = '74' );
						$avatar =  $avatar_url;
					}   						
					?>                    
                    <li>
                      <div class="media-left">
                        <img class="media-object" src="<?php echo esc_url($avatar); ?>">			
                        <p class="autorname"><?php the_author(); ?></p>
                      </div>
                      <div class="media-body">
                        <div class="row">
                          <div class="col-md-8">
                            <h6 class="media-heading"><?php the_title(); ?></h6>
                            <div class="date"><?php echo get_the_time('F j, Y g:i a'); ?></div>
                          </div>
                          <div class="col-md-4">
                            <div class="comments-rating">
                              <div class="rating-icon">
                                <?php 
                                weddlist_ratings_stars('rating', $post->ID);
                                ?>
                              </div>
                              <div class="rating-out-of">
                                <?php echo wp_kses_post( $rating );?>/5
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="mb20">
							<?php the_content(); ?>
						</div>
                        <?php 
						$helpful_counter	=	get_post_meta($post->ID, "review_helpful", true); 
						$love_counter		=	get_post_meta($post->ID, "review_love", true); 
						
						if(empty($helpful_counter))
						{
							$helpful_counter = 0;
						}

						if(empty($love_counter))
						{
							$love_counter = 0;
						}
						?>
                        <div class="review-counter">
                        	<ul>
                            	<li>
                                	<a class="helpful review-count" href="javascript:void(0);" data-score="<?php echo esc_attr($helpful_counter); ?>" data-type="helpful" data-id="<?php the_ID(); ?>"><i class="fa fa-thumbs-o-up"></i><span><?php echo esc_html($helpful_counter); ?></span></a>
                                </li>
                            	<li>
                                	<a class="love review-count" href="javascript:void(0);" data-score="<?php echo esc_attr($love_counter); ?>" data-type="love" data-id="<?php the_ID(); ?>"><i class="fa fa-heart-o"></i><span><?php echo esc_html($love_counter); ?></span></a>
                                </li>                                
                            </ul>
                        </div>
						<?php if(!empty($review_reply)) { ?>
							<div class="vendor-reply well">
								<div class="vendor-response">
									<h6 class="media-heading"><?php esc_html_e('Vendor Response', 'weddlist'); ?></h6>
                                    <p><?php echo wp_kses_post($review_reply); ?></p>
								</div>
							</div>
							<?php } ?>                        
                        
                      </div>
                    </li>
                    <?php						
					}
				}
				wp_reset_postdata();
			}
			echo '</ul>
				</div>
			  </div>
			</div>';	
		}

if( is_user_logged_in() ){
?>  
<form method="get" id="add-review" name="add-review">
<?php wp_nonce_field( 'ajax-add-review-nonce', 'security' ); ?>                   
	<input type="hidden" name="rating" id="rating" class="rating-tooltip" value="4" data-filled="fa fa-star fa-2x" data-empty="fa fa-star-o fa-2x" />
	<div class="form-group mt50">
		<label for = "review_title"><?php esc_html_e('Title','weddlist'); ?></label>
		<input placeholder="<?php esc_attr_e('Tip: Title of your vendor exprience','weddlist'); ?>" type = "text" id = "review_title" class="form-control required" name = "review_title" />
	</div>

	<div class="form-group">
		<label for = "review_description"><?php esc_html_e('Review','weddlist'); ?></label>
		<textarea placeholder="<?php esc_attr_e('Tip: A great review for couple to mentions breif exprienced with vendor','weddlist'); ?>" id = "review_description" class="form-control required" rows="8" name = "review_description" ></textarea>
		<p><?php esc_html_e('Your review recommended to be at least 140 characters long :)','weddlist');?></p>
	</div>
	<div class="upload-profile-block">
	<input type="hidden" id="item_id" value="<?php echo esc_attr($post->ID);?>"  />		
	<input name="submit_review" type="submit" id="btn-submit-review" class="btn-submit-review btn btn-pink" value="<?php echo esc_html__('Submit Review', 'weddlist');?>">
	<p class="status"></p>                  
	</div> 
</form>
<?php
}else{?>
<p class="mt20"><?php esc_html_e('Please login to add your review','weddlist');?></p>
<?php } ?>   