<?php
/**
 *  Page Banner Template.
 */

global $post;

if( is_front_page() ) :
else :

if(is_search() || is_404())
{
	$page_header_hide_option = '';
	$header_small_title		 = '';
	$header_img		 		 = weddlist_page_default_image_url();
}
else{	
	if(isset($post->ID))
	{		
		$page_header_hide_option = get_post_meta( $post->ID, 'page_header_hide_option', true );
		$header_small_title 	 = get_post_meta( $post->ID, 'header_small_title', true );	
		$header_img		 		 = get_post_meta( $post->ID, 'header_img', true );
	}
	else{
		$page_header_hide_option = '';
		$header_small_title		 = '';
		$header_img		 		 = weddlist_page_default_image_url();
	}
}

if(empty($header_img))
{
	$header_img		 		 = weddlist_page_default_image_url();
}
if(is_tax( 'itemcategory' )){

	global $post;
	
	$queried_object = get_queried_object();
	$t_id = $queried_object->term_id;
	$term_name = $queried_object->name;
	$term_details = $queried_object->description;

	if(empty($t_id))
	{
		$t_id='';	
	}
	
	$header_img		 		 = weddlist_breadcumb_image_itemcategory($t_id);
	
}
if(is_tax( 'location' )){

	global $post;
	
	$queried_object = get_queried_object();
	$t_id = $queried_object->term_id;
	$term_name = $queried_object->name;
	$term_details = $queried_object->description;

	if(empty($t_id))
	{
		$t_id='';	
	}
	
	$header_img		 		 = weddlist_breadcumb_image_location($t_id);
	
}

	if(!is_singular( 'item' ) && !is_singular( 'realwedding' ) )
	{
		
		if( $page_header_hide_option == '' ): ?>
		<section id="page-banner" class="page-banner" style="background-image: url('<?php echo esc_url($header_img);?>');"> 
			<div class="overlay-bg"></div>
			<div class="container">
			  <div class="banner-dtl text-center">
				<?php 
				global $post;
				if($header_small_title)
				{
					echo '<div class="page-title-small">'.$header_small_title.'</div>';
				}
				
				if( is_home() ){
					echo '<div class="banner-heading"><h2>'.get_the_title( get_option( 'page_for_posts' ) ) .'</h2></div>'; 
				}else if( is_singular() || is_page() ) { 
				   the_title( '<div class="banner-heading"><h2>', '</h2></div>' );
				}else if( is_search() ) { 
					echo '<div class="banner-heading"><h2>'.esc_html__('Search','weddlist').': '.get_search_query().'</h2></div>'; 
				}
				else if ( is_404() ) {
					// add search form so that users can search other posts
					echo '<div class="banner-heading"><h2>'.esc_html__('404 Error','weddlist').'</h2></div>';
				}	
				else if(is_tax( 'itemcategory' )){
					echo '<div class="banner-heading"><h2>'.esc_html__('Categories','weddlist').': '.single_cat_title( '', false ).'</h2></div>'; 
				}
				else if(is_tax( 'location' )){
					echo '<div class="banner-heading"><h2>'.esc_html__('Locations','weddlist').': '.single_cat_title( '', false ).'</h2></div>'; 
				}					
				else if( is_category() )
				{
				   echo '<div class="banner-heading"><h2>'.single_cat_title( '', false ).'</h2></div>';
				}												  
				else if( is_archive() ) {
					the_archive_title( '<div class="banner-heading"><h2>', '</h2></div>' );
				}else { 

				   if(function_exists( 'is_woocommerce_activated' ))
				   {
					   	if(is_shop())
						{
							$page_id  	= wc_get_page_id( 'shop' );	
							echo '<div class="banner-heading"><h2>'.get_the_title($page_id).'</h2></div>';
						}
						else if(is_cart())
						{
							$page_id  	= wc_get_page_id( 'shop' );	
							echo '<div class="banner-heading"><h2>'.get_the_title($page_id).'</h2></div>';
						}
						else if(is_checkout())
						{
							$page_id  	= wc_get_page_id( 'shop' );	
							echo '<div class="banner-heading"><h2>'.get_the_title($page_id).'</h2></div>';
						}	
						else if(is_account_page())
						{
							$page_id  	= wc_get_page_id( 'shop' );	
							echo '<div class="banner-heading"><h2>'.get_the_title($page_id).'</h2></div>';
						}
						else{
							the_title( '<div class="banner-heading"><h2>', '</h2></div>' );
						}			
				   }	
				   else{
					   the_title( '<div class="banner-heading"><h2>', '</h2></div>' );

				   }
				}
				
				if(function_exists('bcn_display')){
				?>
				<div class="breadcrumb-block">
				  <ol class="breadcrumb">
					<li><?php bcn_display(); ?></li>
				  </ol>
				</div>        
				<?php } ?>
			  </div>
			</div>
		</section>
		<?php endif;
	}
endif;

?>
